# Hash8 Team Activity

Listed below are the changes made to the repository

| #   | Team Member | Library        | Issues # | Change Description                                                          |
| --- | ----------- | -------------- | -------- | --------------------------------------------------------------------------- |
| 1.  | Arvindh     | Nx             | -        | Created Nx workspace for Hash8 Platform, see notes below                    |
| 2.  | Venky       | Nx             | -        | Added Team.Activity.md for logging all team activities                      |
| 3.  | Venky       | Nx             | -        | Removed the default nest application "api"                                  |
| 4.  | Venky       | middleware     | -        | Created new @nrwl/nest application called "middleware"                      |
| 5.  | Venky       | core           | -        | Generated new @nrwl/nest library "core" with "@hash8io/core path            |
| 6.  | Venky       | core-web       | -        | Generated new @nrwl/angular library "core-web" with "@hash8io/core-web path |
| 7.  | Venky       | infrastructure | -        | Created a new folder "infrastructure" for infrastructure files              |
| 8.  | Venky       | database       | -        | Created a new folder "database" for database scripts                        |
| 9.  | Venky       | documentation  | -        | Created a new folder "documentation" for documentation files                |
| 10. | Venky       | mockdta        | -        | Created a new folder "mockdata" for mockdata files                          |
| 11. | Venky       | Nx             | -        | Installed necessary Nest.js npms, please see npm log below                  |
| 12. | Venky       | middleware     | -        | Changed main.js in the middleware                                           |
| 13. | Venky       | web            | -        | Configured to run on port 4274, changed projects.json                       |
| 14. | Venky       | common         | 3        | Created common node library with path @hashio/common                        |
| 15. | Venky       | web            | 4        | Changed angular port to 4274 on project.json                                |
| 16. | Venky       | Nx             | 9        | Added gitlab, stately and jwt-token extensions to .vscode extensions.json   |
| 17. | Jeyasri     | infrastructure | 6        | Terraform State file is stores under VCS                                    |
| 18. | Jeyasri     | infrastructure | 6        | Environment Variable is added in VCS                                        |
| 19. | Jeyasri     | infrastructure | 6        | Added Terraform Script to Launch Hash8 infrastructure                       |
| 16  | Karthick T  | Nx             | 1        | Installed angular material framework version 14.1.0                         |
| 17  | Karthick T  | Nx             | 1        | Installed tailwind css framework version 3.1.6                              |
| 18  | Karthick T  | web            | 1        | Added tailwind.config.js to the web folder                                  |
| 19  | Karthick T  | Nx             | 1        | Installed Formly "@ngx-formly/core" version 5.12.6 for Schema based forms   |
| 20  | Karthick T  | Nx             | 1        | Installed Formly "@ngrx/store" version 14.0.2 for store and state machine   |
| 20. | Uma         | common         | 2        | Added basic Application Configuration                                       |
| 21. | Venky       | common         | -        | Removed nest.js dependencies to clear angular error                         |
| 22. | Jeyasri     | Web            | 22.1     | Added User Registration Web                                                 |
| 23. | Kali S      | Web            | -        | Added user Setting                                                          |
| 24. | Kali S      | Web            | -        | Added notification panel list                                               |
| 25. | Kowsalya    | Web            | 69       | Publish web libraries - Core-web,H8 grid, Nav-config-report-web, User-management-web
| 26.  | Jeyasri       | Infrastructure    | 55       | Changed Security group in App Server1        |
| 27.  | Jeyasri       | Web    | 56      | Changed host as 0.0.0.0 in angular project.json      |
| 28.  | Jeyasri        | Library    | 68        | Publish Middleware  and web Libraries  - core,user-management,common,user-registration-web      |


## Sample Team Log

| #   | Team Member | middleware | Issues # | Change Description |
| --- | ----------- | ---------- | -------- | ------------------ |
| #.  | Name        | Library    | #        | Description        |

## Team Notes

Please list down any details that will help team members in understanding this repository/project

## TODO 

1. Run web properly without any security warnings. 

### Repository URL

https://gitlab.com/hash8io/hash8-platform.git

### Repository Initilization

1. Clone repository under your workspace folder
2. Run `npm install`

### NPM Installation Log

1. Updated Nx with the foundational npms

```
npm install @nestjs/core

npm install @compodoc/compodoc @liberation-data/drivine @nestjs/config @nestjs/axios @nestjs/event-emitter @nestjs/microservices @nestjs/platform-express @nestjs/schedule  class-transformer class-validator uuid

npm install @nestjs/swagger@5.2.1 swagger-ui-express
```

## NPM Dependencies

1. Please ensure you can perform `npm install` without major errors
2. If you see errors, please contact Arvindh to resolve issues

### Known NPM Dependency Compatibility Issues

1. @liberation-data/drivine npm will have compatibility issues with class-transformer and class-validator

## Visual Studio Code Extensions

Please ensure you have installed and enabled the following Visual Studio code extensions before editing the repository.

### 1. Name: Prettier - Code formatter

Id: esbenp.prettier-vscode
Description: Code formatter using prettier
Version: 9.5.0
Publisher: Prettier
VS Marketplace Link: https://marketplace.visualstudio.com/items?itemName=esbenp.prettier-vscode
