import { Controller, Post } from '@nestjs/common';
import { IBootstrapApplication } from './bootstrap.controller.interface';
import { ApiOperation, ApiTags } from '@nestjs/swagger';
import { UnProtected } from '../iam/jwt-auth-guard/jwt-auth-guard';

@ApiTags('bootstrap-application')
@Controller('v1')
export class BootStrapApplication implements IBootstrapApplication {
  @ApiOperation({
    summary: 'Bootstrap new application with an organization and owner user',
  })
  @Post('boodstrap-application')
  @UnProtected()
  bootStrapApplication() {
    return 'Application Bootstrapped';
  }
}
