import { HttpModule } from '@nestjs/axios';
import { Test, TestingModule } from '@nestjs/testing';
import { KeycloakAuthenticationService } from './keycloak/keycloak.service';
import { LoginController } from './login.controller';
import { LoginMockService } from './login.mock.service';
import { LoginService } from './login.service';

describe('Login Module', () => {
  let loginController :LoginController;
  let loginResponse;

  let app: TestingModule;
  const request = {
    email: '',
    password: '',
    username: '',
    useMockData: true,
  };
  beforeAll(async () => {
    app = await Test.createTestingModule({
      imports: [HttpModule],
      controllers: [LoginController],
      providers: [
        LoginService,
        KeycloakAuthenticationService,
        LoginMockService,
      ],
    }).compile();

    loginController = app.get<LoginController>(LoginController);
    loginResponse = await loginController.login(request);
  });
  it('login controller should be defined ', async () => {
    expect(loginController).toBeDefined();
  });
  it('With a valid credential response should not miss Properties ', async () => {
    expect(loginResponse).toHaveProperty('user');
    expect(loginResponse.user).toHaveProperty('email');
      expect(loginResponse.user).toHaveProperty('access_token');
      expect(loginResponse.user).toHaveProperty('username');
      expect(loginResponse.user).toHaveProperty('userUUID');
      expect(loginResponse.user).toHaveProperty('firstName');
      expect(loginResponse.user).toHaveProperty('lastName');
      expect(loginResponse.user).toHaveProperty('fullName');
      expect(loginResponse.user).toHaveProperty('token_type');
      expect(loginResponse.user).toHaveProperty('refresh_token');
      expect(loginResponse.user).toHaveProperty('refresh_expires_in');
      expect(loginResponse.user).toHaveProperty('expires_in');

  });
});
