import { HttpModule } from '@nestjs/axios';
import { Test, TestingModule } from '@nestjs/testing';
import { KeycloakAuthenticationService } from './keycloak/keycloak.service';
import { LoginService } from './login.service';

describe('Login Service ', () => {
  let module: TestingModule;
  let service: LoginService;
  beforeAll(async () => {
    module = await Test.createTestingModule({
      imports: [HttpModule],
      providers: [LoginService, KeycloakAuthenticationService],
    }).compile();
    service = module.get(LoginService);
  });
  it('login service should be defined ', async () => {
    expect(service).toBeDefined();
  });
  it('With a valid credential response should not miss Properties ', async () => {
    const response = await service.authenticateUser('jerry', 'JSD*24h#');
    expect(response).toHaveProperty('access_token');
    expect(response).toHaveProperty('username');
    expect(response).toHaveProperty('userUUID');
    expect(response).toHaveProperty('firstName');
    expect(response).toHaveProperty('lastName');
    expect(response).toHaveProperty('fullName');
    expect(response).toHaveProperty('token_type');
    expect(response).toHaveProperty('refresh_token');
    expect(response).toHaveProperty('refresh_expires_in');
    expect(response).toHaveProperty('expires_in');
    expect(response).toHaveProperty('email');
  });
});
