import { ILoginService } from './login.service.interface';

import { KeycloakAuthenticationService } from './keycloak/keycloak.service';
import { AuthenticateUser } from '../entity/authentication-user.entity';
import { Injectable } from '@nestjs/common';
import jwt_decode from 'jwt-decode';

@Injectable()
export class LoginService implements ILoginService {
  private readonly keycloakAuthenticationService: KeycloakAuthenticationService;

  constructor(
    private readonly _keycloakAuthenticationService: KeycloakAuthenticationService
  ) {
    this.keycloakAuthenticationService = _keycloakAuthenticationService;
  }

  async authenticateUser(
    userName: string,
    password: string
  ): Promise<AuthenticateUser> {
    const response =
      await this.keycloakAuthenticationService.authenticateUserviaKeycloak(
        userName,
        password
      );

    return response;
  }
}
