import { OrganizationType } from './entity/organization.type.enum';

/**
 * Manage Organizations
 */
export interface IManageOrganizations {
  /** My Organization - /v1/organizations */
  viewMyOrganization();

  changeMyOrganizationName();

  inviteUserToMyOrganization();

  createUser();

  viewAllCustomerOrganizations();

  removeMyOrganization();

  /** Sales Channel Customer Organization - /v1/sales-channel-customers */
  viewSalesChannelCustomerOrganization(orgUuid: string);

  viewAllSalesChannelCustomerOrganizations();

  createSalesChannelCustomer();

  inviteUserToSalesChannelOrganization();

  createSalesChannelUser();

  removeSalesChannelCustomer();

  /** End Customer Organizations /v1/end-customers */
  viewEndCustomerOrganization(orgUuid: string);

  viewAllEndCustomerOrganizations();

  createEndCustomer();

  inviteUserToEndCustomerOrganization();

  createEndCustomerUser();

  removeEndCustomer();

  /** Higher Level Organization Management Functions /v1/manage-organizations */

  createApplicationOwnerUser();

  createOrganizationOwnerUser();

  changeOrganizationType(orgUuid: string, orgType: OrganizationType);
}
