import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty } from 'class-validator';
import { IDynamicReportRequest } from './dynamic-report.request.interface.dto';

export class DynamicReportRequest implements IDynamicReportRequest {
  /**
   * Username of the user
   *
   * @example
   * uuid
   */
  @ApiProperty({
    required: true,
    example: '',
    description: 'UUID of the report',
    default: '',
  })
  @IsNotEmpty()
  reportUuid!: string;
}
