import { DynamicReportMockService } from './dynamic-report.mock.service';
import { Controller, Get, Logger, Query } from '@nestjs/common';
import { ApiOperation, ApiTags } from '@nestjs/swagger';
import { IDynamicReport } from './dynamic-report.controller.interface';
import { DynamicReportRequest } from './dto/dynamic-report.request.dto';
import { DynamicReportResponse } from './dto/dynamic-report.response.dto';
import { UnProtected } from '../../iam/jwt-auth-guard/jwt-auth-guard';

@ApiTags('Dynamic Reports')
@Controller('v1')
export class DynamicReportController implements IDynamicReport {
  private readonly logger = new Logger(DynamicReportController.name);

  constructor(private readonly mockService: DynamicReportMockService) {}

  /**
   *
   */
  @ApiOperation({ summary: '' })
  @UnProtected()
  @Get('dynamic-report')
  fetchDynamicReport(
    @Query() _request: DynamicReportRequest
  ): DynamicReportResponse {
    let response = new DynamicReportResponse();
    response.dynamicReport = this.mockService.getDynamicReport();

    return response;
  }
}
