export const REPORT_TITLE = 'Tank Report';

export const REPORT_NAME = 'Tank';

export const STYLE = 'ag-theme-hash8-theme';

export const COLUMN_DEFINITIONS = [
  {
    field: 'sharedKey',
    fieldType: 'string',
    headerCheckboxSelection: true,
    checkboxSelection: true,
    sortable: true,
    filter: true,
    enableRowGroup: true,
  },
  {
    field: 'toOrganization',
    fieldType: 'string',
    sortable: true,
    filter: true,
    enableRowGroup: true,
  },
  //Tag
  //Required* - type - badge(Add background color)/tag(Add backgroun color & text color)
  //Required* - options - label(text) & color
  {
    field: 'status',
    fieldType: 'tag',
    sortable: true,
    filter: true,
    enableRowGroup: true,
    cellRendererParams: {
      type: 'badge',
      options: [
        {
          label: 'Active Share',
          color: 'green',
        },
        {
          label: 'Pending Acceptance',
          color: 'blue',
        },
        {
          label: 'Revoked',
          color: 'orange',
        },
      ],
    },
  },
  {
    field: 'contractExpiryDate',
    fieldType: 'date',
    sortable: true,
    filter: true,
    enableRowGroup: true,
  },
  {
    field: 'initiatedTime',
    fieldType: 'date',
    sortable: true,
    hide: true,
    filter: true,
  },
  {
    field: 'lastUpdatedTime',
    fieldType: 'date',
    sortable: true,
    hide: true,
    filter: true,
  },
  {
    field: 'initiatedBy',
    fieldType: 'date',
    sortable: true,
    filter: true,
    enableRowGroup: true,
  },
  //Actions
  //Required* - options - Label
  {
    field: 'actions',
    fieldType: 'actions',
    enableRowGroup: true,
    cellRendererParams: {
      options: [
        {
          label: 'Resend invitation and remind',
          icon: 'send',
        },
        {
          label: 'View activity',
          icon: 'visibility',
        },
        {
          label: 'Revoke invitation',
          icon: 'close',
        },
      ],
    },
  },
];

export const GRID_ROW_DATA = [
  {
    sharedKey: 'xxxx-xxxx-2425',
    fromOrganization: 'Crown Cork',
    toOrganization: 'PPG',
    status: 'Active Share',
    contractExpiryDate: '06/20/2023 12:00 AM',
    initiatedTime: '04/20/2022 11:24  AM',
    lastUpdatedTime: '04/20/2022 07:31 AM',
    initiatedBy: 'John Mathew',
  },
  {
    sharedKey: 'xxxx-xxxx-2563',
    fromOrganization: 'Crown Cork',
    toOrganization: 'Sherwin Williams',
    status: 'Pending Acceptance',
    contractExpiryDate: '03/30/2023 12:00 AM',
    initiatedTime: '07/18/2022 01:24  AM',
    lastUpdatedTime: '04/21/2022 04:11 PM',
    initiatedBy: 'John Mathew',
  },
  {
    sharedKey: 'xxxx-xxxx-9378',
    fromOrganization: 'Crown Cork',
    toOrganization: 'VALSPAR',
    status: 'Revoked',
    contractExpiryDate: '-',
    initiatedTime: '04/16/2022 01:24  AM',
    lastUpdatedTime: '04/21/2022 02:31 PM',
    initiatedBy: 'John Mathew',
  },
];
