/* eslint-disable cypress/no-unnecessary-waiting */
/// <reference types="cypress" />

describe('LogIn-Component', () => {
  it('Check the valid credentials', () => {
    /* ====  visit URL  ==== */
    cy.visit('/');
    cy.get('#formly_2_input_username_0').type('jerry');
    cy.get('#formly_2_password_password_1').type('JSD*24h#');
    cy.get('.login-form--button').click();
    cy.wait(3000);
  });
  it('Check the Invalid username', () => {
    /* ====  visit URL  ==== */
    cy.visit('/');
    cy.get('#formly_2_input_username_0').type('jerrg');
    cy.get('#formly_2_password_password_1').type('JSD*24h#');
    cy.get('.login-form--button').click();
    cy.contains('Invalid user credentials ').should('exist');
    cy.wait(3000);
  });
  it('Check the Invalid password', () => {
    /* ====  visit URL  ==== */
    cy.visit('/');
    cy.get('#formly_2_input_username_0').type('jerry');
    cy.get('#formly_2_password_password_1').type('JSD*24j#');
    cy.get('.login-form--button').click();
    cy.contains('Invalid user credentials ').should('exist');
    cy.wait(3000);
  });
  it('Check the Invalid user credentials', () => {
    /* ====  visit URL  ==== */
    cy.visit('/');
    cy.get('#formly_2_input_username_0').type('JERRY');
    cy.get('#formly_2_password_password_1').type('JSD*24H#');
    cy.get('.login-form--button').click();
    cy.contains('Invalid user credentials ').should('exist');
    cy.wait(3000);
  });
  it('Check the Emety user credentials', () => {
    /* ====  visit URL  ==== */
    cy.visit('/');
    cy.get('#formly_2_input_username_0');
    cy.get('#formly_2_password_password_1');
    cy.get('.login-form--button').click();
    cy.contains('Please enter username/email address').should('exist');
    cy.wait(1000);
    cy.contains('Please enter password').should('exist');
    cy.wait(3000);
  });
  it('check the Remember Me button Check and uncheck ', () => {
    /* ====  visit URL  ==== */
    cy.visit('/');
    cy.get('#formly_2_input_username_0').type('jerry');
    cy.get('#formly_2_password_password_1').type('JSD*24h#');

    /* ====  Check and Uncheck remember me button  ==== */
    cy.get('.mat-checkbox-inner-container').click();
    cy.get('#mat-checkbox-1-input').check();
    cy.get('.mat-checkbox-inner-container').click();
    cy.get('#mat-checkbox-1-input').uncheck();
  });
  it('Check the LogIn to Logout', () => {
    /* ====  visit URL  ==== */
    cy.visit('/');
    cy.get('#formly_2_input_username_0').type('jerry');
    cy.get('#formly_2_password_password_1').type('JSD*24h#');
    cy.get('.login-form--button').click();
    cy.wait(3000);
    cy.get(
      'hash8-platform-user-profile-dropdown > .mat-focus-indicator > .mat-button-wrapper'
    ).click();
    /* ==== Overlay list which contains Logout and My Profile  ==== */
    cy.get('.mat-menu-content > :nth-child(2)').click();
  });
});
