import { Component, OnInit } from '@angular/core';
import { ACCOUNT_MOCK } from './mock-data/account-mock-data';
import { AccountsService } from './service/accounts.service';
import { HttpClient, HttpHeaders } from '@angular/common/http';

@Component({
  selector: 'hash8-platform-accounts',
  templateUrl: './accounts.component.html',
  styleUrls: ['./accounts.component.scss'],
})
export class AccountsComponent implements OnInit {

  account = ACCOUNT_MOCK

  // account: any;

  // treeEvents: any;

  treeEvents = [{
    event: "GET",
    method: "fetchAPI",
    apiUrl: '/api/v1/tree-configurations',//Tree view configuration
    params: {
      getParams: [{
        key: 'organizationUUID',//Tree view configuration Params
        value: ''
      },
      {
        key: 'label',//Tree view configuration params
        value: 'Accounts'
      },
      {
        key: 'reportUUID',//Tree view configuration params
        value: ''
      },
      ]
    }
  }]

  selectedTab: any = 0;

  events = [{
    event: 'GET',
    method: 'fetchAPI',
    apiUrl: '/api/v1/account-configurations',
    params: {
      getParams: [
        {
          key: 'accountUUID'
        },
        {
          key: 'organizationUUID'
        }
      ]
    }

  }]

  constructor(public accountService: AccountsService, public http: HttpClient) {
    // this.fetchEventApi()
  }

  ngOnInit(): void {

  }


  fetchEventApi() {

    let params: any = {};

    this.events?.map((e: any) => {
      if (e?.apiUrl) {
        e?.params?.getParams?.forEach((data: any) => {

          if (data?.value) {
            params[data.key] = data.value;
          }
          else {
            params[data.key] = localStorage.getItem(data.key)

          }
        });
        this.accountService.fetchAPI(e?.apiUrl, params).subscribe((response: any) => {
          this.account = response

          response?.types?.map((d: any) => {
            if (d?.type === 'tree') {
              this.treeEvents = d?.events
            }
          })

        })

      }
    })
  }


  onTabChanged(event: any) {
    //

  }
}
