import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class AccountsService {
  // HTTP Headers
  authenticationToken = localStorage.getItem('access_token')

  headers = new HttpHeaders({
    'Content-Type': 'application/json',
    Authorization: 'Bearer ' + this.authenticationToken
  })

  constructor(public http: HttpClient) { }



  fetchAPI(apiUrl: any, data: any): any {

    let options = {
      headers: this.headers,
      ...data
    }
    return this.http.get(apiUrl, options).pipe((next: any) => {
      return next
    })
  }
}
