import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AppLayoutComponent } from './layout/app-layout/app-layout.component';
import { AuthGuard } from '@hash8io/authentication-web/login';
import { LOGIN_FORM } from './app-store-data/store-data';
// import { InvitationComponent } from 'libs/registration-web/src/lib/invitation/invitation.component';
// import { RegistrationComponent } from '@hash8io/registration-web';
// import { VerificationComponent } from 'libs/registration-web/src/lib/verification/verification.component';
import { InvitationComponent } from '@hash8io/registration-web';
import { RegistrationComponent } from '@hash8io/registration-web';

import { VerificationComponent } from '@hash8io/registration-web';
import { VerificationConfirmationComponent } from 'libs/registration-web/src/lib/verification/verification-confirmation/verification-confirmation.component';
import {
  CommandConfigurationComponent,
  CommandsWebComponent,
} from '@hash8io/commands-web';
import { ForgotPasswordComponent } from 'libs/authentication-web/forgot-password/src/lib/components/forgot-password/forgot-password.component';
import {
  PasswordResetLinkSuccessComponent,
  ResetPasswordComponent,
} from '@hash8io/authentication-web/forgot-password';
const routes: Routes = [
  {
    path: '',
    pathMatch: 'full',
    redirectTo: 'login',
  },
  {
    path: 'login',
    loadChildren: () =>
      import('@hash8io/authentication-web/login').then((m) => m.LoginModule),
    data: {
      template: 'template1',
      loginFormFields: LOGIN_FORM,
    },
  },
  {
    path: 'invitation',
    component: InvitationComponent,
    // loadChildren: () => import('@hash8io/registration-web').then((m) => m.RegistrationWebModule),
    data: {
      template: 'template1',
    },
  },

  {
    path: 'registration',
    component: RegistrationComponent,
    // loadChildren: () => import('@hash8io/registration-web').then((m) => m.RegistrationWebModule),
    data: {
      template: 'template1',
    },
  },
  {
    path: 'confirm-verification',
    component: VerificationConfirmationComponent,
    data: {
      template: 'template1',
    },
  },
  {
    path: 'verification',
    component: VerificationComponent,
    data: {
      template: 'template1',
    },
  },
  {
    path: 'reset-password',
    component: ResetPasswordComponent,
    // data: {
    //   template: 'template1',
    // },
  },
  {
    path: 'forgot-password',
    component: ForgotPasswordComponent,
    // data: {
    //   template: 'template1',
    // },
  },
  {
    path: 'password-reset-link-sent',
    component: PasswordResetLinkSuccessComponent,
    // data: {
    //   template: 'template1',
    // },
  },
  {
    path: '',
    component: AppLayoutComponent,
    children: [
      // {
      //   path: 'commands',
      //   loadChildren: () => import('@hash8io/commands-web').then((m) => m.CommandsWebModule),
      //   data: {
      //     commandsHistoryApiUrl: 'http://localhost:3000/commandsHistoryList',
      //     commandsListApiUrl: 'http://localhost:3000/commandsList'
      //   },
      // },
      {
        path: 'commands',
        component: CommandsWebComponent,
        data: {
          layout: {
            areas: 'sidebar content  history',
            gap: '',
            columns: '25% 50% 25%',
          },
          commandsHistoryApiUrl: 'http://localhost:3000/commandsHistoryList',
          commandsListApiUrl: 'http://localhost:3000/commandsList',
        },
        children: [
          {
            path: ':commandId',
            loadChildren: () =>
              import('@hash8io/commands-web').then((m) => m.CommandsWebModule),
          },
        ],
      },

      {
        path: 'dashboard',
        loadChildren: () =>
          import('./dashboard/dashboard.module').then((m) => m.DashboardModule),
      },
      {
        path: 'cards',
        loadChildren: () =>
          import('./tank/tank.module').then((m) => m.TankModule),
      },
      {
        path: 'status',
        loadChildren: () =>
          import('./vehicle-status/vehicle-status.module').then(
            (m) => m.VehicleStatusModule
          ),
      },
      {
        path: 'pivot',
        loadChildren: () =>
          import('./pivot/pivot.module').then((m) => m.PivotModule),
      },
      {
        path: 'snapshot',
        loadChildren: () =>
          import('./snapshot-page/snapshot-page.module').then(
            (m) => m.SnapshotPageModule
          ),
        data: {},
      },
      {
        path: 'account-hierarchy',
        loadChildren: () =>
          import('./accounts/accounts.module').then((m) => m.AccountsModule),
      },
      {
        path: 'reports',
        loadChildren: () =>
          import('./reports-page/reports-page.module').then(
            (m) => m.ReportsPageModule
          ),
      },
      {
        path: 'tank-snapshot',
        loadChildren: () =>
          import('./tank-snapshot/tank-snapshot.module').then(
            (m) => m.TankSnapshotModule
          ),
      },
      {
        path: 'cascade',
        loadChildren: () =>
          import('./cascade-page/cascade-page.module').then(
            (m) => m.CascadePageModule
          ),
      },

      {
        path: 'components',
        loadChildren: () =>
          import('./components-page/components-page.module').then(
            (m) => m.ComponentsPageModule
          ),
      },
      {
        path: 'forms',
        loadChildren: () =>
          import('./forms-page/forms-page.module').then(
            (m) => m.FormsPageModule
          ),
      },
      {
        path: 'dialog',
        loadChildren: () =>
          import('./dialog-page/dialog-page.module').then(
            (m) => m.DialogPageModule
          ),
      },
      {
        path: 'my-profile',
        loadChildren: () =>
          import('./user-profile-settings/user-profile-settings.module').then(
            (m) => m.UserProfileSettingsModule
          ),
      },
      {
        path: 'my-profile/edit',
        loadChildren: () =>
          import('./user-profile-settings/user-profile-settings.module').then(
            (m) => m.UserProfileSettingsModule
          ),
      },
      {
        path: 'displayPreferences',
        loadChildren: () =>
          import('./user-profile-settings/user-profile-settings.module').then(
            (m) => m.UserProfileSettingsModule
          ),
      },
      {
        path: 'display-preferences',
        loadChildren: () =>
          import('./user-profile-settings/user-profile-settings.module').then(
            (m) => m.UserProfileSettingsModule
          ),
      },
      {
        path: 'change-password',
        loadChildren: () =>
          import('./user-profile-settings/user-profile-settings.module').then(
            (m) => m.UserProfileSettingsModule
          ),
      },
      {
        path: 'displayPreferences/edit',
        loadChildren: () =>
          import('./user-profile-settings/user-profile-settings.module').then(
            (m) => m.UserProfileSettingsModule
          ),
      },
      {
        path: 'display-preferences',
        loadChildren: () =>
          import('./user-profile-settings/user-profile-settings.module').then(
            (m) => m.UserProfileSettingsModule
          ),
      },

      {
        path: 'demo',
        loadChildren: () =>
          import('./demo-components/demo-components.module').then(
            (m) => m.DemoComponentsModule
          ),
      },
      {
        path: 'chart',
        loadChildren: () =>
          import('./chart-page/chart-page.module').then(
            (m) => m.ChartPageModule
          ),
      },
      {
        path: 'creator',
        loadChildren: () =>
          import('./component-creator/component-creator.module').then(
            (m) => m.ComponentCreatorModule
          ),
      },
      {
        path: 'mapping',
        loadChildren: () =>
          import('./map-page/map-page.module').then((m) => m.MapPageModule),
      },
      {
        path: 'map-view',
        loadChildren: () =>
          import('./map-view/map-view.module').then((m) => m.MapViewModule),
      },
      {
        path: 'breadcrumb',
        loadChildren: () =>
          import('./breadcrumb-page/breadcrumb-page.module').then(
            (m) => m.BreadcrumbPageModule
          ),
      },
      {
        path: 'tags',
        loadChildren: () =>
          import('@hash8io/tags-web').then((m) => m.TagsWebModule),
        data: {
          config: {
            name: 'tagsHierarchyDataGrid',
            apiUrl: `/api/v1/tags?userUUID={{data.localStorage.userUUID}}&applicationUUID={{data.localStorage.applicationUUID}}`,
            style: {
              width: '100%',
              height: '550px',
            },
            organizationFilterConfig: {
              hasAllCheckBox: true,
              hasFilter: false,
              hasCollapseExpand: true,
              decoupleChildFromParent: true,
              maxHeight: 400,
              configuration: {
                name: 'organizationFilter',
                label: 'All Organization',
                selection: 'multiple',
                visible: true,
                //Filter data
                apiUrl: `/api/v1/users/{{data.localStorage.userUUID}}/organizations?include=All_Organizations`,

                //dataSource - Array
                events: [
                  {
                    event: 'click',
                    method: 'reloadReport',
                    params: {
                      gridName: 'tagsHierarchyDataGrid',
                      apiUrl:
                        'api/v1/tags?userUUID={{data.localStorage.userUUID}}&organizationUUID={{data.orgFilterUUIDs}}',
                    },
                  },
                ],
              },
            },
          },
        },
      },
      {
        path: 'administration/geofences',
        loadChildren: () =>
          import('@hash8io/geofence-web').then((m) => m.GeofenceWebModule),
        data: {
          config: {
            name: 'geofenceDataGrid',
            // apiUrl: `/api/v1/tags?userUUID={{data.localStorage.userUUID}}&applicationUUID={{data.localStorage.applicationUUID}}`,
            apiUrl: `http://localhost:3000/geofences`,
            style: {
              width: '100%',
              height: 'fill',
              negativeSpace: '110px',
            },
            organizationFilterConfig: {
              hasAllCheckBox: true,
              hasFilter: false,
              hasCollapseExpand: true,
              decoupleChildFromParent: true,
              maxHeight: 400,
              configuration: {
                name: 'organizationFilter',
                label: 'All Organization',
                selection: 'multiple',
                visible: true,
                //Filter data
                apiUrl: `/api/v1/users/{{data.localStorage.userUUID}}/organizations?include=All_Organizations`,

                //dataSource - Array
                events: [
                  {
                    event: 'click',
                    method: 'reloadReport',
                    params: {
                      gridName: 'geofenceDataGrid',
                      apiUrl:
                        'api/v1/tags?userUUID={{data.localStorage.userUUID}}&organizationUUID={{data.orgFilterUUIDs}}',
                    },
                  },
                ],
              },
            },
          },
        },
      },
      {
        path: 'messages',
        children: [
          {
            path: '',
            redirectTo: 'decoded-messages',
            pathMatch: 'full',
          },
          {
            path: 'decoded-messages',
            loadChildren: () =>
              import(
                '@hash8io/device-messages-web/decoded-messages-report'
              ).then((m) => m.DecodedMessagesReportModule),
            data: {
              appSelected: 1,
              gridConfig: {
                title: 'Decoded Messages',
                iconUrl: 'layers',
                name: 'decodedMessagesDataGrid',
                apiUrl: '/api/v1/decoded-messages',
              },
            },
            canActivate: [AuthGuard],
          },
          {
            path: 'raw-messages',
            loadChildren: () =>
              import('@hash8io/device-messages-web/raw-messages-report').then(
                (m) => m.RawMessagesReportModule
              ),
            data: {
              appSelected: 1,
              gridConfig: {
                title: 'Raw Messages',
                iconUrl: 'layers',
                name: 'rawMessagesDataGrid',
                apiUrl: '/api/v1/raw-messages',
              },
            },
            canActivate: [AuthGuard],
          },
        ],
      },
    ],
  },
  // {
  //   path: '**',
  //   pathMatch: 'full',
  //   component: DashboardComponent,
  // },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
})
export class AppRoutingModule {}
