// export const MOCK_MEGAMENU_REPORTS = {
//   navigationMenu: [
//     {
//       label: 'Decoded Messages',
//       targetUrl: '/reports/decoded-messages',
//       apiUrl: 'v1/status',
//       iconUrl: 'water_damage',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     {
//       label: 'Raw Messages',
//       targetUrl: '/reports/raw-messages',
//       apiUrl: 'v1/dashboard',
//       iconUrl: 'grid_view',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//   ],
// };

import { FormModel } from '@hash8io/forms-web';

// export const MOCK_MEGAMENU_ASSET = {
//   navigationMenu: [
//     {
//       label: 'Dashboard',
//       targetUrl: '/dashboard',
//       apiUrl: 'v1/dashboard',
//       iconUrl: 'grid_view',
//       type: 'link',
//       visible: true,
//       clickable: false,
//       hasSubMenu: false,
//     },

//     {
//       label: 'Lift Stations',
//       targetUrl: '/status',
//       apiUrl: 'v1/status',
//       iconUrl: 'water_damage',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     {
//       label: 'Mapping',
//       targetUrl: '/mapping',
//       apiUrl: 'v1/mapping',
//       iconUrl: 'map',
//       type: 'link',
//       visible: true,
//       clickable: false,
//       hasSubMenu: false,
//     },
//   ],
// };

//Login_Form
export const LOGIN_FORM: FormModel = {
  fields: [
    {
      type: '#text',
      key: 'username',
      className: 'w-full',
      props: {
        label: 'Username',
        required: true,
        hideLabel: true,
      },
      extras: {
        labelOverInput: true,
      },
    },
    {
      type: '#password',
      key: 'password',
      className: 'w-full',
      props: {
        label: 'Password',
        required: true,
        hideLabel: true,
      },
      extras: {
        labelOverInput: true,
      },
    },
    {
      type: '#group',
      fieldGroupClassName: 'flex w-full justify-between',
      fieldGroup: [
        {
          type: '#checkbox',
          key: 'rememberMe',
          props: {
            text: 'Remember Me',
            hideLabel: true,
            color: 'primary',
          },
          extras: {
            labelOverInput: true,
          },
        },
        {
          template: `<a href="/" class="hover:underline hover:text-primary text-xs">Forgot Password?</a>`,
        },
      ],
    },
  ],
  options: {
    submitLabel: 'Sign In',
    hasReset: false,
    submitLabelClass: ['w-full'],
    submitLabelColor: 'primary',
  },
};

// export const STORE_MOCK_OBJ = {
//   loginState: {
//     state: '',
//     isAuthenticated: false,
//     failedCount: 0,
//     isLoading: false,
//     error: false,
//     errorMessage: '',
//     invalidTriesCount: 0,
//   },
//   branding: {
//     applicationName: 'Hash8 Platform',
//     applicationShortName: 'Hash8',
//     applicationTagLine: 'A one stop IoT Platform',
//     // apiUrl: 'https://tankiq-test.rt1cloud.com/api',
//     apiUrl: '/api',
//     faviconUrl: 'https://hash8.io/assets/favicon.ico',
//     mainLogoLight: '',
//     mainLogoDark: 'https://hash8.io/assets/logo-dark-120px-120px.png',
//     footerLogoLight: 'https://hash8.io/assets/logo-light-120px-120px.png',
//     footerLogoDark: 'https://hash8.io/assets/logo-dark-120px-120px.png',
//     poweredBy: 'Hash8.io',

//     //Hash8 View
//     heroSection: {
//       showContent: true,
//     },
//     loginForm: {
//       logo: {

//       }
//     }
//   },
//   header: {
//     showAlertPanel: true,
//     alertPanel:
//       [{
//         iconUrl: 'home',
//         iconColor: 'rgba(0, 63, 111, 0.5)',
//         color: 'grey',
//         tooltip: 'Lift Station Alerts',
//         iconSize: 'text-md',
//         badgeSize: "small",
//         badgeColor: "primary",
//         label: 0,
//       },
//       {
//         iconUrl: 'build',
//         iconColor: 'rgba(0, 63, 111, 0.5)',
//         color: 'red',
//         tooltip: 'Lift Station Maintenance Due Alerts',
//         iconSize: 'text-md',
//         badgeSize: "small",
//         badgeColor: "primary",
//         label: 0,
//       },]
//   },
//   theme: {
//     name: 'hash8-default',
//     layout: 'horizontal',
//     defaultMode: 'light',
//     fontFamily: 'dinNext', // Inter, dinNext
//     fontSize: '16px',
//     primaryColor: 'rgb(101, 88, 246)',
//     accentColor: 'rgb(32, 120, 104)',
//     warningColor: 'rgb(244, 82, 60)',
//   },
//   applicationSegments: {
//     login: {
//       name: 'Login',
//       targetUrl: '/v1/login',
//       apiUrl: '/v1/login',
//       type: 'button',
//       visible: true,
//       clickable: true,
//       redirectUrl: '/dashboard', //To Do: Change
//     },
//     poweredBy: {
//       name: 'Powered by Hash8.io',
//       targetUrl: null,
//       apiUrl: null,
//       type: '',
//       visible: true,
//       clickable: false,
//     },
//     forgotPassword: {
//       name: 'Forgot Password?',
//       targetUrl: '/forgot-password',
//       type: 'link',
//       apiUrl: '/v1/user-password-reset',
//       visible: true,
//       clickable: true,
//     },
//     copyright: {
//       name: 'Copyright Hash8.io Private Limited',
//       targetUrl: null,
//       apiUrl: null,
//       type: '',
//       visible: true,
//       clickable: false,
//     },
//     termsConditions: {
//       name: 'Terms of Use',
//       targetUrl: '/terms-and-conditions',
//       apiUrl: '/v1/terms-and-conditions',
//       type: 'link',
//       visible: true,
//       clickable: true,
//     },
//     privacyPolicy: {
//       name: 'Privacy Policy',
//       targetUrl: '/privacy-policy',
//       apiUrl: '/v1/privacy-policy',
//       type: 'link',
//       visible: true,
//       clickable: true,
//     },
//     support: {
//       name: 'Contact Us',
//       targetUrl: '/contact-us',
//       apiUrl: '/v1/contact-us',
//       type: 'link',
//       visible: true,
//       clickable: true,
//     },
//   },
//   userDetails: {
//     uuid: '604e349f-ce47-4f54-a347-41de0d72e94e',
//     firstName: 'Jonathan',
//     lastName: 'Ive',
//     username: 'jonathanive',
//     email: 'jonathan@autocavo.com',
//     phoneNumber: '(740) 271-0643',
//   },
//   userDisplaySettings: {
//     uuid: '22fe7aa5-e46a-4c0c-8f69-ff8a7e621352',
//     dateFormat: 'mm/dd/yyyy',
//     dateTimeFormat: 'mm/dd/yyyy hh:mm a',
//     distance: 'mile',
//     level: 'centimeter',
//     temperature: 'celcius',
//     timeFormat: 'hh:mm a',
//     timeZone: 'EDT',
//     volume: 'liter',
//     weight: 'kilogram',
//   },
//   userSettings: {
//     enableDarkMode: false,
//   },
//   approvedApplications: [
//     {
//       name: 'Tank Management',
//       targetUrl: '',
//       apiUrl: '',
//       type: 'link',
//       iconUrl: 'layers',
//       visible: true,
//       clickable: true,
//     },
//     {
//       name: 'Application Management',
//       targetUrl: '',
//       apiUrl: '',
//       type: 'link',
//       iconUrl: 'layers',
//       visible: true,
//       clickable: true,
//     },
//     {
//       name: 'Organization Management',
//       targetUrl: '',
//       apiUrl: '',
//       type: 'link',
//       iconUrl: 'layers',
//       visible: true,
//       clickable: true,
//     },
//   ],
//   navigationMenu: [
//     {
//       label: 'Dashboard',
//       targetUrl: '/dashboard',
//       apiUrl: 'v1/dashboard',
//       iconUrl: 'layers',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     {
//       label: 'Tanks',
//       targetUrl: '/tanks',
//       apiUrl: '',
//       iconUrl: 'oil_barrel',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     {
//       label: 'Tanks',
//       targetUrl: '/status',
//       apiUrl: 'v1/status',
//       iconUrl: 'local_shipping',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     {
//       label: 'Pumps',
//       targetUrl: '/pumps',
//       apiUrl: 'v1/pumps',
//       iconUrl: 'local_shipping',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     {
//       label: 'Pivot',
//       targetUrl: '/pivot',
//       apiUrl: 'v1/pivot',
//       iconUrl: 'local_shipping',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     {
//       label: 'Snapshots',
//       targetUrl: '/snapshot',
//       apiUrl: '',
//       iconUrl: 'web',
//       type: 'dropdown',
//       visible: true,
//       clickable: true,
//       hasSubMenu: true,
//       subMenus: [
//         {
//           label: 'Tank Snapshot',
//           targetUrl: '/snapshot/1',
//           visible: true,
//           clickable: true,
//           type: 'link',
//           configApiUrl: '',
//           apiUrl: '',
//           hasSubMenu: false,
//         },
//         {
//           label: 'Smart Watch',
//           targetUrl: '/snapshot/2',
//           visible: true,
//           clickable: true,
//           type: 'link',
//           configApiUrl: '',
//           apiUrl: '',
//           hasSubMenu: false,
//         },
//         {
//           label: 'Vehicle Snapshot',
//           targetUrl: '/snapshot/3',
//           visible: true,
//           clickable: true,
//           type: 'link',
//           configApiUrl: '',
//           apiUrl: '',
//           hasSubMenu: false,
//         },
//       ],
//     },
//     {
//       label: 'Vehicle',
//       targetUrl: '/vehicle',
//       apiUrl: 'v1/vehicle',
//       iconUrl: 'grid_on',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     {
//       label: 'Trip',
//       targetUrl: '/trip',
//       apiUrl: 'v1/trip',
//       iconUrl: 'grid_on',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     {
//       label: 'Components',
//       type: 'heading',
//     },
//     {
//       label: 'Atomic Components',
//       targetUrl: '/components',
//       apiUrl: '',
//       iconUrl: 'workspaces',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     {
//       label: 'Report Grid',
//       targetUrl: '/reports',
//       apiUrl: '',
//       iconUrl: 'web',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     {
//       label: 'Cascade Report',
//       targetUrl: '/cascade',
//       apiUrl: '',
//       iconUrl: 'web',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },

//     {
//       label: 'Snapshots',
//       targetUrl: '/snapshot',
//       apiUrl: '',
//       iconUrl: 'web',
//       type: 'dropdown',
//       visible: true,
//       clickable: true,
//       hasSubMenu: true,
//       subMenus: [
//         {
//           label: 'Type 01',
//           targetUrl: '/snapshot/1',
//           visible: true,
//           clickable: true,
//           type: 'link',
//           configApiUrl: '',
//           apiUrl: '',
//           hasSubMenu: false,
//         },
//         {
//           label: 'Type 02',
//           targetUrl: '/snapshot/2',
//           visible: true,
//           clickable: true,
//           type: 'link',
//           configApiUrl: '',
//           apiUrl: '',
//           hasSubMenu: false,
//         },
//         {
//           label: 'Type 03',
//           targetUrl: '/snapshot/3',
//           visible: true,
//           clickable: true,
//           type: 'link',
//           configApiUrl: '',
//           apiUrl: '',
//           hasSubMenu: false,
//         },
//       ],
//     },
//     {
//       label: 'Forms',
//       targetUrl: '/forms',
//       apiUrl: '',
//       iconUrl: 'web',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     {
//       label: 'Dialog',
//       targetUrl: '/dialog',
//       apiUrl: '',
//       iconUrl: 'web',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     {
//       label: 'Chart',
//       targetUrl: '/chart',
//       apiUrl: '',
//       iconUrl: 'web',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     {
//       label: 'GIS / Mapping',
//       targetUrl: '/mapping',
//       apiUrl: '',
//       iconUrl: 'web',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     // {
//     //   label: 'Demo',
//     //   type: 'heading',
//     // },
//     // {
//     //   label: 'Demo Component 1',
//     //   targetUrl: '/demo',
//     //   apiUrl: '',
//     //   iconUrl: 'web',
//     //   type: 'link',
//     //   visible: true,
//     //   clickable: true,
//     //   hasSubMenu: false,
//     // },
//     {
//       label: 'Functional Component',
//       type: 'heading',
//     },
//     {
//       label: 'Breadcrumb Map',
//       targetUrl: '/breadcrumb',
//       apiUrl: '',
//       iconUrl: 'web',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     {
//       label: 'Component Creator',
//       type: 'heading',
//     },
//     {
//       label: 'Creator Page',
//       targetUrl: '/creator',
//       apiUrl: 'v1/creator',
//       iconUrl: 'integration_instructions',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//   ],
// };

// export const DECODED_MESSAGES_REPORT_CONFIG = {
//   title: 'Decoded Messages',
//   icon: 'layer',
//   reportUUID: 606,
//   apiUrl: '/api/v1/decoded-messages',
//   options: {
//     showTitle: false,
//     showBreadcrumb: false,
//     showSearch: true,
//     showSettings: true,
//     showActions: true,
//     editable: false,
//     showLegends: false,
//   },
//   breadcrumbs: [
//     {
//       urlPath: '',
//       label: '',
//       value: '',
//     },
//     {
//       urlPath: '',
//       label: '',
//       value: '',
//     },
//   ],
//   style: {
//     height: '450px',
//   },
//   settings: [
//     {
//       label: ' Export to CSV',
//       iconUrl: 'file_download',
//       urlPath: '',
//       isActive: true,
//     },
//     {
//       label: ' Export to Excel',
//       iconUrl: 'file_download',
//       urlPath: '',
//       isActive: true,
//     },
//   ],

//   count: {
//     label: 'Messages',
//     value: '',
//   },
// };

// export const RAW_MESSAGES_REPORT_CONFIG = {
//   title: 'Raw Messages',
//   icon: 'layer',
//   reportUUID: 606,
//   apiUrl: '/api/v1/raw-messages',
//   options: {
//     showTitle: false,
//     showBreadcrumb: false,
//     showSearch: true,
//     showSettings: true,
//     showActions: true,
//     editable: false,
//     showLegends: false,
//   },
//   breadcrumbs: [
//     {
//       urlPath: '',
//       label: '',
//       value: '',
//     },
//     {
//       urlPath: '',
//       label: '',
//       value: '',
//     },
//   ],
//   style: {
//     height: '450px',
//   },
//   settings: [
//     {
//       label: ' Export to CSV',
//       iconUrl: 'file_download',
//       urlPath: '',
//       isActive: true,
//     },
//     {
//       label: ' Export to Excel',
//       iconUrl: 'file_download',
//       urlPath: '',
//       isActive: true,
//     },
//   ],

//   count: {
//     label: 'Messages',
//     value: '',
//   },
// };

//AssetIQ mock data
export const MOCK_MEGAMENU_REPORTS = {
  navigationMenu: [
    {
      label: 'Decoded Messages',
      targetUrl: '/reports/decoded-messages',
      apiUrl: 'v1/status',
      iconUrl: 'water_damage',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Raw Messages',
      targetUrl: '/reports/raw-messages',
      apiUrl: 'v1/dashboard',
      iconUrl: 'grid_view',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
  ],
};

export const MOCK_MEGAMENU_ASSET = {
  navigationMenu: [
    {
      label: 'Dashboard',
      targetUrl: '/dashboard',
      apiUrl: 'v1/dashboard',
      iconUrl: 'grid_view',
      type: 'link',
      visible: true,
      clickable: false,
      hasSubMenu: false,
    },

    {
      label: 'Lift Stations',
      targetUrl: '/status',
      apiUrl: 'v1/status',
      iconUrl: 'water_damage',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Mapping',
      targetUrl: '/mapping',
      apiUrl: 'v1/mapping',
      iconUrl: 'map',
      type: 'link',
      visible: true,
      clickable: false,
      hasSubMenu: false,
    },
  ],
};

export const STORE_MOCK_OBJ = {
  loginState: {
    state: '',
    isAuthenticated: false,
    failedCount: 0,
    isLoading: false,
    error: false,
    errorMessage: '',
    invalidTriesCount: 0,
  },
  registerState: {
    state: '',
    isAuthenticated: false,
    failedCount: 0,
    isLoading: false,
    error: false,
    errorMessage: '',
    invalidTriesCount: 0,
  },
  branding: {
    applicationName: 'AssetiQ',
    applicationShortName: 'AssetiQ',
    applicationTagLine: 'Lift Station Monitoring & Control System',
    // description: 'Remotely Manage Water Tanks & Flow Control',
    // apiUrl: 'https://tankiq-test.rt1cloud.com/api',
    apiUrl: '/api/v1/login',
    faviconUrl: '../assets/favicon.ico',
    mainLogoLight: 'assets/AssetIQ_logo.svg',
    showImageLogo: true,
    mainLogoDark: 'assets/AssetIQ_logo.svg',
    footerLogoLight: 'assets/AssetIQ_logo.svg',
    footerLogoDark: 'assets/AssetIQ_logo.svg',
    poweredBy: 'Hash8.io',
    heroLogoUrl: 'assets/AssetIQ_logo.svg',

    //Trial

    heroSection: {
      showContent: false,
      style: {
        'background-color': '#000000',
      },
      backgroundImageUrl: 'assets/hero_bg_final.png',
      content: [
        {
          type: 'image',
          imageUrl: 'assets/AssetIQ_hero_image.png',
          class: '',
          visible: true,
        },
      ],
    },
    loginForm: {
      style: {},
      backgroundImageUrl: 'assets/login_bg_final.png',
      content: [
        {
          type: 'image',
          imageUrl: 'assets/AssetIQ_logo.svg',
          class: 'w-24 h-24 ',
          visible: true,
        },
        {
          type: 'text',
          text: 'Integrated Telemetry Across All Assets',
          class: 'font-bold text-2xl text-gray-900',
          visible: true,
        },
        {
          type: 'text',
          text: 'Tank Level Monitoring, Water and Waste Water SCADA, Refrigerated ISO Containers, GPS Telemetry.',
          class: 'text-xs text-gray-500 pt-2',
          visible: true,
        },
      ],

      support: {
        name: 'Contact us',
        targetUrl: '/contact-us',
        apiUrl: '/v1/contact-us',
        type: 'link',
        visible: true,
        clickable: true,
      },
      showAgreement: true,
    },

    registerForm: {
      style: {},
      backgroundImageUrl: 'assets/login_bg_final.png',
      content: [
        {
          type: 'image',
          imageUrl: 'assets/AssetIQ_logo.svg',
          class: 'w-24 h-15 pt-4 ',
          visible: true,
        },
        // {
        //   type: 'text',
        //   text: 'Integrated telemetry across all assets',
        //   class: 'font-bold text-2xl text-gray-900',
        //   visible: true
        // },
        // {
        //   type: 'text',
        //   text: 'Tank level monitoring, water and waste water SCADA, refrigerated ISO containers, GPS Telemetry.',
        //   class: 'text-xs text-gray-500 pt-2',
        //   visible: true
        // },
      ],

      support: {
        name: 'Contact us',
        targetUrl: '/contact-us',
        apiUrl: '/v1/contact-us',
        type: 'link',
        visible: true,
        clickable: true,
      },
      showAgreement: true,
    },
  },
  header: {
    logo: {
      style: {
        width: '90px',
        height: '37px',
      },
    },
    showAlertPanel: true,
    alertPanel: [
      {
        iconUrl: 'home',
        iconColor: 'rgba(0, 63, 111, 0.5)',
        color: 'grey',
        tooltip: 'Lift Station Alerts',
        iconSize: 'text-md',
        badgeSize: 'small',
        badgeColor: 'primary',
        label: 0,
      },
      {
        iconUrl: 'build',
        iconColor: 'rgba(0, 63, 111, 0.5)',
        color: 'red',
        tooltip: 'Lift Station Maintenance Due Alerts',
        iconSize: 'text-md',
        badgeSize: 'small',
        badgeColor: 'primary',
        label: 0,
      },
    ],
  },
  theme: {
    name: 'hash8-default',
    layout: 'horizontal',
    defaultMode: 'light',
    fontFamily: 'dinNext', // Inter, dinNext
    fontSize: '16px',
    primaryColor: '#001ADD',
    accentColor: 'rgb(32, 120, 104)',
    warningColor: 'rgb(244, 82, 60)',
  },
  appVersion: '1.0',
  applicationSegments: {
    login: {
      name: 'Login',
      targetUrl: '/v1/login',
      apiUrl: '/api/v1/login',
      type: 'button',
      visible: true,
      clickable: true,
      redirectUrl: '/status',
      events: [
        {
          event: 'success',
          method: 'clearValue',
          params: {
            key: 'app-selected',
          },
          type: 'localStorage',
        },
        {
          event: 'success',
          method: 'setValue',
          params: {
            key: 'app-selected',
            value: '1',
          },
          type: 'localStorage',
        },
        {
          event: 'success',
          method: 'redirectUrl',
          params: {
            url: '/status',
          },
          type: 'utils',
        },
      ],
    },
    invitation: {
      name: 'invitation',
      events: [
        {
          event: 'pageLoad',
          method: 'saveQueryParams',
          params: {
            queryParams: [
              {
                key: 'invitationUUID',
                store: true,
                storeName: 'invitationUUID',
              },
              {
                key: 'email',
                store: true,
                storeName: 'invitationEmail',
              },
              {
                key: 'loggedEmail',
                store: true,
                storeName: 'loggedInUserEmail',
              },
            ],
          },
          events: [
            // {
            //   event: 'pageLoad',
            //   method: 'showToast',
            //   enabled: 'data.loggedInUserEmail === data.invitationEmail',
            //   params: {
            //     message: 'Success'
            //   }
            // },
            // {
            //   event: 'pageLoad',
            //   method: 'goToPage',
            //   enabled: 'data.loggedInUserEmail === data.invitationEmail',
            //   params: {
            //     urlPath: '/status'
            //   }

            // },
            // {
            //   event: 'pageLoad',
            //   method: 'showToast',
            //   enabled: 'data.loggedInUserEmail !== data.invitationEmail',
            //   params: {
            //     message: 'Already user logged in'
            //   }
            // },
            {
              event: 'pageLoad',
              method: 'fetchAPI',
              // enabled: 'data.loggedInUserEmail !== data.invitationEmail',
              params: {
                apiUrl: '/api/v1/customer-registration-form-details',
                getParams: [
                  {
                    key: 'invitationUUID',
                  },
                ],
                noAccessToken: true,
              },
              events: [
                {
                  event: 'success',
                  method: 'setLocalStorage',
                  enabled: 'data.email',
                  params: {
                    storeParams: [
                      {
                        key: 'email',
                        store: true,
                        storeName: 'email',
                      },
                      {
                        key: 'userRoleName',
                        store: true,
                        storeName: 'userRoleName',
                      },
                      {
                        key: 'organizationName',
                        store: true,
                        storeName: 'organizationName',
                      },
                    ],
                  },
                },
                {
                  event: 'pageLoad',
                  method: 'goToPage',
                  enabled: '!data.email',

                  params: {
                    urlPath: '/login',
                  },
                  type: '',
                },
                {
                  event: 'success',
                  method: 'showToast',
                  enabled: '!data.email',

                  params: {
                    type: 'information',
                    message:
                      'You already registered on our site. Please sign in with your credentials',
                  },
                },
                {
                  event: 'success',
                  enabled: 'data.email',
                  method: 'goToPage',
                  params: {
                    urlPath: '/registration',
                  },
                  type: '',
                },
              ],
            },
          ],
        },

        // {
        //   event: 'pageLoad',
        //   method: 'getLocalStorage',
        //   params: {
        //     storeParams: [{
        //       key: 'invitationUUID',
        //     }]
        //   },

        //   events: [
        //     {
        //       event: 'success',
        //       method: 'fetchAPI',
        //       params: {
        //         apiUrl: '/api/v1/customer-registration-form-details',
        //         getParams: [{
        //           key: 'invitationUUID',
        //         }]
        //       },
        //       events: [
        //         {
        //           event: 'success',
        //           method: 'setLocalStorage',
        //           enabled: "data.email",
        //           params: {
        //             storeParams: [
        //               {
        //                 key: 'email',
        //                 store: true,
        //                 storeName: 'email',
        //               },
        //               {
        //                 key: 'userRoleName',
        //                 store: true,
        //                 storeName: 'userRoleName',
        //               },
        //               {
        //                 key: 'organizationName',
        //                 store: true,
        //                 storeName: 'organizationName',
        //               },
        //             ],
        //           },
        //         },
        //         {
        //           event: 'pageLoad',
        //           method: 'goToPage',
        //           enabled: "message ==='user already registered via this invitations'",

        //           params: {
        //             urlPath: '/login',
        //           },
        //           type: '',

        //         },
        //         {
        //           event: 'success',
        //           method: 'showToast',
        //           enabled: "message ==='user already registered via this invitations'",

        //           params: {
        //             type: 'information',
        //             message: 'You already registered on our site. Please sign in with your credentials'
        //           }
        //         },
        //         {
        //           event: 'success',
        //           enabled: 'data.email',
        //           method: 'goToPage',
        //           params: {
        //             urlPath: '/registration',
        //           },
        //           type: '',
        //         },

        //         // {
        //         //   event: 'success',
        //         //   method: 'checkCondition',
        //         //   condition: 'data.email',
        //         //   events: [
        //         //     {
        //         //       event: 'success',
        //         //       method: 'setLocalStorage',
        //         //       condition: "data.email",
        //         //       params: {
        //         //         storeParams: [
        //         //           {
        //         //             key: 'email',
        //         //             store: true,
        //         //             storeName: 'email',
        //         //           },
        //         //           {
        //         //             key: 'userRoleName',
        //         //             store: true,
        //         //             storeName: 'userRoleName',
        //         //           },
        //         //           {
        //         //             key: 'organizationName',
        //         //             store: true,
        //         //             storeName: 'organizationName',
        //         //           },
        //         //         ],
        //         //       },
        //         //     },
        //         //     {
        //         //       event: 'success',
        //         //       method: 'goToPage',
        //         //       params: {
        //         //         urlPath: '/registration',
        //         //       },
        //         //       type: '',
        //         //     },

        //         //   ]
        //         // },
        //         // {
        //         //   event: 'success',
        //         //   method: 'checkCondition',
        //         //   condition: "message ==='user already registered via this invitations'",
        //         //   events: [
        //         //     {
        //         //       event: 'pageLoad',
        //         //       method: 'goToPage',
        //         //       params: {
        //         //         urlPath: '/login',
        //         //       },
        //         //       type: '',

        //         //     },
        //         //     {
        //         //       event: 'success',
        //         //       method: 'showToast',
        //         //       params: {
        //         //         type: 'information',
        //         //         message: 'You already registered on our site. Please sign in with your credentials'
        //         //       }
        //         //     },
        //         //   ]
        //         // }

        //       ],

        //     },
        //   ]
        // }
      ],
    },
    resetPassword: {
      name: 'Forgot Password',
      events: [
        {
          event: 'pageLoad',
          method: 'saveQueryParams',
          params: {
            queryParams: [
              {
                key: 'uuid',
                store: true,
                storeName: 'uuid',
              },
            ],
          },
          events: [
            {
              event: 'pageLoad',
              method: 'fetchAPI',
              params: {
                apiUrl: '/api/v1/user-reset-password-link-verifications',
                getParams: [
                  {
                    key: 'uuid',
                  },
                ],
                noAccessToken: true,
              },
              events: [
                {
                  event: 'success',
                  method: 'setLocalStorage',
                  enabled: 'data.uuid',
                  params: {
                    storeParams: [
                      {
                        key: 'email',
                        store: true,
                        storeName: 'email',
                      },
                      {
                        key: 'uuid',
                        store: true,
                        storeName: 'uuid',
                      },
                      {
                        key: 'userUUID',
                        store: true,
                        storeName: 'userUUID',
                      },
                    ],
                  },
                },
                // {
                //   event: 'pageLoad',
                //   method: 'goToPage',
                //   enabled: 'data.message ==="Link already expired"',
                //   params: {
                //     urlPath: '/invalid-link',
                //   },
                //   type: '',
                // },

                // {
                //   event: 'success',
                //   enabled: 'data.uuid',
                //   method: 'goToPage',
                //   params: {
                //     urlPath: '/reset-password',
                //   },
                //   type: '',
                // },
                {
                  event: 'success',
                  method: 'hide',
                  enabled: 'data.uuid',
                  params: {
                    id: 'validation-loader',
                  },
                },
                {
                  event: 'success',
                  method: 'hide',
                  enabled: '!data.uuid',
                  params: {
                    id: 'validation-loader',
                  },
                },
                {
                  event: 'success',
                  method: 'show',
                  enabled:
                    '!data.uuid || data.message === "Invalid link" || data.message === "Link already expired"',
                  params: {
                    id: 'invalid-reset-link',
                  },
                },
                {
                  event: 'success',
                  method: 'show',
                  enabled: 'data.uuid',
                  params: {
                    id: 'resetPassword',
                  },
                },
              ],
            },
          ],
        },
      ],
    },

    registration: {
      name: 'Registration',
      events: [
        {
          event: 'success',
          method: 'postAPI',
          params: {
            apiUrl: '/api/v1/customers',
            bodyParams: [
              {
                key: 'invitationUUID',
              },
            ],
          },
          events: [
            {
              event: 'success',
              method: 'goToPage',
              params: {
                urlPath: '/login',
              },
            },
          ],
        },
      ],
    },

    userVerification: {
      name: 'verification',
      email: {
        disabled: false,
        visible: true,
        hasResend: true,
        resendTimer: 10000,
      },
      phoneNumber: {
        disabled: false,
        visible: true,
        hasResend: true,
        resendTimer: 10000,
      },
      submit: {
        submitLabel: 'Validate Email and Phone Number',
        color: 'accent',
        events: [
          {
            event: 'submit',
            method: 'postAPI',
            params: {
              apiUrl: 'https://reqres.in/api/users',
              bodyParams: [
                {
                  key: 'page',
                },
                //   {
                //   key: 'emailOtp'
                // },
                // {
                //   key: 'phoneNumberOtp'
                // }
              ],
            },
            events: [
              {
                event: 'success',
                method: 'goToPage',
                params: {
                  urlPath: '/login',
                },
              },
            ],
          },
        ],
      },
    },

    forgotPassword: {
      name: 'Forgot Password?',
      targetUrl: '/forgot-password',
      type: 'link',
      apiUrl: '/v1/user-password-reset',
      visible: true,
      clickable: true,
    },
    copyright: {
      name: 'Copyright Hash8.io Private Limited',
      targetUrl: null,
      apiUrl: null,
      type: '',
      visible: true,
      clickable: false,
    },
    termsConditions: {
      name: 'Terms & Conditions',
      absoluteUrl:'https://www.ruggedtelemetry.com/terms-and-conditions',
      targetUrl: null,
      apiUrl: null,
      type: 'link',
      visible: true,
      clickable: true,
    },
    privacyPolicy: {
      name: 'Privacy Policy',
      absoluteUrl:'https://www.ruggedtelemetry.com/privacy',
      targetUrl: null,
      apiUrl: null,
      type: 'link',
      visible: true,
      clickable: true,
    },
    support: {
      name: 'Contact Us',
      targetUrl: '/contact-us',
      apiUrl: '/v1/contact-us',
      type: 'link',
      visible: true,
      clickable: true,
    },
    notification: {
      clientKey: 'OTE2NmE3NWItNjBhZS00M2JhLWFkNDEtZDcyODkxYjQzMGQxL3Rlc3Q=',
    },
  },
  userDetails: {
    uuid: '604e349f-ce47-4f54-a347-41de0d72e94e',
    firstName: 'Jason',
    lastName: 'Carabetta',
    username: 'jasonCarabetta',
    email: 'jason@ruggedtelemetry.com',
    phoneNumber: '(740) 271-0643',
  },
  userDisplaySettings: {
    uuid: '22fe7aa5-e46a-4c0c-8f69-ff8a7e621352',
    dateFormat: 'mm/dd/yyyy',
    dateTimeFormat: 'mm/dd/yyyy hh:mm a',
    distance: 'mile',
    level: 'centimeter',
    temperature: 'celcius',
    timeFormat: '( GMT-5 ) EST',
    timeZone: 'EDT',
    volume: 'liter',
    weight: 'kilogram',
  },
  userSettings: {
    enableDarkMode: false,
  },
  approvedApplicationsConfiguration: {
    title: 'Application Management',
    description: 'This section will allow to manage multiple applications',
  },
  approvedApplications: [
    {
      id: '1',
      name: 'Asset Management',
      targetUrl: '/status',
      apiUrl: '',
      type: 'link',
      iconUrl: 'summarize',
      visible: true,
      clickable: true,
      navigationMenu: MOCK_MEGAMENU_ASSET.navigationMenu,
      events: [
        {
          event: 'click',
          method: 'setValue',
          params: {
            key: 'app-selected',
            value: '1',
          },
          type: 'localStorage',
        },
        {
          event: 'click',
          method: 'changeNavigation',
          params: {
            navigationMenu: MOCK_MEGAMENU_ASSET.navigationMenu,
          },
          type: '',
        },
      ],
    },
    {
      id: '2',
      name: 'Reports',
      targetUrl: '/reports',
      apiUrl: '',
      type: 'link',
      iconUrl: 'summarize',
      visible: true,
      clickable: true,
      navigationMenu: MOCK_MEGAMENU_REPORTS.navigationMenu,
      events: [
        {
          event: 'click',
          method: 'changeNavigation',
          params: {
            navigationMenu: MOCK_MEGAMENU_REPORTS.navigationMenu,
          },
          type: '',
        },
        {
          event: 'click',
          method: 'setValue',
          params: {
            key: 'app-selected',
            value: '2',
          },
          type: 'localStorage',
        },
      ],
    },
    {
      id: '3',
      name: 'Administration',
      targetUrl: 'administrations',
      apiUrl: '',
      type: 'link',
      iconUrl: 'manage_accounts',
      visible: true,
      clickable: true,
      // navigationMenu: MOCK_MEGAMENU_ADMINISTRATIONS.navigationMenu,
      events: [
        {
          event: 'click',
          method: 'changeNavigation',
          params: {
            // navigationMenu: MOCK_MEGAMENU_ADMINISTRATIONS.navigationMenu
          },
          type: '',
        },
        {
          event: 'click',
          method: 'setValue',
          params: {
            key: 'app-selected',
            value: '3',
          },
          type: 'localStorage',
        },
      ],
    },
  ],
  // navigationMenu: [
  //   {
  //     label: 'Dashboard',
  //     targetUrl: '/dashboard',
  //     apiUrl: 'v1/dashboard',
  //     iconUrl: 'grid_view',
  //     type: 'link',
  //     visible: true,
  //     clickable: false,
  //     hasSubMenu: false,
  //   },

  //   {
  //     label: 'Lift Stations',
  //     targetUrl: '/status',
  //     apiUrl: 'v1/status',
  //     iconUrl: 'water_damage',
  //     type: 'link',
  //     visible: true,
  //     clickable: true,
  //     hasSubMenu: false,
  //   },
  //   {
  //     label: 'Mapping',
  //     targetUrl: '/mapping',
  //     apiUrl: 'v1/mapping',
  //     iconUrl: 'map',
  //     type: 'link',
  //     visible: true,
  //     clickable: false,
  //     hasSubMenu: false,
  //   },

  // ],
};

export const DECODED_MESSAGES_REPORT_CONFIG = {
  title: 'Decoded Messages',
  icon: 'layer',
  reportUUID: 606,
  apiUrl: '/api/v1/decoded-messages',
  options: {
    showTitle: false,
    showBreadcrumb: false,
    showSearch: true,
    showSettings: true,
    showActions: true,
    editable: false,
    showLegends: false,
  },
  breadcrumbs: [
    {
      urlPath: '',
      label: '',
      value: '',
    },
    {
      urlPath: '',
      label: '',
      value: '',
    },
  ],
  style: {
    height: '450px',
  },
  settings: [
    {
      label: ' Export to CSV',
      iconUrl: 'file_download',
      urlPath: '',
      isActive: true,
    },
    {
      label: ' Export to Excel',
      iconUrl: 'file_download',
      urlPath: '',
      isActive: true,
    },
  ],

  count: {
    label: 'Messages',
    value: '',
  },
};

export const RAW_MESSAGES_REPORT_CONFIG = {
  title: 'Raw Messages',
  icon: 'layer',
  reportUUID: 606,
  apiUrl: '/api/v1/raw-messages',
  options: {
    showTitle: false,
    showBreadcrumb: false,
    showSearch: true,
    showSettings: true,
    showActions: true,
    editable: false,
    showLegends: false,
  },
  breadcrumbs: [
    {
      urlPath: '',
      label: '',
      value: '',
    },
    {
      urlPath: '',
      label: '',
      value: '',
    },
  ],
  style: {
    height: '450px',
  },
  settings: [
    {
      label: ' Export to CSV',
      iconUrl: 'file_download',
      urlPath: '',
      isActive: true,
    },
    {
      label: ' Export to Excel',
      iconUrl: 'file_download',
      urlPath: '',
      isActive: true,
    },
  ],

  count: {
    label: 'Messages',
    value: '',
  },
};
