export const EMPTY_GOOGLE_MAP_OPTIONS = {
  zoom: 11,
  center: { lat: 12.65200878556528, lng: 77.81727748427481 },
  mapTypeControl: false,
  zoomControl: false,
  scaleControl: false,
  streetViewControl: false,
  fullscreenControl: false,
  panControl: false,
};

export const BASIC_BREADCRUMB_OPTIONS = {
  showBreadcrumb: true,
  showMarker: true,
  showMarkerLabel: true,
  // middleLocationMarkerSVG: google.maps.SymbolPath.BACKWARD_CLOSED_ARROW
}

export const DASHED_BREADCRUMB_OPTIONS = {
  showBreadcrumb: true,
  showMarker: true,
  lineStyle: 'dashed',
  showMarkerLabel: true
}

export const ARROW_BREADCRUMB_OPTIONS = {
  showBreadcrumb: true,
  showMarker: true,
  lineStyle: 'arrow',
  showMarkerLabel: true
}

export const WITHOUT_MARKER_BREADCRUMB_OPTIONS = {
  showBreadcrumb: true,
  showMarker: false,
  lineStyle: 'arrow',
  showMarkerLabel: true
}

export const START_END_MARKER_BREADCRUMB_OPTIONS = {
  showBreadcrumb: true,
  lineStyle: 'arrow',
  lineColor: 'red',
  showStartAndEndLocationMarkerOnly : true,
  showMarkerLabel: true,
  startLocationMarkerLabel: {
    text: '\uec13', // codepoint from https://fonts.google.com/icons
    fontFamily: 'Material Icons',
    fontSize: '18px',
  },
  endLocationMarkerLabel: {
    text: '\ue518', // codepoint from https://fonts.google.com/icons
    fontFamily: 'Material Icons',
    color: 'white',
    fontSize: '18px',
  },

}

export const WITHOUT_LINE_BREADCRUMB_OPTIONS = {
  showBreadcrumb: false,
  lineStyle: 'arrow',
  showMarker: true,
  showMarkerLabel: true
}

export const CHANGE_BREADCRUMB_LINE_COLOR = {
  showBreadcrumb: true,
  lineStyle: 'arrow',
  showMarker: true,
  lineColor: 'green',
  showMarkerLabel: true
}

export const WITHOUT_BREADCRUMB_MARKER_LABEL = {
  showBreadcrumb: true,
  lineStyle: 'arrow',
  showMarker: true,
  showMarkerLabel: false
}


export const CHANGE_BREADCRUMB_START_END_MARKER_ICON = {
  showBreadcrumb: true,
  lineStyle: 'arrow',
  showStartAndEndLocationMarkerOnly : true,
  startLocationMarkerIcon: 'http://maps.google.com/mapfiles/ms/icons/green-dot.png',
  endLocationMarkerIcon: 'http://maps.google.com/mapfiles/ms/icons/red-dot.png',
  showMarkerLabel: false
}

export const CHANGE_BREADCRUMB_MARKER_ICON = {
  showBreadcrumb: true,
  lineStyle: 'arrow',
  showMarker : true,
  startLocationMarkerIcon: 'http://maps.google.com/mapfiles/ms/icons/green-dot.png',
  middleLocationMarkerIcon: 'http://maps.google.com/mapfiles/ms/icons/blue-dot.png',
  endLocationMarkerIcon: 'http://maps.google.com/mapfiles/ms/icons/red-dot.png',
  showMarkerLabel: false
}

export const CHANGE_BREADCRUMB_MARKER_PATH_AND_COLOR = {
  showBreadcrumb: true,
  lineStyle: 'arrow',
  showStartAndEndLocationMarkerOnly : true,
  showMarkerLabel: false,
  endLocationMarkerSVG: 'M -2,-2 2,2 M 2,-2 -2,2',
	endLocationMarkerSVGColor: 'red',
  startLocationMarkerIcon	: 'https://img.icons8.com/emoji/20/000000/green-circle-emoji.png'
}

export const CHANGE_BREADCRUMB_MARKER_LABEL = {
  showBreadcrumb: true,
  lineStyle: 'arrow',
  showMarker: true,
  showMarkerLabel: true,
  startLocationMarkerLabel: {
    text: '\uec13', // codepoint from https://fonts.google.com/icons
    fontFamily: 'Material Icons',
    fontSize: '18px',
  },
  endLocationMarkerLabel: {
    text: '\ue518', // codepoint from https://fonts.google.com/icons
    fontFamily: 'Material Icons',
    color: 'white',
    fontSize: '18px',
  },
}

export const BREADCRUMB_WITH_CONTROL_OPTIONS = {
  showBreadcrumb: true,
  lineStyle: 'arrow',
  showMarker: true,
  showMarkerLabel: true,
  controlOptions: {
    clickable: true,
    draggable: false,
    editable: false,
    visible: true,
  }
}


export const SINGLE_BREADCRUMB_OPTIONS = {
  showBreadcrumb: true,
  showMarker: true,
  showStartAndEndLocationMarkerOnly: false,
  controlOptions: {
    clickable: true,
    editable: false,
    draggable: false,
    visible: true
  },
  lineStyle: 'arrow',
  lineColor: 'blue',
  showMarkerLabel: false,
  // startLocationMarkerLabel: {
  //   text: '\ue530', // codepoint from https://fonts.google.com/icons
  //   fontFamily: 'Material Icons',
  //   fontSize: '18px',
  //   color: 'green',
  // },
  // endLocationMarkerLabel: {
  //   text: '\ue530', // codepoint from https://fonts.google.com/icons
  //   fontFamily: 'Material Icons',
  //   color: 'red',
  //   fontSize: '18px',
  // },
  // startLocationMarkerIcon: 'https://developers.google.com/maps/documentation/javascript/examples/full/images/parking_lot_maps.png',
	// startLocationMarkerSVGColor: 'blue',
	// middleLocationMarkerSVGColor: 'blue',
	// endLocationMarkerSVGColor	: 'grey',
  middleLocationMarkerIcon : "https://img.icons8.com/ios-glyphs/30/000000/map-pin.png",
  // middleLocationMarkerIcon	: 'https://img.icons8.com/emoji/20/000000/green-circle-emoji.png'
  startLocationMarkerIcon	: 'https://img.icons8.com/emoji/20/000000/green-circle-emoji.png',
  endLocationMarkerIcon	: 'https://img.icons8.com/emoji/20/000000/red-circle-emoji.png'
};

export const MULTIPLE_BREADCRUMB_OPTIONS = {
  controlOptions: {
    clickable: true,
    editable: false,
    draggable: false,
    visible: true
  },
  lineStyle: 'arrow',
  lineColor: 'red',
  showMarkerLabel: true,
  startLocationMarkerColor: 'blue',
  endLocationMarkerColor: 'green'
};

export const SINGLE_POLYLINE_DATA = [
  {
    uuid: 1,
    geofenceId: 'GE101',
    accountId: 126,
    accountName: 'CANPACK',
    latitude: 12.741969040717342,
    longitude: 77.825470000223,
  },
  {
    uuid: 2,
    geofenceId: 'GE101',
    accountId: 129,
    accountName: 'AKZO',
    latitude: 12.692559223987933,
    longitude: 77.804927850419,
  },
  {
    uuid: 3,
    geofenceId: 'GE101',
    accountId: 135,
    accountName: 'Sherwin',
    latitude: 12.648240592704012,
    longitude: 77.7829010916097,
  },
  {
    uuid: 4,
    geofenceId: 'GE101',
    accountId: 102,
    accountName: 'MCC - ARNOLD',
    latitude: 12.526793881178682,
    longitude: 77.7883708799588,
  }
];

export const MULTIPLE_POLYLINE_DATA = [
  [
    {
      uuid: 1,
      geofenceId: 'GE101',
      accountId: 126,
      accountName: 'CANPACK',
      latitude: 12.741969040717342,
      longitude: 77.825470000223,
    },
    {
      uuid: 2,
      geofenceId: 'GE101',
      accountId: 129,
      accountName: 'AKZO',
      latitude: 12.692559223987933,
      longitude: 77.804927850419,
    },
    {
      uuid: 3,
      geofenceId: 'GE101',
      accountId: 135,
      accountName: 'Sherwin',
      latitude: 12.648240592704012,
      longitude: 77.7829010916097,
    },
    {
      uuid: 4,
      geofenceId: 'GE101',
      accountId: 102,
      accountName: 'MCC - ARNOLD',
      latitude: 12.526793881178682,
      longitude: 77.7883708799588,
    },
  ],
  [
    {
      uuid: 9,
      geofenceId: 'GE102',
      accountId: 126,
      accountName: 'CANPACK',
      latitude: 12.667184879321095,
      longitude: 77.99501475692706,
    },
    {
      uuid: 10,
      geofenceId: 'GE102',
      accountId: 129,
      accountName: 'AKZO',
      latitude: 12.699938039830679,
      longitude: 77.84922227534271,
    },
    {
      uuid: 11,
      geofenceId: 'GE102',
      accountId: 135,
      accountName: 'Sherwin',
      latitude: 12.674924455971487,
      longitude: 77.87075956696735,
    },
    {
      uuid: 12,
      geofenceId: 'GE102',
      accountId: 102,
      accountName: 'MCC - ARNOLD',
      latitude: 12.674924455971487,
      longitude: 77.87075956696735,
    },
    {
      uuid: 13,
      geofenceId: 'GE102',
      accountId: 102,
      accountName: 'MCC - ARNOLD',
      latitude: 12.602871627115217,
      longitude: 77.85127344597362,
    },
    {
      uuid: 14,
      geofenceId: 'GE102',
      accountId: 102,
      accountName: 'MCC - ARNOLD',
      latitude: 12.526071850114171,
      longitude: 77.80334366730403,
    },
  ],
];
