import { Hash8ChartOptions } from '@hash8io/chart-web';
// import { TankStatus } from "mockdata/tank-status";

export const linechart: Hash8ChartOptions = {
  chart: {
    type: 'line',
  },
  title: {
    label: 'Line Chart',
  },
  subtitle: {
    label: 'Activated vs Deactivated Devices',
  },

  series: [
    {
      name: 'Active Devices',
      data: [ { accountName: 'TankIQ', deviceCount: 53 },{ accountName: 'Autocavo', deviceCount: 81 },{ accountName: 'OTIS', deviceCount: 42 },{ accountName: 'RT', deviceCount: 51 },
      ],
    },
    {
      name: 'Deactive Devices',
      data: [{ accountName: 'TankIQ', deviceCount: 22 },{ accountName: 'Autocavo', deviceCount: 33 },{ accountName: 'OTIS', deviceCount: 10 },{ accountName: 'RT', deviceCount: 17 },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};
export const barchart: Hash8ChartOptions = {
  chart: {
    type: 'bar',
  },
  title: {
    label: 'Bar Chart',
  },
  subtitle: {
    label: 'Activated vs Deactivated Devices',
  },

  series: [
    {
      name: 'Active Devices',
      data: [ { accountName: 'TankIQ', deviceCount: 53 },{ accountName: 'Autocavo', deviceCount: 81 },{ accountName: 'OTIS', deviceCount: 42 },{ accountName: 'RT', deviceCount: 51 },
      ],
    },
    {
      name: 'Deactive Devices',
      data: [{ accountName: 'TankIQ', deviceCount: 22 },{ accountName: 'Autocavo', deviceCount: 33 },{ accountName: 'OTIS', deviceCount: 10 },{ accountName: 'RT', deviceCount: 17 },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};

export const areachart: Hash8ChartOptions = {
  chart: {
    type: 'area',
  },
  title: {
    label: 'Area Chart',
  },
  subtitle: {
    label: 'Activated vs Deactivated Devices',
  },

  series: [
    {
      name: 'Active Devices',
      data: [ { accountName: 'TankIQ', deviceCount: 53 },{ accountName: 'Autocavo', deviceCount: 81 },{ accountName: 'OTIS', deviceCount: 42 },{ accountName: 'RT', deviceCount: 51 },
      ],
    },
    {
      name: 'Deactive Devices',
      data: [{ accountName: 'TankIQ', deviceCount: 22 },{ accountName: 'Autocavo', deviceCount: 33 },{ accountName: 'OTIS', deviceCount: 10 },{ accountName: 'RT', deviceCount: 17 },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};
export const piechart: Hash8ChartOptions = {
  chart: {
    type: 'pie',
  },
  title: {
    label: 'Pie Chart',
  },
  subtitle: {
    label: 'Activated vs Deactivated Devices',
  },

  series: [
    {
      name: 'Active Devices',
      data: [ { accountName: 'TankIQ', deviceCount: 53 },{ accountName: 'Autocavo', deviceCount: 81 },{ accountName: 'OTIS', deviceCount: 42 },{ accountName: 'RT', deviceCount: 51 },
      ],
    },
    {
      name: 'Deactive Devices',
      data: [{ accountName: 'TankIQ', deviceCount: 22 },{ accountName: 'Autocavo', deviceCount: 33 },{ accountName: 'OTIS', deviceCount: 10 },{ accountName: 'RT', deviceCount: 17 },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};
// ****************************************************************************************

// Hash8 Chart Options
export const LINE_CHART: Hash8ChartOptions = {
  chart: {
    type: 'line',
  },
  series: [
    {
      name: 'Active Devices',
      data: [ { accountName: 'TankIQ', deviceCount: 53 },{ accountName: 'Autocavo', deviceCount: 81 },{ accountName: 'OTIS', deviceCount: 42 },{ accountName: 'RT', deviceCount: 51 },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'segmentId',
  },
  yaxis: {
    field: 'deviceCount',
    dataIdentifier: 'userId',
  },
};
export const LINE_CHART2: Hash8ChartOptions = {
  chart: {
    type: 'line',
  },
  series: [
    {
      name: 'Autocavo',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 50,
          state: 'active',
          accountId: 'USD107',
          segmentId: 'AU102',
          userId: 'US101',
        },
        {
          accountName: 'Account B',
          deviceCount: 30,
          state: 'deactive',
          accountId: 'USD108',
          segmentId: 'AU102',
          userId: 'US101',
        },
        {
          accountName: 'Account C',
          deviceCount: 78,
          state: 'active',
          accountId: 'USD109',
          segmentId: 'AU102',
          userId: 'US101',
        },
        {
          accountName: 'Account D',
          deviceCount: 13,
          state: 'deactive',
          accountId: 'USD110',
          segmentId: 'AU102',
          userId: 'US101',
        },
        {
          accountName: 'Account E',
          deviceCount: 43,
          state: 'active',
          accountId: 'USD111',
          segmentId: 'AU102',
          userId: 'US101',
        },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'segmentId',
  },
  yaxis: {
    field: 'deviceCount',
    dataIdentifier: 'userId',
  },
};
export const lineChartWithCustomOptions: Hash8ChartOptions = {
  title: {
    label: 'Activations in last 6 months',
  },
  chart: {
    type: 'line',
  },
  series: [
    {
      name: 'RT',
      data: [
        {
          accountName: 'May',
          deviceCount: 100,
          state: 'active',
          accountId: 'USD101',
          userId: 'US101',
        },
        {
          accountName: 'June',
          deviceCount: 50,
          state: 'deactive',
          accountId: 'USD102',
          userId: 'US101',
        },
        {
          accountName: 'July',
          deviceCount: 30,
          state: 'active',
          accountId: 'USD103',
          userId: 'US101',
        },
        {
          accountName: 'Aug',
          deviceCount: 40,
          state: 'deactive',
          accountId: 'USD104',
        },
        {
          accountName: 'Sep',
          deviceCount: 100,
          state: 'active',
          accountId: 'USD105',
        },
        {
          accountName: 'Oct',
          deviceCount: 20,
          state: 'deactive',
          accountId: 'USD106',
        },
      ],
    },
    {
      name: 'Autocavo',
      data: [
        {
          accountName: 'May',
          deviceCount: 50,
          state: 'active',
          accountId: 'USD107',
          userId: 'US101',
        },
        {
          accountName: 'June',
          deviceCount: 30,
          state: 'deactive',
          accountId: 'USD108',
          userId: 'US101',
        },
        {
          accountName: 'July',
          deviceCount: 78,
          state: 'active',
          accountId: 'USD109',
          userId: 'US101',
        },
        {
          accountName: 'Aug',
          deviceCount: 13,
          state: 'deactive',
          accountId: 'USD110',
          userId: 'US101',
        },
        {
          accountName: 'Sep',
          deviceCount: 43,
          state: 'active',
          accountId: 'USD111',
          userId: 'US101',
        },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'segmentId',
  },
  yaxis: {
    field: 'deviceCount',
    dataIdentifier: 'userId',
  },
  colors: ['#FF0046', '#FFC300'],
};

export const barChart: Hash8ChartOptions = {
  chart: {
    type: 'bar',
  },
  title: {
    label: 'Bar Chart',
  },
  subtitle: {
    label: 'Overall Stats',  },
  series: [
    {
      name: 'Organization 1',
      data: [
        {
          accountName: 'Vehicles',
          deviceCount: 400,
          accountId: 1,
          userId: 'US101',
        },
        {
          accountName: 'Users',
          deviceCount: 430,
          accountId: 2,
          userId: 'US101',
        },
        {
          accountName: 'Devices',
          deviceCount: 448,
          accountId: 3,
          userId: 'US101',
        },
        {
          accountName: 'Accounts',
          deviceCount: 470,
          accountId: 4,
          userId: 'US101',
        },
      ],
    },
    {
      name: 'Organization 2',
      data: [
        {
          accountName: 'Vehicles',
          deviceCount: 300,
          accountId: 5,
          userId: 'US101',
        },
        {
          accountName: 'Users',
          deviceCount: 330,
          accountId: 6,
          userId: 'US101',
        },
        {
          accountName: 'Devices',
          deviceCount: 348,
          accountId: 7,
          userId: 'US101',
        },
        {
          accountName: 'Accounts',
          deviceCount: 500,
          accountId: 8,
          userId: 'US101',
        },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'segmentId',
  },
  yaxis: {
    field: 'deviceCount',
    dataIdentifier: 'userId',
  },
};
export const barChartHorizontal: Hash8ChartOptions = {
  chart: {
    type: 'bar'
  },
  title: {
    label: 'Horizontal Bar Chart'
  },
  series: [
    {
      name: 'RT',
      data: [
        { accountName: 'Account A', deviceCount: 400 },
        { accountName: 'Account B', deviceCount: 430 },
        { accountName: 'Account C', deviceCount: 448 },
        { accountName: 'Account D', deviceCount: 470 },
      ],
    },
    {
      name: 'Autocavo',
      data: [
        { accountName: 'Account A', deviceCount: 300 },
        { accountName: 'Account B', deviceCount: 330 },
        { accountName: 'Account C', deviceCount: 348 },
        { accountName: 'Account D', deviceCount: 500 },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    // dataIdentifier: 'accountId',
    // segmentIdentifier: 'segmentId'
  },
  yaxis: {
    field: 'deviceCount',
  },
  plotOptions: {
    bar: {
      horizontal: true,
    },
  },
};
export const barChartWithCustomOptions: Hash8ChartOptions = {
  chart: {
    stacked: true,
    type: 'bar',
  },
  colors: ['#FF0046', '#FFC300'],
  series: [
    {
      name: 'RT',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 50,
          state: 'active',
          accountId: 1,
        },
        {
          accountName: 'Account B',
          deviceCount: 17,
          state: 'deactive',
          accountId: 2,
        },
        {
          accountName: 'Account C',
          deviceCount: 22,
          state: 'active',
          accountId: 3,
        },
        {
          accountName: 'Account D',
          deviceCount: 17,
          state: 'deactive',
          accountId: 4,
        },
        {
          accountName: 'Account E',
          deviceCount: 36,
          state: 'active',
          accountId: 5,
        },
        {
          accountName: 'Account F',
          deviceCount: 22,
          state: 'deactive',
          accountId: 6,
        },
        {
          accountName: 'Account G',
          deviceCount: 33,
          state: 'active',
          accountId: 7,
        },
      ],
    },
    {
      name: 'Autocavo',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 48,
          state: 'active',
          accountId: 11,
        },
        {
          accountName: 'Account B',
          deviceCount: 17,
          state: 'deactive',
          accountId: 12,
        },
        {
          accountName: 'Account C',
          deviceCount: 20,
          state: 'active',
          accountId: 13,
        },
        {
          accountName: 'Account D',
          deviceCount: 15,
          state: 'deactive',
          accountId: 14,
        },
        {
          accountName: 'Account E',
          deviceCount: 30,
          state: 'active',
          accountId: 15,
        },
        {
          accountName: 'Account F',
          deviceCount: 22,
          state: 'deactive',
          accountId: 16,
        },
        {
          accountName: 'Account G',
          deviceCount: 33,
          state: 'active',
          accountId: 17,
        },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'segmentId',
  },
  yaxis: {
    field: 'deviceCount',
  },
};
export const barChartHorizontalWithStacked: Hash8ChartOptions = {
  chart: {
    stacked: true,
    type: 'bar'
  },
  plotOptions: {
    bar: {
      horizontal: true,
    },
  },
  colors: ['#FF0046', '#FFC300'],
  series: [
    {
      name: 'RT',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 50,
          state: 'active',
          accountId: 1,
        },
        {
          accountName: 'Account B',
          deviceCount: 17,
          state: 'deactive',
          accountId: 2,
        },
        {
          accountName: 'Account C',
          deviceCount: 22,
          state: 'active',
          accountId: 3,
        },
        {
          accountName: 'Account D',
          deviceCount: 17,
          state: 'deactive',
          accountId: 4,
        },
        {
          accountName: 'Account E',
          deviceCount: 36,
          state: 'active',
          accountId: 5,
        },
        {
          accountName: 'Account F',
          deviceCount: 22,
          state: 'deactive',
          accountId: 6,
        },
        {
          accountName: 'Account G',
          deviceCount: 33,
          state: 'active',
          accountId: 7,
        },
      ],
    },
    {
      name: 'Autocavo',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 48,
          state: 'active',
          accountId: 11,
        },
        {
          accountName: 'Account B',
          deviceCount: 17,
          state: 'deactive',
          accountId: 12,
        },
        {
          accountName: 'Account C',
          deviceCount: 20,
          state: 'active',
          accountId: 13,
        },
        {
          accountName: 'Account D',
          deviceCount: 15,
          state: 'deactive',
          accountId: 14,
        },
        {
          accountName: 'Account E',
          deviceCount: 30,
          state: 'active',
          accountId: 15,
        },
        {
          accountName: 'Account F',
          deviceCount: 22,
          state: 'deactive',
          accountId: 16,
        },
        {
          accountName: 'Account G',
          deviceCount: 33,
          state: 'active',
          accountId: 17,
        },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'segmentId',
  },
  yaxis: {
    field: 'deviceCount',
  },
};

export const areaChart: Hash8ChartOptions = {
  chart: {
    type: 'area',
  },
  title: {
    label: 'Area Chart'
  },
  series: [
    {
      name: 'RT',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 50,
          state: 'active',
          accountId: 1,
          userId: 'US101',
        },
        {
          accountName: 'Account B',
          deviceCount: 17,
          state: 'deactive',
          accountId: 2,
          userId: 'US101',
        },
        {
          accountName: 'Account C',
          deviceCount: 22,
          state: 'active',
          accountId: 3,
          userId: 'US101',
        },
        {
          accountName: 'Account D',
          deviceCount: 17,
          state: 'deactive',
          accountId: 4,
          userId: 'US101',
        },
        {
          accountName: 'Account E',
          deviceCount: 36,
          state: 'active',
          accountId: 5,
        },
        {
          accountName: 'Account F',
          deviceCount: 22,
          state: 'deactive',
          accountId: 6,
        },
        {
          accountName: 'Account G',
          deviceCount: 33,
          state: 'active',
          accountId: 7,
        },
      ],
    },
    {
      name: 'Autocavo',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 60,
          state: 'active',
          accountId: 11,
        },
        {
          accountName: 'Account B',
          deviceCount: 32,
          state: 'deactive',
          accountId: 12,
        },
        {
          accountName: 'Account C',
          deviceCount: 20,
          state: 'active',
          accountId: 13,
        },
        {
          accountName: 'Account D',
          deviceCount: 34,
          state: 'deactive',
          accountId: 14,
        },
        {
          accountName: 'Account E',
          deviceCount: 30,
          state: 'active',
          accountId: 15,
        },
        {
          accountName: 'Account F',
          deviceCount: 22,
          state: 'deactive',
          accountId: 16,
        },
        {
          accountName: 'Account G',
          deviceCount: 53,
          state: 'active',
          accountId: 17,
        },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'segmentId',
  },
  yaxis: {
    field: 'deviceCount',
    dataIdentifier: 'userId',
  },
};

export const areaChartWithCustomOptions: Hash8ChartOptions = {
  chart: {
    type: 'area',
  },
  series: [
    {
      name: 'RT',
      data: [
        { accountName: 'Account A', deviceCount: 10, state: 'active' },
        { accountName: 'Account B', deviceCount: 10, state: 'deactive' },
        { accountName: 'Account C', deviceCount: 30, state: 'active' },
        { accountName: 'Account D', deviceCount: 40, state: 'deactive' },
        { accountName: 'Account E', deviceCount: 100, state: 'active' },
        { accountName: 'Account F', deviceCount: 20, state: 'deactive' },
      ],
    },
    {
      name: 'Autocavo',
      data: [
        { accountName: 'Account A', deviceCount: 100, state: 'active' },
        { accountName: 'Account B', deviceCount: 100, state: 'deactive' },
        { accountName: 'Account C', deviceCount: 78, state: 'active' },
        { accountName: 'Account D', deviceCount: 13, state: 'deactive' },
        { accountName: 'Account E', deviceCount: 43, state: 'active' },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
  legend: {
    show: false,
  },
  stroke: {
    curve: 'smooth',
  },
};

export const pieChart: Hash8ChartOptions = {
  // series: [10,20, 35, 51, 49],
  chart: {
    type: 'pie',
  },
  title: {
    label: 'Pie Chart'
  },
  series: [
    {
      data: [
        {
          accountName: 'Account A',
          deviceCount: 100,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'RT101',
          userId: 'US101',
        },
        {
          accountName: 'Account B',
          deviceCount: 50,
          state: 'deactive',
          accountId: 'USD102',
          parentAccountId: 'RT101',
          userId: 'US101',
        },
        {
          accountName: 'Account C',
          deviceCount: 30,
          state: 'active',
          accountId: 'USD103',
          parentAccountId: 'RT101',
          userId: 'US101',
        },
        {
          accountName: 'Account D',
          deviceCount: 40,
          state: 'deactive',
          accountId: 'USD104',
          parentAccountId: 'RT101',
          userId: 'US101',
        },
        {
          accountName: 'Account E',
          deviceCount: 100,
          state: 'active',
          accountId: 'USD105',
          parentAccountId: 'RT101',
          userId: 'US101',
        },
        {
          accountName: 'Account F',
          deviceCount: 20,
          state: 'deactive',
          accountId: 'USD106',
          parentAccountId: 'RT101',
          userId: 'US101',
        },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'parentAccountId',
  },
  yaxis: {
    field: 'deviceCount',
    dataIdentifier: 'userId',
  },
};

export const donutChart: Hash8ChartOptions = {
  chart: {
    type: 'donut',
  },
  title: {
    label: 'Donut Chart'
  },
  series: [
    {
      data: [
        {
          accountName: 'Account A',
          deviceCount: 50,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'RT101',
          userId: 'US101',
        },
        {
          accountName: 'Account B',
          deviceCount: 7,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'RT101',
          userId: 'US101',
        },
        {
          accountName: 'Account C',
          deviceCount: 22,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'RT101',
          userId: 'US101',
        },
        {
          accountName: 'Account D',
          deviceCount: 17,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'RT101',
          userId: 'US101',
        },
        {
          accountName: 'Account E',
          deviceCount: 36,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'RT101',
          userId: 'US101',
        },
        {
          accountName: 'Account F',
          deviceCount: 22,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'RT101',
          userId: 'US101',
        },
        {
          accountName: 'Account G',
          deviceCount: 33,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'RT101',
          userId: 'US101',
        },
        {
          accountName: 'Account H',
          deviceCount: 15,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'RT101',
          userId: 'US101',
        },
        {
          accountName: 'Account I',
          deviceCount: 52,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'RT101',
          userId: 'US101',
        },
        {
          accountName: 'Account J',
          deviceCount: 10.2,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'RT101',
          userId: 'US101',
        },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'parentAccountId',
  },
  yaxis: {
    field: 'deviceCount',
    dataIdentifier: 'userId',
  },
};

export const radialBarChart: Hash8ChartOptions = {
  chart: {
    type: 'radialBar',
  },
  title: {
    label: 'Radial Bar Chart'
  },
  series: [
    {
      name: 'Autocavo',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 44,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account B',
          deviceCount: 55,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account C',
          deviceCount: 67,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account D',
          deviceCount: 83,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'parentAccountId',
  },
  yaxis: {
    field: 'deviceCount',
    dataIdentifier: 'userId',
  },
};

export const radialBarChartWithCustomOptions: Hash8ChartOptions = {
  chart: {
    type: 'radialBar',
  },
  title: {
    label: 'Radial Bar Chart'
  },
  series: [
    {
      name: 'Autocavo',
      data: [
        { accountName: 'Account A', deviceCount: 44, state: 'active' },
        { accountName: 'Account B', deviceCount: 55, state: 'deactive' },
        { accountName: 'Account C', deviceCount: 67, state: 'active' },
        { accountName: 'Account D', deviceCount: 83, state: 'deactive' },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'parentAccountId',
  },
  yaxis: {
    field: 'deviceCount',
  },
  plotOptions: {
    radialBar: {
      dataLabels: {
        total: {
          show: true,
          label: 'Overall Activations',
          formatter: function (w) {
            return w.globals.seriesTotals.reduce((a: any, b: any) => {
              return a + b;
            }, 0);
          },
        },
        value: {
          formatter: function (val) {
            return val + '';
          },
        },
      },
    },
  },
};

export const polarAreaChart: Hash8ChartOptions = {
  chart: {
    type: 'polarArea',
  },
  title: {
    label: 'Polar Area Chart'
  },
  series: [
    {
      name: 'Autocavo',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 48,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account B',
          deviceCount: 17,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account C',
          deviceCount: 20,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account D',
          deviceCount: 15,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account E',
          deviceCount: 30,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account F',
          deviceCount: 22,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account G',
          deviceCount: 33,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account H',
          deviceCount: 15,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account I',
          deviceCount: 52,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account J',
          deviceCount: 10.2,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'parentAccountId',
  },
  yaxis: {
    field: 'deviceCount',
    dataIdentifier: 'userId',
  },
};

export const radarChart: Hash8ChartOptions = {
  chart: {
    type: 'radar',
  },
  title: {
    label: 'Radar Chart'
  },
  series: [
    {
      name: 'RT',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 80,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account B',
          deviceCount: 50,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account C',
          deviceCount: 30,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account D',
          deviceCount: 40,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account E',
          deviceCount: 100,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account F',
          deviceCount: 20,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
      ],
    },
    {
      name: 'Autocavo',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 20,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account B',
          deviceCount: 30,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account C',
          deviceCount: 40,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account D',
          deviceCount: 80,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account E',
          deviceCount: 20,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account F',
          deviceCount: 80,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
      ],
    },
    {
      name: 'TankIQ',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 44,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account B',
          deviceCount: 76,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account C',
          deviceCount: 78,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account D',
          deviceCount: 13,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account E',
          deviceCount: 43,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account F',
          deviceCount: 10,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'parentAccountId',
  },
  yaxis: {
    field: 'deviceCount',
    dataIdentifier: 'userId',
  },
};

export const heatMapChart: Hash8ChartOptions = {
  chart: {
    type: 'heatmap',
  },
  title: {
    label: 'Heatmap Chart'
  },
  series: [
    {
      name: 'Google',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 50,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account B',
          deviceCount: 7,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account C',
          deviceCount: 22,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account D',
          deviceCount: 17,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account E',
          deviceCount: 36,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account F',
          deviceCount: 22,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account G',
          deviceCount: 33,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account H',
          deviceCount: 15,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account I',
          deviceCount: 52,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account J',
          deviceCount: 10.2,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
      ],
    },
    {
      name: 'Apple',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 48,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account B',
          deviceCount: 17,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account C',
          deviceCount: 20,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account D',
          deviceCount: 15,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account E',
          deviceCount: 30,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account F',
          deviceCount: 22,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account G',
          deviceCount: 33,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account H',
          deviceCount: 15,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account I',
          deviceCount: 52,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account J',
          deviceCount: 10.2,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
      ],
    },
    {
      name: 'RT',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 50,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account B',
          deviceCount: 7,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account C',
          deviceCount: 22,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account D',
          deviceCount: 17,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account E',
          deviceCount: 36,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account F',
          deviceCount: 22,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account G',
          deviceCount: 33,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account H',
          deviceCount: 15,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account I',
          deviceCount: 52,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account J',
          deviceCount: 10.2,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
      ],
    },
    {
      name: 'Autocavo',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 48,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account B',
          deviceCount: 17,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account C',
          deviceCount: 20,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account D',
          deviceCount: 15,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account E',
          deviceCount: 30,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account F',
          deviceCount: 22,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account G',
          deviceCount: 33,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account H',
          deviceCount: 15,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account I',
          deviceCount: 52,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account J',
          deviceCount: 10.2,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
      ],
    },
    {
      name: 'TankIQ',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 50,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account B',
          deviceCount: 7,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account C',
          deviceCount: 22,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account D',
          deviceCount: 17,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account E',
          deviceCount: 36,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account F',
          deviceCount: 22,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account G',
          deviceCount: 33,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account H',
          deviceCount: 15,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account I',
          deviceCount: 52,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account J',
          deviceCount: 10.2,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
      ],
    },
    {
      name: 'OTIS',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 48,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account B',
          deviceCount: 17,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account C',
          deviceCount: 20,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account D',
          deviceCount: 15,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account E',
          deviceCount: 30,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account F',
          deviceCount: 22,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account G',
          deviceCount: 33,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account H',
          deviceCount: 15,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account I',
          deviceCount: 52,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account J',
          deviceCount: 10.2,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'parentAccountId',
  },
  yaxis: {
    field: 'deviceCount',
    dataIdentifier: 'userId',
  },
};

export const scatterChart: Hash8ChartOptions = {
  title: {
    label: 'Scatter Chart',
  },
  chart: {
    type: 'scatter',
  },
  series: [
    {
      name: 'RT',
      data: [
        { level: 16.4, level1: 5.4 },
        { level: 21.7, level1: 2 },
        { level: 25.4, level1: 3 },
        { level: 19, level1: 2 },
        { level: 10.9, level1: 1 },
        { level: 13.6, level1: 3.2 },
        { level: 10.9, level1: 7.4 },
        { level: 10.9, level1: 0 },
        { level: 10.9, level1: 8.2 },
        { level: 16.4, level1: 0 },
        { level: 16.4, level1: 1.8 },
        { level: 13.6, level1: 0.3 },
        { level: 13.6, level1: 0 },
        { level: 29.9, level1: 0 },
        { level: 27.1, level1: 2.3 },
        { level: 16.4, level1: 0 },
        { level: 13.6, level1: 3.7 },
        { level: 10.9, level1: 5.2 },
        { level: 16.4, level1: 6.5 },
        { level: 10.9, level1: 0 },
        { level: 24.5, level1: 7.1 },
        { level: 10.9, level1: 0 },
        { level: 8.1, level1: 4.7 },
        { level: 19, level1: 0 },
        { level: 21.7, level1: 1.8 },
        { level: 27.1, level1: 0 },
        { level: 24.5, level1: 0 },
        { level: 27.1, level1: 0 },
        { level: 29.9, level1: 1.5 },
        { level: 27.1, level1: 0.8 },
        { level: 22.1, level1: 2 },
      ],
    },
    {
      name: 'Autocavo',
      data: [
        { level: 36.4, level1: 13.4 },
        { level: 1.7, level1: 11 },
        { level: 5.4, level1: 8 },
        { level: 9, level1: 17 },
        { level: 1.9, level1: 4 },
        { level: 3.6, level1: 12.2 },
        { level: 1.9, level1: 14.4 },
        { level: 1.9, level1: 9 },
        { level: 1.9, level1: 13.2 },
        { level: 1.4, level1: 7 },
        { level: 6.4, level1: 8.8 },
        { level: 3.6, level1: 4.3 },
        { level: 1.6, level1: 10 },
        { level: 9.9, level1: 2 },
        { level: 7.1, level1: 15 },
        { level: 1.4, level1: 0 },
        { level: 3.6, level1: 13.7 },
        { level: 1.9, level1: 15.2 },
        { level: 6.4, level1: 16.5 },
        { level: 0.9, level1: 10 },
        { level: 4.5, level1: 17.1 },
        { level: 10.9, level1: 10 },
        { level: 0.1, level1: 14.7 },
        { level: 9, level1: 10 },
        { level: 12.7, level1: 11.8 },
        { level: 2.1, level1: 10 },
        { level: 2.5, level1: 10 },
        { level: 27.1, level1: 10 },
        { level: 2.9, level1: 11.5 },
        { level: 7.1, level1: 10.8 },
        { level: 2.1, level1: 12 },
      ],
    },
    {
      name: 'TANKIQ',
      data: [
        { level: 21.7, level1: 3 },
        { level: 23.6, level1: 3.5 },
        { level: 24.6, level1: 3 },
        { level: 29.9, level1: 3 },
        { level: 21.7, level1: 20 },
        { level: 23, level1: 2 },
        { level: 10.9, level1: 3 },
        { level: 28, level1: 4 },
        { level: 27.1, level1: 0.3 },
        { level: 16.4, level1: 4 },
        { level: 13.6, level1: 0 },
        { level: 19, level1: 5 },
        { level: 22.4, level1: 3 },
        { level: 24.5, level1: 3 },
        { level: 32.6, level1: 3 },
        { level: 27.1, level1: 4 },
        { level: 29.6, level1: 6 },
        { level: 31.6, level1: 8 },
        { level: 21.6, level1: 5 },
        { level: 20.9, level1: 4 },
        { level: 22.4, level1: 0 },
        { level: 32.6, level1: 10.3 },
        { level: 29.7, level1: 20.8 },
        { level: 24.5, level1: 0.8 },
        { level: 21.4, level1: 0 },
        { level: 21.7, level1: 6.9 },
        { level: 28.6, level1: 7.7 },
        { level: 15.4, level1: 0 },
        { level: 18.1, level1: 0 },
        { level: 33.4, level1: 0 },
        { level: 16.4, level1: 0 },
      ],
    },
  ],
  xaxis: {
    field: 'level',
  },
  yaxis: {
    field: 'level1',
  },
};

export const treemapChart: Hash8ChartOptions = {
  chart: {
    type: 'treemap',
  },
  title: {
    label: 'Treemap Chart'
  },
  series: [
    {
      name: 'RT',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 10,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account B',
          deviceCount: 10,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account C',
          deviceCount: 30,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account D',
          deviceCount: 40,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account E',
          deviceCount: 100,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account F',
          deviceCount: 20,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
      ],
    },
    {
      name: 'Autocavo',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 100,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account B',
          deviceCount: 100,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account C',
          deviceCount: 78,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account D',
          deviceCount: 13,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
        {
          accountName: 'Account E',
          deviceCount: 43,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
        },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'parentAccountId',
  },
  yaxis: {
    field: 'deviceCount',
  },
};

export const treemapChartWithVariations: Hash8ChartOptions = {
  chart: {
    type: 'treemap',
  },
  title: {
    label: 'Treemap Chart'
  },
  series: [
    {
      name: 'RT',
      data: [
        {
          accountName: 'Account A',
          deviceCount: 50,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account B',
          deviceCount: 7,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account C',
          deviceCount: 22,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account D',
          deviceCount: 17,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account E',
          deviceCount: 36,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account F',
          deviceCount: 22,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account G',
          deviceCount: 33,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account H',
          deviceCount: 15,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account I',
          deviceCount: 52,
          state: 'active',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
        {
          accountName: 'Account J',
          deviceCount: 10.2,
          state: 'deactive',
          accountId: 'USD101',
          parentAccountId: 'AU101',
          userId: 'US101',
        },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'parentAccountId',
  },
  yaxis: {
    field: 'deviceCount',
    dataIdentifier: 'userId',
  },
};

export const boxplotChart: Hash8ChartOptions = {
  chart: {
    type: 'boxPlot', // boxPlot | candlestick | rangeArea | rangeBar
  },
  title: {
    label: 'Boxplot Chart'
  },
  series: [
    {
      name: 'RT',
      data: [
        {
          assetName: 'Tank A',
          mimimumLevel: 54,
          firstQuartileField: 66,
          secondQuartileField: 69,
          thirdQuartileField: 75,
          maximumValueField: 88,
          userId: 'US101',
        },
        {
          assetName: 'Tank B',
          mimimumLevel: 43,
          firstQuartileField: 65,
          secondQuartileField: 69,
          thirdQuartileField: 76,
          maximumValueField: 81,
          userId: 'US101',
        },
        {
          assetName: 'Tank C',
          mimimumLevel: 31,
          firstQuartileField: 39,
          secondQuartileField: 45,
          thirdQuartileField: 51,
          maximumValueField: 59,
          userId: 'US101',
        },
        {
          assetName: 'Tank D',
          mimimumLevel: 39,
          firstQuartileField: 46,
          secondQuartileField: 55,
          thirdQuartileField: 65,
          maximumValueField: 71,
          userId: 'US101',
        },
      ],
    },
  ],
  xaxis: {
    field: 'assetName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'parentAccountId',
  },
  yaxis: {
    field: [
      'mimimumLevel',
      'firstQuartileField',
      'secondQuartileField',
      'thirdQuartileField',
      'maximumValueField',
    ],
    dataIdentifier: 'userId',
  },
};

export const candleStickChart: Hash8ChartOptions = {
  chart: {
    type: 'candlestick', // boxPlot | candlestick | rangeArea | rangeBar
  },
  title: {
    label: 'Candlestick Chart'
  },
  series: [
    {
      name: 'RT',
      data: [
        {
          assetName: 'Tank A',
          openLevel: 6630,
          closeLevel: 6635,
          highLevel: 6648,
          lowlevel: 6623,
        },
        {
          assetName: 'Tank B',
          openLevel: 6632,
          closeLevel: 6630,
          highLevel: 6643,
          lowlevel: 6620,
        },
        {
          assetName: 'Tank C',
          openLevel: 6630,
          closeLevel: 6635,
          highLevel: 6648,
          lowlevel: 6623,
        },
        {
          assetName: 'Tank D',
          openLevel: 6635,
          closeLevel: 6638,
          highLevel: 6651,
          lowlevel: 6629,
        },
      ],
    },
  ],
  xaxis: {
    field: 'assetName',
    dataIdentifier: 'accountId',
    segmentIdentifier: 'parentAccountId',
  },
  yaxis: {
    field: ['openLevel', 'highLevel', 'lowlevel', 'closeLevel'],
  },
};

export const rangeBarChart = {
  chart:{
    type: 'rangeBar', // boxPlot | candlestick | rangeArea | rangeBar
  },
  title: {
    label: 'RangeBar Chart'
  },
  series: [
    {
      name: 'RT',
      data: [
        {
          assetName: 'Tank A',
          openLevel: 6630,
          closeLevel: 6635,
          highLevel: 6648,
          lowlevel: 6623,
        },
        {
          assetName: 'Tank B',
          openLevel: 6632,
          closeLevel: 6630,
          highLevel: 6643,
          lowlevel: 6620,
        },
        {
          assetName: 'Tank C',
          openLevel: 6630,
          closeLevel: 6635,
          highLevel: 6648,
          lowlevel: 6623,
        },
        {
          assetName: 'Tank D',
          openLevel: 6635,
          closeLevel: 6638,
          highLevel: 6651,
          lowlevel: 6629,
        },
      ],
    },
  ],
  xaxis: {
    field: 'assetName',
  },
  yaxis: {
    field: ['openLevel', 'closeLevel'],
    dataIdentifier: 'userId',
  },
};

export const rangeBarChartWithCustomOptions: Hash8ChartOptions = {
  chart: {
    type: 'rangeBar', // boxPlot | candlestick | rangeArea | rangeBar
  },
  title: {
    label: 'RangeBar Chart'
  },
  plotOptions: {
    bar: {
      horizontal: true,
    },
  },
  series: [
    {
      name: 'RT',
      data: [
        {
          assetName: 'Tank A',
          openLevel: 6630,
          closeLevel: 6635,
          highLevel: 6648,
          lowlevel: 6623,
        },
        {
          assetName: 'Tank B',
          openLevel: 6632,
          closeLevel: 6630,
          highLevel: 6643,
          lowlevel: 6620,
        },
        {
          assetName: 'Tank C',
          openLevel: 6630,
          closeLevel: 6635,
          highLevel: 6648,
          lowlevel: 6623,
        },
        {
          assetName: 'Tank D',
          openLevel: 6635,
          closeLevel: 6638,
          highLevel: 6651,
          lowlevel: 6629,
        },
      ],
    },
  ],
  xaxis: {
    field: 'assetName',
    type: 'datetime',
  },
  yaxis: {
    field: ['openLevel', 'closeLevel'],
    dataIdentifier: 'userId',
  },
};

export const rangeAreaChart: Hash8ChartOptions = {
  chart: {
    type: 'rangeArea',
  },
  title: {
    label: 'RangeArea Chart'
  },
  series: [
    {
      name: 'RT',
      data: [
        { assetName: 'Tank A', startLevel: -2, endLevel: 4 },
        { assetName: 'Tank B', startLevel: -1, endLevel: 6 },
        { assetName: 'Tank C', startLevel: 3, endLevel: 10 },
        { assetName: 'Tank D', startLevel: 8, endLevel: 16 },
        { assetName: 'Tank E', startLevel: 13, endLevel: 22 },
        { assetName: 'Tank F', startLevel: 18, endLevel: 26 },
        { assetName: 'Tank G', startLevel: 21, endLevel: 29 },
        { assetName: 'Tank H', startLevel: 21, endLevel: 28 },
      ],
    },
    {
      name: 'Autocavo',
      data: [
        { assetName: 'Tank A', startLevel: 5, endLevel: 7 },
        { assetName: 'Tank B', startLevel: 8, endLevel: 10 },
        { assetName: 'Tank C', startLevel: 5, endLevel: 12 },
        { assetName: 'Tank D', startLevel: 10, endLevel: 18 },
        { assetName: 'Tank E', startLevel: 15, endLevel: 25 },
        { assetName: 'Tank F', startLevel: 20, endLevel: 26 },
        { assetName: 'Tank G', startLevel: 21, endLevel: 29 },
        { assetName: 'Tank H', startLevel: 21, endLevel: 28 },
      ],
    },
  ],
  xaxis: {
    field: 'assetName',
  },
  yaxis: {
    field: ['startLevel', 'endLevel'],
  },
};

export const lineChartWithSparkline: Hash8ChartOptions = {
  chart: {
    width: 100,
    height: 35,
    sparkline: {
      enabled: true,
    },
  },
  series: [
    {
      name: 'RT',
      type: 'line',
      data: [
        { accountName: 'Account A', deviceCount: 20, state: 'active' },
        { accountName: 'Account B', deviceCount: 44, state: 'deactive' },
        { accountName: 'Account C', deviceCount: 30, state: 'active' },
        { accountName: 'Account D', deviceCount: 40, state: 'deactive' },
        { accountName: 'Account E', deviceCount: 24, state: 'active' },
        { accountName: 'Account F', deviceCount: 50, state: 'deactive' },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
  legend: {
    show: false,
  },
  dataLabels: {
    enabled: false,
  },
  tooltip: {
    enabled: false,
  },
};

export const barChartWithSparkline: Hash8ChartOptions = {
  chart: {
    width: 100,
    height: 35,
    sparkline: {
      enabled: true,
    },
  },
  series: [
    {
      name: 'RT',
      type: 'bar',
      data: [
        { accountName: 'Account A', deviceCount: 50, state: 'active' },
        { accountName: 'Account B', deviceCount: 17, state: 'deactive' },
        { accountName: 'Account C', deviceCount: 22, state: 'active' },
        { accountName: 'Account D', deviceCount: 17, state: 'deactive' },
        { accountName: 'Account E', deviceCount: 36, state: 'active' },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
  dataLabels: {
    enabled: false,
  },
  tooltip: {
    enabled: false,
  },
};

//  With APEX CHART format
export const apexAreaChart = {
  series: [
    {
      name: 'series1',
      data: [31, 40, 28, 51, 42, 109, 100],
    },
    {
      name: 'series2',
      data: [11, 32, 45, 32, 34, 52, 41],
    },
  ],
  chart: {
    height: 350,
    type: 'area',
  },
  stroke: {
    curve: 'smooth',
  },
  xaxis: {
    type: 'datetime',
    categories: [
      '2018-09-19T00:00:00.000Z',
      '2018-09-19T01:30:00.000Z',
      '2018-09-19T02:30:00.000Z',
      '2018-09-19T03:30:00.000Z',
      '2018-09-19T04:30:00.000Z',
      '2018-09-19T05:30:00.000Z',
      '2018-09-19T06:30:00.000Z',
    ],
  },
  tooltip: {
    x: {
      format: 'dd/MM/yy HH:mm',
    },
  },
};
export const apexPieChart = {
  series: [44, 55, 41, 17, 15],
  chart: {
    width: 380,
    type: 'donut',
  },
  fill: {
    type: 'gradient',
  },
  legend: {
    formatter: function (val: any, opts: any) {
      return val + ' - ' + opts.w.globals.series[opts.seriesIndex];
    },
  },
};

export const comboChartLineArea: Hash8ChartOptions = {
  title: {
    label: 'Combo Chart - Line & Area'
  },
  series: [
    {
      name: 'RT',
      type: 'line',
      data: [
        { accountName: 'Account A', deviceCount: 100, state: 'active' },
        { accountName: 'Account B', deviceCount: 50, state: 'deactive' },
        { accountName: 'Account C', deviceCount: 30, state: 'active' },
        { accountName: 'Account D', deviceCount: 40, state: 'deactive' },
        { accountName: 'Account E', deviceCount: 100, state: 'active' },
        { accountName: 'Account F', deviceCount: 20, state: 'deactive' },
      ],
    },
    {
      name: 'Autocavo',
      type: 'area',
      data: [
        { accountName: 'Account A', deviceCount: 50, state: 'active' },
        { accountName: 'Account B', deviceCount: 30, state: 'deactive' },
        { accountName: 'Account C', deviceCount: 78, state: 'active' },
        { accountName: 'Account D', deviceCount: 13, state: 'deactive' },
        { accountName: 'Account E', deviceCount: 43, state: 'active' },
        { accountName: 'Account F', deviceCount: 20, state: 'deactive' },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};

export const comboChartLineBar: Hash8ChartOptions = {
  series: [
    {
      name: 'RT',
      type: 'line',
      data: [
        { accountName: 'Account A', deviceCount: 100, state: 'active' },
        { accountName: 'Account B', deviceCount: 50, state: 'deactive' },
        { accountName: 'Account C', deviceCount: 30, state: 'active' },
        { accountName: 'Account D', deviceCount: 40, state: 'deactive' },
        { accountName: 'Account E', deviceCount: 100, state: 'active' },
        { accountName: 'Account F', deviceCount: 20, state: 'deactive' },
      ],
    },
    {
      name: 'Autocavo',
      type: 'bar',
      data: [
        { accountName: 'Account A', deviceCount: 50, state: 'active' },
        { accountName: 'Account B', deviceCount: 30, state: 'deactive' },
        { accountName: 'Account C', deviceCount: 78, state: 'active' },
        { accountName: 'Account D', deviceCount: 13, state: 'deactive' },
        { accountName: 'Account E', deviceCount: 43, state: 'active' },
        { accountName: 'Account F', deviceCount: 20, state: 'deactive' },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};
export const comboChartLineColumn: Hash8ChartOptions = {
  series: [
    {
      name: 'RT',
      type: 'line',
      data: [
        { accountName: 'Account A', deviceCount: 100, state: 'active' },
        { accountName: 'Account B', deviceCount: 50, state: 'deactive' },
        { accountName: 'Account C', deviceCount: 30, state: 'active' },
        { accountName: 'Account D', deviceCount: 40, state: 'deactive' },
        { accountName: 'Account E', deviceCount: 100, state: 'active' },
        { accountName: 'Account F', deviceCount: 20, state: 'deactive' },
      ],
    },
    {
      name: 'Autocavo',
      type: 'bar',
      data: [
        { accountName: 'Account A', deviceCount: 50, state: 'active' },
        { accountName: 'Account B', deviceCount: 30, state: 'deactive' },
        { accountName: 'Account C', deviceCount: 78, state: 'active' },
        { accountName: 'Account D', deviceCount: 13, state: 'deactive' },
        { accountName: 'Account E', deviceCount: 43, state: 'active' },
        { accountName: 'Account F', deviceCount: 20, state: 'deactive' },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
  plotOptions: {
    bar: {
      horizontal: true,
    },
  },
};
export const comboChartBarArea: Hash8ChartOptions = {
  title: {
    label: 'Combo Chart - Bar & Area'
  },
  series: [
    {
      name: 'RT',
      type: 'bar',
      data: [
        { accountName: 'Account A', deviceCount: 100, state: 'active' },
        { accountName: 'Account B', deviceCount: 50, state: 'deactive' },
        { accountName: 'Account C', deviceCount: 30, state: 'active' },
        { accountName: 'Account D', deviceCount: 40, state: 'deactive' },
        { accountName: 'Account E', deviceCount: 100, state: 'active' },
        { accountName: 'Account F', deviceCount: 20, state: 'deactive' },
      ],
    },
    {
      name: 'Autocavo',
      type: 'area',
      data: [
        { accountName: 'Account A', deviceCount: 50, state: 'active' },
        { accountName: 'Account B', deviceCount: 30, state: 'deactive' },
        { accountName: 'Account C', deviceCount: 78, state: 'active' },
        { accountName: 'Account D', deviceCount: 13, state: 'deactive' },
        { accountName: 'Account E', deviceCount: 43, state: 'active' },
        { accountName: 'Account F', deviceCount: 20, state: 'deactive' },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};

//  Empty Data
export const emptyChart: Hash8ChartOptions = {
  series: [
    {
      name: 'RT',
      type: 'line',
      data: [],
    },
    {
      name: 'Autocavo',
      type: 'line',
      data: [],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};

export const tankLevelChart: Hash8ChartOptions = {
  series: [
    {
      name: 'RT',
      type: 'line',
      // data: TankStatus.gridRowData
    },
  ],
  xaxis: {
    field: 'assetName',
  },
  yaxis: {
    field: 'liquidLevel',
  },
};

export const deviceStateChart: Hash8ChartOptions = {
  chart: {
    type: 'line',
  },
  title: {
    label: 'Line Chart',
  },
  subtitle: {
    label: 'Activated vs Deactivated Devices',
  },

  series: [
    {
      name: 'Active Devices',
      // type: 'line',
      color: '#229954',
      data: [
        { accountName: 'TankIQ', deviceCount: 53 },
        { accountName: 'Autocavo', deviceCount: 81 },
        { accountName: 'OTIS', deviceCount: 42 },
        { accountName: 'RT', deviceCount: 51 },
      ],
    },
    {
      name: 'Deactive Devices',
      // type: 'line',
      color: '#FF0046',
      data: [
        { accountName: 'TankIQ', deviceCount: 22 },
        { accountName: 'Autocavo', deviceCount: 33 },
        { accountName: 'OTIS', deviceCount: 10 },
        { accountName: 'RT', deviceCount: 17 },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};
export const deviceStateChart2: Hash8ChartOptions = {
  chart: {
    type: 'bar',
  },
  title: {
    label: 'Line Title',
  },
  subtitle: {
    label: 'Line Chart SubTitle',
  },

  series: [
    {
      name: 'Active Devices',
      // type: 'line',
      color: '#229954',
      data: [
        { accountName: 'TankIQ', deviceCount: 53 },
        { accountName: 'Autocavo', deviceCount: 81 },
        { accountName: 'OTIS', deviceCount: 42 },
        { accountName: 'RT', deviceCount: 51 },
      ],
    },
    {
      name: 'Deactive Devices',
      // type: 'line',
      color: '#FF0046',
      data: [
        { accountName: 'TankIQ', deviceCount: 22 },
        { accountName: 'Autocavo', deviceCount: 33 },
        { accountName: 'OTIS', deviceCount: 10 },
        { accountName: 'RT', deviceCount: 17 },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};

export const  sparklineChart1: Hash8ChartOptions = {
  chart: {
    type: 'line',
  },
  series: [
    {
      name: 'Active Devices',
      data: [
        { accountName: 'TankIQ', deviceCount: 53 },
        { accountName: 'Autocavo', deviceCount: 81 },
        { accountName: 'OTIS', deviceCount: 42 },
        { accountName: 'RT', deviceCount: 51 },
      ],
    },
    {
      name: 'Deactive Devices',
      data: [
        { accountName: 'TankIQ', deviceCount: 22 },
        { accountName: 'Autocavo', deviceCount: 33 },
        { accountName: 'OTIS', deviceCount: 10 },
        { accountName: 'RT', deviceCount: 17 },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};
export const sparklineChart2: Hash8ChartOptions = {
  chart: {
    type: 'area',
  },
  series: [
    {
      name: 'Active Devices',
      data: [
        { accountName: 'TankIQ', deviceCount: 53 },
        { accountName: 'Autocavo', deviceCount: 81 },
        { accountName: 'OTIS', deviceCount: 42 },
        { accountName: 'RT', deviceCount: 51 },
      ],
    }
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};
export const sparklineChart3: Hash8ChartOptions = {
  chart: {
    type: 'bar',
  },
  series: [
    {
      name: 'Active Devices',
      data: [
        { accountName: 'TankIQ', deviceCount: 53 },
        { accountName: 'Autocavo', deviceCount: 81 },
        { accountName: 'OTIS', deviceCount: 42 },
        { accountName: 'RT', deviceCount: 51 },
      ],
    },
    {
      name: 'Deactive Devices',
      data: [
        { accountName: 'TankIQ', deviceCount: 22 },
        { accountName: 'Autocavo', deviceCount: 33 },
        { accountName: 'OTIS', deviceCount: 10 },
        { accountName: 'RT', deviceCount: 17 },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};
export const sparklineChart4: Hash8ChartOptions = {
  chart: {
    type: 'pie',
  },
  series: [
    {
      name: 'Active Devices',
      data: [
        { accountName: 'TankIQ', deviceCount: 53 },
        { accountName: 'Autocavo', deviceCount: 81 },
        { accountName: 'OTIS', deviceCount: 42 },
        { accountName: 'RT', deviceCount: 51 },
      ],
    },
    {
      name: 'Deactive Devices',
      data: [
        { accountName: 'TankIQ', deviceCount: 22 },
        { accountName: 'Autocavo', deviceCount: 33 },
        { accountName: 'OTIS', deviceCount: 10 },
        { accountName: 'RT', deviceCount: 17 },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};
export const sparklineChart5: Hash8ChartOptions = {
  chart: {
    type: 'donut',
  },
  series: [
    {
      name: 'Active Devices',
      data: [
        { accountName: 'TankIQ', deviceCount: 53 },
        { accountName: 'Autocavo', deviceCount: 81 },
        { accountName: 'OTIS', deviceCount: 42 },
        { accountName: 'RT', deviceCount: 51 },
      ],
    },
    {
      name: 'Deactive Devices',
      data: [
        { accountName: 'TankIQ', deviceCount: 22 },
        { accountName: 'Autocavo', deviceCount: 33 },
        { accountName: 'OTIS', deviceCount: 10 },
        { accountName: 'RT', deviceCount: 17 },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};
export const sparklineChart11: Hash8ChartOptions = {
  chart: {
    type: 'line',
  },
  series: [
    {
      name: 'Active Devices',
      data: [
        { accountName: 'TankIQ', deviceCount: 53 },
        { accountName: 'Autocavo', deviceCount: 81 },
        { accountName: 'OTIS', deviceCount: 42 },
        { accountName: 'RT', deviceCount: 51 },
      ],
    },
    {
      name: 'Deactive Devices',
      data: [
        { accountName: 'TankIQ', deviceCount: 22 },
        { accountName: 'Autocavo', deviceCount: 33 },
        { accountName: 'OTIS', deviceCount: 10 },
        { accountName: 'RT', deviceCount: 17 },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};
export const sparklineChart12: Hash8ChartOptions = {
  chart: {
    type: 'area',
  },
  series: [
    {
      name: 'Active Devices',
      data: [
        { accountName: 'TankIQ', deviceCount: 53 },
        { accountName: 'Autocavo', deviceCount: 81 },
        { accountName: 'OTIS', deviceCount: 42 },
        { accountName: 'RT', deviceCount: 51 },
      ],
    },
    {
      name: 'Deactive Devices',
      data: [
        { accountName: 'TankIQ', deviceCount: 22 },
        { accountName: 'Autocavo', deviceCount: 33 },
        { accountName: 'OTIS', deviceCount: 10 },
        { accountName: 'RT', deviceCount: 17 },
      ],
    },
  ],
  xaxis: {
    field: 'accountName',
  },
  yaxis: {
    field: 'deviceCount',
  },
};
