/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import { Component, OnInit } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { MockServer } from '@hash8io/core-web';
import { FormModel } from '@hash8io/forms-web';
import { CHART_FORM } from './form-config.data.ts/chart-form.data';
import { GRID_FORM } from './form-config.data.ts/grid-form.data';
import { REPORT_FORM } from './form-config.data.ts/report-form.data';

@Component({
  selector: 'hash8-app-component-creator',
  templateUrl: './component-creator.component.html',
  styleUrls: ['./component-creator.component.scss'],
})
export class ComponentCreatorComponent implements OnInit {
  form!: UntypedFormGroup;
  grid: FormModel = { fields: [], model: {} };
  gridObj: any;
  columns: any;
  componentType!: string;
  chartObj: any;
  constructor() {}

  ngOnInit(): void {
    this.form = new UntypedFormGroup({});
  }

  componentChange(event: any) {
    console.log('Component Change', event);
    this.grid = { fields: [] };
    this.componentType = event.value;
    switch (event.value) {
      case 'grid':
        this.grid = GRID_FORM;
        break;

      case 'report':
        this.grid = REPORT_FORM;
        break;

      case 'chart':
      case 'line':
      case 'bar':
      case 'area':
      case 'pie':
        this.grid = CHART_FORM;
        break;

      default:
        break;
    }
  }

  onModelChange(model: any) {}

  onSubmit(model: any) {
    if (this.componentType === 'grid') {
      this.gridObj = {
        columns: model.columns,
        title: model.title,
      };
      this.columns = this.gridObj.columns;

      if (model.dataSource) {
        const mockData = MockServer.LOOKUP.find(
          (d) => d.value === model.dataSource
        );
        console.log(mockData);
        if (mockData) {
          this.gridObj['rowData'] = mockData.ref || [];
        }
      }
    }

    if (this.componentType === 'report') {
      this.columns = model.columns;
      this.gridObj = {
        title: model.title,
        columns: model.columns,
        count: {},
        options: {
          showActions: false,
          showBreadcrumb: false,
          showSearch: true,
          showSettings: true,
          showTitle: true,
        },
      };
      if (model.dataSource) {
        const mockData = MockServer.LOOKUP.find(
          (d) => d.value === model.dataSource
        );
        if (mockData) {
          this.gridObj['rowData'] = mockData.ref || [];
        }
      }
    }

    if (
      this.componentType === 'chart' ||
      this.componentType === 'line' ||
      this.componentType === 'bar' ||
      this.componentType === 'area' ||
      this.componentType === 'pie'
    ) {
      if (model.dataSource) {
        const mockData = MockServer.LOOKUP.find(
          (d) => d.value === model.dataSource
        );

        const chartObj = model;
        chartObj.series.map((s: any) => {
          s.data = mockData?.ref;
        });

        this.chartObj = chartObj;
        if (mockData) {
          // this.chartObj['series'] = mockData.ref || [];
        }
        console.log('mockData', this.chartObj);
      }
    }
  }
}
