import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { ComponentsPageRoutingModule } from './components-page-routing.module';
import { ComponentsPageComponent } from './components-page.component';
import { SharedModule } from '@hash8io/core-web';
import { SidebarModule } from '@hash8io/core-web/sidebar';
import { DataReportWebModule } from '@hash8io/data-report-web';
import { BreadcrumbModule } from '@hash8io/core-web/breadcrumb';
import { TitleModule } from '@hash8io/core-web/title';
import { CtaButtonModule } from '@hash8io/core-web/cta-button';
import { ToolbarModule } from '@hash8io/core-web/toolbar';
import { CardModule } from '@hash8io/core-web/card';
import { LayoutModule } from '@hash8io/core-web/layout';
import { DynamicContentWebModule } from '@hash8io/dynamic-content-web';
import { LoginModule } from '@hash8io/authentication-web/login';
import { AppSearchModule } from '@hash8io/core-web/app-search';
import { LabelModule } from '@hash8io/core-web/label';
import { BannerModule } from '@hash8io/core-web/banner';
import { UserProfileDropdownModule } from '@hash8io/core-web/user-profile-dropdown';
import { DarkModeTogglerModule } from '@hash8io/core-web/dark-mode-toggler';
import { FlexLayoutModule } from '@angular/flex-layout';
import { MegaMenuModule } from '@hash8io/core-web/mega-menu';
import { AppHeaderModule } from '@hash8io/core-web/app-header';
import { LoadingBarLibraryModule } from '@hash8io/core-web/loading-bar';

@NgModule({
  declarations: [ComponentsPageComponent],
  imports: [
    CommonModule,
    ComponentsPageRoutingModule,
    SidebarModule,
    DataReportWebModule,
    SharedModule,
    DynamicContentWebModule,
    BreadcrumbModule,
    TitleModule,
    CtaButtonModule,
    ToolbarModule,
    CardModule,
    LayoutModule,
    LoginModule,
    AppSearchModule,
    LabelModule,
    BannerModule,
    UserProfileDropdownModule,
    DarkModeTogglerModule,
    FlexLayoutModule,
    MegaMenuModule,
    AppHeaderModule,
    LoadingBarLibraryModule,
    SharedModule,
  ],
  exports: [ComponentsPageComponent],
})
export class ComponentsPageModule {}
