/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, OnInit } from '@angular/core';
import { Model } from '@hash8io/core-web';
import { MapCircle, MapMarker, MapPolygon, MapPolyline } from '@hash8io/map-web';
import { Observable, of, startWith, tap } from 'rxjs';
import {
  barChart,
  lineChartWithCustomOptions,
  LINE_CHART,
  sparklineChart2,
} from '../chart-page/chart.mock';
import {
  MULTIPLE_CIRCLE_DATA,
  MULTIPLE_MARKER_DATA,
  MULTIPLE_POLYGON_DATA,
  MULTIPLE_POLYLINE_DATA,
  NEW_MULTIPLE_MARKER_DATA,
} from '../map-page/map-mock.data';
import {
  FIRST_1000,
  SECOND_1000,
  THIRD_100,
  FOURTH_1000,
  FIFTH_1000,
  SIXTH_1000,
  SEVENTH_1000,
  EIGHTH_1000,
  NINTH_1000,
  TENTH_1000,
  WHOLE_10000,
} from './data';

@Component({
  selector: 'hash8-app-dashboard',
  templateUrl: './dashboard.component.html',
  styleUrls: ['./dashboard.component.css'],
})
export class DashboardComponent implements OnInit {
  lineChart = lineChartWithCustomOptions;
  barChart = barChart;
  areaChart = sparklineChart2;
  lineChartKPI = LINE_CHART;
  markers: any = [];
  markerOptions: MapMarker = {
    latitudeField: 'latitude',
    longitudeField: 'longitude',
    visible: true,
    draggable: false,
    // icon: {
    //   expression: `if(data?.status === 'active'){
    //           return 'https://img.icons8.com/emoji/20/000000/green-circle-emoji.png'
    //         }else if(data?.status === 'inactive'){
    //           return 'https://img.icons8.com/emoji/20/000000/red-circle-emoji.png'
    //         }else{
    //           return 'https://img.icons8.com/ios-glyphs/30/000000/map-pin.png'
    //         }`,
    // },
    icon: 'https://img.icons8.com/ios-glyphs/30/000000/map-pin.png',

    // label: {
    //   text: 'Vehicle 123', // codepoint from https://fonts.google.com/icons
    //   color: '#ffffff',
    // },
  };

  markerOptions2 : MapMarker= {
    latitudeField: 'latitude',
    longitudeField: 'longitude',
    visible: true,
    draggable: false,
    icon: {
      expression: `if(data?.status === 'active'){
              return 'https://img.icons8.com/emoji/20/000000/green-circle-emoji.png'
            }else if(data?.status === 'inactive'){
              return 'https://img.icons8.com/emoji/20/000000/red-circle-emoji.png'
            }else{
              return 'https://img.icons8.com/ios-glyphs/30/000000/map-pin.png'
            }`,
    },
  };
  inactiveMarkers: any;
  newMarkers: any = [];

  polylines = MULTIPLE_POLYLINE_DATA;

  polylineOptions: MapPolyline = {
    latitudeField: 'latitude',
    longitudeField: 'longitude',
    strokeColor: 'red',
    lineStyle: 'line'
  };

  polylineOptions2: MapPolyline = {
    latitudeField: 'latitude',
    longitudeField: 'longitude',
    strokeColor: 'green',
  };


  polygons = MULTIPLE_POLYGON_DATA;
  polygonOptions: MapPolygon = {
    latitudeField: 'latitude',
    longitudeField: 'longitude',
  }
  polygonOptions2: MapPolygon = {
    latitudeField: 'latitude',
    longitudeField: 'longitude',
    strokeColor: 'red',
    fillColor: 'green',
  }

  circles = MULTIPLE_CIRCLE_DATA;
  circleOptions: MapCircle = {
    latitudeField: 'latitude',
    longitudeField: 'longitude',
    strokeColor: {
      expression: `if(data?.status === 'active'){
              return 'green'
            }else if(data?.status === 'inactive'){
              return 'red'
            }else{
              return 'blue'
            }`,
    },
  }

  first_1000: any = FIRST_1000;
  second_1000: any = SECOND_1000;
  third_1000: any = THIRD_100;
  fourth_1000: any = FOURTH_1000;
  fifth_1000: any = FIFTH_1000;
  sixth_1000: any = SIXTH_1000;
  seventh_1000: any = SEVENTH_1000;
  eighth_1000: any = EIGHTH_1000;
  ninth_1000: any = NINTH_1000;
  tenth_1000: any = TENTH_1000;
  whole_10000: any = WHOLE_10000;

  ngOnInit(): void {
    this.markers = MULTIPLE_MARKER_DATA;
  }

  addMarkers(data: any) {
    // this.markers = [...this.markers, ...data];
    this.newMarkers = data;
    console.log('MARKERS LENGTH', this.markers.length);
  }

  updateMarker() {
    this.markers = [...this.markers, ...this.newMarkers];
    const assetIndex = this.markers.findIndex(
      (obj: any) => obj.geofenceId == 'GE-MA-101'
    );
    // const obj = this.mapMarkerFormat(NEW_MULTIPLE_MARKER_DATA,'latitude','longitude');

    const updatedData = {
      ...this.markers[assetIndex],
      status: 'inactive',
      latitude: -73.504949,
      longitude: -100.314936,
    };
    this.markers[assetIndex] = updatedData;
  }

  inactiveMarker() {
    const data = [...this.markers, ...this.newMarkers];
    const markers = data.map((marker: any) => {
      return {
        ...marker,
        status: marker.status === 'active' ? 'inactive' : marker.status,
      };
    });
    this.markers = markers;
  }

  activeMarker() {
    const data = [...this.markers, ...this.newMarkers];
    const markers = data.map((marker: any) => {
      return {
        ...marker,
        status: marker.status === 'inactive' ? 'active' : marker.status,
      };
    });
    this.markers = markers;
  }
}
