import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CardsComponent } from './components/cards/cards.component';
import { CascadeComponent } from './components/cascade/cascade.component';
import { DialogComponent } from './components/dialog/dialog.component';
import { FormsComponent } from './components/forms/forms.component';
import { ReportsComponent } from './components/reports/reports.component';
import { DemoComponentComponent } from './demo-component.component';

const routes: Routes = [
  {
    path: '',
    component: DemoComponentComponent,
    children: [
      {
        path: '',
        redirectTo: 'reports',
        pathMatch: 'full',
      },
      {
        path: 'reports',
        component: ReportsComponent,
      },
      {
        path: 'cascade',
        component: CascadeComponent,
      },
      {
        path: 'forms',
        component: FormsComponent,
      },
      {
        path: 'dialog',
        component: DialogComponent,
      },
      {
        path: 'cards',
        component: CardsComponent,
      },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DemoComponentsRoutingModule {}
