import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { DemoComponentsRoutingModule } from './demo-components-routing.module';
import { DemoComponentComponent } from './demo-component.component';
import { LayoutModule } from '@hash8io/core-web/layout';
import { TitleModule } from '@hash8io/core-web/title';
import { SharedModule } from '@hash8io/core-web';
import { SidebarModule } from '@hash8io/core-web/sidebar';
import { DataReportWebModule } from '@hash8io/data-report-web';
import { CascadeReportWebModule } from '@hash8io/cascade-report-web';
import { FormsWebModule } from '@hash8io/forms-web';
import { ReportsComponent } from './components/reports/reports.component';
import { CascadeComponent } from './components/cascade/cascade.component';
import { FormsComponent } from './components/forms/forms.component';
import { DialogComponent } from './components/dialog/dialog.component';
import { CardsComponent } from './components/cards/cards.component';
import { ToolbarModule } from '@hash8io/core-web/toolbar';
import { CardModule } from '@hash8io/core-web/card';
import { DynamicContentWebModule } from '@hash8io/dynamic-content-web';

@NgModule({
  declarations: [
    DemoComponentComponent,
    ReportsComponent,
    CascadeComponent,
    FormsComponent,
    DialogComponent,
    CardsComponent,
  ],
  imports: [
    CommonModule,
    DemoComponentsRoutingModule,
    SharedModule,
    TitleModule,
    SidebarModule,
    LayoutModule,
    DataReportWebModule,
    CascadeReportWebModule,
    ToolbarModule,
    FormsWebModule,
    CardModule,
    DynamicContentWebModule,
  ],
  exports: [
    DemoComponentComponent,
    ReportsComponent,
    CascadeComponent,
    FormsComponent,
    DialogComponent,
    CardsComponent,
  ],
})
export class DemoComponentsModule {}
