/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { DialogWebService } from '@hash8io/dialog-web';
import {
  DIALOG_BAR_CHART,
  DIALOG_BOXPLOT_CHART,
  DIALOG_LINE_CHART,
  DIALOG_PIE_CHART,
} from './mock-data/dialog-chart';
import { DIALOG_FORM, DIALOG_ORGANIZATION } from './mock-data/dialog-form';
import { DIALOG_INFO } from './mock-data/dialog-info';
import { DIALOG_KPI } from './mock-data/dialog-kpi';
import { DIALOG_REGISTRATION } from './mock-data/dialog-registration';
import {
  CREATE_SALES_CHANNEL_DIALOG_FORM2,
  DIALOG_CASCADE_REPORT,
  DIALOG_REPORT,
  INVITE_USER_FORM,
  REPEAT_FORM_DEFAULT_USER_FORM,
  TENANT_CREATE_CUSTOMER_DIALOG_FORM,
} from './mock-data/dialog-reports';
import { DIALOG_TEXT } from './mock-data/dialog-text';

@Component({
  selector: 'hash8-app-dialog-page',
  templateUrl: './dialog-page.component.html',
  styleUrls: ['./dialog-page.component.scss'],
})
export class DialogPageComponent implements OnInit {
  ngOnInit(): void {
    // this.openDialog();
  }

  constructor(
    private dialog: MatDialog,
    private dialogService: DialogWebService
  ) {}

  openDialog() {
    this.dialogService.openDialog({
      maxWidth: 600,
      autoFocus: false,
      data: DIALOG_TEXT,
    });
  }

  openKpiDialog() {
    this.dialogService.openDialog({
      maxWidth: 500,
      autoFocus: false,
      data: DIALOG_KPI,
    });
  }

  openInfoDialog() {
    this.dialogService.openDialog({
      maxWidth: 500,
      autoFocus: false,
      data: DIALOG_INFO,
    });
  }

  openRepeatGridForm() {
    this.dialogService.openDialog({
      minWidth: 600,
      autoFocus: false,
      data: DIALOG_ORGANIZATION,
    });
  }

  openFormDialog() {
    // this.dialog.open(DialogWebComponent, {
    //   minWidth: 500,
    //   maxWidth: 500,
    //   autoFocus: false,
    //   data: DIALOG_FORM,
    // });
    this.dialogService
      .openDialog({
        maxWidth: 600,
        autoFocus: false,
        data: DIALOG_FORM,
      })
      .subscribe((result: any) => {
        // if (result?.state) {
        console.log(`Dynamic API Forms closed`);
        // }
      });
  }

  openRegFormDialog() {
    this.dialogService.openDialog({
      maxWidth: 500,
      autoFocus: false,
      data: DIALOG_REGISTRATION,
    });
  }

  openReportDialog() {
    this.dialogService.openDialog({
      minWidth: 950,
      autoFocus: false,
      data: DIALOG_REPORT,
    });
  }

  openCascadeReportDialog() {
    this.dialogService.openDialog({
      minWidth: 950,
      maxWidth: 950,
      autoFocus: false,
      data: DIALOG_CASCADE_REPORT,
    });
  }

  openLineChartDialog() {
    this.dialogService.openDialog({
      minWidth: 600,
      autoFocus: false,
      data: DIALOG_LINE_CHART,
    });
  }

  openBarChartDialog() {
    this.dialogService.openDialog({
      minWidth: 600,
      autoFocus: false,
      data: DIALOG_BAR_CHART,
    });
  }

  openBoxplotChartDialog() {
    this.dialogService.openDialog({
      minWidth: 600,
      autoFocus: false,
      data: DIALOG_BOXPLOT_CHART,
    });
  }

  openPieChartDialog() {
    this.dialogService.openDialog({
      minWidth: 600,
      autoFocus: false,
      data: DIALOG_PIE_CHART,
    });
  }

  openCheckboxAsyncDialog() {
    this.dialogService
      .openDialog({
        maxWidth: '700px',
        width: '600px',
        autoFocus: false,
        data: CREATE_SALES_CHANNEL_DIALOG_FORM2,
      })
      .subscribe((result: any) => {
        // if (result?.state) {
        console.log(`Dynamic API Forms closed`);
        // }
      });
  }

  openRepeatDefaultValuesDialog() {
    this.dialogService
      .openDialog({
        minWidth: 600,
        autoFocus: false,
        data: REPEAT_FORM_DEFAULT_USER_FORM,
      })
      .subscribe((result: any) => {
        // if (result?.state) {
        console.log(`Dynamic API Forms closed`);
        // }
      });
  }

  openInviteUserDialog() {
    this.dialogService
      .openDialog({
        width: '670px',
        autoFocus: false,
        data: INVITE_USER_FORM,
      })
      .subscribe((result: any) => {
        // if (result?.state) {
        console.log(`INVITE_USER_FORM Forms closed`);
        // }
      });
  }

  openSelectionCheckboxAsyncDialog() {
    this.dialogService
      .openDialog({
        width: '670px',
        autoFocus: false,
        data: TENANT_CREATE_CUSTOMER_DIALOG_FORM,
      })
      .subscribe((result: any) => {
        // if (result?.state) {
        console.log(`TENANT_CREATE_CUSTOMER_DIALOG_FORM Forms closed`);
        // }
      });
  }
}
