import { DialogDataModel } from '@hash8io/dialog-web';
import { barChartHorizontal, boxplotChart, LINE_CHART, pieChart } from '../../chart-page/chart.mock';

export const DIALOG_LINE_CHART: DialogDataModel = {
  title: {
    label: 'Line Chart',
    iconUrl: 'apartment',
  },
  content: [
    {
      type: 'chart',
      props: {
        chartOptions: LINE_CHART,
        type: 'line'
      },
    },
  ],
};

export const DIALOG_BAR_CHART: DialogDataModel = {
    title: {
      label: 'Bar Chart',
      iconUrl: 'apartment',
    },
    content: [
      {
        type: 'chart',
        props: {
          chartOptions: barChartHorizontal,
          type: 'bar',
        },
      },
    ],
  };

  export const DIALOG_BOXPLOT_CHART: DialogDataModel = {
    title: {
      label: 'Boxplot Chart',
      iconUrl: 'apartment',
    },
    content: [
      {
        type: 'chart',
        props: {
          chartOptions: boxplotChart,
          type: 'boxPlot',
        },
      },
    ],
  };

  export const DIALOG_PIE_CHART: DialogDataModel = {
    title: {
      label: 'Pie Chart',
      iconUrl: 'apartment',
    },
    content: [
      {
        type: 'chart',
        props: {
          chartOptions: pieChart,
          type: 'pie',
        },
      },
    ],
  };