import { DialogDataModel } from '@hash8io/dialog-web';

export const DIALOG_KPI: DialogDataModel = {
  title: {
    label: 'KPI + Key Value',
    iconUrl: 'insights',
  },
  content: [
    {
      type: 'template',
      props: {
        template:
          '<p class="mb-2 -mt-3 w-full text-sm opacity-70 text-orange-700 bg-orange-100 rounded py-2 px-4">Create under Organization <b>Hash8</b></p>',
      },
    },
    {
      type: 'text',
      props: {
        type: 'text',
        label: 'Last Reported Time',
        value: '06/08/2022 03:10 AM (EST)',
        key: 'lastReportedTime',
      },
    },
    {
      type: 'text',
      props: {
        type: 'tag',
        key: 'status',
        label: 'Reporting Status',
        value: 'Reporting',
      },
    },
    {
      type: 'template',
      props: {
        template: '<hr class="my-2"/>',
      },
    },
    {
      type: 'text',
      props: {
        type: 'tag',
        key: 'status',
        label: 'State',
        value: 'Activated',
      },
    },

    {
      type: 'text',
      props: {
        type: 'text',
        label: 'Location',
        value: '2101 Richland Avenue, Houston, Texas 77077, USA',
        key: 'location',
      },
    },
    {
      type: 'template',
      props: {
        template: `<h6 class="sidebar-heading px-0 mt-5 my-2">KPI Data</h6>`,
      },
    },
    {
      type: 'row',
      props: [
        {
          type: 'kpi',
          props: {
            label: 'Liquid Level',
            value: '0.06 inches',
          },
        },
        {
          type: 'kpi',
          props: {
            label: 'Liquid Volume',
            value: '15.70 litres',
          },
        },
      ],
    },
    {
      type: 'row',
      props: [
        {
          type: 'kpi',
          props: {
            label: 'Liquid Volume',
            value: '15.70 litres',
          },
        },
        {
          type: 'kpi',
          props: {
            label: 'Temperature',
            value: '13• C',
          },
        },
      ],
    },
  ],
};
