import { FormModel } from '@hash8io/forms-web';


export const CHANGE_PASSWORD_FORM: FormModel = {
  
  fields : [
    {
      type: '#template',
      template: `<h3 class="forms-heading">Change Password</h3>`,
    },
    {
      key: 'currentpassword',
      type: '#password',
      props: {
        label: 'Current Password',
        placeholder: 'Please enter your current password',
        required: true,
        align: 'row',
      },
    },
    {
      type: '#group',
      validators: {
        validation: [
          { name: 'fieldMatch', options: { errorPath: 'confirmPassword' } },
        ],
      },
      fieldGroup: [
        {
          key: 'password',
          type: '#password',
          props: {
            label: 'New Password',
            placeholder: 'Please enter your new password',
            required: true,
            align: 'row',
          },
        },
        {
          key: 'confirmPassword',
          type: '#password',
          props: {
            label: 'Confirm Password',
            placeholder: 'Please re-enter your password',
            required: true,
            align: 'row',
          },
        },
      ],
    },
  ],
  options: {
    submitLabel: 'Change Password',
    hasReset: true,
    // submitLabelClass: ['w-full'],
  }
}
