/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, OnInit } from '@angular/core';
import { Model } from '@hash8io/core-web';
import { FormFields, FormOptions } from '@hash8io/forms-web';

@Component({
  selector: 'hash8-app-organization-form-page',
  templateUrl: './organization-form-page.component.html',
  styleUrls: ['./organization-form-page.component.scss'],
})
export class OrganizationFormPageComponent implements OnInit {
  title: Model.Title = {
    label: 'Repeat Form Elements',
    // iconUrl: 'list_alt',
  };
  model: any = {
    users: [null],
    devices: [null],
    invite_users: [null],
    drivers: [null],
    check_preset_types: [null],
    maintenance1: [null],
    test: [{ labelKey: 1 }],
    repeat_grid_type_2: [
      { channel_name: 'Bridgestone', owner_email: 'test@example.com' },
    ],
    maintenance: [
      { name: 'Oil Change', name1: 'Oil Change' },
      { name: 'Air Filter', name1: 'Air Filter' },
      { name: 'Wiper blades replacement', name1: 'Wiper blades replacement' },
      { name: 'New tires', name1: 'New tires' },
      { name: 'Brake work', name1: 'Brake work' },
    ],
    maxRepeat: [null],
  };

  options: FormOptions = {
    formState: {
      text: '',
    },
  };
  fields: FormFields[] = [
    {
      type: '#template',
      template:
        '<h5 class="forms-subheading p-0 mt-5 mb-2">Maintenance and Service Update</h5>',
    },
    {
      key: 'maintenance',
      type: '#repeat-grid',
      props: {
        addText: 'Add Service',
        heading: [
          'Service Name',
          'Odometer',
          'Service Interval',
          'Disabled Name',
        ],
        addField: true,
        removeField: true,
      },
      fieldArray: {
        fieldGroup: [
          {
            type: '#label',
            key: 'name',
            props: {
              required: true,
              hideLabel: true,
            },
          },
          {
            type: '#odometer',
            props: {
              required: true,
              hideLabel: true,
            },
          },
          {
            type: '#text',
            key: 'owner_email',
            props: {
              placeholder: 'Service Interval',
              required: true,
              hideLabel: true,
            },
          },
          {
            type: '#label',
            key: 'name1',
            props: {
              required: true,
              hideLabel: true,
              disabled: true,
            },
          },
        ],
      },
    },
    {
      type: '#template',
      template:
        '<hr>',
    },
    {
      type: '#template',
      template:
        '<h5 class="forms-subheading p-0 mt-5 mb-2">Add Driver using API</h5>',
    },
    {
      key: 'drivers',
      type: '#repeat',
      props: {
        addText: 'Add Driver',
        addField: true,
        removeField: true,
      },
      fieldArray: {
        fieldGroup: [
          {
            key: 'driver',
            type: '#select-async',
            props: {
              label: 'Driver',
              options: [],
              valueProp: 'id',
              labelProp: 'name',
              async: true,
              required: false,
              align: 'row',
              // apiEndpoint: 'https://my.api.mockaroo.com/driver.json?key=a77bb3b0',
              apiEndpoint: 'https://63239166bb2321cba91c006d.mockapi.io/users',
            },
          },
        ],
      },
    },
    // {
    //   key: 'test',
    //   type: '#repeat-grid',
    //   props: {
    //     addText: 'Add Organization',
    //     heading: ['Organization Name', 'Organization Type'],
    //     addField: true,
    //     removeField: true,
    //     // maxItems:1
    //   },
    //   fieldArray: {
    //     fieldGroup: [
    //       {
    //         type: '#text',
    //         key: 'test_organization_name',
    //         props: {
    //           placeholder: 'Organization Name',
    //           required: true,
    //           hideLabel: true,
    //         },
    //       },
    //       {
    //         type: '#select',
    //         key: 'test_organization_type',
    //         props: {
    //           hideLabel: true,
    //           placeholder: 'Organization Type',
    //           options: [
    //             { value: 1, label: 'RT' },
    //             { value: 2, label: 'Teezle' },
    //             { value: 3, label: 'Autocavo' },
    //             { value: 4, label: 'Hash8' },
    //           ],
    //         },
    //       },
    //     ],
    //   },
    // },
    // {
    //   type: '#template',
    //   template:
    //     '<h5 class="forms-subheading p-0 mt-5 mb-2">Type 2 - Repeat grid</h5>',
    // },
    // {
    //   key: 'repeat_grid_type_2',
    //   type: '#repeat-grid',
    //   props: {
    //     addText: 'Add New Sales Channel',
    //     heading: ['Sales Channel Name', 'Sales Channel Owner Email'],
    //     addField: true,
    //     removeField: true,
    //   },
    //   fieldArray: {
    //     fieldGroup: [
    //       {
    //         type: '#text',
    //         key: 'channel_name',
    //         props: {
    //           placeholder: 'Sales Channel Name',
    //           required: true,
    //           hideLabel: true,
    //         },
    //       },
    //       {
    //         type: '#email',
    //         key: 'owner_email',
    //         props: {
    //           placeholder: 'Sales Channel Owner Email',
    //           required: true,
    //           hideLabel: true,
    //         },
    //       },
    //     ],
    //   },
    // },
   
    // {
    //   type: '#template',
    //   template:
    //     '<h5 class="forms-subheading p-0 mt-5 mb-2">Type 4 - Repeat type with Max length - 3</h5>',
    // },
    // {
    //   key: 'maxRepeat',
    //   type: '#repeat',
    //   props: {
    //     addField: true,
    //     removeField: true,
    //     maxItems: 3,
    //   },
    //   fieldArray: {
    //     fieldGroup: [
    //       {
    //         type: '#input',
    //         props: {
    //           label: 'User Email',
    //           align: 'row',
    //         },
    //       },
    //     ],
    //   },
    // },
    // {
    //   type: '#template',
    //   template:
    //     '<h5 class="forms-subheading p-0 mt-5 mb-2">Type 5 - Invite Users-1</h5>',
    // },
    // {
    //   key: 'invite_users',
    //   type: '#repeat',
    //   props: {
    //     addText: 'Add user',
    //     addField: true,
    //     removeField: true,
    //   },
    //   fieldArray: {
    //     // fieldGroupClassName: 'flex gap-2',
    //     fieldGroup: [
    //       {
    //         type: '#text',
    //         className: 'w-full',
    //         props: {
    //           label: 'User Name',
    //           placeholder: 'User Name',
    //           required: true,
    //           hideLabel: true,
    //         },
    //       },
    //       {
    //         type: '#select',
    //         props: {
    //           label: 'Organization Name',
    //           hideLabel: true,
    //           placeholder: 'Organization Name',
    //           options: [
    //             { value: 1, label: 'RT' },
    //             { value: 2, label: 'Teezle' },
    //             { value: 3, label: 'Autocavo' },
    //             { value: 4, label: 'Hash8' },
    //           ],
    //         },
    //       },
    //       {
    //         type: '#select',
    //         props: {
    //           label: 'User Group',
    //           placeholder: 'User Group',
    //           hideLabel: true,
    //           options: [
    //             { value: 1, label: 'RT' },
    //             { value: 2, label: 'Teezle' },
    //             { value: 3, label: 'Autocavo' },
    //             { value: 4, label: 'Hash8' },
    //           ],
    //         },
    //       },
    //     ],
    //   },
    // },
    // {
    //   type: '#template',
    //   template:
    //     '<h5 class="forms-subheading p-0 mt-5 mb-2">Type 6 - Invite Users-2</h5>',
    // },
    // {
    //   key: 'invite_users',
    //   type: '#repeat-vertical',
    //   props: {
    //     addText: 'Add user',
    //     addField: true,
    //     removeField: true,
    //   },
    //   fieldArray: {
    //     fieldGroup: [
    //       {
    //         type: '#text',
    //         className: 'w-full',
    //         props: {
    //           label: 'User Name',
    //           placeholder: 'User Name',
    //           required: true,
    //           hideLabel: true,
    //         },
    //       },
    //       {
    //         type: '#select',
    //         props: {
    //           label: 'Organization Name',
    //           hideLabel: true,
    //           placeholder: 'Organization Name',
    //           options: [
    //             { value: 1, label: 'RT' },
    //             { value: 2, label: 'Teezle' },
    //             { value: 3, label: 'Autocavo' },
    //             { value: 4, label: 'Hash8' },
    //           ],
    //         },
    //       },
    //       {
    //         type: '#select',
    //         props: {
    //           label: 'User Group',
    //           placeholder: 'User Group',
    //           hideLabel: true,
    //           options: [
    //             { value: 1, label: 'RT' },
    //             { value: 2, label: 'Teezle' },
    //             { value: 3, label: 'Autocavo' },
    //             { value: 4, label: 'Hash8' },
    //           ],
    //         },
    //       },
    //     ],
    //   },
    // },
    // {
    //   template:
    //     '<h5 class="forms-subheading p-0 mt-5 mb-2">Type 4 - Check preset types</h5>',
    // },
    // {
    //   key: 'check_preset_types',
    //   type: '#repeat',
    //   props: { addField: true,
    //     removeField: true},
    //   fieldArray: {
    //     fieldGroupClassName: 'flex gap-2 flex-wrap',
    //     fieldGroup: [
    //       {
    //         type: '#number',
    //         key: 'number2',
    //         props: {
    //           placeholder: 'Number with mix and max',
    //           label: 'Number (eg. Age)',
    //           align: 'row',
    //           min: 18,
    //           max: 50,
    //           hideLabel: true,
    //         },
    //       },
    //       {
    //         type: '#email',
    //         props: {
    //           align: 'row',
    //           hideLabel: true,
    //           placeholder: 'Email',
    //         },
    //       },
    //       {
    //         type: '#phoneNumber',
    //         props: {
    //           align: 'row',
    //           hideLabel: true,
    //           placeholder: 'Phone Number',
    //         },
    //       },
    //       {
    //         type: '#password',
    //         props: {
    //           align: 'row',
    //           hideLabel: true,
    //           placeholder: 'Password',
    //         },
    //       },
    //       {
    //         type: '#select',
    //         props: {
    //           label: 'Organization Name',
    //           hideLabel: true,
    //           placeholder: 'Select',
    //           options: [
    //             { value: 1, label: 'RT' },
    //             { value: 2, label: 'Teezle' },
    //             { value: 3, label: 'Autocavo' },
    //             { value: 4, label: 'Hash8' },
    //           ],
    //         },
    //       },
    //     ],
    //   },
    // },
    // {
    //   template:
    //     '<h5 class="forms-subheading p-0 mt-5 mb-2">Type 5 - Text with Repeat </h5>',
    // },
    // {
    //   key: 'maintenance1',
    //   type: '#repeat',
    //   props: {
    //     addText: 'Add service',
    //     // text: 'Maintenance',
    //     addField: true,
    //     removeField: true
    //   },
    //   fieldArray: {
    //     // fieldGroupClassName: 'flex gap-2',
    //     fieldGroup: [
    //       {
    //         type: '#text',
    //         className: 'w-full',
    //         props: {
    //           placeholder: 'Maintenance Name',
    //           required: true,
    //           hideLabel: true,
    //         },
    //       },
    //       {
    //         type: '#select',
    //         props: {
    //           hideLabel: true,
    //           placeholder: 'Service Name',
    //           options: [
    //             { value: 1, label: 'Service 1' },
    //             { value: 2, label: 'Service 2' },
    //             { value: 3, label: 'Service 3' },
    //             { value: 4, label: 'Service 4' },
    //           ],
    //         },
    //       },
    //       {
    //         type: '#odometer',
    //         props: {
    //           hideLabel: true,
    //           placeholder: 'Odometer',
    //         },
    //       },
    //     ],
    //   },
    // },
  
  ];
  constructor() {}

  ngOnInit(): void {}
  modelChange(event: any) {
    console.log(event);
  }

  onSubmit(model: any) {
    console.log(model);
  }
}
