/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, OnInit } from '@angular/core';
import { Model } from '@hash8io/core-web';
import { FormFields, FormOptions } from '@hash8io/forms-web';

@Component({
  selector: 'hash8-app-repeat-form-page',
  templateUrl: './repeat-form-page.component.html',
  styleUrls: ['./repeat-form-page.component.scss'],
})
export class RepeatFormPageComponent implements OnInit {
  title: Model.Title = {
    label: 'Repeat Form Elements',
    // iconUrl: 'list_alt',
  };
  model: any = {
    users: [null],
    createChannel: [null]
  };

  options: FormOptions = {
    formState: {
      text: '',
    },
  };


  fields: FormFields[] = [
    {
      type: '#template',
      template:
        '<h5 class="forms-subheading p-0 mt-5 mb-2">Type 1 - Repeat grid</h5>',
    },
    {
      key: 'users',
      type: '#repeat-grid',
      props: {
        addText: 'Add User',
        heading: ['Email', 'User Roles'],
        addField: true,
        removeField: true,
        // maxItems:1
      },
      fieldArray: {
        fieldGroup: [
          {
            type: '#text',
            key: 'email',
            props: {
              placeholder: 'Email',
              required: true,
              hideLabel: true,
            },
          },
          {
            type: '#select',
            key: 'role',
            props: {
              hideLabel: true,
              placeholder: 'Roles',
              options: [
                { value: 1, label: 'Owner' },
                { value: 2, label: 'Admin' },
                { value: 3, label: 'Member' },
              ],
            },
          },
        ],
      },
    },
    {
      type: '#template',
      template:
        '<hr>',
    },
    {
      type: '#template',
      template:
        '<h5 class="forms-subheading p-0 mt-5 mb-2">Type 2 - Repeat grid</h5>',
    },
    {
      key: 'createChannel',
      type: '#repeat-grid',
      props: {
        addText: 'Add New Sales Channel',
        heading: ['Sales Channel Name', 'Sales Channel Owner Email'],
        addField: true,
        removeField: true,
      },
      fieldArray: {
        fieldGroup: [
          {
            type: '#text',
            key: 'channel_name',
            props: {
              placeholder: 'Sales Channel Name',
              required: true,
              hideLabel: true,
            },
          },
          {
            type: '#email',
            key: 'owner_email',
            props: {
              placeholder: 'Sales Channel Owner Email',
              required: true,
              hideLabel: true,
            },
          },
        ],
      },
    },
  ];
  constructor() { }

  ngOnInit(): void { }
  modelChange(event: any) {
    console.log(event);
  }

  onSubmit(model: any) {
    console.log(model);
  }
}
