import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AllFormElementsComponent } from './components/all-form-elements/all-form-elements.component';
import { ApiFormPageComponent } from './components/api-form-page/api-form-page.component';
import { AsynchronousFormPageComponent } from './components/asynchronous-form-page/asynchronous-form-page.component';
import { ChangePasswordFormPageComponent } from './components/change-password-form-page/change-password-form-page.component';
import { LoginFormPageComponent } from './components/login-form-page/login-form-page.component';
import { MultipleStepFormPageComponent } from './components/mutiple-step-form-page/multiple-step-form-page.component';
import { OrganizationFormPageComponent } from './components/organization-form-page/organization-form-page.component';
import { RegistrationFormPageComponent } from './components/registration-form-page/registration-form-page.component';
import { RepeatFormPageComponent } from './components/repeat-form-page/repeat-form-page.component';
import { FormsPageComponent } from './forms-page.component';

const routes: Routes = [
  {
    path: '',
    component: FormsPageComponent,
    children: [
      {
        path: '',
        pathMatch: 'full',
        redirectTo: 'all',
      },
      {
        path: 'all',
        component: AllFormElementsComponent,
        pathMatch: 'full',
      },
      {
        path: 'login',
        component: LoginFormPageComponent,
      },
      {
        path: 'organization',
        component: OrganizationFormPageComponent,
      },
      {
        path: 'api',
        component: ApiFormPageComponent,
      },
      {
        path: 'repeat',
        component: RepeatFormPageComponent,
      },
      {
        path: 'multi-step',
        component: MultipleStepFormPageComponent,
      },
      {
        path: 'asynchronous',
        component: AsynchronousFormPageComponent,
      },
      {
        path: 'registration',
        component: RegistrationFormPageComponent,
      },
      {
        path: 'change-password',
        component: ChangePasswordFormPageComponent,
      },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class FormsPageRoutingModule {}
