/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { HttpClient } from '@angular/common/http';
import { Component, OnInit } from '@angular/core';
import { AbstractControl } from '@angular/forms';
import { Model, BreakpointService } from '@hash8io/core-web';
import { FormOptions, FormFields } from '@hash8io/forms-web';
import { LoadingBarService } from '@ngx-loading-bar/core';
import { of } from 'rxjs';

@Component({
  selector: 'hash8-app-forms-page',
  templateUrl: './forms-page.component.html',
  styleUrls: ['./forms-page.component.scss'],
})
export class FormsPageComponent implements OnInit {
  loader = this.loadingBar.useRef();
  navigations: Model.Menu[] = [
    {
      label: 'All Form Elements',
      targetUrl: '/forms/all',
      visible: true,
      clickable: true,
      type: Model.MenuType.Link,
      iconUrl: 'layers',
      configApiUrl: '',
      apiUrl: '',
      hasSubMenu: false,
    },
    {
      label: 'Repeat Form',
      targetUrl: '/forms/repeat',
      visible: true,
      clickable: true,
      type: Model.MenuType.Link,
      iconUrl: 'layers',
      configApiUrl: '',
      apiUrl: '',
      hasSubMenu: false,
    },
    {
      label: 'Multi Step Form',
      targetUrl: '/forms/multi-step',
      visible: true,
      clickable: true,
      type: Model.MenuType.Link,
      iconUrl: 'layers',
      configApiUrl: '',
      apiUrl: '',
      hasSubMenu: false,
    },
    {
      label: 'Asynchronous Forms',
      targetUrl: '/forms/asynchronous',
      visible: true,
      clickable: true,
      type: Model.MenuType.Link,
      iconUrl: 'layers',
      configApiUrl: '',
      apiUrl: '',
      hasSubMenu: false,
    },
    {
      label: 'Examples',
      type: Model.MenuType.Heading,
    },
    {
      label: 'Login',
      targetUrl: '/forms/login',
      visible: true,
      clickable: true,
      type: Model.MenuType.Link,
      iconUrl: 'layers',
      configApiUrl: '',
      apiUrl: '',
      hasSubMenu: false,
    },
    {
      label: 'Registration',
      targetUrl: '/forms/registration',
      visible: true,
      clickable: true,
      type: Model.MenuType.Link,
      iconUrl: 'layers',
      configApiUrl: '',
      apiUrl: '',
      hasSubMenu: false,
    },
    {
      label: 'Change Password',
      targetUrl: '/forms/change-password',
      visible: true,
      clickable: true,
      type: Model.MenuType.Link,
      iconUrl: 'layers',
      configApiUrl: '',
      apiUrl: '',
      hasSubMenu: false,
    },
    {
      // label: 'Organization',
      label: 'Maintenance',
      targetUrl: '/forms/organization',
      visible: true,
      clickable: true,
      type: Model.MenuType.Link,
      iconUrl: 'layers',
      configApiUrl: '',
      apiUrl: '',
      hasSubMenu: false,
    },
    {
      label: 'API Examples',
      targetUrl: '/forms/api',
      visible: true,
      clickable: true,
      type: Model.MenuType.Link,
      iconUrl: 'layers',
      configApiUrl: '',
      apiUrl: '',
      hasSubMenu: false,
    },
  ];

  constructor(
    private _breakpoint: BreakpointService,private loadingBar: LoadingBarService,
    private http: HttpClient
  ) {
    this._breakpoint.active$.subscribe((breakpoint) => {
      const _breakpoint = breakpoint as keyof Model.Breakpoint;
    });
    this.loader.start()
  }

  ngOnInit(): void {}
}
