import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FormsPageRoutingModule } from './forms-page-routing.module';
import { FormsPageComponent } from './forms-page.component';
import { TitleModule } from '@hash8io/core-web/title';
import { FormsWebModule } from '@hash8io/forms-web';
import { LoginFormPageComponent } from './components/login-form-page/login-form-page.component';
import { OrganizationFormPageComponent } from './components/organization-form-page/organization-form-page.component';
import { AllFormElementsComponent } from './components/all-form-elements/all-form-elements.component';
import { SidebarModule } from '@hash8io/core-web/sidebar';
import { LayoutModule } from '@hash8io/core-web/layout';
import { FlexLayoutModule } from '@angular/flex-layout';
import { AuthenticationWebModule } from '@hash8io/authentication-web';
import { ApiFormPageComponent } from './components/api-form-page/api-form-page.component';
import { FormlyMatSliderModule } from '@ngx-formly/material/slider';
import { MatNativeDateModule } from '@angular/material/core';
import { FormlyMatDatepickerModule } from '@ngx-formly/material/datepicker';
import { RepeatFormPageComponent } from './components/repeat-form-page/repeat-form-page.component';
import { MultipleStepFormPageComponent } from './components/mutiple-step-form-page/multiple-step-form-page.component';
import { AsynchronousFormPageComponent } from './components/asynchronous-form-page/asynchronous-form-page.component';
import { RegistrationFormPageComponent } from './components/registration-form-page/registration-form-page.component';
import { ChangePasswordFormPageComponent } from './components/change-password-form-page/change-password-form-page.component';
import { LoadingBarLibraryModule } from '@hash8io/core-web/loading-bar';
import { SharedModule } from '@hash8io/core-web';

@NgModule({
  declarations: [
    FormsPageComponent,
    LoginFormPageComponent,
    OrganizationFormPageComponent,
    AllFormElementsComponent,
    ApiFormPageComponent,
    RepeatFormPageComponent,
    MultipleStepFormPageComponent,
    AsynchronousFormPageComponent,
    RegistrationFormPageComponent,
    ChangePasswordFormPageComponent,
  ],
  imports: [
    CommonModule,
    FormsPageRoutingModule,
    TitleModule,
    FormsWebModule,
    SidebarModule,
    LayoutModule,
    FlexLayoutModule,
    AuthenticationWebModule,
    FormlyMatSliderModule,
    MatNativeDateModule,
    FormlyMatDatepickerModule,
    LoadingBarLibraryModule,
    SharedModule,
  ],
  exports: [
    FormsPageComponent,
    LoginFormPageComponent,
    OrganizationFormPageComponent,
    AllFormElementsComponent,
    ApiFormPageComponent,
    RepeatFormPageComponent,
    MultipleStepFormPageComponent,
    AsynchronousFormPageComponent,
    RegistrationFormPageComponent,
    ChangePasswordFormPageComponent,
  ],
})
export class FormsPageModule {}
