import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LoginLayoutComponent } from './login-layout/login-layout.component';
import { AppLayoutComponent } from './app-layout/app-layout.component';
import { SharedModule } from '@hash8io/core-web';
import { AppHeaderModule } from '@hash8io/core-web/app-header';
import { BannerModule } from '@hash8io/core-web/banner';
import { SidebarModule } from '@hash8io/core-web/sidebar';
import { LayoutModule } from '@hash8io/core-web/layout';
import { RouterModule } from '@angular/router';

@NgModule({
  declarations: [LoginLayoutComponent, AppLayoutComponent],
  imports: [
    CommonModule,
    LayoutModule,
    SidebarModule,
    BannerModule,
    SharedModule,
    AppHeaderModule,
    RouterModule,
  ],
  exports: [
    LoginLayoutComponent,
    AppLayoutComponent,
    LayoutModule,
    SidebarModule,
    BannerModule,
    SharedModule,
    AppHeaderModule,
  ],
})
export class AppLayoutModule {}
