export const GOOGLE_MAP_OPTIONS = {
  zoom: 11,
  center: { lat: 12.65200878556528, lng: 77.81727748427481 },
  mapTypeControl: false,
  zoomControl: true,
  zoomControlOptions: {
    position: 8, //google.maps.ControlPosition.RIGHT_TOP,
  },
  scaleControl: false,
  streetViewControl: false,
  fullscreenControl: true,
};

export const EMPTY_GOOGLE_MAP_OPTIONS = {
  zoom: 11,
  center: { lat: 12.65200878556528, lng: 77.81727748427481 },
  mapTypeControl: false,
  zoomControl: false,
  scaleControl: false,
  streetViewControl: false,
  fullscreenControl: false,
  panControl: false,
};

export const MARKER_OPTIONS = {
  draggable: true,
  animation: 1, //google.maps.Animation.DROP,
  clickable: true,
  visible: true,
  // icon: image,
  label: {
    text: '\ue530', // codepoint from https://fonts.google.com/icons
    fontFamily: 'Material Icons',
    color: '#ffffff',
    fontSize: '18px',
  },
};

export const POLYLINE_OPTIONS = {
  strokeColor: 'blue',
  strokeOpacity: 1.0,
  strokeWeight: 2,
  // geodesic: true,
  clickable: true,
  icons: [
    {
      icon: {
        path: 4, //google.maps.SymbolPath.FORWARD_OPEN_ARROW,
      },
      offset: '20%',
      repeat: '200px',
    },
  ],
  editable: false,
  draggable: false,
  visible: true,
};

export const POLYGON_OPTIONS = {
  strokeColor: 'blue',
  strokeOpacity: 1.0,
  strokeWeight: 2,
  fillColor: 'blue',
  fillOpacity: 0.2,
  clickable: true,
  editable: false,
  draggable: false,
  visible: true,
};

export const CIRCLE_OPTIONS = {
  strokeColor: 'blue',
  strokeOpacity: 1.0,
  strokeWeight: 2,
  fillColor: 'blue',
  clickable: true,
  editable: false,
  draggable: false,
  visible: true,
};

export const DASHED_POLYLINE_OPTIONS = {
  strokeOpacity: 0,
  strokeWeight: 2,
  icons: [
    {
      icon: {
        path: 'M 0,-1 0,1',
        strokeOpacity: 1,
        scale: 3,
      },
      offset: '0',
      repeat: '20px',
    },
  ],
};

export const CUSTOM_POLYLINE_OPTIONS = {
  strokeOpacity: 0,
  icons: [
    {
      icon: {
        path: 'M -2,-2 2,2 M 2,-2 -2,2',
        strokeColor: 'green',
        strokeWeight: 4,
        strokeOpacity: 1,
        scale: 3,
      },
      offset: '0%',
    },
    {
      icon: {
        path: 'M 0,-1 0,1',
        strokeOpacity: 1,
        scale: 3,
      },
      offset: '10',
      repeat: '20px',
    },
    {
      icon: {
        path: 'M -2,-2 2,2 M 2,-2 -2,2',
        strokeColor: 'red',
        strokeWeight: 4,
        strokeOpacity: 1,
        scale: 3,
      },
      offset: '100%',
    },
  ],
};

export const MULTIPLE_MARKER_DATA = [
  {
    uuid: 'MA101',
    geofenceId: 'GE-MA-101',
    accountId: 126,
    accountName: 'CANPACK',
    latitude: 12.739276987541615,
    longitude: 78.01171222117786,
    status: 'active',
  },
  {
    uuid: 'MA102',
    geofenceId: 'GE-MA-102',
    accountId: 129,
    accountName: 'AKZO',
    latitude: 12.538605510578083,
    longitude: 77.58453182279963,
    status: 'active',
  },
  {
    uuid: 'MA103',
    geofenceId: 'GE-MA-103',
    accountId: 135,
    accountName: 'Sherwin',
    latitude: 12.525695214012487,
    longitude: 77.80010583188835,
    status: 'inactive',
  },
  {
    uuid: 'MA104',
    geofenceId: 'GE-MA-104',
    accountId: 102,
    accountName: 'MCC - ARNOLD',
    latitude: 12.783777516775436,
    longitude: 77.59312833236453,
    status: 'inactive',
  },
];

// export const MULTIPLE_POLYLINE_DATA = [
//   {
//     uuid: 1,
//     geofenceId: 'GE101',
//     accountId: 126,
//     accountName: 'CANPACK',
//     latitude: 12.741969040717342,
//     longitude: 77.825470000223,
//     status: 'active',
//   },
//   {
//     uuid: 2,
//     geofenceId: 'GE101',
//     accountId: 129,
//     accountName: 'AKZO',
//     latitude: 12.692559223987933,
//     longitude: 77.804927850419,
//     status: 'active',
//   },
//   {
//     uuid: 3,
//     geofenceId: 'GE101',
//     accountId: 135,
//     accountName: 'Sherwin',
//     latitude: 12.648240592704012,
//     longitude: 77.7829010916097,
//     status: 'active',
//   },
//   {
//     uuid: 4,
//     geofenceId: 'GE101',
//     accountId: 102,
//     accountName: 'MCC - ARNOLD',
//     latitude: 12.526793881178682,
//     longitude: 77.7883708799588,
//     status: 'active',
//   },
// ];

export const MULTIPLE_POLYLINE_DATA = [
  // Todo: Obj of array
  [
    {
      uuid: 1,
      geofenceId: 'GE101',
      accountId: 126,
      accountName: 'CANPACK',
      latitude: 12.741969040717342,
      longitude: 77.825470000223,
      status: 'active',
    },
    {
      uuid: 2,
      geofenceId: 'GE101',
      accountId: 129,
      accountName: 'AKZO',
      latitude: 12.692559223987933,
      longitude: 77.804927850419,
      status: 'active',
    },
    {
      uuid: 3,
      geofenceId: 'GE101',
      accountId: 135,
      accountName: 'Sherwin',
      latitude: 12.648240592704012,
      longitude: 77.7829010916097,
      status: 'active',
    },
    {
      uuid: 4,
      geofenceId: 'GE101',
      accountId: 102,
      accountName: 'MCC - ARNOLD',
      latitude: 12.526793881178682,
      longitude: 77.7883708799588,
      status: 'active',
    },
  ],
  [
    {
      uuid: 9,
      geofenceId: 'GE102',
      accountId: 126,
      accountName: 'CANPACK',
      latitude: 12.667184879321095,
      longitude: 77.99501475692706,
      status: 'inactive',
    },
    {
      uuid: 10,
      geofenceId: 'GE102',
      accountId: 129,
      accountName: 'AKZO',
      latitude: 12.699938039830679,
      longitude: 77.84922227534271,
      status: 'inactive',
    },
    {
      uuid: 11,
      geofenceId: 'GE102',
      accountId: 135,
      accountName: 'Sherwin',
      latitude: 12.674924455971487,
      longitude: 77.87075956696735,
      status: 'inactive',
    },
    {
      uuid: 12,
      geofenceId: 'GE102',
      accountId: 102,
      accountName: 'MCC - ARNOLD',
      latitude: 12.674924455971487,
      longitude: 77.87075956696735,
      status: 'inactive',
    },
    {
      uuid: 13,
      geofenceId: 'GE102',
      accountId: 102,
      accountName: 'MCC - ARNOLD',
      latitude: 12.602871627115217,
      longitude: 77.85127344597362,
      status: 'inactive',
    },
    {
      uuid: 14,
      geofenceId: 'GE102',
      accountId: 102,
      accountName: 'MCC - ARNOLD',
      latitude: 12.526071850114171,
      longitude: 77.80334366730403,
      status: 'inactive',
    },
  ],
];

export const MULTIPLE_POLYGON_DATA = [
  [
    {
      uuid: 1,
      geofenceId: 'GE101',
      accountId: 126,
      accountName: 'CANPACK',
      latitude: 12.743994670377214,
      longitude: 77.78152608002861,
    },
    {
      uuid: 2,
      geofenceId: 'GE101',
      accountId: 129,
      accountName: 'AKZO',
      latitude: 12.760940785855023,
      longitude: 77.8139365782999,
    },
    {
      uuid: 3,
      geofenceId: 'GE101',
      accountId: 135,
      accountName: 'Sherwin',
      latitude: 12.74888308932161,
      longitude: 77.84133514384884,
    },
    {
      uuid: 4,
      geofenceId: 'GE101',
      accountId: 102,
      accountName: 'MCC - ARNOLD',
      latitude: 12.709121214159095,
      longitude: 77.83365018034121,
    },
    {
      uuid: 5,
      geofenceId: 'GE101',
      accountId: 102,
      accountName: 'MCC - ARNOLD',
      latitude: 12.723136356774097,
      longitude: 77.79656187819569,
    },
    {
      uuid: 6,
      geofenceId: 'GE101',
      accountId: 102,
      accountName: 'MCC - ARNOLD',
      latitude: 12.73845434820718,
      longitude: 77.78520149735834,
    },
  ],
  [
    {
      uuid: 9,
      geofenceId: 'GE102',
      accountId: 126,
      accountName: 'CANPACK',
      latitude: 12.672452987129395,
      longitude: 77.44261901502065,
    },
    {
      uuid: 10,
      geofenceId: 'GE102',
      accountId: 129,
      accountName: 'AKZO',
      latitude: 12.667987549260337,
      longitude: 77.50364422987144,
    },
    {
      uuid: 11,
      geofenceId: 'GE102',
      accountId: 135,
      accountName: 'Sherwin',
      latitude: 12.713010461000923,
      longitude: 77.4765642907814,
    },
  ],
];

export const MULTIPLE_CIRCLE_DATA = [
  {
    uuid: 1,
    accountId: 101,
    geofenceId: 'GE101',
    latitude: 12.523563047561481,
    longitude: 77.76223857780174,
    radius: 4000,
    status: 'active',
  },
  {
    uuid: 2,
    accountId: 102,
    geofenceId: 'GE102',
    latitude: 12.718636406685452,
    longitude: 77.71943089597171,
    radius: 3000,
    status: 'inactive',
  },
  {
    uuid: 3,
    geofenceId: 'GE103',
    accountId: 103,
    latitude: 12.584431834235685,
    longitude: 77.65661024915138,
    radius: 2000,
  },
];

export const NEW_MULTIPLE_POLYLINE_DATA = [
  [
    {
      uuid: 1,
      accountId: 126,
      geofenceId: 'GE103',
      accountName: 'CANPACK',
      lat: 12.539673647736729,
      lng: 77.7682062158125,
    },
    {
      uuid: 2,
      accountId: 129,
      geofenceId: 'GE103',
      accountName: 'AKZO',
      lat: 12.559188015817869,
      lng: 77.73185712806266,
    },
    {
      uuid: 3,
      accountId: 135,
      geofenceId: 'GE103',
      accountName: 'Sherwin',
      lat: 12.57988345494667,
      lng: 77.67066949701706,
    },
    {
      uuid: 4,
      accountId: 102,
      geofenceId: 'GE103',
      accountName: 'MCC - ARNOLD',
      lat: 12.58461360692085,
      lng: 77.64704258997966,
    },
  ],
  [
    {
      uuid: 1,
      accountId: 126,
      geofenceId: 'GE104',
      accountName: 'CANPACK',
      lat: 12.603533342744326,
      lng: 77.86453129834962,
    },
    {
      uuid: 2,
      accountId: 129,
      geofenceId: 'GE104',
      accountName: 'AKZO',
      lat: 12.655555408182817,
      lng: 77.84453930008719,
    },
    {
      uuid: 3,
      accountId: 135,
      geofenceId: 'GE104',
      accountName: 'Sherwin',
      lat: 12.69042790291353,
      lng: 77.82515311995395,
    },
  ],
];

export const UPDATED_MULTIPLE_POLYLINE_DATA = [
  {
    uuid: 1,
    accountId: 126,
    accountName: 'CANPACK',
    lat: 12.54499589483242,
    lng: 77.78032257839578,
  },
  {
    uuid: 2,
    accountId: 129,
    accountName: 'AKZO',
    lat: 12.559188015817869,
    lng: 77.75730148948756,
  },
  {
    uuid: 3,
    accountId: 135,
    accountName: 'Sherwin',
    lat: 12.578700903335358,
    lng: 77.7548782169709,
  },
  {
    uuid: 4,
    accountId: 102,
    accountName: 'MCC - ARNOLD',
    lat: 12.60767184883092,
    lng: 77.7445793087751,
  },
  {
    uuid: 5,
    accountId: 102,
    accountName: 'MCC - ARNOLD',
    lat: 12.63309263293078,
    lng: 77.73428040057931,
  },
];

export const NEW_MULTIPLE_POLYGON_DATA = [
  [
    {
      uuid: 1,
      accountId: 126,
      geofenceId: 'GE103',
      accountName: 'CANPACK',
      lat: 12.683627149986146,
      lng: 78.03918634611976,
    },
    {
      uuid: 2,
      accountId: 129,
      geofenceId: 'GE103',
      accountName: 'AKZO',
      lat: 12.642760613687022,
      lng: 78.09823785725706,
    },
    {
      uuid: 3,
      accountId: 135,
      geofenceId: 'GE103',
      accountName: 'Sherwin',
      lat: 12.59317603919893,
      lng: 78.07901178386352,
    },
    {
      uuid: 4,
      accountId: 102,
      geofenceId: 'GE103',
      accountName: 'MCC - ARNOLD',
      lat: 12.64343060968114,
      lng: 78.00279413576769,
    },
  ],
  [
    {
      uuid: 1,
      accountId: 126,
      geofenceId: 'GE104',
      accountName: 'CANPACK',
      lat: 12.540230574555348,
      lng: 77.97395502567737,
    },
    {
      uuid: 2,
      accountId: 129,
      geofenceId: 'GE104',
      accountName: 'AKZO',
      lat: 12.53687922907222,
      lng: 78.05223261020824,
    },
    {
      uuid: 3,
      accountId: 135,
      geofenceId: 'GE104',
      accountName: 'Sherwin',
      lat: 12.498670812217403,
      lng: 78.01584039985616,
    },
  ],
];

export const UPDATED_MULTIPLE_POLYGON_DATA = [
  [
    {
      uuid: 1,
      accountId: 126,
      accountName: 'CANPACK',
      lat: 12.768688872617004,
      lng: 77.93206965149858,
    },
    {
      uuid: 2,
      accountId: 129,
      accountName: 'AKZO',
      lat: 12.77739436698051,
      lng: 77.98974787167921,
    },
    {
      uuid: 3,
      accountId: 135,
      accountName: 'Sherwin',
      lat: 12.75127698479366,
      lng: 78.00828729959441,
    },
    {
      uuid: 4,
      accountId: 102,
      accountName: 'MCC - ARNOLD',
      lat: 12.705062711300142,
      lng: 77.96708857089396,
    },
    {
      uuid: 5,
      accountId: 102,
      accountName: 'MCC - ARNOLD',
      lat: 12.731184857047452,
      lng: 77.91559016001838,
    },
  ],
];

export const NEW_MULTIPLE_CIRCLE_DATA = [
  {
    uuid: 4,
    geofenceId: 'GE1',
    accountId: 101,
    latitude: 12.75297326265552,
    longitude: 77.97549937338272,
    radius: 5500,
  },
  {
    uuid: 5,
    geofenceId: 'GE2',
    accountId: 102,
    latitude: 12.721743043984342,
    longitude: 77.69893042240788,
    radius: 2500,
  },
  {
    uuid: 6,
    geofenceId: 'GE3',
    accountId: 103,
    latitude: 12.606111467628718,
    longitude: 77.7108703393551,
    radius: 4000,
  },
];

export const NEW_MULTIPLE_MARKER_DATA = [
  {
    uuid: 'MA105',
    geofenceId: 'GE-MA-105',
    accountId: 126,
    accountName: 'CANPACK',
    latitude: 12.527808536333877,
    longitude: 77.76382891401717,
    status: 'active',
  },
  {
    uuid: 'MA106',
    geofenceId: 'GE-MA-106',
    accountId: 129,
    accountName: 'AKZO',
    latitude: 12.64039378122044,
    longitude: 77.52487628755452,
    status: 'active',
  },
  {
    uuid: 'MA107',
    geofenceId: 'GE-MA-107',
    accountId: 135,
    accountName: 'Sherwin',
    latitude: 12.759626411860145,
    longitude: 77.5310560968596,
    status: 'inactive',
  },
  {
    uuid: 'MA108',
    geofenceId: 'GE-MA-108',
    accountId: 102,
    accountName: 'MCC - ARNOLD',
    latitude: 12.61828272334605,
    longitude: 78.08517899788069,
    status: 'inactive',
  },
];
