import { Model } from '@hash8io/core-web';

export const Layout: Model.SnapshotLayout = {
  columns: 12,
  rows: 'auto',
  gap: '12px',
  autoFlowColumns: false,
  board: {
    lg: [
      {
        cols: 4,
        rows: 1,
        area: 'details',
      },
      {
        cols: 4,
        rows: 1,
        area: 'status',
      },
      {
        cols: 4,
        rows: 3,
        area: 'deviceDetails',
      },
      {
        cols: 8,
        rows: 1,
        area: 'status',
      },
      {
        cols: 4,
        rows: 1,
        area: 'deviceDetails',
      },
      {
        cols: 4,
        rows: 1,
        area: 'details',
      },
      {
        cols: 12,
        rows: 1,
        area: 'details',
      },
    ],
    md: [
      {
        cols: 6,
        rows: 1,
        area: 'deviceDetails',
      },
      {
        cols: 6,
        rows: 1,
        area: 'status',
      },
      {
        cols: 6,
        rows: 1,
        area: 'details',
      },
      {
        cols: 6,
        rows: 1,
      },
      {
        id: 2,
        cols: 6,
        rows: 1,
      },
      {
        id: 2,
        cols: 6,
        rows: 1,
      },
      {
        id: 3,
        cols: 12,
        rows: 1,
      },
    ],
    sm: [
      {
        id: 1,
        cols: 12,
        rows: 1,
        area: 'status',
      },
      {
        id: 2,
        cols: 12,
        rows: 1,
        area: 'details',
      },
      {
        id: 3,
        cols: 12,
        rows: 1,
        area: 'deviceDetails',
      },
      {
        id: 1,
        cols: 12,
        rows: 1,
      },
      {
        id: 2,
        cols: 12,
        rows: 1,
      },
      {
        id: 2,
        cols: 12,
        rows: 1,
      },
      {
        id: 3,
        cols: 12,
        rows: 1,
      },
    ],
  },
};

export const TileLayout: Model.TileLayout = {
  columns: 12,
  rows: 'auto',
  gap: '16px',
  autoFlowColumns: false,
  tiles: {
    lg: [
      {
        column: 4,
        row: 1,
        area: 'details',
      },
      {
        column: 4,
        row: 1,
        area: 'status',
      },
      {
        column: 4,
        row: 3,
        area: 'deviceDetails',
        type: 'report',
        props: {
          reportUUID: '100',
        },
      },
      {
        column: 8,
        row: 1,
        area: 'status',
      },
      {
        column: 4,
        row: 1,
        area: 'deviceDetails',
      },
      {
        column: 4,
        row: 1,
        area: 'details',
      },
      {
        column: 12,
        row: 1,
        area: 'deviceDetails',
      },
    ],
    md: [
      {
        column: 6,
        row: 1,
        area: 'deviceDetails',
      },
      {
        column: 6,
        row: 1,
        area: 'status',
      },
      {
        column: 6,
        row: 1,
        area: 'details',
      },
      {
        column: 6,
        row: 1,
      },
      {
        column: 6,
        row: 1,
      },
      {
        column: 6,
        row: 1,
      },
      {
        column: 12,
        row: 1,
      },
    ],
    sm: [
      {
        column: 12,
        row: 1,
        area: 'status',
      },
      {
        column: 12,
        row: 1,
        area: 'details',
      },
      {
        column: 12,
        row: 1,
        area: 'deviceDetails',
      },
      {
        column: 12,
        row: 1,
      },
      {
        column: 12,
        row: 1,
      },
      {
        column: 12,
        row: 1,
      },
      {
        column: 12,
        row: 1,
      },
    ],
  },
};

export const Layout2: Model.SnapshotLayout = {
  columns: 12,
  rows: 'auto',
  gap: '12px',
  autoFlowColumns: false,
  board: {
    lg: [
      {
        id: 1,
        cols: 4,
        rows: 1,
        area: 'details',
      },
      {
        id: 2,
        cols: 4,
        rows: 1,
        area: 'status',
      },
      {
        id: 3,
        cols: 4,
        rows: 1,
        area: 'deviceDetails',
      },
      {
        id: 1,
        cols: 6,
        rows: 1,
        area: 'status',
      },
      {
        id: 2,
        cols: 6,
        rows: 1,
        area: 'deviceDetails',
      },
      {
        id: 2,
        cols: 4,
        rows: 1,
        area: 'details',
      },
      {
        id: 3,
        cols: 8,
        rows: 1,
        area: 'details',
      },
    ],
    md: [
      {
        id: 1,
        cols: 6,
        rows: 1,
        area: 'deviceDetails',
      },
      {
        id: 2,
        cols: 6,
        rows: 1,
        area: 'status',
      },
      {
        id: 3,
        cols: 6,
        rows: 1,
        area: 'details',
      },
      {
        id: 1,
        cols: 6,
        rows: 1,
      },
      {
        id: 2,
        cols: 6,
        rows: 1,
      },
      {
        id: 2,
        cols: 6,
        rows: 1,
      },
      {
        id: 3,
        cols: 12,
        rows: 1,
      },
    ],
    sm: [
      {
        id: 1,
        cols: 12,
        rows: 1,
        area: 'status',
      },
      {
        id: 2,
        cols: 12,
        rows: 1,
        area: 'details',
      },
      {
        id: 3,
        cols: 12,
        rows: 1,
        area: 'deviceDetails',
      },
      {
        id: 1,
        cols: 12,
        rows: 1,
      },
      {
        id: 2,
        cols: 12,
        rows: 1,
      },
      {
        id: 2,
        cols: 12,
        rows: 1,
      },
      {
        id: 3,
        cols: 12,
        rows: 1,
      },
    ],
  },
};
