export const CHART_EVENTS = [
  {
    event: 'click',
    method: 'openDialog',
    params: {
      maxWidth: '900px',
      width: '850px',
      data: {
        type: 'chart',
        title:
        {
          label: '(S1) Temp.Trend',
          iconUrl: '',
          showBorder: true,
        },
        content: [
          {
            type: 'chart',
            props: {
              type: 'line',
              chartStyle: "padding:10px 20px",
              chartOptions: {
                chart: {
                  type: 'line',
                  height: '400px',
                  width: '800px',
                },
                title: {
                  label: 'Set Point Temperature vs Supply Temperature vs Return Temperature',
                },
                series: JSON.stringify('{{data.seriesData}}')
              },
              title: 'Set Point Temperature vs Supply Temperature vs Return Temperature',
            }
          }

        ]
      }
    }
  }
]


export const columnDefs = [

  {
    field: 'athlete',
    lockVisible: true,
    cellRendererParams: {
      fieldType: 'title',
      defaultIconType1: 'visibility',
      defaultIconType2: 'videocam',
      iconColor: 'gray'
    },
  },
  {
    field: 'country',
    cellRendererParams: {
      fieldType: 'label',
      defaultColor: 'gray',

      options: [
        {
          label: 'United States',
          value: 'United States',
          color: 'pink'
        },
        {
          label: 'Russia',
          value: 'Russia',
          color: 'red'
        },
        {
          label: 'Australia',
          value: 'Australia',
          color: 'purple'
        },
        {
          label: 'Canada',
          value: 'Canada',
          color: 'blue'
        },
        {
          label: 'Norway',
          value: 'Norway',
          color: 'orange'
        },
        {
          label: 'China',
          value: 'China',
          color: 'green'
        },
        {
          label: 'Zimbabwe',
          value: 'Zimbabwe',
          color: 'red'
        },
        {
          label: 'Netherlands',
          value: 'Netherlands',
          color: 'blue'
        },
        {
          label: 'South Korea',
          value: 'South Korea',
          color: 'orange'
        },
        {
          label: 'Russia',
          value: 'Russia',
          color: 'yellow'
        },
        {
          label: 'France',
          value: 'France',
          color: 'pink'
        },
        {
          label: 'Croatia',
          value: 'Croatia',
          color: 'teal'
        },
        {
          label: 'Japan',
          value: 'Japan',
          color: 'brown'
        },
        {
          label: 'Hungary',
          value: 'Hungary',
          color: 'brown'
        },
        {
          label: 'Germany',
          value: 'Germany',
          color: 'orange'
        },
        {
          label: 'Poland',
          value: 'Poland',
          color: 'orange'
        },
        {
          label: 'Italy',
          value: 'Italy',
          color: 'pink'
        },
        {
          label: 'Ukraine',
          value: 'Ukraine',
          color: 'red'
        },
        {
          label: 'Sweden',
          value: 'Sweden',
          color: 'orange'
        },
        {
          label: 'South Korea',
          value: 'South Korea',
          color: 'yellow'
        },
        {
          label: 'Czech Republic',
          value: 'Czech Republic',
          color: 'blue'
        }
      ]
    }
  },
  {
    field: 'sport',
    cellRendererParams: {
      fieldType: 'text',
      options: [
        {
          label: 'Swimming',
          value: 'Swimming',
          iconUrl: 'pool',
          iconColor: 'green'
        },
        {
          label: 'Gymnastics',
          value: 'Gymnastics',
          iconUrl: 'sports_gymnastics',
          iconColor: 'blue'
        },
        {
          label: 'Speed Skating',
          value: 'Speed Skating',
          iconUrl: 'roller_skating',
          iconColor: 'orange'
        },
        {
          label: 'Cross Country Skiing',
          value: 'Cross Country Skiing',
          iconUrl: 'downhill_skiing',
          iconColor: 'pink'
        },
        {
          label: 'Short-Track Speed Skating',
          value: 'Short-Track Speed Skating',
          iconUrl: 'roller_skating',
          iconColor: 'yellow'
        },
        {
          label: 'Diving',
          value: 'Diving',
          iconUrl: 'scuba_diving',
          iconColor: 'purple'
        },
        {
          label: 'Cycling',
          value: 'Cycling',
          iconUrl: 'directions_bike',
          iconColor: 'teal'
        },
        {
          label: 'Biathlon',
          value: 'Biathlon',
          iconUrl: 'snowshoeing',
          iconColor: 'red'
        },
        {
          label: 'Alpine Skiing',
          value: 'Alpine Skiing',
          iconUrl: 'downhill_skiing',
          iconColor: 'orange'
        }
      ]
    }

  },
  {
    field: 'year',
    cellRendererParams: {
      fieldType: 'text',
      defaultColor: 'gray',
      options: [
        {
          iconUrl: 'arrow_drop_up',
          colorExpression: `if(data.year >= 2000 && data.year <= 2004){
        return 'green'
      }`,
        },
        {
          iconUrl: 'arrow_drop_down',
          colorExpression: `if(data.year >= 2006 && data.year <= 2008){
        return 'blue'
      }`,
        },
        {
          iconUrl: 'arrow_drop_down',
          colorExpression: `if(data.year >= 2008 && data.year <= 2012){
        return 'orange'
      }`,
        }
      ]

    }
  },
  {
    headerName: 'Gold',
    field: 'gold',
    width: 300,
    filter: 'agColumnFilter',
    filterParams: {
      suppressAndOrCondition: true,
      // buttons: ['reset', 'apply'],
    },
    sortable: true,
    // width: 150,
    cellRendererParams: {
      fieldType: 'chart',
      defaultIconUrl: 'open_in_full',
      dataFields: [
        {
          field: 'supplyTemperature',
          name: 'Supply Temperature',
          xaxis: {
            field: 'time'
          },
          yaxis: {
            field: 'supplyTemperature'
          }
        },
        {
          field: 'returnTemperature',
          name: 'Return Temperature',

          xaxis: {
            field: 'time'
          },
          yaxis: {
            field: 'returnTemperature'
          }
        },
        {
          field: 'setPointTemperature',
          name: 'Set Point Temperature',

          xaxis: {
            field: 'time'
          },
          yaxis: {
            field: 'setPointTemperature'
          }
        }
      ],
      events: CHART_EVENTS

    },

    valueFormatter: `if(value){
    return value
  }else{
    return "-"
  }`,
  },
  { field: 'silver' },
  { field: 'bronze' },

];


export const rowData = [
  {
    "athlete": "Michael Phelps",
    "age": 23,
    "country": "United States",
    "year": 2008,
    "date": "24/08/2008",
    "sport": "Swimming",
    "gold": 8,
    "silver": 0,
    "bronze": 0,
    "total": 8
  },
  {
    "athlete": "Michael Phelps",
    "age": 19,
    "country": "United States",
    "year": 2004,
    "date": "29/08/2004",
    "sport": "Swimming",
    "gold": 6,
    "silver": 0,
    "bronze": 2,
    "total": 8
  },
  {
    "athlete": "Michael Phelps",
    "age": 27,
    "country": "United States",
    "year": 2012,
    "date": "12/08/2012",
    "sport": "Swimming",
    "gold": 4,
    "silver": 2,
    "bronze": 0,
    "total": 6
  },
  {
    "athlete": "Natalie Coughlin",
    "age": 25,
    "country": "United States",
    "year": 2008,
    "date": "24/08/2008",
    "sport": "Swimming",
    "gold": 1,
    "silver": 2,
    "bronze": 3,
    "total": 6
  },
  {
    "athlete": "Aleksey Nemov",
    "age": 24,
    "country": "Russia",
    "year": 2000,
    "date": "01/10/2000",
    "sport": "Gymnastics",
    "gold": 2,
    "silver": 1,
    "bronze": 3,
    "total": 6
  },
  {
    "athlete": "Alicia Coutts",
    "age": 24,
    "country": "Australia",
    "year": 2012,
    "date": "12/08/2012",
    "sport": "Swimming",
    "gold": 1,
    "silver": 3,
    "bronze": 1,
    "total": 5
  },
  {
    "athlete": "Missy Franklin",
    "age": 17,
    "country": "United States",
    "year": 2012,
    "date": "12/08/2012",
    "sport": "Swimming",
    "gold": 4,
    "silver": 0,
    "bronze": 1,
    "total": 5
  },
  {
    "athlete": "Ryan Lochte",
    "age": 27,
    "country": "United States",
    "year": 2012,
    "date": "12/08/2012",
    "sport": "Swimming",
    "gold": 2,
    "silver": 2,
    "bronze": 1,
    "total": 5
  },
  {
    "athlete": "Allison Schmitt",
    "age": 22,
    "country": "United States",
    "year": 2012,
    "date": "12/08/2012",
    "sport": "Swimming",
    "gold": 3,
    "silver": 1,
    "bronze": 1,
    "total": 5
  },
  {
    "athlete": "Natalie Coughlin",
    "age": 21,
    "country": "United States",
    "year": 2004,
    "date": "29/08/2004",
    "sport": "Swimming",
    "gold": 2,
    "silver": 2,
    "bronze": 1,
    "total": 5
  },
  {
    "athlete": "Ian Thorpe",
    "age": 17,
    "country": "Australia",
    "year": 2000,
    "date": "01/10/2000",
    "sport": "Swimming",
    "gold": 3,
    "silver": 2,
    "bronze": 0,
    "total": 5
  },
  {
    "athlete": "Dara Torres",
    "age": 33,
    "country": "United States",
    "year": 2000,
    "date": "01/10/2000",
    "sport": "Swimming",
    "gold": 2,
    "silver": 0,
    "bronze": 3,
    "total": 5
  },
  {
    "athlete": "Cindy Klassen",
    "age": 26,
    "country": "Canada",
    "year": 2006,
    "date": "26/02/2006",
    "sport": "Speed Skating",
    "gold": 1,
    "silver": 2,
    "bronze": 2,
    "total": 5
  },
  {
    "athlete": "Nastia Liukin",
    "age": 18,
    "country": "United States",
    "year": 2008,
    "date": "24/08/2008",
    "sport": "Gymnastics",
    "gold": 1,
    "silver": 3,
    "bronze": 1,
    "total": 5
  },
  {
    "athlete": "Marit Bjørgen",
    "age": 29,
    "country": "Norway",
    "year": 2010,
    "date": "28/02/2010",
    "sport": "Cross Country Skiing",
    "gold": 3,
    "silver": 1,
    "bronze": 1,
    "total": 5
  },
  {
    "athlete": "Sun Yang",
    "age": 20,
    "country": "China",
    "year": 2012,
    "date": "12/08/2012",
    "sport": "Swimming",
    "gold": 2,
    "silver": 1,
    "bronze": 1,
    "total": 4
  },
  {
    "athlete": "Kirsty Coventry",
    "age": 24,
    "country": "Zimbabwe",
    "year": 2008,
    "date": "24/08/2008",
    "sport": "Swimming",
    "gold": 1,
    "silver": 3,
    "bronze": 0,
    "total": 4
  },
  {
    "athlete": "Libby Lenton-Trickett",
    "age": 23,
    "country": "Australia",
    "year": 2008,
    "date": "24/08/2008",
    "sport": "Swimming",
    "gold": 2,
    "silver": 1,
    "bronze": 1,
    "total": 4
  },
  {
    "athlete": "Ryan Lochte",
    "age": 24,
    "country": "United States",
    "year": 2008,
    "date": "24/08/2008",
    "sport": "Swimming",
    "gold": 2,
    "silver": 0,
    "bronze": 2,
    "total": 4
  },
  {
    "athlete": "Inge de Bruijn",
    "age": 30,
    "country": "Netherlands",
    "year": 2004,
    "date": "29/08/2004",
    "sport": "Swimming",
    "gold": 1,
    "silver": 1,
    "bronze": 2,
    "total": 4
  },
  {
    "athlete": "Petria Thomas",
    "age": 28,
    "country": "Australia",
    "year": 2004,
    "date": "29/08/2004",
    "sport": "Swimming",
    "gold": 3,
    "silver": 1,
    "bronze": 0,
    "total": 4
  },
  {
    "athlete": "Ian Thorpe",
    "age": 21,
    "country": "Australia",
    "year": 2004,
    "date": "29/08/2004",
    "sport": "Swimming",
    "gold": 2,
    "silver": 1,
    "bronze": 1,
    "total": 4
  },
  {
    "athlete": "Inge de Bruijn",
    "age": 27,
    "country": "Netherlands",
    "year": 2000,
    "date": "01/10/2000",
    "sport": "Swimming",
    "gold": 3,
    "silver": 1,
    "bronze": 0,
    "total": 4
  },
  {
    "athlete": "Gary Hall Jr.",
    "age": 25,
    "country": "United States",
    "year": 2000,
    "date": "01/10/2000",
    "sport": "Swimming",
    "gold": 2,
    "silver": 1,
    "bronze": 1,
    "total": 4
  },
  {
    "athlete": "Michael Klim",
    "age": 23,
    "country": "Australia",
    "year": 2000,
    "date": "01/10/2000",
    "sport": "Swimming",
    "gold": 2,
    "silver": 2,
    "bronze": 0,
    "total": 4
  },
  {
    "athlete": "Susie O'Neill",
    "age": 27,
    "country": "Australia",
    "year": 2000,
    "date": "01/10/2000",
    "sport": "Swimming",
    "gold": 1,
    "silver": 3,
    "bronze": 0,
    "total": 4
  },
  {
    "athlete": "Jenny Thompson",
    "age": 27,
    "country": "United States",
    "year": 2000,
    "date": "01/10/2000",
    "sport": "Swimming",
    "gold": 3,
    "silver": 0,
    "bronze": 1,
    "total": 4
  },]
