import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DataReportWebComponent } from '@hash8io/data-report-web';
import { Snapshot1Component } from './snapshot1/snapshot1.component';
import { Snapshot2Component } from './snapshot2/snapshot2.component';
import { Snapshot3Component } from './snapshot3/snapshot3.component';

const routes: Routes = [
  {
    path: '',
    redirectTo: '1',
    pathMatch: 'full',
  },
  {
    path: '1',
    component: Snapshot1Component,
    children: [
      {
        path: ':uuid',
        component: DataReportWebComponent,
      },
    ],
  },
  {
    path: '2',
    component: Snapshot2Component,
    children: [
      {
        path: ':uuid',
        component: DataReportWebComponent,
      },
    ],
  },
  {
    path: '3',
    component: Snapshot3Component,
    children: [
      {
        path: ':uuid',
        component: DataReportWebComponent,
      },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class SnapshotPageRoutingModule {}
