export const Snapshot = {
  title: 'Tank Snapshot',
  icon: 'oil_barrel',
  breadrumbs: [
    {
      urlPath: '',
      label: 'Tank',
      value: '',
      isActive: true,
    },
    {
      urlPath: '',
      label: 'TA-CORR12517A',
      value: '',
      isActive: false,
    },
  ],
  ctaButton: {
    icon: '',
    label: 'Send Command',
    color: 'accent',
  },
  cards: [
    {
      showHeader: true,
      showFooter: true,
      isColumnContent: true,
      title: 'Tank Details',
      icon: 'description',
      actionIcon: 'more_horiz',
      action: [
        {
          name: 'Change tank settings',
        },
      ],
      footerTitle: 'Poll Location',
      footerIcon: 'place',
      content: [
        {
          type: 'text',
          key: 'Last Reported Time',
          value: '26/08/2022 01:05 PM',
        },
        {
          type: 'tag',
          key: 'Reporting status',
          value: 'Reporting',
          options: {
            color: 'green',
          },
        },
        {
          type: 'text',
          key: 'Location',
          value: '2101 Richland Avenue, Houston, Texas 77077, USA',
        },
      ],
    },
    {
      showHeader: true,
      showFooter: true,
      isRow: true,
      title: 'Tank Properties',
      icon: 'article',
      actionIcon: 'more_horiz',
      action: [
        {
          name: 'Change tank settings',
        },
      ],
      footerTitle: 'Change Tank Setting',
      footerIcon: 'edit',
      content: [
        {
          type: 'tag',
          key: 'Usage Type',
          value: 'Chemical (CORR12517A)',
          options: {
            color: 'red',
          },
        },
        {
          type: 'tag',
          key: 'Tank Shape',
          value: 'Vertical Cylinder',
          options: {
            color: 'orange',
          },
        },
        {
          type: 'suffix',
          key: 'Tank Height',
          value: '144.25',
          options: {
            suffix: 'inches',
          },
        },
        {
          type: 'suffix',
          key: 'Tank Diameter',
          value: '238.29',
          options: {
            suffix: 'inches',
          },
        },
        {
          type: 'suffix',
          key: 'Tank Capacity',
          value: '63595.39',
          options: {
            suffix: 'litres',
          },
        },
        {
          type: 'text',
          key: 'Liquid Type',
          value: 'Chemical (CORR12517A)',
        },
        {
          type: 'text',
          key: 'Specific Gravity',
          value: '0.86',
        },
      ],
    },
    {
      showHeader: true,
      showFooter: true,
      isRow: true,
      title: 'Device Details',
      icon: 'memory',
      actionIcon: 'more_horiz',
      action: [
        {
          name: 'Change device settings',
        },
      ],
      footerTitle: 'Change Device Setting',
      footerIcon: 'edit',
      content: [
        {
          type: 'text',
          key: 'Device ID',
          value: '300234066887470',
          options: {
            color: 'purple',
          },
        },
        {
          type: 'tag',
          key: 'Device Model',
          value: 'TiQ.200',
          options: {
            color: 'pink',
          },
        },
        {
          type: 'tag',
          key: 'Sensor Type',
          value: 'Pressure Sensor',
          options: {
            color: 'blue',
          },
        },
        {
          type: 'suffix',
          key: 'Sensor Offset',
          value: '10.6339',
          options: {
            suffix: 'inches',
          },
        },
        {
          type: 'battery',
          key: 'Battery (V)',
          value: '7.58',
        },
      ],
    },
    {
      showHeader: true,
      showFooter: true,
      title: 'Tank Status',
      icon: 'analytics',
      actionIcon: 'more_horiz',
      action: [
        {
          name: 'Change target injection rate',
        },
      ],
      tankKpiTitle: 'Target KPI',
      targetInjectionRate: 'Target Injection Rate',
      dailyRateAverage: [
        {
          columnDefinitions: [
            {
              headerName: 'Daily Injection Rate Average',
              field: 'dailyInjectionRateAverage',
              resizable: false,
              children: [
                {
                  field: 'days',
                  resizable: false,
                },
                {
                  field: 'volume',
                  resizable: false,
                },
              ],
            },
            {
              headerName: 'Delta %',
              field: 'delta',
              resizable: false,
              cellRenderer: (params: any) => {
                return `<div class="flex place-items-center"><mat-icon class=" material-icons" style="color:green">arrow_drop_up</mat-icon></>${params.value}</div>`;
              },
            },
          ],
        },
      ],
      content: [
        {
          targetInjectionRateValue: '40 LPD',
        },

        {
          key: 'Liquid Level',
          value: '145.03 inches',
        },
        {
          key: 'Liquid Volume',
          value: '38705.62 litres',
        },
        {
          key: 'Liquid Weight',
          value: '33286.8 kgs',
        },
        {
          key: 'Temperature',
          value: '51.71 ℉',
        },
      ],
    },
    {
      showHeader: true,
      title: 'Tank Image',
      icon: 'image',
      actionIcon: 'more_horiz',
    },
  ],
  reports: [
    {
      breadcrumbReport: [
        {
          urlPath: '',
          label: 'Tank',
          value: '',
          isActive: true,
        },
        {
          urlPath: '',
          label: 'TA-CORR12517A',
          value: '',
          isActive: true,
        },
        {
          urlPath: '',
          label: 'Reports',
          value: '',
          isActive: true,
        },
      ],
      navigation: [
        {
          urlPath: '',
          label: 'Tank',
          value: '',
          isActive: true,
        },
      ],
    },
  ],
};
