//Tank Details
export const TankDetails = [
  {
    type: 'text',
    key: 'Last Reported Time',
    value: '26/08/2022 01:05 PM',
  },
  {
    type: 'tag',
    key: 'Reporting status',
    value: 'Reporting',
    options: {
      color: 'green',
    },
  },
  {
    type: 'text',
    key: 'Location',
    value: '2101 Richland Avenue, Houston, Texas 77077, USA',
  },
];

//Tank Properties
export const TankProperties = [
  {
    type: 'tag',
    key: 'Usage Type',
    value: 'Chemical (CORR12517A)',
    options: {
      color: 'red',
    },
  },
  {
    type: 'tag',
    key: 'Tank Shape',
    value: 'Vertical Cylinder',
    options: {
      color: 'orange',
    },
  },
  {
    type: 'suffix',
    key: 'Tank Height',
    value: '144.25',
    options: {
      suffix: 'inches',
    },
  },
  {
    type: 'suffix',
    key: 'Tank Diameter',
    value: '238.29',
    options: {
      suffix: 'inches',
    },
  },
  {
    type: 'suffix',
    key: 'Tank Capacity',
    value: '63595.39',
    options: {
      suffix: 'litres',
    },
  },
  {
    type: 'text',
    key: 'Liquid Type',
    value: 'Chemical (CORR12517A)',
  },
  {
    type: 'text',
    key: 'Specific Gravity',
    value: '0.86',
  },
];

//Device Details
export const DeviceDetails = [
  {
    type: 'text',
    key: 'Device ID',
    value: '300234066887470',
    options: {
      color: 'purple',
    },
  },
  {
    type: 'tag',
    key: 'Device Model',
    value: 'TiQ.200',
    options: {
      color: 'pink',
    },
  },
  {
    type: 'tag',
    key: 'Sensor Type',
    value: 'Pressure Sensor',
    options: {
      color: 'blue',
    },
  },
  {
    type: 'suffix',
    key: 'Sensor Offset',
    value: '10.6339',
    options: {
      suffix: 'inches',
    },
  },
  {
    type: 'battery',
    key: 'Battery (V)',
    value: '7.58',
    options: {
      suffix: 'V',
    },
  },
];

//Tanks
export const tanks = [
  {
    id: 'asset-4e61ec85-f0ae-441b-9669-011dfb493433',
    tankName: 'TA-CORR12517A',
    lastMessageTime: '05/17/2022 11:34 AM',
    lastKnownLocation: '2101 Richland Avenue, Houston, Texas 77077, USA',
    address: '2101 Richland Avenue, Houston, Texas 77077, USA',
    location: '2101 Richland Avenue, Houston, Texas 77077, USA',
    reasonCode: 'Scheduled Message',
    tankType: 'Vertical Cylinder',
    liquidLevel: 145.03,
    liquidType: 'Chemical',
    liquidCode: 'CORR12517A',
    tagName: 'Sensor Type :Temperature, Pressure',
    sensorType: ['Temperature', 'Pressure'],
    liquidVolume: 38705.62,
    availableCapacity: 24889.78,
    capacityPercentage: '60.86',
    liquidWeight: 33286.8,
    volumeChange: 12.3848,
    temperature: '51.71',
    sensorReading: 0.29,
    battery: 7.58,
    capacity: 63595.39,
    reportingStatus: 'Not Reporting',
    deviceId: '300234066887470',
    sensorIndex: 1,
    deviceModel: 'TiQ.200',
    accountName: 'CHAMPIONX',
    organizationName: 'CHAMPIONX',
    netDailyUsage: 1232.91,
    tankShape: 'Vertical Cylinder',
    tankDiameter: 238.29,
    tankHeight: 144.25,
    specificGravity: 0.86,
    latitude: 29.74101,
    longitude: -95.6119,
    sensorOffset: 10.6339,
    deviceType: 'TIQ-200',
    targetInjectionRate: 40.0,
    labels: 'Litres',
    refillPoint: 25000,
    injectionRateAverageFirst: 'One Day',
    injectionRateAverageSecond: 'Three Days',
    injectionRateAverageThird: 'Seven Days',
    injectionRateAverageFourth: 'Fourteen Days',
    injectionRateAverageFirstValue: 1232.91,
    injectionRateAverageSecondValue: 680.81,
    injectionRateAverageThirdValue: 426.98,
    injectionRateAverageFourthValue: 224.16,
    deltaFirst: 2982.27,
    deltaSecond: 1602.04,
    deltaThird: 967.46,
    deltaFourth: 460.41,
    daysEmpty: 56,
    percentageOfVolume: 40,
    batteryVoltage: 7.58,
    movingType: 'Static Storage Tank',
    usageType: 'Injection',
    shapeType: 'Cylindrical',
    highAlarmValue: '57235.43',
    highAlarm: '365.76',
    lowAlarmValue: '6345.71',
    lowAlarm: '40.64',
    tankImage:
      'https://teezle-tankiq-v2.s3.amazonaws.com/Screen%20Shot%202020-06-23%20at%208-1592915026400.png',
  },
  // {
  //   id: '1',
  //   roles: [
  //     'canpack@ruggedtelemetry.com',
  //     'jason@ruggedtelemetry.com',
  //     'ppg@ruggedtelemetry.com',
  //   ],
  //   tankName: 'CPK-SKY002022A1',
  //   lastMessageTime: '04/22/2022 12:08  PM',
  //   lastKnownLocation: 'Sens Road, La Porte, Harris County, Texas, 77571, USA',
  //   address: 'Sens Road, La Porte, Harris County, Texas, 77571, USA',
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   sensorType: ['Pressure'],
  //   reasonCode: 'Scheduled Message',
  //   tankType: 'Vertical Cylinder',
  //   liquidLevel: 117.9,
  //   liquidType: 'PPG_4553317',
  //   tagName: 'Tank Vendor : PPG',
  //   liquidVolume: 215879.31,
  //   availableCapacity: 8298.34,
  //   capacityPercentage: '75.00',
  //   liquidWeight: 24787,
  //   volumeChange: -2.8641,
  //   temperature: '-',
  //   sensorReading: 248.9121,
  //   battery: 8.6,
  //   capacity: 33189.55,
  //   deviceId: '01552168SKYFA08',
  //   sensorIndex: 1,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'Canpack',
  //   organizationName: 'Canpack',
  //   netDailyUsage: 3654.35,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 160.0,
  //   highAlarm: 143.55,
  //   lowAlarm: 19.81,
  //   highAlarmValue: 57235.56,
  //   lowAlarmValue: 651.49,
  //   tankLength: 492.76,
  //   tankHeight: 200.0,
  //   specificGravity: 1.0,
  //   latitude: 31.9164733887,
  //   longitude: -102.1249580383,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ 115',
  //   targetInjectionRate: 40.0,
  //   labels: 'Litres',
  //   refillPoint: 40000,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',
  //   injectionRateAverageFirstValue: 3654.35,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.71,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 200,
  //   deltaSecond: 350,
  //   deltaThird: 285,
  //   deltaFourth: 256,

  //   daysEmpty: 2.3,
  //   percentageOfVolume: 327.61,
  //   batteryVoltage: 2.6,
  // },
  // {
  //   id: '2',
  //   roles: [
  //     'canpack@ruggedtelemetry.com',
  //     'jason@ruggedtelemetry.com',
  //     'ppg@ruggedtelemetry.com',
  //   ],
  //   tankName: 'CPK-SKY002022A2',
  //   lastMessageTime: '04/22/2022 12:08  PM',
  //   lastKnownLocation: '1401 E Lackawanna Ave, Olyphant, Pennsylvania',
  //   reasonCode: 'Scheduled Message',
  //   liquidLevel: 149.82,
  //   liquidType: 'PPG_4553317',
  //   tagName: 'Tank Vendor : PPG',
  //   liquidVolume: 33040.25,
  //   availableCapacity: 149.3,
  //   capacityPercentage: '99.55',
  //   liquidWeight: 32936.04,
  //   volumeChange: 1.2373,
  //   temperature: '-',
  //   sensorReading: 330.4025,
  //   battery: 8.6,
  //   capacity: 33189.55,
  //   deviceId: '01552168SKYFA08',
  //   sensorIndex: 2,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'Canpack',
  //   organizationName: 'Canpack',
  //   netDailyUsage: 5284.48,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 375.81,
  //   tankHeight: 336.19,
  //   specificGravity: 1,
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   latitude: 41.46039,
  //   longitude: -75.59116,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ-200SAT',
  //   targetInjectionRate: 40.0,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',

  //   injectionRateAverageFirstValue: 8601.05,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.7,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 21402.6,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   daysEmpty: 2.3,
  //   percentageOfVolume: 20,
  //   batteryVoltage: 5.6,
  // },
  // {
  //   id: '3',
  //   roles: ['canpack@ruggedtelemetry.com', 'jason@ruggedtelemetry.com'],
  //   tankName: 'CPK-SKY002022A3',
  //   lastMessageTime: '04/22/2022 12:08  PM',
  //   lastKnownLocation: '1402 E Lackawanna Ave, Olyphant, Pennsylvania',
  //   reasonCode: 'Scheduled Message',
  //   liquidLevel: 105.55,
  //   liquidType: '9823001',
  //   tagName: 'Reporting Status: Reporting',
  //   liquidVolume: 8459.32,
  //   availableCapacity: 24730.23,
  //   capacityPercentage: '25.49',
  //   liquidWeight: 8355.11,
  //   volumeChange: 0.0016,
  //   temperature: '-',
  //   sensorReading: 84.5932,
  //   battery: 8.6,
  //   capacity: 33189.55,
  //   deviceId: '01552168SKYFA08',
  //   sensorIndex: 3,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'Canpack',
  //   organizationName: 'Canpack',
  //   netDailyUsage: 4701.28,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 375.81,
  //   tankHeight: 336.19,
  //   specificGravity: 1.016,
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   latitude: 31.9164733887,
  //   longitude: -102.1249580383,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ-200SAT',
  //   targetInjectionRate: 40.0,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',

  //   injectionRateAverageFirstValue: 8601.05,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.7,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 21402.6,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   daysEmpty: 2.3,
  // },
  // {
  //   id: '4',
  //   roles: ['canpack@ruggedtelemetry.com', 'jason@ruggedtelemetry.com'],
  //   tankName: 'CPK-SKY002022A4',
  //   lastMessageTime: '04/22/2022 12:08  PM',
  //   lastKnownLocation: '1403 E Lackawanna Ave, Olyphant, Pennsylvania',
  //   reasonCode: 'Fill Start',
  //   liquidLevel: 60.07,
  //   liquidType: '9823001',
  //   tagName: 'Reporting Status: Reporting',
  //   liquidVolume: 3300.65,
  //   availableCapacity: 29888.9,
  //   capacityPercentage: '9.94',
  //   liquidWeight: 3196.44,
  //   volumeChange: -4.0275,
  //   temperature: '-',
  //   sensorReading: 33.0065,
  //   battery: 8.6,
  //   capacity: 33189.55,
  //   deviceId: '01552168SKYFA08',
  //   sensorIndex: 4,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'Canpack',
  //   organizationName: 'Canpack',
  //   netDailyUsage: 2528.37,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 375.81,
  //   tankHeight: 336.19,
  //   specificGravity: 1.016,
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   latitude: 31.9164733887,
  //   longitude: -102.1249580383,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ-200SAT',
  //   targetInjectionRate: 40.0,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',

  //   injectionRateAverageFirstValue: 8601.05,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.7,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 21402.6,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   daysEmpty: 2.3,
  // },
  // {
  //   id: '5',
  //   roles: ['canpack@ruggedtelemetry.com', 'jason@ruggedtelemetry.com'],
  //   tankName: 'CPK-SKY002022A5',
  //   lastMessageTime: '04/22/2022 12:08  PM',
  //   lastKnownLocation: '1404 E Lackawanna Ave, Olyphant, Pennsylvania',
  //   reasonCode: 'Discharge Start',
  //   liquidLevel: 17.08,
  //   liquidType: '22Q14AG',
  //   tagName: 'Sensor Type :Temperature, Pressure',
  //   liquidVolume: 17654.23,
  //   availableCapacity: 15535.32,
  //   capacityPercentage: '53.19',
  //   liquidWeight: 17550.02,
  //   volumeChange: 1.2373,
  //   temperature: '-',
  //   sensorReading: 176.5423,
  //   battery: 8.6,
  //   capacity: 33189.55,
  //   deviceId: '01552168SKYFA08',
  //   sensorIndex: 5,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'Canpack',
  //   organizationName: 'Canpack',
  //   netDailyUsage: 3367.55,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 375.81,
  //   tankHeight: 336.19,
  //   specificGravity: 0.93,
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   latitude: 31.9164733887,
  //   longitude: -102.1249580383,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ-200SAT',
  //   targetInjectionRate: 40.0,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',

  //   injectionRateAverageFirstValue: 8601.05,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.7,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 21402.6,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   daysEmpty: 2.3,
  // },
  // {
  //   id: '6',
  //   roles: ['canpack@ruggedtelemetry.com', 'jason@ruggedtelemetry.com'],
  //   tankName: 'CPK-SKY002022A6',
  //   lastMessageTime: '04/22/2022 12:08 PM',
  //   lastKnownLocation: '1405 E Lackawanna Ave, Olyphant, Pennsylvania',
  //   reasonCode: 'Scheduled Message',
  //   liquidLevel: 140.88,
  //   liquidType: '22Q14AG',
  //   tagName: 'Reporting Status: Reporting',
  //   liquidVolume: 4369.21,
  //   availableCapacity: 28820.34,
  //   capacityPercentage: '13.16',
  //   liquidWeight: 4265,
  //   volumeChange: -2.5799,
  //   temperature: '-',
  //   sensorReading: 43.6921,
  //   battery: 8.6,
  //   capacity: 33189.55,
  //   deviceId: '01552168SKYFA08',
  //   sensorIndex: 6,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'Canpack',
  //   organizationName: 'Canpack',
  //   netDailyUsage: 2210.83,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 375.81,
  //   tankHeight: 336.19,
  //   specificGravity: 0.93,
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   latitude: 31.9164733887,
  //   longitude: -102.1249580383,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ-200SAT',
  //   targetInjectionRate: 40.0,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',

  //   injectionRateAverageFirstValue: 8601.05,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.7,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 21402.6,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   daysEmpty: 2.3,
  // },
  // {
  //   id: '7',
  //   roles: [
  //     'canpack@ruggedtelemetry.com',
  //     'jason@ruggedtelemetry.com',
  //     'ppg@ruggedtelemetry.com',
  //   ],
  //   tankName: 'INSIDE SPRAY 001',
  //   lastMessageTime: '04/22/2022 01:08 PM',
  //   lastKnownLocation:
  //     '350, North Kinzie Avenue, Bradley, Kankakee County, Illinois',
  //   reasonCode: 'Scheduled Message',
  //   liquidLevel: 65.38,
  //   liquidType: '9823001',
  //   tagName: 'Tank Vendor : PPG',
  //   liquidVolume: 5772.29,
  //   availableCapacity: 27417.26,
  //   capacityPercentage: '17.39',
  //   liquidWeight: 5864.65,
  //   volumeChange: -125.5796,
  //   temperature: '-',
  //   sensorReading: 25.74,
  //   battery: 6.8,
  //   capacity: 33189.55,
  //   deviceId: '01780369SKY8712',
  //   sensorIndex: 1,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'Canpack',
  //   organizationName: 'Canpack',
  //   netDailyUsage: 1924.1,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 374.904,
  //   tankHeight: 324.61,
  //   specificGravity: 1.016,
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   latitude: 31.9164733887,
  //   longitude: -102.1249580383,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ-200SAT',
  //   targetInjectionRate: 40.0,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',

  //   injectionRateAverageFirstValue: 8601.05,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.7,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 21402.6,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   daysEmpty: 2.3,
  // },
  // {
  //   id: '8',
  //   roles: [
  //     'canpack@ruggedtelemetry.com',
  //     'jason@ruggedtelemetry.com',
  //     'ppg@ruggedtelemetry.com',
  //   ],
  //   tankName: 'INSIDE SPRAY 002',
  //   lastMessageTime: '04/22/2022 01:08 PM',
  //   lastKnownLocation:
  //     '350, North Kinzie Avenue, Bradley, Kankakee County, Illinois',
  //   reasonCode: 'Scheduled Message',
  //   liquidLevel: 71.7,
  //   liquidType: '9823001',
  //   tagName: 'Tank Vendor : PPG',
  //   liquidVolume: 6330.68,
  //   availableCapacity: 26858.87,
  //   capacityPercentage: '19.07',
  //   liquidWeight: 6431.98,
  //   volumeChange: -62.7987,
  //   temperature: '-',
  //   sensorReading: 28.23,
  //   battery: 6.8,
  //   capacity: 33189.55,
  //   deviceId: '01780369SKY8712',
  //   sensorIndex: 2,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'Canpack',
  //   organizationName: 'Canpack',
  //   netDailyUsage: 9311.11,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 374.904,
  //   tankHeight: 324.61,
  //   specificGravity: 1.016,
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   latitude: 31.9164733887,
  //   longitude: -102.1249580383,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ-200SAT',
  //   targetInjectionRate: 40.0,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',

  //   injectionRateAverageFirstValue: 8601.05,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.7,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 21402.6,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   daysEmpty: 2.3,
  // },
  // {
  //   id: '9',
  //   roles: [
  //     'canpack@ruggedtelemetry.com',
  //     'jason@ruggedtelemetry.com',
  //     'ppg@ruggedtelemetry.com',
  //   ],
  //   tankName: 'OVER VARNISH003',
  //   lastMessageTime: '04/22/2022 01:08 PM',
  //   lastKnownLocation:
  //     '350, North Kinzie Avenue, Bradley, Kankakee County, Illinois',
  //   reasonCode: 'Scheduled Message',
  //   liquidLevel: 60.07,
  //   liquidType: '22Q14AG',
  //   tagName: 'Tank Vendor : PPG',
  //   liquidVolume: 4890.98,
  //   availableCapacity: 28298.57,
  //   capacityPercentage: '14.74',
  //   liquidWeight: 4995.19,
  //   volumeChange: -45.5634,
  //   temperature: '-',
  //   sensorReading: 23.36,
  //   battery: 6.8,
  //   capacity: 33189.55,
  //   deviceId: '01780369SKY8712',
  //   sensorIndex: 3,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'Canpack',
  //   organizationName: 'Canpack',
  //   netDailyUsage: 2528.37,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 374.904,
  //   tankHeight: 324.61,
  //   specificGravity: 1.016,
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   latitude: 31.9164733887,
  //   longitude: -102.1249580383,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ-200SAT',
  //   targetInjectionRate: 40.0,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',

  //   injectionRateAverageFirstValue: 8601.05,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.7,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 21402.6,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   daysEmpty: 2.3,
  // },
  // {
  //   id: '10',
  //   roles: ['canpack@ruggedtelemetry.com', 'jason@ruggedtelemetry.com'],
  //   tankName: 'OVER VARNISH004',
  //   lastMessageTime: '04/22/2022 01:08 PM',
  //   lastKnownLocation:
  //     '350, North Kinzie Avenue, Bradley, Kankakee County, Illinois',
  //   reasonCode: 'Scheduled Message',
  //   liquidLevel: 90.71,
  //   liquidType: '22Q14AG',
  //   tagName: 'Sensor Type :Temperature, Pressure',
  //   liquidVolume: 8391.73,
  //   availableCapacity: 24797.82,
  //   capacityPercentage: '25.28',
  //   liquidWeight: 8495.94,
  //   volumeChange: 1.2373,
  //   temperature: '-',
  //   sensorReading: 42.68,
  //   battery: 6.8,
  //   capacity: 33189.55,
  //   deviceId: '01780369SKY8712',
  //   sensorIndex: 4,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'Canpack',
  //   organizationName: 'Canpack',
  //   netDailyUsage: 1279.88,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 374.904,
  //   tankHeight: 324.61,
  //   specificGravity: 1.016,
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   latitude: 31.9164733887,
  //   longitude: -102.1249580383,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ-200SAT',
  //   targetInjectionRate: 40.0,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',

  //   injectionRateAverageFirstValue: 8601.05,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.7,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 21402.6,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   daysEmpty: 2.3,
  // },
  // {
  //   id: '11',
  //   tankName: 'OVER VARNISH001 ',
  //   lastMessageTime: '04/22/2022 01:08 PM',
  //   lastKnownLocation: '100 Evans Row, Cheraw, South Carolina',
  //   reasonCode: 'Scheduled Message',
  //   liquidLevel: 50.81,
  //   liquidType: '22Q14AG',
  //   tagName: 'Tank Vendor : PPG',
  //   liquidVolume: 4369.21,
  //   availableCapacity: 28820.34,
  //   capacityPercentage: '13.16',
  //   liquidWeight: 4473.42,
  //   volumeChange: -2.5799,
  //   temperature: '-',
  //   sensorReading: 18.22,
  //   battery: 6.8,
  //   capacity: 33189.55,
  //   deviceId: '01527698SKYC41',
  //   sensorIndex: 1,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'Crown Cork - SC',
  //   organizationName: 'Crown Cork',
  //   netDailyUsage: 2210.83,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 374.904,
  //   tankHeight: 324.61,
  //   specificGravity: 0.93,
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   latitude: 31.9164733887,
  //   longitude: -102.1249580383,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ-200SAT',
  //   targetInjectionRate: 40.0,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',

  //   injectionRateAverageFirstValue: 8601.05,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.7,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 21402.6,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   daysEmpty: 2.3,
  // },
  // {
  //   id: '12',
  //   tankName: 'OVER VARNISH002',
  //   lastMessageTime: '04/22/2022 01:08 PM',
  //   lastKnownLocation: '100 Evans Row, Cheraw, South Carolina',
  //   reasonCode: 'Fill Start',
  //   liquidLevel: 104.06,
  //   liquidType: '22Q14AG',
  //   tagName: 'Tank Vendor : Sherwin Williams',
  //   liquidVolume: 9687.36,
  //   availableCapacity: 23502.19,
  //   capacityPercentage: '29.19',
  //   liquidWeight: 9791.57,
  //   volumeChange: 57.896,
  //   temperature: '-',
  //   sensorReading: 59.43,
  //   battery: 6.8,
  //   capacity: 33189.55,
  //   deviceId: '01527698SKYC41',
  //   sensorIndex: 2,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'Crown Cork - SC',
  //   organizationName: 'Crown Cork',
  //   netDailyUsage: 429.75,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 374.904,
  //   tankHeight: 324.61,
  //   specificGravity: 0.93,
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   latitude: 31.9164733887,
  //   longitude: -102.1249580383,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ-200SAT',
  //   targetInjectionRate: 40.0,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',

  //   injectionRateAverageFirstValue: 8601.05,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.7,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 21402.6,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   daysEmpty: 2.3,
  // },
  // {
  //   id: '13',
  //   tankName: 'INSIDE SPRAY 003',
  //   lastMessageTime: '04/22/2022 01:08 PM',
  //   lastKnownLocation: '100 Evans Row, Cheraw, South Carolina',
  //   reasonCode: 'Scheduled Message',
  //   liquidLevel: 361.77,
  //   liquidType: '9823001',
  //   tagName: 'Tank Vendor : AKZO',
  //   liquidVolume: 33100.85,
  //   availableCapacity: 88.7,
  //   capacityPercentage: '99.73',
  //   liquidWeight: 33205.06,
  //   volumeChange: 0.0016,
  //   temperature: '-',
  //   sensorReading: 184.65,
  //   battery: 6.8,
  //   capacity: 33189.55,
  //   deviceId: '01527698SKYC41',
  //   sensorIndex: 3,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'Crown Cork - SC',
  //   organizationName: 'Crown Cork',
  //   netDailyUsage: 0,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 374.904,
  //   tankHeight: 324.61,
  //   specificGravity: 0.93,
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   latitude: 31.9164733887,
  //   longitude: -102.1249580383,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ-200SAT',
  //   targetInjectionRate: 40.0,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',

  //   injectionRateAverageFirstValue: 8601.05,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.7,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 21402.6,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   daysEmpty: 2.3,
  // },
  // {
  //   id: '14',
  //   tankName: 'INSIDE SPRAY 004',
  //   lastMessageTime: '04/22/2022 01:08 PM',
  //   lastKnownLocation: '100 Evans Row, Cheraw, South Carolina',
  //   reasonCode: 'Scheduled Message',
  //   liquidLevel: 169.04,
  //   liquidType: '9823001',
  //   tagName: 'Reporting Status: Reporting',
  //   liquidVolume: 14924.09,
  //   availableCapacity: 18265.46,
  //   capacityPercentage: '44.97',
  //   liquidWeight: 13879.4,
  //   volumeChange: -157.8346,
  //   temperature: '-',
  //   sensorReading: 66.55,
  //   battery: 6.8,
  //   capacity: 33189.55,
  //   deviceId: '01527698SKYC41',
  //   sensorIndex: 4,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'Crown Cork - SC',
  //   organizationName: 'Crown Cork',
  //   netDailyUsage: 1119.06,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 374.904,
  //   tankHeight: 324.61,
  //   specificGravity: 0.93,
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   latitude: 31.9164733887,
  //   longitude: -102.1249580383,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ-200SAT',
  //   targetInjectionRate: 40.0,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',

  //   injectionRateAverageFirstValue: 8601.05,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.7,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 21402.6,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   daysEmpty: 2.3,
  // },
  // {
  //   id: '15',
  //   tankName: 'MCC-NB-INSIDE01',
  //   lastMessageTime: '04/22/2022 04:50 PM',
  //   lastKnownLocation:
  //     '130, Breunig Road, New Windsor, Orange County, New York',
  //   reasonCode: 'Scheduled Message',
  //   liquidLevel: 269.19,
  //   liquidType: 'PPG2012823',
  //   tagName: 'Tank Vendor : PPG',
  //   liquidVolume: 19641.61,
  //   availableCapacity: 19278.48,
  //   capacityPercentage: '50.47',
  //   liquidWeight: 19537.4,
  //   volumeChange: -53.6794,
  //   temperature: '-',
  //   sensorReading: 105.98,
  //   battery: 8.12,
  //   capacity: 38920.09,
  //   deviceId: '01552168SKYFA05',
  //   sensorIndex: 1,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'MCC NY',
  //   organizationName: 'MCC',
  //   netDailyUsage: 4503.6,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 304.8,
  //   tankHeight: 508,
  //   specificGravity: 1,
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   latitude: 31.9164733887,
  //   longitude: -102.1249580383,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ-200SAT',
  //   targetInjectionRate: 40.0,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',

  //   injectionRateAverageFirstValue: 8601.05,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.7,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 21402.6,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   daysEmpty: 2.3,
  // },
  // {
  //   id: '16',
  //   tankName: 'MCC-NB-INSIDE02',
  //   lastMessageTime: '04/22/2022 04:50 PM',
  //   lastKnownLocation:
  //     '130, Breunig Road, New Windsor, Orange County, New York',
  //   reasonCode: 'Scheduled Message',
  //   liquidLevel: 240.73,
  //   liquidType: 'SW_7853990',
  //   tagName: 'Tank Vendor : Sherwin Williams',
  //   liquidVolume: 17654.95,
  //   availableCapacity: 19411.82,
  //   capacityPercentage: '47.63',
  //   liquidWeight: 17550.74,
  //   volumeChange: -0.0132,
  //   temperature: '-',
  //   sensorReading: 102.38,
  //   battery: 8.12,
  //   capacity: 37066.77,
  //   deviceId: '01552168SKYFA05',
  //   sensorIndex: 2,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'MCC NY',
  //   organizationName: 'MCC',
  //   netDailyUsage: 0.01,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 181.99,
  //   tankHeight: 551.18,
  //   specificGravity: 1,
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   latitude: 31.9164733887,
  //   longitude: -102.1249580383,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ-200SAT',
  //   targetInjectionRate: 40.0,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',

  //   injectionRateAverageFirstValue: 8601.05,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.7,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 21402.6,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   daysEmpty: 2.3,
  // },
  // {
  //   id: '17',
  //   tankName: 'MCC-NB-PPG2012',
  //   lastMessageTime: '04/22/2022 04:50 PM',
  //   lastKnownLocation:
  //     '130, Breunig Road, New Windsor, Orange County, New York',
  //   reasonCode: 'Scheduled Message',
  //   liquidLevel: 278.18,
  //   liquidType: 'AO_194',
  //   tagName: 'Tank Vendor : AKZO',
  //   liquidVolume: 7236.32,
  //   availableCapacity: 7101.54,
  //   capacityPercentage: '50.47',
  //   liquidWeight: 7132.11,
  //   volumeChange: -23.7872,
  //   temperature: '-',
  //   sensorReading: 109.52,
  //   battery: 8.12,
  //   capacity: 14337.86,
  //   deviceId: '01552168SKYFA05',
  //   sensorIndex: 3,
  //   deviceModel: 'TIQ-115',
  //   accountName: 'MCC NY',
  //   organizationName: 'MCC',
  //   netDailyUsage: 1609.54,
  //   tankShape: 'Vertical Cylinder',
  //   tankDiameter: 304.8,
  //   tankHeight: 508,
  //   specificGravity: 1,
  //   location: ' 5514, South C R 1226, Midland, Midland County',
  //   latitude: 31.9164733887,
  //   longitude: -102.1249580383,
  //   sensorOffset: 0.0,
  //   deviceType: 'TIQ-200SAT',
  //   targetInjectionRate: 40.0,
  //   injectionRateAverageFirst: 'One Day',
  //   injectionRateAverageSecond: 'Three Days',
  //   injectionRateAverageThird: 'Seven Days',
  //   injectionRateAverageFourth: 'Fourteen Days',

  //   injectionRateAverageFirstValue: 8601.05,
  //   injectionRateAverageSecondValue: 5079.03,
  //   injectionRateAverageThirdValue: 4981.7,
  //   injectionRateAverageFourthValue: 4048.11,

  //   deltaFirst: 21402.6,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   daysEmpty: 2.3,
  // },
  // {
  //   "id": 18,
  //   "tankName": "MCC-NB-LIME2021",
  //   "lastMessageTime": "04/22/2022 04:50 PM",
  //   "lastKnownLocation": "130, Breunig Road, New Windsor, Orange County, New York",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 604.27,
  //   "liquidType": "LIME",
  //   "tagName": "Sensor Type :Temperature, Pressure",
  //   "liquidVolume": 63490.94,
  //   "availableCapacity": 26180.92,
  //   "capacityPercentage": "70.80",
  //   "liquidWeight": 63386.73,
  //   "volumeChange": -2111.0969,
  //   "temperature": "-",
  //   "sensorReading": 237.9,
  //   "battery": 8.12,
  //   "capacity": 89671.86,
  //   "deviceId": "01552168SKYFA05",
  //   "sensorIndex": 4,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "MCC NY",
  //   "organizationName": "MCC",
  //   "netDailyUsage": 23781.64,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 365.76,
  //   "tankHeight": 853.44,
  //   "specificGravity": 3.34,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 19,
  //   "tankName": "IL - TANK 2022001",
  //   "lastMessageTime": "04/22/2022 08:05am",
  //   "lastKnownLocation": "Parque Industrial Luchetti, Juan Sánchez, Bayamón",
  //   "reasonCode": "Discharge Start",
  //   "liquidLevel": 1417.29,
  //   "liquidType": "PPG2012823",
  //   "tagName": "Tank Vendor : PPG",
  //   "liquidVolume": 19401.96,
  //   "availableCapacity": 3609.07,
  //   "capacityPercentage": "84.32",
  //   "liquidWeight": 19297.75,
  //   "volumeChange": -4897.4664,
  //   "temperature": "-",
  //   "sensorReading": 60.21,
  //   "battery": 7.2,
  //   "capacity": 23011.03,
  //   "deviceId": "01740269SKYE7DE",
  //   "sensorIndex": 1,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Island Litho",
  //   "organizationName": "Island Litho",
  //   "netDailyUsage": 4109.26,
  //   "tankShape": "Horizontal Cylinder",
  //   "tankDiameter": 242.92,
  //   "tankHeight": 491.94,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 20,
  //   "tankName": "IL - TANK 2022002",
  //   "lastMessageTime": "04/22/2022 08:05am",
  //   "lastKnownLocation": "Parque Industrial Luchetti, Juan Sánchez, Bayamón",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 1.7,
  //   "liquidType": "PPG2012824",
  //   "tagName": "Tank Vendor : PPG",
  //   "liquidVolume": 22.73,
  //   "availableCapacity": 22988.3,
  //   "capacityPercentage": "0.10",
  //   "liquidWeight": 22.73,
  //   "volumeChange": -4.0275,
  //   "temperature": "-",
  //   "sensorReading": 0.67,
  //   "battery": 7.2,
  //   "capacity": 23011.03,
  //   "deviceId": "01740269SKYE7DE",
  //   "sensorIndex": 2,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Island Litho",
  //   "organizationName": "Island Litho",
  //   "netDailyUsage": 4.84,
  //   "tankShape": "Horizontal Cylinder",
  //   "tankDiameter": 242.92,
  //   "tankHeight": 491.94,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 21,
  //   "tankName": "IL - TANK 2022003",
  //   "lastMessageTime": "04/22/2022 08:05am",
  //   "lastKnownLocation": "Parque Industrial Luchetti, Juan Sánchez, Bayamón",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 31.9,
  //   "liquidType": "SW_4553319",
  //   "tagName": "Tank Vendor : Sherwin Williams",
  //   "liquidVolume": 1774.33,
  //   "availableCapacity": 21236.7,
  //   "capacityPercentage": "7.71",
  //   "liquidWeight": 1670.12,
  //   "volumeChange": 10.2756,
  //   "temperature": "-",
  //   "sensorReading": 12.56,
  //   "battery": 7.2,
  //   "capacity": 23011.03,
  //   "deviceId": "01740269SKYE7DE",
  //   "sensorIndex": 3,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Island Litho",
  //   "organizationName": "Island Litho",
  //   "netDailyUsage": 133.67,
  //   "tankShape": "Horizontal Cylinder",
  //   "tankDiameter": 242.92,
  //   "tankHeight": 491.94,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 22,
  //   "tankName": "IL - TANK 2022004",
  //   "lastMessageTime": "04/22/2022 08:05am",
  //   "lastKnownLocation": "Parque Industrial Luchetti, Juan Sánchez, Bayamón",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 8.46,
  //   "liquidType": "SW_4553320",
  //   "tagName": "Tank Vendor : Sherwin Williams",
  //   "liquidVolume": 249.73,
  //   "availableCapacity": 22761.3,
  //   "capacityPercentage": "1.09",
  //   "liquidWeight": 145.52,
  //   "volumeChange": -14.6552,
  //   "temperature": "-",
  //   "sensorReading": 2.4973,
  //   "battery": 7.2,
  //   "capacity": 23011.03,
  //   "deviceId": "01740269SKYE7DE",
  //   "sensorIndex": 4,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Island Litho",
  //   "organizationName": "Island Litho",
  //   "netDailyUsage": -4.54,
  //   "tankShape": "Horizontal Cylinder",
  //   "tankDiameter": 242.92,
  //   "tankHeight": 491.94,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 23,
  //   "tankName": "IL - TANK 2022005",
  //   "lastMessageTime": "04/22/2022 08:05am",
  //   "lastKnownLocation": "Parque Industrial Luchetti, Juan Sánchez, Bayamón",
  //   "reasonCode": "Senor Report",
  //   "liquidLevel": 192.48,
  //   "liquidType": "AO-622",
  //   "tagName": "Tank Vendor : AKZO",
  //   "liquidVolume": 26042.44,
  //   "availableCapacity": 2939.2,
  //   "capacityPercentage": "89.86",
  //   "liquidWeight": 25938.23,
  //   "volumeChange": 62.9715,
  //   "temperature": "-",
  //   "sensorReading": 75.89,
  //   "battery": 7.2,
  //   "capacity": 28981.64,
  //   "deviceId": "01740269SKYE7DE",
  //   "sensorIndex": 5,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Island Litho",
  //   "organizationName": "Island Litho",
  //   "netDailyUsage": 388.01,
  //   "tankShape": "Horizontal Cylinder",
  //   "tankDiameter": 242.92,
  //   "tankHeight": 491.94,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 24,
  //   "tankName": "IL - TANK 2022006",
  //   "lastMessageTime": "04/22/2022 08:05am",
  //   "lastKnownLocation": "Parque Industrial Luchetti, Juan Sánchez, Bayamón",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 15.77,
  //   "liquidType": "AO-623",
  //   "tagName": "Tank Vendor : AKZO",
  //   "liquidVolume": 873.06,
  //   "availableCapacity": 28108.58,
  //   "capacityPercentage": "3.01",
  //   "liquidWeight": 768.85,
  //   "volumeChange": 14.5104,
  //   "temperature": "-",
  //   "sensorReading": 6.21,
  //   "battery": 7.2,
  //   "capacity": 28981.64,
  //   "deviceId": "01740269SKYE7DE",
  //   "sensorIndex": 6,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Island Litho",
  //   "organizationName": "Island Litho",
  //   "netDailyUsage": 119.94,
  //   "tankShape": "Horizontal Cylinder",
  //   "tankDiameter": 242.92,
  //   "tankHeight": 491.94,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 25,
  //   "tankName": "IL - TANK 2022007",
  //   "lastMessageTime": "04/22/2022 08:05am",
  //   "lastKnownLocation": "Parque Industrial Luchetti, Juan Sánchez, Bayamón",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 37.59,
  //   "liquidType": "WATER",
  //   "tagName": "Usage Status: In Use",
  //   "liquidVolume": 2876.51,
  //   "availableCapacity": 26105.13,
  //   "capacityPercentage": "9.93",
  //   "liquidWeight": 2772.3,
  //   "volumeChange": -2.8641,
  //   "temperature": "-",
  //   "sensorReading": 17.94,
  //   "battery": 7.2,
  //   "capacity": 28981.64,
  //   "deviceId": "01740269SKYE7DE",
  //   "sensorIndex": 7,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Island Litho",
  //   "organizationName": "Island Litho",
  //   "netDailyUsage": 341.61,
  //   "tankShape": "Horizontal Cylinder",
  //   "tankDiameter": 242.92,
  //   "tankHeight": 491.94,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 26,
  //   "tankName": "IL - TANK 2022008",
  //   "lastMessageTime": "04/22/2022 08:05am",
  //   "lastKnownLocation": "Parque Industrial Luchetti, Juan Sánchez, Bayamón",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 93.14,
  //   "liquidType": "WATER",
  //   "tagName": "Sensor Type :Temperature, Pressure",
  //   "liquidVolume": 12047.15,
  //   "availableCapacity": 16934.49,
  //   "capacityPercentage": "41.57",
  //   "liquidWeight": 11942.94,
  //   "volumeChange": -12.7843,
  //   "temperature": "-",
  //   "sensorReading": 33.56,
  //   "battery": 7.2,
  //   "capacity": 28981.64,
  //   "deviceId": "01740269SKYE7DE",
  //   "sensorIndex": 8,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Island Litho",
  //   "organizationName": "Island Litho",
  //   "netDailyUsage": 78.91,
  //   "tankShape": "Horizontal Cylinder",
  //   "tankDiameter": 242.92,
  //   "tankHeight": 491.94,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 27,
  //   "tankName": "WASHCOAT PPG1",
  //   "lastMessageTime": "04/22/2022 11:03am",
  //   "lastKnownLocation": "5022, Hollins Road, Hollins, Roanoke County, Virginia",
  //   "reasonCode": "Fill Start",
  //   "liquidLevel": 132.38,
  //   "liquidType": "PPG_4553317",
  //   "tagName": "Tank Vendor : PPG",
  //   "liquidVolume": 12774.82,
  //   "availableCapacity": 17512.74,
  //   "capacityPercentage": "42.18",
  //   "liquidWeight": 12670.61,
  //   "volumeChange": -2.8641,
  //   "temperature": "-",
  //   "sensorReading": 52.12,
  //   "battery": 6.18,
  //   "capacity": 30287.56,
  //   "deviceId": "01740534SKY910B",
  //   "sensorIndex": 1,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Trivium",
  //   "organizationName": "Trivium",
  //   "netDailyUsage": 774.53,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 349.91,
  //   "tankHeight": 312.72,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 28,
  //   "tankName": "WASHCOAT PPG2",
  //   "lastMessageTime": "04/22/2022 11:03am",
  //   "lastKnownLocation": "5022, Hollins Road, Hollins, Roanoke County, Virginia",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 241.45,
  //   "liquidType": "PPG_4553317",
  //   "tagName": "Tank Vendor : PPG",
  //   "liquidVolume": 23299.59,
  //   "availableCapacity": 6987.97,
  //   "capacityPercentage": "76.93",
  //   "liquidWeight": 23195.38,
  //   "volumeChange": -249.9455,
  //   "temperature": "-",
  //   "sensorReading": 95.06,
  //   "battery": 6.18,
  //   "capacity": 30287.56,
  //   "deviceId": "01740534SKY910B",
  //   "sensorIndex": 2,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Trivium",
  //   "organizationName": "Trivium",
  //   "netDailyUsage": 26.94,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 349.91,
  //   "tankHeight": 312.72,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 29,
  //   "tankName": "WASHCOAT PPG3",
  //   "lastMessageTime": "04/22/2022 11:03am",
  //   "lastKnownLocation": "5022, Hollins Road, Hollins, Roanoke County, Virginia",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 24.54,
  //   "liquidType": "PPG_4553317",
  //   "tagName": "Tank Vendor : PPG",
  //   "liquidVolume": 2367.7,
  //   "availableCapacity": 27919.86,
  //   "capacityPercentage": "7.82",
  //   "liquidWeight": 2263.49,
  //   "volumeChange": -2.4478,
  //   "temperature": "-",
  //   "sensorReading": 9.66,
  //   "battery": 6.18,
  //   "capacity": 30287.56,
  //   "deviceId": "01740534SKY910B",
  //   "sensorIndex": 3,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Trivium",
  //   "organizationName": "Trivium",
  //   "netDailyUsage": 2973.11,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 349.91,
  //   "tankHeight": 312.72,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 30,
  //   "tankName": "TRIVIUM 14AG001",
  //   "lastMessageTime": "04/22/2022 11:03am",
  //   "lastKnownLocation": "5022, Hollins Road, Hollins, Roanoke County, Virginia",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 236.85,
  //   "liquidType": "22Q14AG",
  //   "tagName": "Tank Vendor : Sherwin Williams",
  //   "liquidVolume": 22855.85,
  //   "availableCapacity": 7431.71,
  //   "capacityPercentage": "75.46",
  //   "liquidWeight": 22751.64,
  //   "volumeChange": -2.4478,
  //   "temperature": "-",
  //   "sensorReading": 93.25,
  //   "battery": 6.18,
  //   "capacity": 30287.56,
  //   "deviceId": "01740534SKY910B",
  //   "sensorIndex": 4,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Trivium",
  //   "organizationName": "Trivium",
  //   "netDailyUsage": 205.88,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 349.91,
  //   "tankHeight": 312.72,
  //   "specificGravity": 0.93,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 31,
  //   "tankName": "TRIVIUM 14AG002",
  //   "lastMessageTime": "04/22/2022 11:03am",
  //   "lastKnownLocation": "5022, Hollins Road, Hollins, Roanoke County, Virginia",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 65.38,
  //   "liquidType": "22Q14AG",
  //   "tagName": "Tank Vendor : Sherwin Williams",
  //   "liquidVolume": 5772.29,
  //   "availableCapacity": 24515.27,
  //   "capacityPercentage": "19.06",
  //   "liquidWeight": 5668.08,
  //   "volumeChange": -2.8641,
  //   "temperature": "-",
  //   "sensorReading": 25.74,
  //   "battery": 6.18,
  //   "capacity": 30287.56,
  //   "deviceId": "01740534SKY910B",
  //   "sensorIndex": 5,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Trivium",
  //   "organizationName": "Trivium",
  //   "netDailyUsage": 1924.1,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 349.91,
  //   "tankHeight": 312.72,
  //   "specificGravity": 0.93,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 32,
  //   "tankName": "TRIVIUM 14AG003",
  //   "lastMessageTime": "04/22/2022 11:03am",
  //   "lastKnownLocation": "5022, Hollins Road, Hollins, Roanoke County, Virginia",
  //   "reasonCode": "Sensor Report",
  //   "liquidLevel": 71.7,
  //   "liquidType": "22Q14AG",
  //   "tagName": "Tank Vendor : Sherwin Williams",
  //   "liquidVolume": 6330.68,
  //   "availableCapacity": 23956.88,
  //   "capacityPercentage": "20.90",
  //   "liquidWeight": 6226.47,
  //   "volumeChange": -5.0604,
  //   "temperature": "-",
  //   "sensorReading": 28.23,
  //   "battery": 6.18,
  //   "capacity": 30287.56,
  //   "deviceId": "01740534SKY910B",
  //   "sensorIndex": 6,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Trivium",
  //   "organizationName": "Trivium",
  //   "netDailyUsage": 3660.28,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 349.91,
  //   "tankHeight": 312.72,
  //   "specificGravity": 0.93,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 33,
  //   "tankName": "COOLANT 202201",
  //   "lastMessageTime": "04/22/2022 11:03am",
  //   "lastKnownLocation": "5022, Hollins Road, Hollins, Roanoke County, Virginia",
  //   "reasonCode": "Sensor Report",
  //   "liquidLevel": 147.28,
  //   "liquidType": "Water",
  //   "tagName": "Tank Vendor : AKZO",
  //   "liquidVolume": 14774.82,
  //   "availableCapacity": 15512.74,
  //   "capacityPercentage": "48.78",
  //   "liquidWeight": 14670.61,
  //   "volumeChange": -0.0006,
  //   "temperature": "-",
  //   "sensorReading": 87.94,
  //   "battery": 6.18,
  //   "capacity": 30287.56,
  //   "deviceId": "01740534SKY910B",
  //   "sensorIndex": 7,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Trivium",
  //   "organizationName": "Trivium",
  //   "netDailyUsage": 2870.48,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 349.91,
  //   "tankHeight": 312.72,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 34,
  //   "tankName": "COOLANT 202202",
  //   "lastMessageTime": "04/22/2022 11:03am",
  //   "lastKnownLocation": "5022, Hollins Road, Hollins, Roanoke County, Virginia",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 81.74,
  //   "liquidType": "Water",
  //   "tagName": "Tank Vendor : AKZO",
  //   "liquidVolume": 7419.05,
  //   "availableCapacity": 22868.51,
  //   "capacityPercentage": "24.50",
  //   "liquidWeight": 7314.84,
  //   "volumeChange": -0.0016,
  //   "temperature": "-",
  //   "sensorReading": 32.67,
  //   "battery": 6.18,
  //   "capacity": 30287.56,
  //   "deviceId": "01740534SKY910B",
  //   "sensorIndex": 8,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Trivium",
  //   "organizationName": "Trivium",
  //   "netDailyUsage": 4623.77,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 349.91,
  //   "tankHeight": 312.72,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 35,
  //   "tankName": "SILGAN EDISON01",
  //   "lastMessageTime": "04/22/2022 04:50 PM",
  //   "lastKnownLocation": "135, National Road, Edison, Middlesex County, New Jersey",
  //   "reasonCode": "Discharge Start",
  //   "liquidLevel": 408.33,
  //   "liquidType": "PPG_4553317",
  //   "tagName": "Tank Vendor : PPG",
  //   "liquidVolume": 36051.01,
  //   "availableCapacity": 1623.49,
  //   "capacityPercentage": "95.69",
  //   "liquidWeight": 35946.8,
  //   "volumeChange": -9.0278,
  //   "temperature": "-",
  //   "sensorReading": 160.76,
  //   "battery": 8.12,
  //   "capacity": 37674.5,
  //   "deviceId": "01609331SKY027C",
  //   "sensorIndex": 1,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Silgan",
  //   "organizationName": "Silgan",
  //   "netDailyUsage": 711.41,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 334.97,
  //   "tankHeight": 426.72,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 36,
  //   "tankName": "SILGAN EDISON02",
  //   "lastMessageTime": "04/22/2022 04:50 PM",
  //   "lastKnownLocation": "135, National Road, Edison, Middlesex County, New Jersey",
  //   "reasonCode": "Sensor Report",
  //   "liquidLevel": 180.37,
  //   "liquidType": "PPG_4553318",
  //   "tagName": "Tank Vendor : PPG",
  //   "liquidVolume": 15924.33,
  //   "availableCapacity": 21750.17,
  //   "capacityPercentage": "42.27",
  //   "liquidWeight": 15820.12,
  //   "volumeChange": -13.419599999999999,
  //   "temperature": "-",
  //   "sensorReading": 71.01,
  //   "battery": 8.12,
  //   "capacity": 37674.5,
  //   "deviceId": "01609331SKY027C",
  //   "sensorIndex": 2,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Silgan",
  //   "organizationName": "Silgan",
  //   "netDailyUsage": 309.23,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 334.97,
  //   "tankHeight": 426.72,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 37,
  //   "tankName": "SILGAN EDISON03",
  //   "lastMessageTime": "04/22/2022 04:50  PM",
  //   "lastKnownLocation": "135, National Road, Edison, Middlesex County, New Jersey",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 182.75,
  //   "liquidType": "SW_4553319",
  //   "tagName": "Tank Vendor : Sherwin Williams",
  //   "liquidVolume": 16134.98,
  //   "availableCapacity": 21539.52,
  //   "capacityPercentage": "42.83",
  //   "liquidWeight": 16030.77,
  //   "volumeChange": -17.4196,
  //   "temperature": "-",
  //   "sensorReading": 71.95,
  //   "battery": 8.12,
  //   "capacity": 37674.5,
  //   "deviceId": "01609331SKY027C",
  //   "sensorIndex": 3,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Silgan",
  //   "organizationName": "Silgan",
  //   "netDailyUsage": 3779.45,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 334.97,
  //   "tankHeight": 426.72,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 38,
  //   "tankName": "SILGAN EDISON04",
  //   "lastMessageTime": "04/22/2022 04:50  PM",
  //   "lastKnownLocation": "135, National Road, Edison, Middlesex County, New Jersey",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 408.33,
  //   "liquidType": "SW_4553319",
  //   "tagName": "Tank Vendor : Sherwin Williams",
  //   "liquidVolume": 36051.01,
  //   "availableCapacity": 1623.49,
  //   "capacityPercentage": "95.69",
  //   "liquidWeight": 35946.8,
  //   "volumeChange": -27.9045,
  //   "temperature": "-",
  //   "sensorReading": 160.76,
  //   "battery": 8.12,
  //   "capacity": 37674.5,
  //   "deviceId": "01609331SKY027C",
  //   "sensorIndex": 4,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Silgan",
  //   "organizationName": "Silgan",
  //   "netDailyUsage": 1855.62,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 334.97,
  //   "tankHeight": 426.72,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 39,
  //   "tankName": "SILGAN EDISON05",
  //   "lastMessageTime": "04/22/2022 04:50  PM",
  //   "lastKnownLocation": "135, National Road, Edison, Middlesex County, New Jersey",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 192.48,
  //   "liquidType": "AO-622",
  //   "tagName": "Tank Vendor : AKZO",
  //   "liquidVolume": 26042.44,
  //   "availableCapacity": 11632.06,
  //   "capacityPercentage": "69.12",
  //   "liquidWeight": 25938.23,
  //   "volumeChange": -14.6552,
  //   "temperature": "-",
  //   "sensorReading": 75.89,
  //   "battery": 8.12,
  //   "capacity": 37674.5,
  //   "deviceId": "01609331SKY027C",
  //   "sensorIndex": 5,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Silgan",
  //   "organizationName": "Silgan",
  //   "netDailyUsage": 2712.28,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 334.97,
  //   "tankHeight": 426.72,
  //   "specificGravity": 0.9,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 40,
  //   "tankName": "SILGAN EDISON06",
  //   "lastMessageTime": "04/22/2022 04:50  PM",
  //   "lastKnownLocation": "135, National Road, Edison, Middlesex County, New Jersey",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 180.37,
  //   "liquidType": "AO-622",
  //   "tagName": "Tank Vendor : AKZO",
  //   "liquidVolume": 15924.33,
  //   "availableCapacity": 21750.17,
  //   "capacityPercentage": "42.27",
  //   "liquidWeight": 15820.12,
  //   "volumeChange": -0.0055,
  //   "temperature": "-",
  //   "sensorReading": 71.01,
  //   "battery": 8.12,
  //   "capacity": 37674.5,
  //   "deviceId": "01609331SKY027C",
  //   "sensorIndex": 6,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Silgan",
  //   "organizationName": "Silgan",
  //   "netDailyUsage": 4812.54,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 334.97,
  //   "tankHeight": 426.72,
  //   "specificGravity": 0.9,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 41,
  //   "tankName": "SILGAN EDISON07",
  //   "lastMessageTime": "04/22/2022 04:50  PM",
  //   "lastKnownLocation": "135, National Road, Edison, Middlesex County, New Jersey",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 113.87,
  //   "liquidType": "WATER",
  //   "tagName": "Reporting Status: Reporting",
  //   "liquidVolume": 10956.87,
  //   "availableCapacity": 26717.63,
  //   "capacityPercentage": "29.08",
  //   "liquidWeight": 10852.66,
  //   "volumeChange": -6.8735,
  //   "temperature": "-",
  //   "sensorReading": 49.56,
  //   "battery": 8.12,
  //   "capacity": 37674.5,
  //   "deviceId": "01609331SKY027C",
  //   "sensorIndex": 7,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Silgan",
  //   "organizationName": "Silgan",
  //   "netDailyUsage": 5685.59,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 334.97,
  //   "tankHeight": 426.72,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // },
  // {
  //   "id": 42,
  //   "tankName": "SILGAN EDISON08",
  //   "lastMessageTime": "04/22/2022 04:50  PM",
  //   "lastKnownLocation": "135, National Road, Edison, Middlesex County, New Jersey",
  //   "reasonCode": "Scheduled Message",
  //   "liquidLevel": 7.85,
  //   "liquidType": "WATER",
  //   "tagName": "Reporting Status: Reporting",
  //   "liquidVolume": 1086.23,
  //   "availableCapacity": 36588.27,
  //   "capacityPercentage": "2.88",
  //   "liquidWeight": 982.02,
  //   "volumeChange": -0.0007,
  //   "temperature": "-",
  //   "sensorReading": 3.9,
  //   "battery": 8.12,
  //   "capacity": 37674.5,
  //   "deviceId": "01609331SKY027C",
  //   "sensorIndex": 8,
  //   "deviceModel": "TIQ-115",
  //   "accountName": "Silgan",
  //   "organizationName": "Silgan",
  //   "netDailyUsage": 3339.49,
  //   "tankShape": "Vertical Cylinder",
  //   "tankDiameter": 334.97,
  //   "tankHeight": 426.72,
  //   "specificGravity": 1,
  //   "location": ' 5514, South C R 1226, Midland, Midland County',
  //   "latitude": 31.9164733887,
  //   "longitude": -102.1249580383,
  //   "sensorOffset": 0.0000,
  //   "deviceType": 'TIQ-200SAT',
  //   "targetInjectionRate": 40.00,
  //   "injectionRateAverageFirst": 'One Day',
  //   "injectionRateAverageSecond": 'Three Days',
  //   "injectionRateAverageThird": 'Seven Days',
  //   "injectionRateAverageFourth": 'Fourteen Days',

  //   "injectionRateAverageFirstValue": 8601.05,
  //   "injectionRateAverageSecondValue": 5079.03,
  //   "injectionRateAverageThirdValue": 4981.70,
  //   "injectionRateAverageFourthValue": 4048.11,

  //   deltaFirst: 21402.60,
  //   deltaSecond: 12597.58,
  //   deltaThird: 12354.25,
  //   deltaFourth: 10020.27,

  //   "daysEmpty": 2.3000
  // }
];

//Breadcrumbs
export const Breadcrumbs = [
  {
    urlPath: '',
    label: 'Tank',
    value: '',
    isActive: true,
  },
  {
    urlPath: '',
    label: 'TA-CORR12517A',
    value: '',
    isActive: false,
  },
];

//Breadcrumb report
export const BreadcrumbReport = [
  {
    urlPath: '',
    label: 'Tank',
    value: '',
    isActive: true,
  },
  {
    urlPath: '',
    label: 'TA-CORR12517A',
    value: '',
    isActive: true,
  },
  {
    urlPath: '',
    label: 'Reports',
    value: '',
    isActive: true,
  },
];

//Tank History Breadcrumb
export const HistoryBreadcrumb = [
  {
    urlPath: '',
    label: 'Tank',
    value: '',
    isActive: true,
  },
  {
    urlPath: '',
    label: 'TA-CORR12517A',
    value: '',
    isActive: true,
  },
  {
    urlPath: '',
    label: 'History',
    value: '',
    isActive: true,
  },
];

//TargetInjectionRateColumnDefinitions
export const TargetInjectionRateColumnDefinitions = [
  {
    headerName: 'Daily Injection Rate Average',
    field: 'dailyInjectionRateAverage',
    resizable: false,
    children: [
      {
        field: 'days',
        resizable: false,
      },
      {
        field: 'volume',
        resizable: false,
      },
    ],
  },
  {
    headerName: 'Delta %',
    field: 'delta',
    resizable: false,
    cellRenderer: (params: any) => {
      return `<div class="flex place-items-center"><mat-icon class=" material-icons" style="color:green">arrow_drop_up</mat-icon></>${params.value}</div>`;
    },
  },
];

//TargetInjectionRateRowData
export const TargetInjectionRateRowData = [
  {
    days: 'One Day',
    volume: '1232.91 litres',
    delta: '2982.27 %',
  },
  {
    days: 'Three Days',
    volume: '680.81 litres',
    delta: '1602.04 %',
  },
  {
    days: 'Seven Days',
    volume: '426.98 litres',
    delta: '967.46 %',
  },
  {
    days: 'Fourteen Days',
    volume: '224.16 litres',
    delta: '460.41 %',
  },
];

//Tank status Kpi
export const StatusKpi = [
  {
    key: 'Liquid Level',
    value: '145.03 inches',
  },
  {
    key: 'Liquid Volume',
    value: '38705.62 litres',
  },
  {
    key: 'Liquid Weight',
    value: '33286.8 kgs',
  },
  {
    key: 'Temperature',
    value: '51.71 ℉',
  },
];

//Report Navigations
export const ReportNavigations = [
  {
    type: 'link',
    urlPath: 'history',
    visible: true,
    name: 'Tank History',
    clickable: true,
  },
  {
    type: 'link',
    urlPath: '',
    visible: true,
    name: 'Net Usage Report',
    clickable: true,
  },
  {
    type: 'link',
    urlPath: 'dashboard',
    visible: true,
    name: 'Tank Fill Report',
    clickable: true,
  },
  {
    type: 'link',
    urlPath: 'dashboard',
    visible: true,
    name: 'Tank Discharge Report',
    clickable: true,
  },

  {
    type: 'link',
    urlPath: 'dashboard',
    visible: true,
    name: 'Command Message',
    clickable: true,
  },
  {
    type: 'link',
    urlPath: 'dashboard',
    visible: true,
    name: 'Notification Report',
    clickable: true,
  },
];
