import { Component, OnInit } from '@angular/core';
import { StatusPanelDef } from 'ag-grid-enterprise';
import { GridStatusBarComponent } from 'libs/data-grid-web/src/lib/components/grid-status-bar/grid-status-bar.component';
import { TankStatus } from 'apps/web/src/app/tank/mock-data/tank-status';
import {
  BreadcrumbReport,
  Breadcrumbs,
  DeviceDetails,
  HistoryBreadcrumb,
  ReportNavigations,
  StatusKpi,
  TankDetails,
  TankProperties,
  tanks,
  TargetInjectionRateColumnDefinitions,
  TargetInjectionRateRowData,
} from './mock-data/snapshot.mock';
@Component({
  selector: 'hash8-app-tank-snapshot',
  templateUrl: './tank-snapshot.component.html',
  styleUrls: ['./tank-snapshot.component.scss'],
})
export class TankSnapshotComponent implements OnInit {
  grid = {
    cardAlignRows: 'center',
    cardColumns: '30% 30% 30%',
    cardGap: '12px',
  };

  tank = tanks;
  details = TankDetails;
  properties = TankProperties;
  deviceDetails = DeviceDetails;
  breadcrumbs = Breadcrumbs;
  breadcrumbReport = BreadcrumbReport;
  historyBreadcrumb = HistoryBreadcrumb;
  columnDefinitions = TargetInjectionRateColumnDefinitions;
  rowData = TargetInjectionRateRowData;
  statusKpi = StatusKpi;
  navigations = ReportNavigations;

  searchValue = '';

  public statusBar: {
    statusPanels: StatusPanelDef[];
  } = {
      statusPanels: [
        {
          statusPanel: GridStatusBarComponent,
          align: 'left',
        },
      ],
    };

  public columnDefs = TankStatus.columnDefs;
  public gridRowData = TankStatus.rowData;
  constructor() {
    //
  }
  ngOnInit(): void {
    throw new Error('Method not implemented.');
  }
}
