import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { TankSnapshotRoutingModule } from './tank-snapshot-routing.module';
import { TankSnapshotComponent } from './tank-snapshot.component';
import { FlexLayoutModule } from '@angular/flex-layout';
import { SnapshotCardContentComponent } from './snapshot-card-content/snapshot-card-content.component';
import { TankImageComponent } from './tank-image/tank-image.component';
import { TagComponent } from './tag/tag.component';
import { MatButtonToggleModule } from '@angular/material/button-toggle';
import { CardModule } from '@hash8io/core-web/card';
import { DataGridWebModule } from '@hash8io/data-grid-web';
import { MatIconModule } from '@angular/material/icon';
import { DataReportWebModule } from '@hash8io/data-report-web';
import { MatButtonModule } from '@angular/material/button';
import { CtaButtonModule } from '@hash8io/core-web/cta-button';
import { SearchModule } from '@hash8io/core-web/search';
@NgModule({
  declarations: [
    TankSnapshotComponent,
    SnapshotCardContentComponent,
    TankImageComponent,
    TagComponent,
  ],
  imports: [
    CommonModule,
    TankSnapshotRoutingModule,
    FlexLayoutModule,
    MatButtonModule,
    MatButtonToggleModule,
    CardModule,
    DataGridWebModule,
    MatIconModule,
    DataReportWebModule,
    CtaButtonModule,
    SearchModule,
  ],
})
export class TankSnapshotModule { }
