
export const ASSET_STATUS_REPORT_CONFIG = {
  title: 'Status',
  icon: 'layer',
  reportUUID: 606,
  apiUrl: `/api/v1/assets?userUUID=${localStorage.getItem('userUUID')}`,
  options: {
    showTitle: false,
    showBreadcrumb: false,
    showSearch: true,
    showSettings: true,
    showActions: true,
    editable: false,
  },

  breadcrumbs: [
    {
      urlPath: '',
      label: 'Tanks',
      value: '',
    },
    {
      urlPath: '',
      label: 'All',
      value: '',
    },
  ],
  settings: [
    {
      label: ' Export to CSV',
      iconUrl: 'file_download',
      urlPath: '',
      isActive: true,
      events: [
        {
          type: 'click',
          method: 'exportToCSV',
          params: {},
          events: [
            {
              type: 'success',
              method: 'showToast',
              params: {
                message: 'Exported to CSV',
              },
            },
            {
              type: 'failure',
              method: 'showToast',
              params: {
                message: '',
              },
            },
          ],
        },
      ],
    },
    {
      label: ' Export to Excel',
      iconUrl: 'file_download',
      urlPath: '',
      isActive: true,
      events: [
        {
          type: 'click',
          method: 'exportToExcel',
          params: {},
          events: [
            {
              type: 'success',
              method: 'showToast',
              params: {
                message: 'Exported to Excel',
              },
            },
            {
              type: 'failure',
              method: 'showToast',
              params: {
                message: '',
              },
            },
          ],
        },
      ],
    },
  ],

  count: {
    label: 'Lift Stations',
    value: '',
  },
};


export const ALERTS_MY_SUBSCRIPTION_REPORT_CONFIG = {
  title: 'My Subscriptions',
  icon: 'layer',
  reportUUID: 606,
  // apiUrl: `/api/v1/assets?organizationUUID=${this.organizationUUID}&userUUID=${this.userUUID}`,
  // apiUrl: '/api/v1/user-event-registrations',
  apiUrl: '/api/v1/user-event-group-registrations',
  options: {
    showTitle: false,
    showBreadcrumb: false,
    showSearch: true,
    showSettings: true,
    showActions: true,
    editable: false,
    showLegends: true,
  },
  breadcrumbs: [
    // {
    //   urlPath: '',
    //   label: 'Tanks',
    //   value: '',
    // },
    // {
    //   urlPath: '',
    //   label: 'All',
    //   value: '',
    // },
  ],
  style: {
    height: '450px',
  },
  settings: [
    {
      label: ' Export to CSV',
      iconUrl: 'file_download',
      urlPath: '',
      isActive: true,
      events: [
        {
          type: 'click',
          method: 'exportToCSV',
          params: {},
          events: [
            {
              type: 'success',
              method: 'showToast',
              params: {
                message: 'Exported to CSV',
              },
            },
            {
              type: 'failure',
              method: 'showToast',
              params: {
                message: '',
              },
            },
          ],
        },
      ],
    },
    {
      label: ' Export to Excel',
      iconUrl: 'file_download',
      urlPath: '',
      isActive: true,
      events: [
        {
          type: 'click',
          method: 'exportToExcel',
          params: {},
          events: [
            {
              type: 'success',
              method: 'showToast',
              params: {
                message: 'Exported to Excel',
              },
            },
            {
              type: 'failure',
              method: 'showToast',
              params: {
                message: '',
              },
            },
          ],
        },
      ],
    },
  ],

  count: {
    label: 'Subscriptions',
    value: '',
  },
};
