import { Component, OnInit } from '@angular/core';
import { DialogWebService } from '@hash8io/dialog-web';
import { Store } from '@ngrx/store';
import { hierarchyData } from './mock-data/hierarchy-data';
import { TagActions } from '@hash8io/common-store-web/tag-store';
import { TreeviewConfig } from '@hash8io/tree-view-web';
import { TreeviewItem } from '@hash8io/tree-view-web';
import { ActivatedRoute, Router } from '@angular/router';

@Component({
  selector: 'hash8-app-vehicle-status',
  templateUrl: './vehicle-status.component.html',
  styleUrls: ['./vehicle-status.component.scss'],
})
export class VehicleStatusComponent implements OnInit {
  _statusConfig!: any;
  _disableAssignButton = true;
  _selectedRows: any = [];
  _selectedTags: any = [];

  values!: number[];

  countries: any[] = [
    { id: '1', name: 'USA' },
    { id: '2', name: 'Canada' },
    { id: '3', name: 'UK' },
    { id: '4', name: 'Australia' },
  ];

  regions: any[] = [
    { id: '101', name: 'East Coast', countryId: '1' },
    { id: '102', name: 'West Coast', countryId: '1' },
    { id: '103', name: 'Midwest', countryId: '1' },
    { id: '201', name: 'Ontario', countryId: '2' },
    { id: '202', name: 'Quebec', countryId: '2' },
    { id: '202', name: 'UK Region 1', countryId: '3' },
    { id: '202', name: 'UK Region 2', countryId: '3' },
    { id: '203', name: 'British Columbia', countryId: '2' },
  ];

  orgData = [
    {
      text: 'Rugged Telemetry',
      _type: 'Organizations:Tenants',
      children: [
        {
          text: 'Hash8',
          _type: 'salesChannel',
          value: '3deb2c28-851b-4894-bac5-9126cb9d7142',
          children: [
            {
              text: 'H8',
              _type: 'customer',
              value: 'b50e0554-99d6-4e22-9512-c3b60c008394',
              iconUrl: 'supervisor_account',
              checked: true,
            },
          ],
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'BioMicrobics Inc',
          _type: 'salesChannel',
          value: '924a92b5-d1e8-4973-a6a4-3cb5e26bc6ec',
          children: [
            {
              text: 'v',
              _type: 'customer',
              value: '8b4dcd6a-3038-431d-95ce-290498b26994',
              iconUrl: 'supervisor_account',
              checked: true,
            },
            {
              text: 'Darrell Crews Septic Tanks',
              _type: 'customer',
              value: '406efa96-7e73-4d53-804f-042a5d9518eb',
              iconUrl: 'supervisor_account',
              checked: true,
            },
          ],
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'SES Solutions',
          _type: 'salesChannel',
          value: 'd611271b-e833-45eb-95ae-781c0fca8116',
          children: [
            {
              text: 'TES Solutions',
              _type: 'customer',
              value: '3781e3d9-84bf-44c2-a3e6-e3a84dac7ae4',
              iconUrl: 'supervisor_account',
              checked: true,
            },
          ],
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'Sparked Brains',
          _type: 'salesChannel',
          value: '88cea48e-708c-4d0d-a3e7-9ada8923a100',
          children: [
            {
              text: 'Ford',
              _type: 'customer',
              value: 'a050c6b6-8509-48a5-8f98-2f50e23c3caa',
              iconUrl: 'supervisor_account',
              checked: true,
            },
          ],
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'Star Solutions',
          _type: 'salesChannel',
          value: '6762c2bc-6314-4b07-9b56-3fafd6a8c8ba',
          children: [
            {
              text: 'Happy Minds',
              _type: 'customer',
              value: 'e9e9551b-844a-476b-a247-ed0f6687020a',
              iconUrl: 'supervisor_account',
              checked: true,
            },
          ],
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'ARU Solutions',
          _type: 'salesChannel',
          value: '8133ee3c-d71a-49cf-9afc-bbe317bfaf36',
          children: [
            {
              text: 'Lotus Solutions',
              _type: 'customer',
              value: 'ea1011ce-f989-480e-87b8-c3424eb4d346',
              iconUrl: 'supervisor_account',
              checked: true,
            },
          ],
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'FBB Solutions',
          _type: 'salesChannel',
          value: '0e9b484a-034f-4d5e-b479-d9278bca52c3',
          children: [
            {
              text: 'TVL Solutions',
              _type: 'customer',
              value: '3a66c344-b9b5-4d4f-b6b2-037188afe593',
              iconUrl: 'supervisor_account',
              checked: true,
            },
            {
              text: 'DEF Solutions',
              _type: 'customer',
              value: '1bb01daa-2ee0-4962-8b50-c9bf2651e0c8',
              iconUrl: 'supervisor_account',
              checked: true,
            },
          ],
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'LMP Solutions',
          _type: 'salesChannel',
          value: '1dfb66a7-8652-48c8-8139-ff651bab2209',
          children: [
            {
              text: 'REF Solutions',
              _type: 'customer',
              value: '6378b345-ab98-4169-baf6-14448cf180b4',
              iconUrl: 'supervisor_account',
              checked: true,
            },
          ],
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'ACME Sales Channel ',
          _type: 'salesChannel',
          value: 'f24d85ee-c763-47bb-9690-05fd884208b9',
          children: [
            {
              text: 'IoT Networks',
              _type: 'customer',
              value: 'df7b5995-8d93-48e6-a3fa-9e8fbd99492c',
              iconUrl: 'supervisor_account',
              checked: true,
            },
            {
              text: 'Water Connect',
              _type: 'customer',
              value: 'ec572a9e-bb8d-4cd1-b192-24bfcd569ad4',
              iconUrl: 'supervisor_account',
              checked: true,
            },
            {
              text: 'Joahna Solutions',
              _type: 'customer',
              value: '7590a534-1e77-4222-b33a-9571e57752cf',
              iconUrl: 'supervisor_account',
              checked: true,
            },
            {
              text: 'Byrde Enterprises',
              _type: 'customer',
              value: '47d02e55-a875-49f1-892c-a2220a65f758',
              iconUrl: 'supervisor_account',
              checked: true,
            },
            {
              text: 'Titan Networks',
              _type: 'customer',
              value: 'abfbc786-6cf0-4b44-aa98-c51318f20b1a',
              iconUrl: 'supervisor_account',
              checked: true,
            },
            {
              text: 'Initech Solutions',
              _type: 'customer',
              value: 'acc3b9ae-3047-420b-93f9-597a53d291cc',
              iconUrl: 'supervisor_account',
              checked: true,
            },
          ],
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'XTO',
          _type: 'salesChannel',
          value: '7413fa03-cd86-456c-90f2-99aebcf99be1',
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'bios',
          _type: 'salesChannel',
          value: '0c4f5df3-2913-4a72-b4e6-28743a70a46d',
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'Thendral H8FF',
          _type: 'salesChannel',
          value: '2d7bc933-298e-4e09-9130-5baed07eae27',
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'HF3',
          _type: 'salesChannel',
          value: '99ccec14-858c-4669-b87a-ec6c9bbe5d39',
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'CES Solutions',
          _type: 'customer',
          value: '38a1f0a9-2f1e-4e84-aa80-b9c7bdf40199',
          iconUrl: 'supervisor_account',
          checked: true,
        },
        {
          text: 'Water Solutions',
          _type: 'salesChannel',
          value: '040b5fb4-180b-4721-a2d6-31e7838a4245',
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'DELL Solutions',
          _type: 'customer',
          value: 'dd789687-7382-4b56-be94-87d1bf299fb0',
          iconUrl: 'supervisor_account',
          checked: true,
        },
        {
          text: 'Spartans',
          _type: 'salesChannel',
          value: 'fbdcaa4f-3a9b-47db-824f-c4adf3fd7c90',
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'HF',
          _type: 'customer',
          value: '4113bee0-9883-4aca-b617-ef547ec5f5e8',
          iconUrl: 'supervisor_account',
          checked: true,
        },
        {
          text: 'HF2',
          _type: 'customer',
          value: 'dad0a799-3215-48eb-9a67-f1da20e5c599',
          iconUrl: 'supervisor_account',
          checked: true,
        },
        {
          text: 'Sales 2',
          _type: 'salesChannel',
          value: 'ebfa446d-f923-4af5-b0d0-9be2dbc00f58',
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'Sales ',
          _type: 'salesChannel',
          value: 'a2544f18-191a-47f1-9e72-218745c565d8',
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'PVP Equipment',
          _type: 'customer',
          value: '09ae3013-0057-44e2-8cb1-2a19d2bca25b',
          iconUrl: 'supervisor_account',
          checked: true,
        },
        {
          text: 'Spark Colors',
          _type: 'salesChannel',
          value: '5c8057a3-413b-4a5f-b5ff-f29be3307126',
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'TCC Solutions',
          _type: 'customer',
          value: '5f4278a2-2a33-44e0-8afd-46a541c7ec09',
          iconUrl: 'supervisor_account',
          checked: true,
        },
        {
          text: 'XYZ Solutions',
          _type: 'customer',
          value: 'f4181103-1eb0-413a-9fd1-35f692dc5b32',
          iconUrl: 'supervisor_account',
          checked: true,
        },
        {
          text: 'ABC Solutions',
          _type: 'customer',
          value: '02f56d9b-4c67-43e9-876b-7dedd1448ce0',
          iconUrl: 'supervisor_account',
          checked: true,
        },
        {
          text: 'Globex Corporation',
          _type: 'customer',
          value: 'f1b27957-229b-47f0-a978-1420f444cb8a',
          iconUrl: 'supervisor_account',
          checked: true,
        },
        {
          text: 'BBC Water Management',
          _type: 'salesChannel',
          value: '594ac60d-60e4-41d9-a27d-6683dea448a9',
          iconUrl: 'account_tree',
          checked: true,
        },
        {
          text: 'LEP Solutions',
          _type: 'customer',
          value: '58d71851-0ba0-4ad6-8048-d8ba8e663694',
          iconUrl: 'supervisor_account',
          checked: true,
        },
        {
          text: 'ChampionX',
          _type: 'customer',
          value: 'fb9e3d85-b1ee-4ad0-916a-8142c9a9427f',
          iconUrl: 'supervisor_account',
          checked: true,
        },
        {
          text: 'Chevron',
          _type: 'customer',
          value: '0a2a53ef-97db-4365-9081-045126c68594',
          iconUrl: 'supervisor_account',
          checked: true,
        },
        {
          text: 'Fuji',
          _type: 'customer',
          value: '7675ca53-0a9a-4541-9ed8-c620630ba846',
          iconUrl: 'supervisor_account',
          checked: true,
        },
      ],
      value: 'e520d1b4-437c-4d48-a0ed-13489ab52074',
      iconUrl: 'corporate_fare',
      checked: true,
      collapsed: false,
    },
  ];

  dropdownConfiguration = {
    name: 'organizationFilter',
    label: 'All Organization',
    selection: 'multiple',
    visible: true,
    defaultValues: [
      {
        label: 'All Organization',
        hasSelection: true,
        uuid: '0',
      },
    ], //Filter data
    apiUrl: `/api/v1/users/{{data.localStorage.userUUID}}/organizations?include=All_Organizations`,

    //dataSource - Array
    // filterData:
    // {

    //   data: [
    //     {
    //       label: 'All Organization',
    //       hasSelection: true,
    //       uuid: "0"
    //     },
    //     {
    //       label: 'Rugged Telemetry',
    //       iconUrl: 'corporate_fare',
    //       hasSelection: true,
    //       uuid: '1',
    //       children: [
    //         {
    //           label: 'Rugged Direct',
    //           hasSelection: true,
    //           iconUrl: 'account_tree',
    //           uuid: '2',

    //           children: [
    //             {
    //               label: 'Rugged',
    //               hasSelection: true,
    //               iconUrl: 'supervisor_account',

    //             },
    //           ],
    //         },
    //         {
    //           label: 'Cyclops Process Equipment',
    //           hasSelection: true,
    //           iconUrl: 'account_tree',

    //           children: [
    //             {
    //               label: 'Village of Cattaraugus',
    //               hasSelection: true,
    //               iconUrl: 'supervisor_account',

    //             },
    //           ],
    //         },
    //       ],
    //     },

    //   ],

    // },
    events: [
      {
        event: 'click',
        method: 'reloadReport',
        params: {
          gridName: 'assetDataGrid',
          apiUrl: `/api/v1/assets?userUUID=7a6d577d-aa42-42fc-8d73-0c6d440a21a3&organizationUUID=[{{}}]`,
        },
      },
    ],
  };

  orgConfig = {
    hasAllCheckBox: true,
    hasFilter: false,
    hasCollapseExpand: true,
    decoupleChildFromParent: true,
    maxHeight: 400,
    configuration: {
      name: 'organizationFilter',
      label: 'All Organization',
      selection: 'multiple',
      visible: true,
      defaultValues: [
        {
          text: 'Rugged Telemetry',
          hasChecked: true,
          value: 'e520d1b4-437c-4d48-a0ed-13489ab52074',
        },
      ], //Filter data
      apiUrl: `/api/v1/users/{{data.localStorage.userUUID}}/organizations?include=All_Organizations`,

      //dataSource - Array
      // events: [
      //   {
      //     event: 'click',
      //     method: 'reloadReport',
      //     params: {
      //       gridName: 'assetDataGrid',
      //       apiUrl: `/api/v1/assets?userUUID=7a6d577d-aa42-42fc-8d73-0c6d440a21a3&organizationUUID={{data.orgFilterUUIDs}}`,
      //     },
      //   },
      // ],
    },
  };

  orgConf = TreeviewConfig.create(this.orgConfig);

  ASSET_STATUS_REPORT_CONFIG: any = {
    name: 'assetDataGrid',
    apiUrl: `/api/v1/assets?userUUID=7a6d577d-aa42-42fc-8d73-0c6d440a21a3&applicationUUID=841e9c72-ecd3-4d5e-bd9b-4efd7ab61efd`,
    organizationFilterConfig: this.orgConfig,
  };

  ASSET_STATUS_REPORT_CONFIG_ORGANIZATION1 = {
    name: 'assetDataGrid',
    apiUrl: `/api/v1/assets?organizationUUID=ALL&userUUID=7a6d577d-aa42-42fc-8d73-0c6d440a21a3`,
  };

  ASSET_STATUS_REPORT_CONFIG_ORGANIZATION2 = {
    name: 'assetDataGrid',
    apiUrl: `/api/v1/assets?organizationUUID=e520d1b4-437c-4d48-a0ed-13489ab52074&userUUID=7a6d577d-aa42-42fc-8d73-0c6d440a21a3`,
  };

  assetDataGrid3 = {
    name: 'assetDataGrid',
    apiUrl: `/api/v1/assets?organizationUUID=e520d1b4-437c-4d48-a0ed-13489ab52074&userUUID=7a6d577d-aa42-42fc-8d73-0c6d440a21a3`,
  };

  assetStatusReportConfig = this.ASSET_STATUS_REPORT_CONFIG;

  reeferStatusConfig: any;

  hierarchyData = hierarchyData;

  config = TreeviewConfig.create(this.orgConfig);

  organizationTree = {
    text: 'Rugged Telemetry',
    value: 9,
    iconUrl: 'corporate_fare',
    collapsed: true,

    children: [
      {
        text: 'Rugged Direct',
        value: 91,
        collapsed: true,
        checked: true,
        children: [
          {
            text: 'Rugged I',
            value: 911,
          },
          {
            text: 'Rugged II',
            value: 911,
          },
        ],
      },
      {
        text: 'Cyclops Process Equipment',
        value: 1,
        collapsed: true,
        checked: true,

        children: [
          {
            text: 'Village of Cattaraugus I',
            value: 2,
          },
          {
            text: 'Village of Cattaraugus II',
            value: 911,
          },
        ],
      },
      {
        text: 'Reseller',
        value: 10,
        collapsed: true,
        checked: true,

        children: [
          {
            text: 'ChampionX',
            value: 11,
          },
          {
            text: 'Chevron',
            value: 12,
          },
        ],
      },
    ],
  };

  treeView = [
    {
      label: 'My Organization',
      iconUrl: 'corporate_fare',
      hasSelection: false,
      isGroupName: true,
      children: [
        {
          label: 'Rugged Telemetry',
          hasSelection: true,
          isGroupName: false,
          children: [
            {
              label: 'Main',
              _type: 'account',
              uuid: '928900f5-e92d-4e55-945b-275100a02a3e',
              hasSelection: true,
              children: [
                {
                  label: 'North West',
                  _type: 'account',
                  uuid: 'd79b9a40-538c-4411-8e79-1f6abebd4b90',
                  hasSelection: true,
                },
                {
                  label: 'North East',
                  _type: 'account',
                  uuid: '62e8e644-c02c-46bb-aa93-8c04abab1b51',
                  hasSelection: true,
                },
                {
                  label: 'Sample',
                  _type: 'account',
                  uuid: '9aaec882-ad91-455a-ba87-4144e6715ed1',
                  hasSelection: true,
                },
                {
                  label: 'North',
                  _type: 'account',
                  uuid: 'c6ccd9c4-1ede-47cd-b01f-ef1674124b0b',
                  hasSelection: true,
                },
              ],
            },
            {
              label: 'Inventory',
              _type: 'account',
              uuid: '3fa6e258-088b-42bb-baaa-3ea4409eac92',
              hasSelection: true,
            },
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '0bba2da2-bf88-4648-aa3b-d915284f6fe0',
              hasSelection: true,
            },
          ],
          _type: 'organization',
          uuid: 'e520d1b4-437c-4d48-a0ed-13489ab52074',
        },
      ],
    },
    {
      label: 'SalesChannels',
      iconUrl: 'account_tree',
      hasSelection: false,
      isGroupName: true,
      children: [
        {
          label: 'FBB Solutions',
          _type: 'salesChannel',
          uuid: '0e9b484a-034f-4d5e-b479-d9278bca52c3',
          hasSelection: true,
          isGroupName: false,
          children: [
            {
              children: [
                {
                  label: 'North',
                  _type: 'account',
                  uuid: '6dc64fb5-584b-4a87-a606-d5b6c9316573',
                  hasSelection: true,
                },
              ],
              label: 'Main',
              _type: 'account',
              uuid: '30229ad5-0368-464b-bb06-311a0f253072',
              hasSelection: true,
            },
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: 'dc93e512-9e47-4316-bf61-94a88845f24e',
              hasSelection: true,
            },
            {
              label: 'Customers',
              iconUrl: 'supervisor_account',
              isGroupName: true,
              hasSelection: false,
              children: [
                {
                  label: 'DEF Solutions',
                  _type: 'customer',
                  uuid: '1bb01daa-2ee0-4962-8b50-c9bf2651e0c8',
                  children: [
                    {
                      children: [
                        {
                          children: [
                            {
                              label: 'North East',
                              _type: 'account',
                              uuid: '3dd757c6-b475-45e2-8faa-63abf357a7ae',
                              hasSelection: true,
                            },
                          ],
                          label: 'North',
                          _type: 'account',
                          uuid: '65f3f534-b5a6-4fb0-be01-390f28ff1a2d',
                          hasSelection: true,
                        },
                      ],
                      label: 'Main',
                      _type: 'account',
                      uuid: 'ad92b9d7-f5c6-4b34-b512-aaa3683f2858',
                      hasSelection: true,
                    },
                    {
                      label: 'Unassigned',
                      _type: 'account',
                      uuid: 'a44deb7b-37b0-42df-84a8-35436b52f81a',
                      hasSelection: true,
                    },
                  ],
                },
                {
                  label: 'TVL Solutions',
                  _type: 'customer',
                  uuid: '3a66c344-b9b5-4d4f-b6b2-037188afe593',
                  children: [
                    {
                      children: [
                        {
                          label: 'North',
                          _type: 'account',
                          uuid: '24540d55-aa1f-4f08-baa5-e946e74e149c',
                          hasSelection: true,
                        },
                      ],
                      label: 'Main',
                      _type: 'account',
                      uuid: '3c1930cf-d5c0-43a0-b16d-b0d225eb0d1b',
                      hasSelection: true,
                    },
                    {
                      label: 'Unassigned',
                      _type: 'account',
                      uuid: 'a1023bde-ab51-4b55-999d-e0c371e30739',
                      hasSelection: true,
                    },
                  ],
                },
              ],
            },
          ],
        },
        {
          label: 'LMP Solutions',
          _type: 'salesChannel',
          uuid: '1dfb66a7-8652-48c8-8139-ff651bab2209',
          children: [
            {
              label: 'Main',
              _type: 'account',
              uuid: '283d5d71-6977-4142-bd4c-8f32610d6879',
              hasSelection: true,
            },
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: 'cfb96462-6b13-4b52-b719-21f6cbffd81c',
              hasSelection: true,
            },
            {
              label: 'Customers',
              iconUrl: 'supervisor_account',
              isGroupName: true,
              hasSelection: false,
              children: [
                {
                  label: 'REF Solutions',
                  _type: 'customer',
                  uuid: '6378b345-ab98-4169-baf6-14448cf180b4',
                  isGroupName: false,
                  hasSelection: true,
                  children: [
                    {
                      children: [
                        {
                          children: [
                            {
                              label: 'North East',
                              _type: 'account',
                              uuid: 'b8f788e8-e249-423d-af2d-3bd527d57039',
                              hasSelection: true,
                            },
                          ],
                          label: 'North',
                          _type: 'account',
                          uuid: '7401a2f4-e665-4367-b187-1ae286cebf72',
                          hasSelection: true,
                        },
                      ],
                      label: 'Main',
                      _type: 'account',
                      uuid: '44201c00-263b-4d19-8740-ae866b206a35',
                      hasSelection: true,
                    },
                    {
                      label: 'Unassigned',
                      _type: 'account',
                      uuid: '4934add4-b08e-4777-97e5-efba49f3d9f4',
                      hasSelection: true,
                    },
                  ],
                },
              ],
            },
          ],
        },
        {
          label: 'Sparked Brains',
          _type: 'salesChannel',
          uuid: '88cea48e-708c-4d0d-a3e7-9ada8923a100',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '928f6857-1069-4c47-800a-052cdee60b1b',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: '03df0469-ec4d-4712-ad9a-ec6ef9191714',
              hasSelection: true,
            },
            {
              label: 'Customers',
              iconUrl: 'supervisor_account',
              isGroupName: true,
              hasSelection: false,
              children: [
                {
                  label: 'Ford',
                  _type: 'customer',
                  uuid: 'a050c6b6-8509-48a5-8f98-2f50e23c3caa',
                  children: [
                    {
                      children: [
                        {
                          label: 'Ford Acc1',
                          _type: 'account',
                          uuid: 'e05b7c79-9aeb-4fb4-8601-73af4ecaf647',
                          hasSelection: true,
                        },
                      ],
                      label: 'Main',
                      _type: 'account',
                      uuid: '4c538794-8166-4e96-8121-ca4c72104cf5',
                      hasSelection: true,
                    },
                    {
                      label: 'Unassigned',
                      _type: 'account',
                      uuid: 'b935b321-6516-475e-853f-c97fdd0e3a91',
                      hasSelection: true,
                    },
                  ],
                },
              ],
            },
          ],
        },
        {
          label: 'Hash8',
          _type: 'salesChannel',
          uuid: '3deb2c28-851b-4894-bac5-9126cb9d7142',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '91a0f404-c878-4b00-811e-d81f9d267603',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: '46d18ccf-59d8-4be7-b97a-67990fcae356',
              hasSelection: true,
            },
            {
              label: 'Customers',
              iconUrl: 'supervisor_account',
              isGroupName: true,
              hasSelection: false,
              children: [
                {
                  label: 'H8',
                  _type: 'customer',
                  uuid: 'b50e0554-99d6-4e22-9512-c3b60c008394',
                  children: [
                    {
                      label: 'Main',
                      _type: 'account',
                      uuid: '7cc0c900-f57f-4f8d-bd34-e6571ff46d87',
                      hasSelection: true,
                    },
                    {
                      label: 'Unassigned',
                      _type: 'account',
                      uuid: 'c827b5cc-0dc2-465a-97bd-ccd931661405',
                      hasSelection: true,
                    },
                  ],
                },
              ],
            },
          ],
        },
        {
          label: 'BioMicrobics Inc',
          _type: 'salesChannel',
          uuid: '924a92b5-d1e8-4973-a6a4-3cb5e26bc6ec',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '9ddbc7fb-101e-4736-b951-621a8a8f0fc5',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: '6499805f-9353-4c1f-9745-1f19200333d5',
              hasSelection: true,
            },
            {
              label: 'Customers',
              iconUrl: 'supervisor_account',
              isGroupName: true,
              hasSelection: false,
              children: [
                {
                  label: 'v',
                  children: [
                    {
                      label: 'Unassigned',
                      _type: 'account',
                      uuid: '1dc62e80-85a4-497c-90d0-c8bd9d49e5eb',
                      hasSelection: true,
                    },
                    {
                      label: 'Main',
                      _type: 'account',
                      uuid: '4267e83a-30cd-441c-910c-1153d5bad577',
                      hasSelection: true,
                    },
                  ],
                  _type: 'customer',
                  uuid: '8b4dcd6a-3038-431d-95ce-290498b26994',
                },
                {
                  label: 'Darrell Crews Septic Tanks',
                  children: [
                    {
                      label: 'Unassigned',
                      _type: 'account',
                      uuid: 'd8f878b0-a44e-4c8b-a99f-dc8c4a13c186',
                      hasSelection: true,
                    },
                    {
                      label: 'Main',
                      _type: 'account',
                      uuid: 'da96e70f-b2ef-4044-a10c-d939cd8925b9',
                      hasSelection: true,
                    },
                  ],
                  _type: 'customer',
                  uuid: '406efa96-7e73-4d53-804f-042a5d9518eb',
                },
              ],
            },
          ],
        },
        {
          label: 'SES Solutions',
          _type: 'salesChannel',
          uuid: 'd611271b-e833-45eb-95ae-781c0fca8116',
          children: [
            {
              label: 'Main',
              _type: 'account',
              uuid: '6d6d9db1-5eb2-489a-83f9-f0337a7a6121',
              hasSelection: true,
            },
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '04226da6-b646-48b0-903b-d2f277ea090d',
              hasSelection: true,
            },
            {
              label: 'Customers',
              iconUrl: 'supervisor_account',
              isGroupName: true,
              hasSelection: false,
              children: [
                {
                  label: 'TES Solutions',
                  _type: 'customer',
                  uuid: '3781e3d9-84bf-44c2-a3e6-e3a84dac7ae4',
                  children: [
                    {
                      label: 'Main',
                      _type: 'account',
                      uuid: '7c65138c-7900-42e9-a5dd-ecfb19224896',
                      hasSelection: true,
                    },
                    {
                      label: 'Unassigned',
                      _type: 'account',
                      uuid: 'b1107b48-923e-4b01-a208-37ba8663f3aa',
                      hasSelection: true,
                    },
                  ],
                },
              ],
            },
          ],
        },
        {
          label: 'Star Solutions',
          _type: 'salesChannel',
          uuid: '6762c2bc-6314-4b07-9b56-3fafd6a8c8ba',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '2f38a31a-a0e9-43a5-90b7-a3a30925a23a',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: '102eb54d-dcce-4084-8170-16997f716b2f',
              hasSelection: true,
            },
            {
              label: 'Customers',
              iconUrl: 'supervisor_account',
              isGroupName: true,
              hasSelection: false,
              children: [
                {
                  label: 'Happy Minds',
                  _type: 'customer',
                  uuid: 'e9e9551b-844a-476b-a247-ed0f6687020a',
                  children: [
                    {
                      label: 'Main',
                      _type: 'account',
                      uuid: '5eb8cc78-10d9-4a4c-9432-88f3ed5df10b',
                      hasSelection: true,
                    },
                    {
                      label: 'Unassigned',
                      _type: 'account',
                      uuid: 'ef4a710d-3284-403f-83d5-cdba8e4018c2',
                      hasSelection: true,
                    },
                  ],
                },
              ],
            },
          ],
        },
        {
          label: 'ARU Solutions',
          _type: 'salesChannel',
          uuid: '8133ee3c-d71a-49cf-9afc-bbe317bfaf36',
          children: [
            {
              label: 'Main',
              _type: 'account',
              uuid: '161459ff-c9fc-4383-9c7c-aad8412f7470',
              hasSelection: true,
            },
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: 'd16e6470-a07a-47d8-8fe8-310c532daf2a',
              hasSelection: true,
            },
            {
              label: 'Customers',
              iconUrl: 'supervisor_account',
              isGroupName: true,
              hasSelection: false,
              children: [
                {
                  label: 'Lotus Solutions',
                  children: [
                    {
                      label: 'Unassigned',
                      _type: 'account',
                      uuid: 'e56f8b71-d81a-4a6a-a73b-94c8e8d192b9',
                      hasSelection: true,
                    },
                    {
                      label: 'Main',
                      _type: 'account',
                      uuid: '165ed34f-c00d-4137-a3bb-503fa139a43e',
                      hasSelection: true,
                    },
                  ],
                  _type: 'customer',
                  uuid: 'ea1011ce-f989-480e-87b8-c3424eb4d346',
                },
              ],
            },
          ],
        },
        {
          label: 'ACME Sales Channel ',
          _type: 'salesChannel',
          uuid: 'f24d85ee-c763-47bb-9690-05fd884208b9',
          children: [
            {
              children: [
                {
                  label: 'Acme North',
                  _type: 'account',
                  uuid: '2261e3d3-7d87-43c4-8b96-22d60b3c60d6',
                  hasSelection: true,
                },
              ],
              label: 'Main',
              _type: 'account',
              uuid: '9bf63906-6652-4f7f-980d-cf64922f302a',
              hasSelection: true,
            },
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '83d5bd6d-a194-473e-a161-84f342b29ca2',
              hasSelection: true,
            },
            {
              label: 'Customers',
              iconUrl: 'supervisor_account',
              isGroupName: true,
              hasSelection: false,
              children: [
                {
                  label: 'IoT Networks',
                  children: [
                    {
                      label: 'Main',
                      _type: 'account',
                      uuid: 'c8194ac4-8157-4892-a248-cd724fc94e34',
                      hasSelection: true,
                    },
                    {
                      label: 'Unassigned',
                      _type: 'account',
                      uuid: 'e173ef92-fba1-4e87-b2dd-840f58b5c77b',
                      hasSelection: true,
                    },
                  ],
                  _type: 'customer',
                  uuid: 'df7b5995-8d93-48e6-a3fa-9e8fbd99492c',
                },
                {
                  label: 'Water Connect',
                  children: [
                    {
                      label: 'Unassigned',
                      _type: 'account',
                      uuid: 'fc4d84b5-bd66-461f-96b3-a9d627be3e35',
                      hasSelection: true,
                    },
                    {
                      label: 'Main',
                      _type: 'account',
                      uuid: '96dea0ba-a9b8-47a1-a061-ad3518e70038',
                      hasSelection: true,
                    },
                  ],
                  _type: 'customer',
                  uuid: 'ec572a9e-bb8d-4cd1-b192-24bfcd569ad4',
                },
                {
                  label: 'Joahna Solutions',
                  children: [
                    {
                      label: 'Main',
                      _type: 'account',
                      uuid: '247e9b1d-6e88-4e75-9e27-db6b11437257',
                      hasSelection: true,
                    },
                    {
                      label: 'Unassigned',
                      _type: 'account',
                      uuid: '8369229e-ff7e-4687-ba63-c7c163874d3a',
                      hasSelection: true,
                    },
                  ],
                  _type: 'customer',
                  uuid: '7590a534-1e77-4222-b33a-9571e57752cf',
                },
                {
                  label: 'Byrde Enterprises',
                  children: [
                    {
                      label: 'Unassigned',
                      _type: 'account',
                      uuid: '59c00eee-eb60-441d-8385-144a5114b20f',
                      hasSelection: true,
                    },
                    {
                      label: 'Main',
                      _type: 'account',
                      uuid: 'd89e3b45-a396-4f18-859e-0fd27c88c031',
                      hasSelection: true,
                    },
                  ],
                  _type: 'customer',
                  uuid: '47d02e55-a875-49f1-892c-a2220a65f758',
                },
                {
                  label: 'Titan Networks',
                  children: [
                    {
                      label: 'Unassigned',
                      _type: 'account',
                      uuid: 'ba043ce5-b093-46cf-bd40-eef6b83f7fbb',
                      hasSelection: true,
                    },
                    {
                      label: 'Main',
                      _type: 'account',
                      uuid: 'd38f05e7-6344-4e99-b02c-ed10b55eec37',
                      hasSelection: true,
                    },
                  ],
                  _type: 'customer',
                  uuid: 'abfbc786-6cf0-4b44-aa98-c51318f20b1a',
                },
                {
                  label: 'Initech Solutions',
                  children: [
                    {
                      label: 'Unassigned',
                      _type: 'account',
                      uuid: '26e31320-f60c-47f3-89db-dfeaafd2986f',
                      hasSelection: true,
                    },
                    {
                      label: 'Main',
                      _type: 'account',
                      uuid: 'b9e984b5-5ed1-43d6-891f-6bc044cd8dfa',
                      hasSelection: true,
                    },
                  ],
                  _type: 'customer',
                  uuid: 'acc3b9ae-3047-420b-93f9-597a53d291cc',
                },
              ],
            },
          ],
        },
        {
          label: 'Sales ',
          children: [
            {
              children: [
                {
                  label: 'Test',
                  _type: 'account',
                  uuid: '88bc3f75-6867-48f0-9f54-108705f8b180',
                  hasSelection: true,
                },
              ],
              label: 'Main',
              _type: 'account',
              uuid: '0d99ed97-acc5-4df1-ab5e-51f7132e0536',
              hasSelection: true,
            },
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '4562d802-a944-4cc7-8bac-15cd6c501580',
              hasSelection: true,
            },
          ],
          _type: 'salesChannel',
          uuid: 'a2544f18-191a-47f1-9e72-218745c565d8',
        },
        {
          label: 'XTO',
          _type: 'salesChannel',
          uuid: '7413fa03-cd86-456c-90f2-99aebcf99be1',
          children: [
            {
              label: 'Main',
              _type: 'account',
              uuid: '8f2c7494-b767-415a-a698-e676dc552d0a',
              hasSelection: true,
            },
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '639c9cae-01e4-463d-a3df-dd59a7089c30',
              hasSelection: true,
            },
          ],
        },
        {
          label: 'bios',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '00ccd85a-9dce-46e6-bbf8-46e8b98ea60d',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: 'afeebedc-5a29-4170-822a-249988b826cd',
              hasSelection: true,
            },
          ],
          _type: 'salesChannel',
          uuid: '0c4f5df3-2913-4a72-b4e6-28743a70a46d',
        },
        {
          label: 'Thendral H8FF',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: 'd4d32bbc-71d3-40a3-9660-c7d946ed32e0',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: '06a0d9f8-da5f-4785-ad57-7ed2d6edaf6e',
              hasSelection: true,
            },
          ],
          _type: 'salesChannel',
          uuid: '2d7bc933-298e-4e09-9130-5baed07eae27',
        },
        {
          label: 'HF3',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: 'a0181354-825d-4094-8142-f31657e13a6b',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: 'a9dd697d-45ef-49c8-b42a-d014b57dd12f',
              hasSelection: true,
            },
          ],
          _type: 'salesChannel',
          uuid: '99ccec14-858c-4669-b87a-ec6c9bbe5d39',
        },
        {
          label: 'Water Solutions',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '1612d653-2d63-425a-a78b-3f86ac040680',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: '0364602f-f74a-4c9e-86fc-8081bb798811',
              hasSelection: true,
            },
          ],
          _type: 'salesChannel',
          uuid: '040b5fb4-180b-4721-a2d6-31e7838a4245',
        },
        {
          label: 'Spartans',
          _type: 'salesChannel',
          uuid: 'fbdcaa4f-3a9b-47db-824f-c4adf3fd7c90',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: 'a681b2f7-d51f-4d3b-bd3f-509ae96d36e2',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: '83bf7849-f7fd-4917-9fc7-fb36ec8286a5',
              hasSelection: true,
            },
          ],
        },
        {
          label: 'Sales 2',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '336f1063-14d3-4094-8dc5-f9ba0d819a38',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: '19252a2c-16f0-42da-b96f-ed9cad7e93de',
              hasSelection: true,
            },
          ],
          _type: 'salesChannel',
          uuid: 'ebfa446d-f923-4af5-b0d0-9be2dbc00f58',
        },
        {
          label: 'Spark Colors',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '14eb0735-054d-439c-896c-971bd4fefdf6',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: 'a2382805-4435-49e3-8680-5295c1a7040b',
              hasSelection: true,
            },
          ],
          _type: 'salesChannel',
          uuid: '5c8057a3-413b-4a5f-b5ff-f29be3307126',
        },
        {
          label: 'BBC Water Management',
          children: [
            {
              label: 'Main',
              _type: 'account',
              uuid: 'ba5b5c82-f552-48fb-ab70-3338df9b0a07',
              hasSelection: true,
            },
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: 'b21f4af2-b483-4a04-b3d8-8ff8333c49aa',
              hasSelection: true,
            },
          ],
          _type: 'salesChannel',
          uuid: '594ac60d-60e4-41d9-a27d-6683dea448a9',
        },
      ],
    },
    {
      label: 'Customers',
      iconUrl: 'supervisor_account',
      hasSelection: false,
      isGroupName: true,
      children: [
        {
          label: 'CES Solutions',
          _type: 'customer',
          uuid: '38a1f0a9-2f1e-4e84-aa80-b9c7bdf40199',
          children: [
            {
              children: [
                {
                  label: 'North',
                  _type: 'account',
                  uuid: '00f862ec-e2bf-48ee-b84d-6f0aa4a44ae7',
                  hasSelection: true,
                },
              ],
              label: 'Main',
              _type: 'account',
              uuid: 'a99a0dc9-eff2-4bc6-8bc8-ed7181e9ef3f',
              hasSelection: true,
            },
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: 'ebc3b286-1233-4373-85ab-a02053510e22',
              hasSelection: true,
            },
          ],
        },
        {
          label: 'DELL Solutions',
          _type: 'customer',
          uuid: 'dd789687-7382-4b56-be94-87d1bf299fb0',
          children: [
            {
              children: [
                {
                  label: 'Acc1',
                  _type: 'account',
                  uuid: '332a1dd0-dc19-4cfc-9ff8-ccb4c16b0418',
                  hasSelection: true,
                },
              ],
              label: 'Main',
              _type: 'account',
              uuid: '8a114324-e23f-4715-beb8-39423cca7384',
              hasSelection: true,
            },
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: 'eff1160b-4a01-4535-95ff-319b078f5896',
              hasSelection: true,
            },
          ],
        },
        {
          label: 'LEP Solutions',
          _type: 'customer',
          uuid: '58d71851-0ba0-4ad6-8048-d8ba8e663694',
          children: [
            {
              children: [
                {
                  label: 'South',
                  _type: 'account',
                  uuid: 'c50a883d-78af-4fe0-9196-29f7eb90d9c1',
                  hasSelection: true,
                },
                {
                  label: 'North',
                  _type: 'account',
                  uuid: '5e3f87df-ac4c-4acd-afa1-619ba55a5c26',
                  hasSelection: true,
                },
              ],
              label: 'Main',
              _type: 'account',
              uuid: '02ebffca-9a4c-46a7-b1db-954b240b92dd',
              hasSelection: true,
            },
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '2055ff92-3a1d-44df-a998-32d238d25cd5',
              hasSelection: true,
            },
          ],
        },
        {
          label: 'HF',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '5c6e9f56-d657-42d5-85d8-ea909de23590',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: '6198f65a-3aca-4442-9068-24f2b0159978',
              hasSelection: true,
            },
          ],
          _type: 'customer',
          uuid: '4113bee0-9883-4aca-b617-ef547ec5f5e8',
        },
        {
          label: 'HF2',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: 'b0bd47e2-aad0-48eb-be98-b0ccbdf6adff',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: 'a2c7c25f-2c33-4f9f-976e-34d8ff740519',
              hasSelection: true,
            },
          ],
          _type: 'customer',
          uuid: 'dad0a799-3215-48eb-9a67-f1da20e5c599',
        },
        {
          label: 'PVP Equipment',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '5167c650-3f00-4b59-94c8-48c5f84e0f81',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: 'f2891e9d-c9a6-480d-a29f-841e619f683a',
              hasSelection: true,
            },
          ],
          _type: 'customer',
          uuid: '09ae3013-0057-44e2-8cb1-2a19d2bca25b',
        },
        {
          label: 'TCC Solutions',
          _type: 'customer',
          uuid: '5f4278a2-2a33-44e0-8afd-46a541c7ec09',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '01f2477c-4971-4353-8434-c6ccea8a4c27',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: '5762b181-1a8d-4373-9d53-5aaff630fc79',
              hasSelection: true,
            },
          ],
        },
        {
          label: 'XYZ Solutions',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '0ccc99d7-27c5-40f8-b70d-c83caecadb0e',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: 'b0b726e9-aaa0-4aa2-a9a2-43b0ac5917dc',
              hasSelection: true,
            },
          ],
          _type: 'customer',
          uuid: 'f4181103-1eb0-413a-9fd1-35f692dc5b32',
        },
        {
          label: 'ABC Solutions',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: 'adfbbe50-2e50-4d27-810a-0ebd27e26f8c',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: '6000ea16-fbe4-4c1c-94c2-21c87de86fed',
              hasSelection: true,
            },
          ],
          _type: 'customer',
          uuid: '02f56d9b-4c67-43e9-876b-7dedd1448ce0',
        },
        {
          label: 'Globex Corporation',
          children: [
            {
              label: 'Main',
              _type: 'account',
              uuid: 'be701b74-5917-45b5-9b9f-f5b2900be153',
              hasSelection: true,
            },
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '3736b17c-34a0-4bb8-b355-81d9d352a324',
              hasSelection: true,
            },
          ],
          _type: 'customer',
          uuid: 'f1b27957-229b-47f0-a978-1420f444cb8a',
        },
        {
          label: 'ChampionX',
          _type: 'customer',
          uuid: 'fb9e3d85-b1ee-4ad0-916a-8142c9a9427f',
          children: [
            {
              label: 'Main',
              _type: 'account',
              uuid: '585d69a8-0f00-464b-8bcd-05817bb2ad70',
              hasSelection: true,
            },
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: '2991324c-2058-4139-875f-e6d907c01c5c',
              hasSelection: true,
            },
          ],
        },
        {
          label: 'Chevron',
          children: [
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: 'd33eb2b9-1310-415f-80dc-c94363420c97',
              hasSelection: true,
            },
            {
              label: 'Main',
              _type: 'account',
              uuid: 'fef2f3c0-fd32-4993-911d-aa71082da0b8',
              hasSelection: true,
            },
          ],
          _type: 'customer',
          uuid: '0a2a53ef-97db-4365-9081-045126c68594',
        },
        {
          label: 'Fuji',
          _type: 'customer',
          uuid: '7675ca53-0a9a-4541-9ed8-c620630ba846',
          children: [
            {
              label: 'Main',
              _type: 'account',
              uuid: '6351cbdd-bc54-4884-afa3-85f93d69c1a7',
              hasSelection: true,
            },
            {
              label: 'Unassigned',
              _type: 'account',
              uuid: 'a1032bc9-240a-4555-b2ce-b5e40359e8df',
              hasSelection: true,
            },
          ],
        },
      ],
    },
  ];

  orgTree = new TreeviewItem(this.organizationTree);

  tagsConfig = {
    name: 'tagsHierarchyDataGrid',
    apiUrl: `/api/v1/tags?userUUID={{data.localStorage.userUUID}}&applicationUUID={{data.localStorage.applicationUUID}}`,
    style: {
      width: '100%',
      height: '550px',
    },
    organizationFilterConfig: {
      hasAllCheckBox: true,
      hasFilter: false,
      hasCollapseExpand: true,
      decoupleChildFromParent: true,
      maxHeight: 400,
      configuration: {
        name: 'organizationFilter',
        label: 'All Organization',
        selection: 'multiple',
        visible: true,
        apiUrl: `/api/v1/users/{{data.localStorage.userUUID}}/organizations?include=All_Organizations`,
        events: [
          {
            event: 'click',
            method: 'reloadReport',
            params: {
              gridName: 'tagsHierarchyDataGrid',
              apiUrl:
                'api/v1/tags?userUUID={{data.localStorage.userUUID}}&organizationUUID={{data.orgFilterUUIDs}}&applicationUUID={{data.localStorage.applicationUUID}}',
            },
          },
        ],
      },
    },
  };

  constructor(
    private dialogService: DialogWebService,
    private store: Store,
    private router: Router
  ) {
    // console.log("data", this.router.getCurrentNavigation()?.extras?.state);

    this._statusConfig = {
      name: 'assetDataGrid2',
      apiUrl: 'http://localhost:3000/assetStatus',
    };

    this.reeferStatusConfig = {
      name: 'reeferStatusGrid',
      apiUrl: 'http://localhost:3000/reeferStatus',
    };

    // this.store.dispatch(TagActions.loadTags());
  }

  ngOnInit(): void {
    // console.log("data", history?.state);
  }

  updateOrganization1() {
    this.assetStatusReportConfig =
      this.ASSET_STATUS_REPORT_CONFIG_ORGANIZATION1;
  }

  updateOrganization2() {
    this.assetStatusReportConfig =
      this.ASSET_STATUS_REPORT_CONFIG_ORGANIZATION2;
  }

  updateRow() {
    this.store.dispatch({
      type: '[Data Report] Update single row data report',
      gridName: 'assetDataGrid2',
      identifier: 'assetUUID',
      data: {
        assetUUID: 'a3e47a70-6ed4-4660-b6bf-50410f00a10b',
        accountName: 'New Name',
        tags: [
          {
            id: 4,
            tagName: 'Cleaning',
            uuid: 'b5ac2586-3141-4df8-b595-cb0a95c8c24d',
            tagKey: 'Tags',
            entity: ['Assets'],
            numberOfResourcesTagged: 5,
            action: true,
            tagColor: '#ddd6fe',
          },
          {
            id: 2,
            tagName: 'Periodic Monitoring',
            uuid: '095d99dd-9735-417a-9584-6cba0c656ae9',
            tagKey: 'Tags',
            entity: ['Assets'],
            numberOfResourcesTagged: 23,
            action: true,
            tagColor: '#a5f3fc',
          },
        ],
      },
    });
  }

  onRowSelection(event: any) {
    this._selectedRows = event.params.api.getSelectedRows();
    this._disableAssignButton = this._selectedRows.length > 0 ? false : true;
  }

  onTagSelect(seletedTags: any) {
    this._selectedTags = seletedTags;
    const tagIds = this._selectedTags.map((t: any) => t.uuid);
    const rowIds = this._selectedRows.map((r: any) => r.assetUUID);
    console.log(rowIds, tagIds);
  }

  onFilterChange(value: string): void {
    console.log('filter:', this.values);
  }

  getCountries(): any[] {
    return this.countries;
  }

  getRegions = (countryId: string): any[] => {
    return this.regions.filter((region) => region.countryId === countryId);
  };

  selected(event: any) {
    console.log(event);
  }
}
