import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { VehicleStatusRoutingModule } from './vehicle-status-routing.module';
import { VehicleStatusComponent } from './vehicle-status.component';
// import { DataReportWebModule } from '@hash8io/data-report-web';
import { CtaButtonModule } from '@hash8io/core-web/cta-button';
import { MatButtonModule } from '@angular/material/button';
import { MatTooltipModule } from '@angular/material/tooltip';

import { MatMenuModule } from '@angular/material/menu';
import { MatIconModule } from '@angular/material/icon';

// import { ColorPipe } from '@hash8io/core-web';

import { DataReportWebModule } from '@hash8io/data-report-web';
// import { TagsWebModule } from '@hash8io/tags-web';

import { HierarchyModule } from '@hash8io/core-web/hierarchy';

import { DropdownWebModule } from '@hash8io/dropdown-web';
import { TreeViewModule } from '@hash8io/tree-view-web';
import { TitleModule } from '@hash8io/core-web/title';
import { SharedModule } from '@hash8io/core-web';
import { AuthInterceptorProviders } from '@hash8io/authentication-web/login';
import { TagsWebModule } from '@hash8io/tags-web';

@NgModule({
  declarations: [
    VehicleStatusComponent,
    // ColorPipe
  ],
  imports: [
    CommonModule,
    SharedModule,
    VehicleStatusRoutingModule,
    DataReportWebModule,
    CtaButtonModule,
    MatButtonModule,
    MatTooltipModule,
    MatMenuModule,
    MatIconModule,
    TitleModule,
    HierarchyModule,
    DropdownWebModule,
    TreeViewModule.forRoot(),
    TagsWebModule,
  ],
  providers: [AuthInterceptorProviders],
})
export class VehicleStatusModule {
  constructor() {
    //
  }
}
