
#communication-Server.tf

### communication-Server ###
resource "aws_instance" "communication-Server" {
  ami                    = var.communication-Server_ami
  instance_type          = var.communication-Server_instance_type
  key_name               = var.key_name
  availability_zone      = var.availablityZone
  vpc_security_group_ids = ["${aws_security_group.communication-ServerSecurityGroup.id}"]
  subnet_id              = aws_subnet.privateSubnet.id
  source_dest_check      = false
  private_ip             = var.communication-ServerPrivateIp

  root_block_device {
    volume_size = var.communication-ServerRootVolumeSize
  }

  ebs_block_device {
    delete_on_termination = true
    device_name           = "/dev/sdb"
    volume_size           = var.communication-ServerEbsSize
    volume_type           = "gp2"
  }


  tags = {
    Name = "${var.communication-Server_name}"
  }
}
