#customerGatewayServer.tf

### customerGatewayServer ###
resource "aws_instance" "customerGatewayServer" {
  ami                         = var.customerGatewayServer_ami
  instance_type               = var.customerGatewayServer_instance_type
  key_name                    = var.key_name
  availability_zone           = var.availablityZone
  vpc_security_group_ids      = ["${aws_security_group.customerGatewayServerSecurityGroup.id}"]
  subnet_id                   = aws_subnet.publicSubnet.id
  associate_public_ip_address = true
  source_dest_check           = false
  private_ip                  = var.customerGatewayServerPrivateIp
  root_block_device {
    volume_size = var.customerGatewayServerRootVolumeSize
  }


  tags = {
    Name = "${var.customerGatewayServer_name}"
  }
}

