#customerGatewayServerSecurityGroup.tf

############ natSecurityGroup ############

resource "aws_security_group" "customerGatewayServerSecurityGroup" {
  name        = var.customerGatewayServerSecurityGroup_name
  description = var.customerGatewayServerSecurityGroup_description






  ingress {
    from_port   = 22
    to_port     = 22
    protocol    = "TCP"
    description = "Remote access"
    cidr_blocks = ["0.0.0.0/0"]
  }

  ingress {
    from_port   = 3306
    to_port     = 3306
    protocol    = "TCP"
    description = "site-to-site-vpn MYSQL Port"
    cidr_blocks = ["${aws_instance.communication-Server.private_ip}/32"]
  }

  ingress {
    from_port   = 12237
    to_port     = 12237
    protocol    = "TCP"
    description = "site-to-site-vpn DB Port"
    cidr_blocks = ["${aws_instance.communication-Server.private_ip}/32"]
  }



  egress {
    from_port        = 0
    to_port          = 0
    protocol         = "-1"
    description      = "Allow to all Outbound traffic"
    cidr_blocks      = ["0.0.0.0/0"]
    ipv6_cidr_blocks = ["::/0"]
  }



  vpc_id = aws_vpc.vpc.id

  tags = {
    Name = "${var.customerGatewayServerSecurityGroup_tag}"
  }
}
