#dbServer1SecurityGroup.tf

############ dbServer1SecurityGroup ############

resource "aws_security_group" "dbServer1SecurityGroup" {
  name        = var.dbServer1SecurityGroup_name
  description = var.dbServer1SecurityGroup_description



  ingress {
    from_port   = 7474
    to_port     = 7474
    protocol    = "TCP"
    description = "HTTP Access to NAT "
    cidr_blocks = ["${aws_instance.natServer.private_ip}/32"]
  }


  ingress {
    from_port   = 7474
    to_port     = 7474
    protocol    = "TCP"
    description = "HTTP Access to AppServer-1 "
    cidr_blocks = ["${aws_instance.appServer1.private_ip}/32"]
  }

  ingress {
    from_port   = 7687
    to_port     = 7687
    protocol    = "TCP"
    description = "Bolt port Access to NAT "
    cidr_blocks = ["${aws_instance.natServer.private_ip}/32"]
  }

  ingress {
    from_port   = 7687
    to_port     = 7687
    protocol    = "TCP"
    description = "Bolt port Access to AppServer-1 "
    cidr_blocks = ["${aws_instance.appServer1.private_ip}/32"]
  }



  ingress {
    from_port   = 22
    to_port     = 22
    protocol    = "TCP"
    description = "Access from NAT"
    cidr_blocks = ["${aws_instance.natServer.private_ip}/32"]
  }


  egress {
    from_port        = 0
    to_port          = 0
    protocol         = "-1"
    description      = "Allow to all Outbound traffic"
    cidr_blocks      = ["0.0.0.0/0"]
    ipv6_cidr_blocks = ["::/0"]
  }

  vpc_id = aws_vpc.vpc.id

  tags = {
    Name = "${var.dbServer1SecurityGroup_tag}"
  }
}
