#route.tf

################### route ################

########## publicSubnetRouteTable ##############

resource "aws_route_table" "publicSubnetRouteTable" {
  vpc_id = aws_vpc.vpc.id

  route {
    cidr_block = "0.0.0.0/0"
    gateway_id = aws_internet_gateway.internetGateway.id
  }

  tags = {
    Name = "${var.publicSubnetRouteTable_name}"
  }
}


########## publicSubnetRouteTableAssociation ##############

resource "aws_route_table_association" "publicSubnetRouteTableAssociation" {
  subnet_id      = aws_subnet.publicSubnet.id
  route_table_id = aws_route_table.publicSubnetRouteTable.id
}


########## privateSubnetRouteTable ##############


resource "aws_route_table" "privateSubnetRouteTable" {
  vpc_id = aws_vpc.vpc.id

  route {
    cidr_block  = "0.0.0.0/0"
    instance_id = aws_instance.natServer.id
  }


  #  route {
  #    cidr_block  = "10.0.0.166/32"
  #    instance_id = aws_instance.customerGatewayServer.id
  #  }

  tags = {
    Name = "${var.privateSubnetRouteTable_name}"
  }
}

########## privateSubnetRouteTableAssociation ##############

resource "aws_route_table_association" "privateSubnetRouteTableAssociation" {
  subnet_id      = aws_subnet.privateSubnet.id
  route_table_id = aws_route_table.privateSubnetRouteTable.id
}

