#	variable.tf

################ variables ##################

###Common Configuration ###


variable "region" {
  description = "AWS region for hosting  your network"
  default     = "us-west-1"
}


variable "availablityZone" {
  description = "AWS availablityZone for hosting  your network"
  default     = "us-west-1a"
}

variable "key_name" {
  description = "Key name for SSHing into EC2"
  default     = "au-v2-test-key"


}



### vpc ###

variable "vpc_cidr" {
  description = "CIDR for VPC"
  default     = "10.2.0.0/24"
}

variable "vpc_name" {
  description = "Name of VPC"
  default     = "au-v2-test-VPC"
}



###internetGateway###

variable "internetGateway_name" {
  description = "Name of internetGateway"
  default     = "au-v2-test-InternetGateway"
}



### publicSubnet ###

variable "publicSubnet_name" {
  description = "Name of publicSubnet"
  default     = "au-v2-test-PublicSubnet"
}

variable "public_subnet_cidr" {
  description = "CIDR for public subnet"
  default     = "10.2.0.0/27"
}



### privateSubnet ###

variable "privateSubnet_name" {
  description = "Name of privateSubnet"
  default     = "au-v2-test-PrivateSubnet"
}

variable "private_subnet_cidr" {
  description = "CIDR for private subnet"
  default     = "10.2.0.32/27"
}




### publicSubnetRouteTable ###

variable "publicSubnetRouteTable_name" {
  description = "Name of publicSubnetRouteTable"
  default     = "au-v2-test-PublicSubnetRouteTable"
}



### privateSubnetRouteTable ###

variable "privateSubnetRouteTable_name" {
  description = "Name of privateSubnetRouteTable"
  default     = "au-v2-test-PrivateSubnetRouteTable"
}



### natServer ###

variable "natServer_name" {
  description = "Name of natServer"
  default     = "au-v2-test-NatServer"
}


variable "natServer_ami" {
  description = "Base AMI to au-2.0 natServer"
  #special ami for nat server
  default = "ami-087e8ea598a487399"
}

variable "natServer_instance_type" {
  description = "instance_type of natServer"
  default     = "t2.micro"
}

variable "natServerPrivateIp" {
  description = "PrivateIp of NatServer"
  default     = "10.2.0.5"
}

variable "natServerRootVolumeSize" {
  description = "RootVolumeSize of NatServer"
  default     = "8"
}


### natServerSecurityGroup ###

variable "natServerSecurityGroup_name" {
  description = "Name of natServerSecurityGroup"
  default     = "au-v2-test-NatServerSecurityGroup"
}

variable "natServerSecurityGroup_description" {
  description = "Description for natServerSecurityGroup"
  default     = "au-v2-test-NatServerSecurityGroup"
}

variable "natServerSecurityGroup_tag" {
  description = "Tag for natServerSecurityGroup"
  default     = "au-v2-test-NatServerSecurityGroup"
}


### nginxServer ###

variable "nginxServer_name" {
  description = "Name of nginxServer"
  default     = "au-v2-test-nginxServer"
}


variable "nginxServer_ami" {
  description = "Base AMI to au-2.0 nginxServer"
  # Ubuntu 22.04 ami
  default = "ami-085284d24fe829cd0"
}

variable "nginxServer_instance_type" {
  description = "instance_type of nginxServer"
  default     = "t2.medium"
}

variable "nginxServerPrivateIp" {
  description = "PrivateIp of nginxServer"
  default     = "10.2.0.10"
}

variable "nginxServerRootVolumeSize" {
  description = "RootVolumeSize of nginxServer"
  default     = "15"
}


### nginxServerSecurityGroup ###

variable "nginxServerSecurityGroup_name" {
  description = "Name of nginxServerSecurityGroup"
  default     = "au-v2-test-nginxServerSecurityGroup"
}

variable "nginxServerSecurityGroup_description" {
  description = "Description for nginxServerSecurityGroup"
  default     = "au-v2-test-nginxServerSecurityGroup"
}

variable "nginxServerSecurityGroup_tag" {
  description = "Tag for nginxServerSecurityGroup"
  default     = "au-v2-test-nginxServerSecurityGroup"
}






### appServer1 ###

variable "appServer1_name" {
  description = "Name of appServer1"
  default     = "au-v2-test-appServer1"
}


variable "appServer1_ami" {
  description = "Base AMI to au-2.0 appServer1"
  #ubuntu22.04 ami
  default = "ami-085284d24fe829cd0"

}

variable "appServer1_instance_type" {
  description = "instance_type of appServer1"
  default     = "t2.medium"
}

variable "appServer1PrivateIp" {
  description = "PrivateIp of appServer1"
  default     = "10.2.0.40"
}

variable "appServer1RootVolumeSize" {
  description = "RootVolumeSize of appServer1"
  default     = "30"
}

variable "appServer1EbsSize" {
  description = "Size Ebs volume for AppServer1"
  default     = "20"
}



### appServer1SecurityGroup ###

variable "appServer1SecurityGroup_name" {
  description = "Name of AppServer1SecurityGroup"
  default     = "au-v2-test-AppServer1SecurityGroup"
}

variable "appServer1SecurityGroup_description" {
  description = "Description for AppServer1SecurityGroup"
  default     = "au-v2-test-AppServer1SecurityGroup"
}

variable "appServer1SecurityGroup_tag" {
  description = "Tag for AppServer1SecurityGroup_description"
  default     = "au-v2-test-AppServer1SecurityGroup"
}


### dbServer1 ###

variable "dbServer1_name" {
  description = "Name of dbServer1"
  default     = "au-v2-test-dbServer1"
}


variable "dbServer1_ami" {
  description = "Base AMI to au-2.0 dbServer1"
  #own ami to neo4j with apoc plugin
  default = "ami-0f153733b66922cd5"

}

variable "dbServer1_instance_type" {
  description = "instance_type of dbServer1"
  default     = "t2.medium"
}

variable "dbServer1PrivateIp" {
  description = "PrivateIp of dbServer1"
  default     = "10.2.0.50"
}

variable "dbServer1RootVolumeSize" {
  description = "RootVolumeSize of dbServer1"
  default     = "50"
}




### dbServer1SecurityGroup ###

variable "dbServer1SecurityGroup_name" {
  description = "Name of dbServer1SecurityGroup"
  default     = "au-v2-test-dbServer1SecurityGroup"
}

variable "dbServer1SecurityGroup_description" {
  description = "Description for dbServer1SecurityGroup"
  default     = "au-v2-test-dbServer1SecurityGroup"
}

variable "dbServer1SecurityGroup_tag" {
  description = "Tag for dbServer1SecurityGroup_description"
  default     = "au-v2-test-dbServer1SecurityGroup"
}



### customerGatewayServer ###

variable "customerGatewayServer_name" {
  description = "Name of customerGatewayServer"
  default     = "au-v2-test-customer-gateway-server"
}


variable "customerGatewayServer_ami" {
  description = "Base AMI to  customerGatewayServer"
  # Amazon Linux 2 AMI
  default = "ami-018d291ca9ffc002f"
}

variable "customerGatewayServer_instance_type" {
  description = "instance_type of customerGatewayServer"
  default     = "t2.micro"
}

variable "customerGatewayServerPrivateIp" {
  description = "PrivateIp of customerGatewayServer"
  default     = "10.2.0.25"
}

variable "customerGatewayServerRootVolumeSize" {
  description = "RootVolumeSize of customerGatewayServer"
  default     = "8"
}


### customerGatewayServerSecurityGroup ###

variable "customerGatewayServerSecurityGroup_name" {
  description = "Name of customerGatewayServerSecurityGroup"
  default     = "au-v2-test-customerGatewayServerSecurityGroup"
}

variable "customerGatewayServerSecurityGroup_description" {
  description = "Description for customerGatewayServerSecurityGroup"
  default     = "au-v2-test-customerGatewayServerSecurityGroup"
}

variable "customerGatewayServerSecurityGroup_tag" {
  description = "Tag for customerGatewayServerSecurityGroup"
  default     = "au-v2-test-customerGatewayServerSecurityGroup"
}


### communication-Server ###

variable "communication-Server_name" {
  description = "Name of communication-Server"
  default     = "au-v2-test-communication-Server"
}


variable "communication-Server_ami" {
  description = "Base AMI to au-2.0 communication-Server"
  #ubuntu22.04 ami
  default = "ami-085284d24fe829cd0"

}

variable "communication-Server_instance_type" {
  description = "instance_type of communication-Server"
  default     = "t2.medium"
}

variable "communication-ServerPrivateIp" {
  description = "PrivateIp of communication-Server"
  default     = "10.2.0.45"
}

variable "communication-ServerRootVolumeSize" {
  description = "RootVolumeSize of communication-Server"
  default     = "8"
}

variable "communication-ServerEbsSize" {
  description = "Size Ebs volume for communication-Server"
  default     = "15"
}



### communication-ServerSecurityGroup ###

variable "communication-ServerSecurityGroup_name" {
  description = "Name of communication-ServerSecurityGroup"
  default     = "au-v2-test-communication-ServerSecurityGroup"
}

variable "communication-ServerSecurityGroup_description" {
  description = "Description for communication-ServerSecurityGroup"
  default     = "au-v2-test-communication-ServerSecurityGroup"
}

variable "communication-ServerSecurityGroup_tag" {
  description = "Tag for communication-ServerSecurityGroup_description"
  default     = "au-v2-test-communication-ServerSecurityGroup"
}



#### elasticIp #######
variable "natServer_elasticIp" {
  description = "Tag for natServer_elasticIp"
  default     = "NatServer-Elatic Ip "
}

variable "nginxServer_elasticIp" {
  description = "Tag for nginxServer_elasticIp"
  default     = "nginxServer-Elatic Ip "
}


variable "customerGatewayServer_elasticIp" {
  description = "Tag for customerGatewayServer_elasticIp"
  default     = "customerGatewayServer-Elatic Ip "
}

