
#appServer1.tf

### appServer1 ###
resource "aws_instance" "appServer1" {
  ami                    = var.appServer1_ami
  instance_type          = var.appServer1_instance_type
  key_name               = var.key_name
  availability_zone      = var.availablityZone
  vpc_security_group_ids = ["${aws_security_group.appServer1SecurityGroup.id}"]
  subnet_id              = aws_subnet.privateSubnet.id
  source_dest_check      = false
  private_ip             = var.appServer1PrivateIp

  root_block_device {
    volume_size = var.appServer1RootVolumeSize
  }

  ebs_block_device {
    delete_on_termination = true
    device_name           = "/dev/sdb"
    volume_size           = var.appServer1EbsSize
    volume_type           = "gp2"
  }


  tags = {
    Name = "${var.appServer1_name}"
  }
}
