#appServer1SecurityGroup.tf

############ appServer1SecurityGroup ############

resource "aws_security_group" "appServer1SecurityGroup" {
  name        = var.appServer1SecurityGroup_name
  description = var.appServer1SecurityGroup_description



  ingress {
    from_port   = 22
    to_port     = 22
    protocol    = "TCP"
    description = "Access from vpn"
    cidr_blocks = ["${aws_instance.natServer.private_ip}/32"]
  }

  ingress {
    from_port   = 42748
    to_port     = 42748
    protocol    = "TCP"
    description = "Middleware port open to Nginx"
    cidr_blocks = ["${aws_instance.nginxServer.private_ip}/32"]
  }



  ingress {
    from_port   = 4274
    to_port     = 4274
    protocol    = "TCP"
    description = "Web port open to Nginx"
    cidr_blocks = ["${aws_instance.nginxServer.private_ip}/32"]
  }


  ingress {
    from_port   = 8080
    to_port     = 8080
    protocol    = "TCP"
    description = "Keycloak port open to Nginx"
    cidr_blocks = ["${aws_instance.nginxServer.private_ip}/32"]
  }





  egress {
    from_port        = 0
    to_port          = 0
    protocol         = "-1"
    description      = "Allow to all Outbound traffic"
    cidr_blocks      = ["0.0.0.0/0"]
    ipv6_cidr_blocks = ["::/0"]
  }

  vpc_id = aws_vpc.vpc.id

  tags = {
    Name = "${var.appServer1SecurityGroup_tag}"
  }
}


