#	variable.tf

################ variables ##################

###Common Configuration ###


variable "region" {
  description = "AWS region for hosting  your network"
  default     = "us-east-1"
}


variable "availablityZone" {
  description = "AWS availablityZone for hosting  your network"
  default     = "us-east-1a"
}

variable "key_name" {
  description = "Key name for SSHing into EC2"
  default     = "hash8-dev-key"


}



### vpc ###

variable "vpc_cidr" {
  description = "CIDR for VPC"
  default     = "10.3.0.0/24"
}

variable "vpc_name" {
  description = "Name of VPC"
  default     = "hash8-dev-VPC"
}



###internetGateway###

variable "internetGateway_name" {
  description = "Name of internetGateway"
  default     = "hash8-dev-InternetGateway"
}



### publicSubnet ###

variable "publicSubnet_name" {
  description = "Name of publicSubnet"
  default     = "hash8-dev-PublicSubnet"
}

variable "public_subnet_cidr" {
  description = "CIDR for public subnet"
  default     = "10.3.0.0/27"
}



### privateSubnet ###

variable "privateSubnet_name" {
  description = "Name of privateSubnet"
  default     = "hash8-dev-PrivateSubnet"
}

variable "private_subnet_cidr" {
  description = "CIDR for private subnet"
  default     = "10.3.0.32/27"
}




### publicSubnetRouteTable ###

variable "publicSubnetRouteTable_name" {
  description = "Name of publicSubnetRouteTable"
  default     = "hash8-dev-PublicSubnetRouteTable"
}



### privateSubnetRouteTable ###

variable "privateSubnetRouteTable_name" {
  description = "Name of privateSubnetRouteTable"
  default     = "hash8-dev-PrivateSubnetRouteTable"
}



### natServer ###

variable "natServer_name" {
  description = "Name of natServer"
  default     = "hash8-dev-NatServer"
}


variable "natServer_ami" {
  description = "Base AMI to TIQ-2.0 natServer"
  #special ami for nat server
  default = "ami-06633932c6ba1188a"
}

variable "natServer_instance_type" {
  description = "instance_type of natServer"
  default     = "t2.micro"
}

variable "natServerPrivateIp" {
  description = "PrivateIp of NatServer"
  default     = "10.3.0.5"
}

variable "natServerRootVolumeSize" {
  description = "RootVolumeSize of NatServer"
  default     = "8"
}


### natServerSecurityGroup ###

variable "natServerSecurityGroup_name" {
  description = "Name of natServerSecurityGroup"
  default     = "hash8-dev-NatServerSecurityGroup"
}

variable "natServerSecurityGroup_description" {
  description = "Description for natServerSecurityGroup"
  default     = "hash8-dev-NatServerSecurityGroup"
}

variable "natServerSecurityGroup_tag" {
  description = "Tag for natServerSecurityGroup"
  default     = "hash8-dev-NatServerSecurityGroup"
}


### nginxServer ###

variable "nginxServer_name" {
  description = "Name of nginxServer"
  default     = "hash8-dev-nginxServer"
}


variable "nginxServer_ami" {
  description = "Base AMI to TIQ-2.0 nginxServer"
  default     = "ami-09d56f8956ab235b3"
}

variable "nginxServer_instance_type" {
  description = "instance_type of nginxServer"
  default     = "t2.medium"
}

variable "nginxServerPrivateIp" {
  description = "PrivateIp of nginxServer"
  default     = "10.3.0.10"
}

variable "nginxServerRootVolumeSize" {
  description = "RootVolumeSize of nginxServer"
  default     = "15"
}


### nginxServerSecurityGroup ###

variable "nginxServerSecurityGroup_name" {
  description = "Name of nginxServerSecurityGroup"
  default     = "hash8-dev-nginxServerSecurityGroup"
}

variable "nginxServerSecurityGroup_description" {
  description = "Description for nginxServerSecurityGroup"
  default     = "hash8-dev-nginxServerSecurityGroup"
}

variable "nginxServerSecurityGroup_tag" {
  description = "Tag for nginxServerSecurityGroup"
  default     = "hash8-dev-nginxServerSecurityGroup"
}




### api-gateway-Server ###

variable "api-gateway-Server_name" {
  description = "Name of api-gateway-Server"
  default     = "hash8-dev-api-gateway-Server"
}


variable "api-gateway-Server_ami" {
  description = "Base AMI to TIQ-2.0 api-gateway-Server"
  default     = "ami-09d56f8956ab235b3"
}

variable "api-gateway-Server_instance_type" {
  description = "instance_type of api-gateway-Server"
  default     = "t2.micro"
}

variable "api-gateway-ServerPrivateIp" {
  description = "PrivateIp of api-gateway-Server"
  default     = "10.3.0.20"
}

variable "api-gateway-ServerRootVolumeSize" {
  description = "RootVolumeSize of api-gateway-Server"
  default     = "20"
}


### api-gateway-ServerSecurityGroup ###

variable "api-gateway-ServerSecurityGroup_name" {
  description = "Name of api-gateway-ServerSecurityGroup"
  default     = "hash8-dev-api-gateway-ServerSecurityGroup"
}

variable "api-gateway-ServerSecurityGroup_description" {
  description = "Description for api-gateway-ServerSecurityGroup"
  default     = "hash8-dev-api-gateway-ServerSecurityGroup"
}

variable "api-gateway-ServerSecurityGroup_tag" {
  description = "Tag for api-gateway-ServerSecurityGroup"
  default     = "hash8-dev-api-gateway-ServerSecurityGroup"
}



### appServer1 ###

variable "appServer1_name" {
  description = "Name of appServer1"
  default     = "hash8-dev-appServer1"
}


variable "appServer1_ami" {
  description = "Base AMI to TIQ-2.0 appServer1"
  #ubuntu22.04 ami
  default = "ami-09d56f8956ab235b3"

}

variable "appServer1_instance_type" {
  description = "instance_type of appServer1"
  default     = "t2.medium"
}

variable "appServer1PrivateIp" {
  description = "PrivateIp of appServer1"
  default     = "10.3.0.40"
}

variable "appServer1RootVolumeSize" {
  description = "RootVolumeSize of appServer1"
  default     = "30"
}

variable "appServer1EbsSize" {
  description = "Size Ebs volume for AppServer1"
  default     = "20"
}



### appServer1SecurityGroup ###

variable "appServer1SecurityGroup_name" {
  description = "Name of AppServer1SecurityGroup"
  default     = "hash8-dev-AppServer1SecurityGroup"
}

variable "appServer1SecurityGroup_description" {
  description = "Description for AppServer1SecurityGroup"
  default     = "hash8-dev-AppServer1SecurityGroup"
}

variable "appServer1SecurityGroup_tag" {
  description = "Tag for AppServer1SecurityGroup_description"
  default     = "hash8-dev-AppServer1SecurityGroup"
}


### dbServer1 ###

variable "dbServer1_name" {
  description = "Name of dbServer1"
  default     = "hash8-dev-dbServer1"
}


variable "dbServer1_ami" {
  description = "Base AMI to TIQ-2.0 dbServer1"
  #special ami to neo4j
  default = "ami-002cabbcd5caf26f6"

}

variable "dbServer1_instance_type" {
  description = "instance_type of dbServer1"
  default     = "t2.medium"
}

variable "dbServer1PrivateIp" {
  description = "PrivateIp of dbServer1"
  default     = "10.3.0.50"
}

variable "dbServer1RootVolumeSize" {
  description = "RootVolumeSize of dbServer1"
  default     = "50"
}




### dbServer1SecurityGroup ###

variable "dbServer1SecurityGroup_name" {
  description = "Name of dbServer1SecurityGroup"
  default     = "hash8-dev-dbServer1SecurityGroup"
}

variable "dbServer1SecurityGroup_description" {
  description = "Description for dbServer1SecurityGroup"
  default     = "hash8-dev-dbServer1SecurityGroup"
}

variable "dbServer1SecurityGroup_tag" {
  description = "Tag for dbServer1SecurityGroup_description"
  default     = "hash8-dev-dbServer1SecurityGroup"
}






#### elasticIp #######
variable "natServer_elasticIp" {
  description = "Tag for natServer_elasticIp"
  default     = "NatServer-Elatic Ip "
}

variable "nginxServer_elasticIp" {
  description = "Tag for nginxServer_elasticIp"
  default     = "nginxServer-Elatic Ip "
}

variable "api-gateway-Server_elasticIp" {
  description = "Tag for api-gateway-Server_elasticIp"
  default     = "api-gateway-Server-Elatic Ip "
}

