
#CDC-Server.tf

### CDC-Server ###
resource "aws_instance" "CDC-Server" {
  ami                    = var.CDC-Server_ami
  instance_type          = var.CDC-Server_instance_type
  key_name               = var.key_name
  availability_zone      = var.availablityZone
  vpc_security_group_ids = ["${aws_security_group.CDC-ServerSecurityGroup.id}"]
  subnet_id              = aws_subnet.privateSubnet.id
  source_dest_check      = false
  private_ip             = var.CDC-ServerPrivateIp

  root_block_device {
    volume_size = var.CDC-ServerRootVolumeSize
  }

  ebs_block_device {
    delete_on_termination = true
    device_name           = "/dev/sdb"
    volume_size           = var.CDC-ServerEbsSize
    volume_type           = "gp2"
  }


  tags = {
    Name = "${var.CDC-Server_name}"
  }
}
