#api-gateway-ServerSecurityGroup.tf

############ api-gatewaySecurityGroup ############

resource "aws_security_group" "api-gateway-ServerSecurityGroup" {
  name        = var.api-gateway-ServerSecurityGroup_name
  description = var.api-gateway-ServerSecurityGroup_description



  ingress {
    from_port        = 80
    to_port          = 80
    protocol         = "TCP"
    description      = "http access"
    cidr_blocks      = ["0.0.0.0/0"]
    ipv6_cidr_blocks = ["::/0"]
  }



  ingress {
    from_port        = 443
    to_port          = 443
    protocol         = "TCP"
    description      = "https access"
    cidr_blocks      = ["0.0.0.0/0"]
    ipv6_cidr_blocks = ["::/0"]
  }


  ingress {
    from_port   = 1337
    to_port     = 1337
    protocol    = "TCP"
    description = "Kong UI Port"
    cidr_blocks = ["${aws_instance.nginxServer.private_ip}/32"]
  }


  ingress {
    from_port        = 22
    to_port          = 22
    protocol         = "TCP"
    description      = "Remote access"
    cidr_blocks      = ["0.0.0.0/0"]
    ipv6_cidr_blocks = ["::/0"]
  }



  egress {
    from_port        = 0
    to_port          = 0
    protocol         = "-1"
    description      = "Allow to all Outbound traffic"
    cidr_blocks      = ["0.0.0.0/0"]
    ipv6_cidr_blocks = ["::/0"]
  }


  vpc_id = aws_vpc.vpc.id

  tags = {
    Name = "${var.api-gateway-ServerSecurityGroup_tag}"
  }
}
