#natServerSecurityGroup.tf

############ natSecurityGroup ############

resource "aws_security_group" "natServerSecurityGroup" {
  name        = var.natServerSecurityGroup_name
  description = var.natServerSecurityGroup_description




  ingress {
    from_port   = 6986
    to_port     = 6986
    protocol    = "TCP"
    description = "http port to db server1"
    cidr_blocks = ["0.0.0.0/0"]
  }


  ingress {
    from_port   = 6171
    to_port     = 6171
    protocol    = "TCP"
    description = "bolt port to db server1"
    cidr_blocks = ["0.0.0.0/0"]
  }


  ingress {
    from_port   = 30137
    to_port     = 30137
    protocol    = "TCP"
    description = "Keycloak port"
    cidr_blocks = ["0.0.0.0/0"]
  }

  ingress {
    from_port   = 443
    to_port     = 443
    protocol    = "TCP"
    description = "https port"
    cidr_blocks = ["0.0.0.0/0"]
  }


  ingress {
    from_port   = 80
    to_port     = 80
    protocol    = "TCP"
    description = "http port"
    cidr_blocks = ["0.0.0.0/0"]
  }




  ingress {
    from_port   = 22
    to_port     = 22
    protocol    = "TCP"
    description = "Remote access"
    cidr_blocks = ["0.0.0.0/0"]
  }


  #  ingress {
  #    from_port   = 6722
  #    to_port     = 6722
  #    protocol    = "TCP"
  #    description = "Kafka-port open to the world"
  #    cidr_blocks = ["0.0.0.0/0"]
  #  }


  egress {
    from_port        = 0
    to_port          = 0
    protocol         = "-1"
    description      = "Allow to all Outbound traffic"
    cidr_blocks      = ["0.0.0.0/0"]
    ipv6_cidr_blocks = ["::/0"]
  }



  vpc_id = aws_vpc.vpc.id

  tags = {
    Name = "${var.natServerSecurityGroup_tag}"
  }
}
