#nginxServer.tf

### nginxServer ###
resource "aws_instance" "nginxServer" {
  ami                         = var.nginxServer_ami
  instance_type               = var.nginxServer_instance_type
  key_name                    = var.key_name
  availability_zone           = var.availablityZone
  vpc_security_group_ids      = ["${aws_security_group.nginxServerSecurityGroup.id}"]
  subnet_id                   = aws_subnet.publicSubnet.id
  associate_public_ip_address = true
  source_dest_check           = false
  private_ip                  = var.nginxServerPrivateIp
  root_block_device {
    volume_size = var.nginxServerRootVolumeSize
  }


  tags = {
    Name = "${var.nginxServer_name}"
  }
}
