import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from '@hash8io/core-web';
import { ResetPasswordComponent } from './components/reset-password/reset-password.component';
import { FormsWebModule } from '@hash8io/forms-web';
import { LoginModule } from '@hash8io/authentication-web/login';
import { ForgotPasswordComponent } from './components/forgot-password/forgot-password.component';
import { PasswordResetLinkSuccessComponent } from './components/password-reset-link-success/password-reset-link-success.component';

@NgModule({
  imports: [CommonModule, SharedModule, FormsWebModule, LoginModule],
  declarations: [
    ForgotPasswordComponent,
    ResetPasswordComponent,
    PasswordResetLinkSuccessComponent,
  ],
  exports: [
    ForgotPasswordComponent,
    ResetPasswordComponent,
    PasswordResetLinkSuccessComponent,
  ],
})
export class ForgotPasswordModule {}
