import { Component, OnInit } from '@angular/core';
import { AppStoreSelectors } from '@hash8io/core-web';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
@Component({
  selector: 'hash8-platform-login-footer',
  templateUrl: './login-footer.component.html',
  styleUrls: ['./login-footer.component.scss'],
})
export class LoginFooterComponent implements OnInit {
  branding!: Observable<any>;
  appSegments!: Observable<any>;
  appVersion!: Observable<any>;

  constructor(private store: Store) {}
  ngOnInit(): void {
    this.appVersion = this.store.select(AppStoreSelectors.selectAppVersion);
    this.branding = this.store.select(AppStoreSelectors.selectBranding);
    this.appSegments = this.store.select(
      AppStoreSelectors.selectApplicationSegments
    );
  }
}
