/* eslint-disable @typescript-eslint/no-explicit-any */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @nrwl/nx/enforce-module-boundaries */
import { Component, OnInit } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { Route, Router } from '@angular/router';
import { AppStoreSelectors } from '@hash8io/core-web';
import { FormModel } from '@hash8io/forms-web';
import { Store } from '@ngrx/store';
import { FormlyFieldConfig } from '@ngx-formly/core';
import { LoadingBarService } from '@ngx-loading-bar/core';
import { Observable } from 'rxjs';
import { AuthenticationService } from '../../services/authentication.service';
import * as LoginStoreActions from '../../store/actions';
import { loginFormFields, LOGIN_FORM } from './login-form.config';
import { LoginStoreSelectors } from '../../store';

@Component({
  selector: 'hash8-platform-login-form',
  templateUrl: './login-form.component.html',
  styleUrls: ['./login-form.component.scss'],
})
export class LoginFormComponent implements OnInit {
  branding!: Observable<any>;
  appSegments!: Observable<any>;
  loginState!: Observable<any>;
  error: any;
  form = new UntypedFormGroup({});
  model: any = {};

  fields: FormlyFieldConfig[] = loginFormFields;
  login: FormModel = LOGIN_FORM;

  loginForm!: any;
  constructor(
    private store: Store,
    public loader: LoadingBarService,
    private router: Router,
    public authService: AuthenticationService
  ) {}

  ngOnInit(): void {
    this.branding = this.store.select(AppStoreSelectors.selectBranding);

    this.branding.subscribe((data: any) => {
      this.loginForm = data?.loginForm;
    });
    this.appSegments = this.store.select(
      AppStoreSelectors.selectApplicationSegments
    );
    this.loginState = this.store.select(LoginStoreSelectors.selectLoginState);

  }

  modelChange(event: any) {
    // console.log(event);
  }
  onSubmit(model: any) {
    this.store.dispatch(LoginStoreActions.AUTH_LOGIN(model));
    // this.loginState.subscribe
    // this.authService.login(model).subscribe(
    //   (data) => {
    //     // if(data){
    //     //   console.log("Data",data)
    //     // }
    //   },
    //   (error) => {
    //     // console.log("ERROR")
    //     this.error = 'Invalid Credentials';
    //   }
    // );
  }
 
}
