/* eslint-disable @typescript-eslint/no-inferrable-types */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, Input, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { AppStoreSelectors } from '@hash8io/core-web';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';

@Component({
  selector: 'hash8-platform-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.scss'],
})
export class LoginComponent implements OnInit {
  @Input() template: string = 'default';

  branding!: Observable<any>;
  heroContent!: any;

  loginForm!: any;

  loginLayoutAlign!: any;
  constructor(private route: ActivatedRoute, private store: Store) {
    this.route.data.subscribe((data) => {
      this.template = data['template'] || this.template;
    });
  }

  ngOnInit(): void {
    localStorage.clear();

    this.branding = this.store.select(AppStoreSelectors.selectBranding);

    this.branding?.subscribe((data: any) => {
      this.heroContent = data?.heroSection;
      this.loginForm = data?.loginForm;
      this.loginLayoutAlign = data?.loginForm?.layoutFxAlign;
    });

    //
  }
}
