import { FormsWebModule } from '@hash8io/forms-web';
import { LoadingBarLibraryModule } from '@hash8io/core-web/loading-bar';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LoginComponent } from './login.component';
import { SharedModule, FormlyLibraryModule } from '@hash8io/core-web';
import { LayoutModule } from '@hash8io/core-web/layout';
import { LoginFormComponent } from './components/login-form/login-form.component';
import { HeroContentComponent } from './components/hero-content/hero-content.component';
import { LoginFooterComponent } from './components/login-footer/login-footer.component';
import { LoginHeaderComponent } from './components/login-header/login-header.component';
import { AppHeaderModule } from '@hash8io/core-web/app-header';
import { EffectsModule } from '@ngrx/effects';

import { StoreModule } from '@ngrx/store';
import {
  LoginStoreSelectors,
  LoginStoreReducer,
  LoginStoreEffects,
} from './store';
import { LoginRoutingModule } from './login-routing.module';

@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    LayoutModule,
    AppHeaderModule,
    LoginRoutingModule,
    FormlyLibraryModule,
    StoreModule.forFeature(
      LoginStoreSelectors.featureKey,
      LoginStoreReducer.reducer
    ),
    EffectsModule.forFeature([LoginStoreEffects]),
    LoadingBarLibraryModule,
    FormsWebModule
  ],
  declarations: [
    LoginComponent,
    LoginFormComponent,
    HeroContentComponent,
    LoginFooterComponent,
    LoginHeaderComponent,
  ],
  exports: [
    LoginComponent,
    LoginFormComponent,
    HeroContentComponent,
    LoginFooterComponent,
    LoginHeaderComponent,
  ],
})
export class LoginModule {}
