import { Component, Input, OnInit } from '@angular/core';
import { UserProfileService } from '../../service/user-profile.service';
import { userProfileNavigationConfig } from '../../user-profile-config';
import { myProfileConfig } from './my-profile-config';
import { FormFields } from '@hash8io/forms-web';
import { Observable } from 'rxjs';

@Component({
  selector: 'hash8-platform-my-profile',
  templateUrl: './my-profile.component.html',
  styleUrls: ['./my-profile.component.scss'],
})
export class MyProfileComponent implements OnInit {
  // myProfileCard: any = myProfileConfig
  edit = false;

  userUUID = localStorage.getItem('userUUID');
  @Input() myProfileCard!: any;

  fields: FormFields[] = [
    {
      type: '#text',
      className: 'w-full',
      key: 'firstName',
      defaultValue: 'Karthick',
      props: {
        label: 'First Name',
        align: 'row',
      },
    },
    {
      type: '#text',
      className: 'w-full',
      key: 'lastName',
      defaultValue: 'T',
      props: {
        label: 'Last Name',
        align: 'row',
      },
    },
    {
      type: '#text',
      key: 'email',
      props: {
        label: 'Email',
        type: 'email',
        readonly: true,
        align: 'row',
        hideLabel: false,
      },
      defaultValue: 'johnmathew@gmail.com',
    },
    {
      type: '#phoneNumber',
      key: 'phoneNumber',
      props: {
        hideLabel: false,
        required: false,
        enableSearch: true,
        intlTelInput: true,
        align: 'row',
        readonly: true,
        // format: 'national',
      },
      defaultValue: '+917401099234',
    },
  ];

  // options = {
  //   submit: {
  //     label: 'Update',
  //     events: [
  //       {
  //         event: 'success',
  //         method: 'putAPI',
  //         params: {
  //           apiUrl: `/api/v1/user/${this.userUUID}`,
  //           bodyParams: [],
  //         },
  //         events: [
  //           {
  //             event: 'success',
  //             method: 'showToast',
  //             params: {
  //               message: 'Personal Information has been updated successfully',
  //             },
  //           },
  //           // {
  //           //   event: 'failure',
  //           //   method: 'showErrorToast',
  //           //   params: {
  //           //     message: 'User Details Update Not Successful',
  //           //   },
  //           // },
  //           {
  //             event: 'success',
  //             method: 'goToPage',
  //             params: {
  //               urlPath: '/my-profile',
  //             },
  //             type: '',
  //           },
  //           {
  //             event: 'Failure',
  //             method: 'showErrorToast',
  //             params: {
  //               message: 'Personal Information has failed to update',
  //             },
  //           },
  //         ],
  //       },
  //     ],
  //   },
  //   submitLabel: 'Update',
  //   cancel: {
  //     label: 'Cancel',
  //     events: [
  //       {
  //         event: 'click',
  //         method: 'goToPage',
  //         params: {
  //           urlPath: '/my-profile',
  //           state: { editable: false },
  //         },
  //       },
  //       {
  //         event: 'click',
  //         method: 'hide',
  //         params: {
  //           id: 'edit-profile',
  //         },
  //       },
  //       {
  //         event: 'click',
  //         method: 'show',
  //         params: {
  //           id: 'profile',
  //         },
  //       },
  //       {
  //         event: 'click',
  //         method: 'show',
  //         params: {
  //           id: 'edit-profile-cta',
  //         },
  //       },
  //     ],
  //   },
  //   // hasReset: false,
  // };

  // myProfileCard: any

  userProfile!: any;
  // eslint-disable-next-line @typescript-eslint/no-empty-function
  constructor(private userProfileService: UserProfileService<any>) {}

  // eslint-disable-next-line @angular-eslint/no-empty-lifecycle-method, @typescript-eslint/no-empty-function
  ngOnInit(): void {
    //   const userUUId = localStorage.getItem('userUUID')
    //   this.userProfile = userProfileNavigationConfig.find((key: any) => { return key })
    //   this.userProfileService.getMyProfileData(this.userProfile?.apiUrl, userUUId).subscribe((data: any) => {
    //     this.myProfileCard = data?.userProfile
    //   })
    // }
    const state = history.state;
    this.edit = state['editable'];
  }
}
