import { Model } from '@hash8io/core-web';

export const unitOfMeasurementConfig = {
  title: {
    label: 'Unit of Measurement',
    iconUrl: 'settings',
  },
  // actions: [
  //   {
  //     label: 'Edit Details',
  //     targetUrl: '/edit/unit-of-measurement',
  //     visible: true,
  //     clickable: true,
  //     type: Model.MenuType.Link,
  //     iconUrl: 'edit',
  //     configApiUrl: '',
  //     apiUrl: '',
  //     hasSubMenu: false,
  //     isPrimaryAction: false,
  //   },
  // ],
  content: [
    {
      type: 'text',
      props: {
        type: 'text',
        label: 'Volume',
        value: 'Gallons',
        key: 'volume',
      },
    },
    {
      type: 'text',
      props: {
        type: 'text',
        label: 'Level',
        value: 'Inches',
        key: 'level',
      },
    },
  ],
};

export const editMetricFields = [
  {
    key: 'level',
    type: '#select',
    focus: false,
    defaultValue: 'Inches',
    props: {
      label: 'Scale Units',
      options: [
        { value: 'Inches', label: 'Inches' },
        { value: 'Feet', label: 'Feet' },
        { value: 'Centimeter', label: 'Centimeter' },
      ],
      align: 'row',
    },
    extras: {
      labelOverInput: false,
    },
  },
  {
    key: 'distance',
    type: '#select',
    focus: false,
    defaultValue: 'Miles',
    props: {
      // label: 'Level/Distance',
      label: 'Distance Units',
      options: [
        // { value: 'yard', label: 'Yard' },
        { value: 'Miles', label: 'Miles' },
        { value: 'Kilometers', label: 'Kilometers' },
      ],
      align: 'row',
    },
    extras: {
      labelOverInput: false,
    },
  },
  {
    key: 'temperature',
    type: '#select',
    focus: false,
    defaultValue: 'Celsius',
    props: {
      label: 'Temperature Units',
      options: [
        { value: 'Celsius', label: 'Celsius (C)' },
        { value: 'Fahrenheit', label: 'Fahrenheit (F)' },
        { value: 'Kelvin', label: 'Kelvin (K)' },
      ],
      align: 'row',
    },
    extras: {
      labelOverInput: false,
    },
  },
  {
    key: 'pressure',
    type: '#select',
    focus: false,
    defaultValue: 'Bar',
    props: {
      label: 'Pressure Units',
      options: [
        { value: 'Bar', label: 'Bar' },
        { value: 'PSI', label: 'PSI' },
      ],
      align: 'row',
    },
    extras: {
      labelOverInput: false,
    },
  },
  {
    key: 'quantity',
    type: '#select',
    focus: false,
    defaultValue: 'Gallons',
    props: {
      label: 'Quantity Units',
      options: [
        { value: 'Gallons', label: 'Gallons' },
        { value: 'Litres', label: 'Litres' },
        // { value: 'quart', label: 'Quart' },
        { value: 'Barrels', label: 'Barrels' },
      ],
      align: 'row',
    },
    extras: {
      labelOverInput: false,
    },
  },

  {
    key: 'weight',
    type: '#select',
    focus: false,
    defaultValue: 'Pounds',
    props: {
      label: 'Weight Units',
      options: [
        { value: 'Pounds', label: 'Pounds' },
        { value: 'Grams', label: 'Grams' },
        { value: 'Kilograms', label: 'Kilograms' },
      ],
      align: 'row',
    },
    extras: {
      labelOverInput: false,
    },
  },
];

export const editMetricOptions = {
  submit: {
    label: 'Update',
    disabled: true,
    events: [
      {
        event: 'success',
        method: 'putAPI',
        params: {
          apiUrl: '/api/v1/user-display-settings',
          bodyParams: [
            {
              key: 'action',
              value: 'unitOfMeasurement',
            },
          ],
        },
        events: [
          {
            event: 'success',
            method: 'showToast',
            params: {
              type: 'success',
              message: 'Units of Measurement Updated',
            },
          },
          {
            event: 'success',
            method: 'goToPage',
            params: {
              urlPath: '/display-preferences',
            },
            type: '',
          },
          {
            event: 'failure',
            method: 'showErrorToast',
            params: {
              message: 'Units of Measurement Update Failed',
            },
          },
        ],
      },
    ],
  },
  submitLabel: 'Update',
  cancel: {
    label: 'Cancel',
    events: [
      {
        event: 'click',
        method: 'goToPage',
        params: {
          urlPath: '/display-preferences',
          state: {
            metricEditable: false,
          },
        },
      },
      {
        event: 'click',
        method: 'hide',
        params: {
          id: 'edit-metrics',
        },
      },
      {
        event: 'click',
        method: 'show',
        params: {
          id: 'metrics',
        },
      },
      {
        event: 'click',
        method: 'show',
        params: {
          id: 'edit-metrics-cta',
        },
      },
    ],
  },
};
