import { HttpClient, HttpHeaders, HttpParams } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { BehaviorSubject, map, Observable, of } from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class UserProfileService<T> {
  constructor(private http: HttpClient) {}

  getMyProfileData(apiEndPoint: string, uuid?: any) {
    let authenticationToken = localStorage.getItem('access_token');

    let headers = new HttpHeaders({
      'Content-Type': 'application/json',
      Authorization: 'Bearer ' + authenticationToken,
    });

    if (uuid) {
      return this.http
        .get<T[]>(`${apiEndPoint}/${uuid}`, { headers: headers })
        .pipe(
          map((res: any) => {
            return res.data;
          })
        );
    } else {
      return this.http.get(`${apiEndPoint}`, { headers: headers }).pipe(
        map((res: any) => {
          return res.data;
        })
      );
    }
  }
}
