import { Model } from '@hash8io/core-web';

export const usesrProfileTitle: Model.Title = {
  label: 'Profile  Details',
  iconUrl: 'account_circle',
};
export const userProfileNavigationConfig = [
  {
    label: 'My Profile',
    targetUrl: '/my-profile',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'person',
    configApiUrl: '',
    apiUrl: '/api/v1/users',
    hasSubMenu: false,
    params: '',
    queryParam: 'myProfile',
  },
  {
    label: 'Change Password',
    targetUrl: '/change-password',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'vpn_key',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
    params: '',
  },
  {
    label: 'Display Preferences',
    targetUrl: '/display-preferences',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'desktop_mac',
    configApiUrl: '',
    apiUrl: '/api/v1/users',
    hasSubMenu: false,
    params: '',
    queryParam: 'display',
  },
];

export const userProfileAction = [
  {
    label: 'Edit',
    targetUrl: '/my-profile/edit',
    visible: true,
    clickable: true,
    id: 'edit-profile-cta',
    type: Model.MenuType.Link,
    iconUrl: 'edit',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
    isPrimaryAction: true,
    events: [
      {
        event: 'click',
        method: 'goToPage',
        params: {
          urlPath: '/my-profile/edit',
          state: { editable: true },
        },
      },
      {
        event: 'click',
        method: 'hide',
        params: {
          id: 'edit-profile-cta',
        },
      },
      {
        event: 'click',
        method: 'hide',
        params: {
          id: 'profile',
        },
      },
      {
        event: 'click',
        method: 'show',
        params: {
          id: 'edit-profile',
        },
      },
    ],
  },
];

export const regionalSettingsAction = [
  {
    label: 'Edit',
    targetUrl: '/display-preferences/edit',
    visible: true,
    clickable: true,
    id: 'edit-regionalSettings-cta',
    type: Model.MenuType.Link,
    iconUrl: 'edit',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
    isPrimaryAction: true,
    events: [
      {
        event: 'click',
        method: 'goToPage',
        params: {
          urlPath: '/display-preferences/edit',
          state: { editable: true },
        },
      },
      {
        event: 'click',
        method: 'hide',
        params: {
          id: 'edit-regionalSettings-cta',
        },
      },
      {
        event: 'click',
        method: 'hide',
        params: {
          id: 'regional-settings',
        },
      },
      {
        event: 'click',
        method: 'show',
        params: {
          id: 'edit-regional-settings',
        },
      },
    ],
  },
];

export const unitOfMeasurementAction = [
  {
    label: 'Edit',
    targetUrl: '/display-preferences/edit',
    visible: true,
    clickable: true,
    id: 'edit-metrics-cta',
    type: Model.MenuType.Link,
    iconUrl: 'edit',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
    isPrimaryAction: true,
    events: [
      {
        event: 'click',
        method: 'goToPage',
        params: {
          urlPath: '/display-preferences/edit',
          state: { metricEditable: true },
        },
      },
      {
        event: 'click',
        method: 'hide',
        params: {
          id: 'edit-metrics-cta',
        },
      },
      {
        event: 'click',
        method: 'hide',
        params: {
          id: 'metrics',
        },
      },
      {
        event: 'click',
        method: 'show',
        params: {
          id: 'edit-metrics',
        },
      },
    ],
  },
];
