import { FormlyModule } from '@ngx-formly/core';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormlyLibraryModule, SharedModule } from '@hash8io/core-web';
// import { ChangePasswordModule } from 'libs/authentication-web/change-password/src';
import { CardModule } from '@hash8io/core-web/card';
import { UserProfileComponent } from './user-profile.component';
import { MyProfileComponent } from './components/my-profile/my-profile.component';
import { ChangePasswordComponent } from './components/change-password/change-password.component';
import { UnitOfMeasurementComponent } from './components/unit-of-measurement/unit-of-measurement.component';
import { RegionalSettingComponent } from './components/regional-setting/regional-setting.component';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { LayoutModule } from '@hash8io/core-web/layout';
import { SidebarModule } from '@hash8io/core-web/sidebar';
import { DynamicContentWebModule } from '@hash8io/dynamic-content-web';
import { TitleModule } from '@hash8io/core-web/title';
import { FormsWebModule } from '@hash8io/forms-web';
import { UserProfileService } from './service/user-profile.service';

@NgModule({
  declarations: [
    UserProfileComponent,
    MyProfileComponent,
    ChangePasswordComponent,
    UnitOfMeasurementComponent,
    RegionalSettingComponent,
  ],
  providers: [UserProfileService],
  imports: [
    CommonModule,
    SharedModule,
    CardModule,
    DynamicContentWebModule,
    MatFormFieldModule,
    MatInputModule,
    LayoutModule,
    SidebarModule,
    FormlyLibraryModule,
    TitleModule,
    FormsWebModule
  ],
  exports: [
    UserProfileComponent,
    MyProfileComponent,
    ChangePasswordComponent,
    UnitOfMeasurementComponent,
    RegionalSettingComponent,
  ],
})
export class UserProfileModule { }
