/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import {
  Component,
  EventEmitter,
  Input,
  OnInit,
  Output,
  ViewChild,
} from '@angular/core';
import { EMPTY_GOOGLE_MAP_OPTIONS } from './data/map.data';
import { BreadcrumbOptions } from './models/breadcrumb-map-web.model';
import { BreadcrumbMapWebService } from './services/breadcrumb-map-web.service';
import { MapInfoWindow } from '@angular/google-maps';

@Component({
  selector: 'hash8-platform-breadcrumb-map-web',
  templateUrl: './breadcrumb-map-web.component.html',
  styleUrls: ['./breadcrumb-map-web.component.scss'],
})
export class BreadcrumbMapWebComponent implements OnInit {
  @ViewChild(MapInfoWindow) infoWindow: any;
  @Input() mapType: any;
  @Input() zoom: any;
  @Input() center: any;
  @Input() data: any; // Array of Object | Array of Arrays
  @Input() latitudeField: any;
  @Input() longitudeField: any;
  @Input() type: any; // single | multiple

  @Input() breadcrumbOptions!: BreadcrumbOptions | any;
  @Input() markerOptions: any;

  @Output() breadcrumbLineClick = new EventEmitter<string>();
  @Output() breadcrumbMarkerClick = new EventEmitter<string>();

  options: any;
  emptyGoogleMapOptions = EMPTY_GOOGLE_MAP_OPTIONS;
  infoWindowObj: any;

  constructor(private breadcrumbMapWebService: BreadcrumbMapWebService) {}

  ngOnInit(): void {
    // console.log(typeof this.data);

    if (this.type == 'single') {
      this.options = this.breadcrumbMapWebService.singleBreadcrumb(
        this.data,
        this.latitudeField,
        this.longitudeField,
        this.breadcrumbOptions
      );
    } else if (this.type == 'multiple') {
      this.options = this.breadcrumbMapWebService.multipleBreadcrumb(
        this.data,
        this.latitudeField,
        this.longitudeField,
        this.breadcrumbOptions
      );
    } else {
      //
    }
  }

  breadcrumbClicked(event: any, polyline: any) {
    this.breadcrumbLineClick.emit(polyline._options._value);
  }

  openMarkerInfoWindow(marker: any) {
    this.infoWindow.open(marker);
    this.infoWindowObj = marker._options.position;
    this.breadcrumbMarkerClick.emit(marker._options);
  }
}
