/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @typescript-eslint/no-inferrable-types */
import {
  Component,
  EventEmitter,
  Input,
  OnChanges,
  OnInit,
  Output,
  SimpleChanges,
} from '@angular/core';
import { Store } from '@ngrx/store';
// import { Model } from '@hash8io/core-web';
// import { EventsWebService } from '@hash8io/events-web';

@Component({
  selector: 'hash8-platform-call-to-action-web',
  templateUrl: './call-to-action-web.component.html',
  styleUrls: ['./call-to-action-web.component.scss'],
})
export class CallToActionWebComponent implements OnInit, OnChanges {
  @Input() actions!: undefined | any;
  @Input() iconUrl: string = 'more_horiz';
  @Input() showLabel: boolean = true;
  @Input() showIcon: boolean = true;
  @Input() label: string = 'Actions';
  @Input() stroked: boolean = true;

  @Input() event!: any;

  @Output() eventMethod = new EventEmitter();

  primaryAction!: any;
  dropdownActions!: any;

  constructor(private store: Store) { }

  ngOnInit(): void {
    this.filterActions();
  }

  filterActions() {
    if (this.actions) {
      this.primaryAction = this.actions.filter(
        (x: any) => x.isPrimaryAction
      )[0];
      this.dropdownActions = this.actions.filter(
        (x: any) => !x.isPrimaryAction
      );
    }
  }

  ngOnChanges(changes: SimpleChanges) {
    // changes.prop contains the old and the new value...
    if (changes['actions']) {
      this.filterActions();
    }
  }

  emitAction(params: any) {
    this.eventMethod.emit(params);

    this.store.dispatch({
      type: '[Events] Process events',
      events: params,
    });
    // this.eventsWebService.processEvents(params, this.eventsWebService);
  }
}
