/* eslint-disable @typescript-eslint/no-inferrable-types */
/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { Observable } from 'rxjs';
import { CascadeReportWebService } from './services/cascade-report-web.service';
import { TemplateService } from '@hash8io/events-web';

@Component({
  selector: 'hash8-platform-cascade-report',
  templateUrl: './cascade-report-web.component.html',
  styleUrls: ['./cascade-report-web.component.scss'],
})
export class CascadeReportWebComponent implements OnInit {
  @Input() apiUrl: string = '';
  @Input() queryParams: any;

  @Input() cascadeUUID!: any;
  @Input() showTitle: boolean = true;
  @Input() layout: 'horizontal' | 'vertical' = 'horizontal';
  @Input() layerApiUrl: string | string[] = '';

  @Output() menuAction = new EventEmitter();

  cascadeConf!: Observable<any>;

  _cascadeConf!: any;

  constructor(
    private cascadeService: CascadeReportWebService<any>,
    private templateService: TemplateService
  ) {}

  ngOnInit(): void {
    this.layerApiUrl = this.layerApiUrl
      ? this.layerApiUrl
      : this.apiUrl.split('?')[0];

    const qParams: any = {};
    if (this.layerApiUrl && this.queryParams) {
      this.queryParams?.forEach((data: any) => {
        if (data?.value) {
          qParams[data.key] = data.value;
        } else {
          qParams[data.key] = localStorage.getItem(data.key);
        }
      });
    }

    this.cascadeConf = this.cascadeService.getCascadeReportData(
      this.apiUrl,
      this.cascadeUUID,
      this.layerApiUrl,
      qParams
    );

    //TO-DO Need to handle in best potion. This is Temporary and For testing Purpose
    this.cascadeConf.subscribe((config) => {
      this._cascadeConf = this.templateService.processTemplate(config);
    });
  }

  eventAction(params: any) {
    this.menuAction.emit(params);
  }
}
