/* eslint-disable @typescript-eslint/no-inferrable-types */
/* eslint-disable @angular-eslint/no-input-rename */
/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { Observable } from 'rxjs';
import { CascadeReportWebService } from '../../services/cascade-report-web.service';
import { TemplateService } from '@hash8io/events-web';

@Component({
  selector: 'hash8-platform-cascade-report-data',
  templateUrl: './cascade-report-web-data.component.html',
  styleUrls: ['./cascade-report-web-data.component.scss'],
})
export class CascadeReportWebDataComponent implements OnInit {
  @Input() cascadeReport: any;
  @Input() level: number = 0;
  @Input() layout: 'horizontal' | 'vertical' = 'horizontal';

  @Output() menuAction = new EventEmitter();

  selectedRowUUID: any;
  currentReportUUID: any;
  childReportUUID: any;
  _cascadeReport!: Observable<any>;

  selectedTab: any = 0;

  constructor(
    private cascadeService: CascadeReportWebService<any>,
    private templateService: TemplateService
  ) {}

  ngOnInit(): void {
    this.currentReportUUID = this.cascadeReport?.reportUUID;
  }

  onMockRowSelected({ configuration, params }: any): any {
    this.selectedRowUUID = null;
    this.childReportUUID = null;
    // setTimeout(() => {
    // console.log({ configuration, params });
    const selectedRowData = params.api.getSelectedRows()[0];
    this.selectedRowUUID = selectedRowData?.uuid;
    this.childReportUUID = configuration.cascadeUUID;
    // console.log('Parent Report UUID: ', this.currentReportUUID);
    // console.log('Child Report UUID: ', this.childReportUUID);
    // console.log('Selected Row UUID: ', this.selectedRowUUID);

    this._cascadeReport = this.cascadeService.getCascadeReportData(
      '',
      this.childReportUUID
    );
    // });
  }

  onRowSelected({ configuration, params }: any): any {
    this.selectedRowUUID = null;
    this.childReportUUID = null;
    // setTimeout(() => {
    const selectedRowData = params.api.getSelectedRows()[0];

    this.selectedRowUUID = selectedRowData?.uuid;
    // localStorage.setItem('organizationUUID', this.selectedRowUUID);
    this.childReportUUID = this.cascadeReport?.children[this.selectedTab]?.uuid;
    const label = this.cascadeReport?.children[this.selectedTab]?.label.replace(
      /\s/g,
      ''
    );
    // alert(label);
    // this.templateService.setData({[]})
    // console.log('Parent Report UUID: ', this.currentReportUUID);
    // console.log('Child Report UUID: ', this.childReportUUID);
    // console.log('Selected Row UUID: ', this.selectedRowUUID);

    const apiEndPoint = `${this.cascadeReport?.layerApiUrl}?reportUUID=${this.childReportUUID}&label=${label}&rowDataUUID=${this.selectedRowUUID}`;

    this._cascadeReport = this.cascadeService.getCascadeReportData(
      apiEndPoint,
      this.childReportUUID,
      this.cascadeReport?.layerApiUrl
    );
    this.templateService.setData({ [`label${this.level}`]: label });
    // });
  }

  onTabChanged(event: any) {
    this.selectedRowUUID = null;
    this.childReportUUID = null;
  }

  get layoutConfig() {
    const layout = {
      vertical: {
        lg: {
          areas: 'navigation report',
          columns: '240px 1fr',
          rows: '1fr',
          gap: '20px',
        },
      },
      horizontal: {
        lg: {
          areas: 'navigation | report',
          columns: '1fr',
          rows: 'auto 1fr',
          gap: '4px',
        },
      },
    };

    if (this.level !== 0) {
      this.layout = 'horizontal';
    }
    return layout[this.layout].lg;
  }

  setTabIndex(selected: any, level: any) {
    const label = this.cascadeReport?.children[this.selectedTab]?.label.replace(
      /\s/g,
      ''
    );
    this.templateService.setData({ [`label${level}`]: label });
  }

  eventAction(params: any) {
    // params.organizationUuid = this.selectedRowUUID
    this.menuAction.emit(params);
  }
}
