import {
  Component,
  EventEmitter,
  Input,
  OnInit,
  Output,
  ViewChild,
} from '@angular/core';
import { ChartWebService, Hash8ChartOptions } from '@hash8io/chart-web';
import { Model } from '@hash8io/core-web';
import { ChartComponent } from 'ng-apexcharts';

@Component({
  selector: 'hash8-platform-sparkline-chart',
  templateUrl: './sparkline-chart.component.html',
  styleUrls: ['./sparkline-chart.component.scss'],
})
export class SparklineChartComponent implements OnInit {
  @ViewChild('chart', { static: false }) chart!: ChartComponent;
  @Input() chartOptions!: Hash8ChartOptions;
  @Input() showHeader = true;
  @Input() title: any;
  @Input() subtitle: any;
  @Input() showChartHeader !: boolean
  @Input() showChartFooter !: boolean
  @Output() dataClick: any = new EventEmitter<any>();

  public chartObj: any;

  constructor(public chartWebService: ChartWebService) {
    //
  }

  ngOnInit(): void {

    this.chartObj = this.chartWebService.sparklineChartFormat(this.chartOptions);

    const sparkline = {
      sparkline: {
        enabled: true
      }
    };

    const dataLabels = {
      enabled: false
    }

    const legend = {
      show: false
    }

    this.chartObj.chart = { ...this.chartObj.chart, ...sparkline };
    this.chartObj.dataLabels = { ...this.chartObj.dataLabels, ...dataLabels }
    this.chartObj.legend = { ...this.chartObj.legend, ...legend }

  }
}
