import {
  ApexTheme as ChartTheme,
  ApexChart as Chart,
  ApexAnnotations as ChartAnnotation,
  ApexDataLabels as ChartDataLabels,
  ApexStroke as ChartStroke,
  ApexLegend as ChartLegend,
  ApexFill as ChartFill,
  ApexTooltip as ChartTooltip,
  ApexPlotOptions as ChartPlotOptions,
  ApexMarkers as ChartMarkers,
  ApexNoData as ChartNoData,
  ApexForecastDataPoints as ChartForecastDataPoints,
  ApexGrid as ChartGrid,
  ApexStates as ChartStates,
  ApexTitleSubtitle as ChartTitleSubtitle,
} from 'ng-apexcharts';

// Chart - Common Chart Data
export const chartCommonFactor: Chart = {
  id: 'hash8-chart',
  type: 'line',
  zoom: {
    enabled: false
  },
  toolbar: {
    show: false,
    tools: {
      download: true,
      selection: true,
      zoom: true,
      zoomin: true,
      zoomout: true,
      pan: true,
      reset: true,
      customIcons: [],
    },
    export: {
      csv: {
        filename: 'hash8-chart',
      },
      svg: {
        filename: 'hash8-chart',
      },
      png: {
        filename: 'hash8-chart',
      },
    },
    // autoSelected: 'zoom', // "zoom" | "selection" | "pan";
  },
  selection: {
    enabled: false,
  },
  animations: {
    enabled: true,
    easing: 'easeinout',
    speed: 800,
    animateGradually: {
      enabled: true,
      delay: 150,
    },
    dynamicAnimation: {
      enabled: true,
      speed: 350,
    },
  },
  events: {},
};

// Chart - Common Legend Data
export const legendCommonFactor: ChartLegend = {
  show: true,
  position: 'bottom',
  horizontalAlign: 'center',
  fontSize: '12px',
};

// Chart - Common Stroke Data
export const strokeCommonFactor: ChartStroke = {
  show: true,
  // curve: 'straight',
  lineCap: 'butt',
  // colors: undefined,
  width: 2,
  dashArray: 0,
};

// Chart - Common Colors Data
export const colorsCommonFactor = [
  '#008ffb',
  '#00E396',
  '#FFBD00',
  '#FF0046',
  '#D100FF',
  '#229954',
  '#EFAC35',
  '#F12F3E',
  '#feb019',
  '#775dd0',
  '#0051FF',
];

// Chart - Common Theme Data
export const themeCommonFactor: ChartTheme = {
  mode: 'light',
  palette: 'palette1',
  monochrome: {
    enabled: false,
    color: '#255aee',
    shadeTo: 'light',
    shadeIntensity: 0.65,
  },
};

// Chart - Common Data Labels Data
export const dataLabelsCommonFactor: ChartDataLabels = {
  enabled: true,
};

// Chart - Common States Data
export const statesCommonFactor: ChartStates = {
  active: {
    allowMultipleDataPointsSelection: true,
  },
};

// Chart - Common Annotations Data
export const annotationsCommonFactor: ChartAnnotation = {};

// Chart - Common Tooltip Data
export const tooltipCommonFactor: ChartTooltip = {
  enabled: true,
  // intersect: true,
  // shared: false,
  // fixed: {
  //   enabled: false,
  //   position: 'topRight',
  //   offsetX: 0,
  //   offsetY: 0,
  // },
};

// Chart - Common Plot Options Data
export const plotOptionsCommonFactor: ChartPlotOptions = {
  radar: {
    polygons: {
      fill: {
        colors: ['#f8f8f8', '#fff'],
      },
    },
  },
  radialBar: {
    dataLabels: {
      total: {
        show: true,
        label: 'Total',
      },
    },
  },
  heatmap: {
    radius: 3,
  },
  boxPlot: {
    colors: {
      // upper: "#5C4742",
      // lower: "#A5978B"
    },
  },
};

// Chart - Common Fill Data
export const fillCommonFactor: ChartFill = {};

// Chart - Common Responsive Data
export const responsiveCommonFactor = [
  {
    breakpoint: 1000,
    options: {
      chart: {
        width: 500,
      },
      legend: {
        position: 'bottom',
      },
    },
  },
  {
    breakpoint: 500,
    options: {
      chart: {
        width: 400,
      },
      legend: {
        position: 'bottom',
      },
    },
  },
];

// Chart - Common Grid Data
export const gridCommonFactor: ChartGrid = {};

// Chart - Common Title Data
export const titleCommonFactor :ChartTitleSubtitle= {};

// Chart - Common Subtitle Data
export const subtitleCommonFactor :ChartTitleSubtitle = {};

// Chart - Common No-data Data
export const noDataCommonFactor: ChartNoData = {
  text: 'No data found.',
  align: 'center',
  verticalAlign: 'middle',
  offsetX: 0,
  offsetY: 0,
  style: {
    fontSize: '14px',
  },
};

// Chart - Common Forecast Data
export const forecastCommonFactor: ChartForecastDataPoints = {
  dashArray: 0,
};

// Chart - Common X-Axis Data
export const xaxisCommonFactor = {};
// Chart - Common Y-Axis Data
export const yaxisCommonFactor = {};

export const markersCommonFactor: ChartMarkers = {
  size: 6,
};
