import { Model } from '@hash8io/core-web';
import {
  ApexTheme as ChartTheme,
  ApexXAxis,
  ApexYAxis,
  ApexChart as Chart,
  ApexAxisChartSeries,
  ApexNonAxisChartSeries,
  ApexAnnotations as ChartAnnotation,
  ApexDataLabels as ChartDataLabels,
  ApexStroke as ChartStroke,
  ApexLegend as ChartLegend,
  ApexFill as ChartFill,
  ApexTooltip as ChartTooltip,
  ApexPlotOptions as ChartPlotOptions,
  ApexResponsive as ChartResponsive,
  ApexMarkers as ChartMarkers,
  ApexNoData as ChartNoData,
  ApexForecastDataPoints as ChartForecastDataPoints,
  ApexGrid as ChartGrid,
  ApexStates as ChartStates,
  ApexTitleSubtitle as ChartTitleSubtitle,
} from 'ng-apexcharts';

export interface ChartXAxis extends ApexXAxis {
  field: any;
  dataIdentifier?: any;
  segmentIdentifier?: any;
}
export interface ChartYAxis extends ApexYAxis {
  field?: any;
  dataIdentifier?: any;
}

export interface ChartSeries extends ApexAxisChartSeries {
  xaxis?: ChartXAxis
  yaxis?: ChartYAxis
}

export interface Hash8ChartOptions {
  title?: Model.Title;
  subtitle?: Model.Title;
  series: ChartSeries | any;
  xaxis?: ChartXAxis | null;
  yaxis?: ChartYAxis | ChartYAxis[] | null;
  chart?: any;
  colors?: any[];
  annotations?: ChartAnnotation;
  dataLabels?: ChartDataLabels;
  stroke?: ChartStroke;
  labels?: string[];
  legend?: ChartLegend;
  fill?: ChartFill;
  tooltip?: ChartTooltip;
  plotOptions?: ChartPlotOptions;
  responsive?: ChartResponsive[];
  markers?: ChartMarkers;
  noData?: ChartNoData;
  forecastDataPoints?: ChartForecastDataPoints;
  grid?: ChartGrid;
  states?: ChartStates;
  // title?: ChartTitleSubtitle;
  // subtitle?: ChartTitleSubtitle;
  theme?: ChartTheme;
}
