import { Component, OnChanges, OnInit, SimpleChange, SimpleChanges } from '@angular/core';
import { content } from '../mock-data/data';
import { TemplateService } from '@hash8io/events-web';
import { CommandsWebService } from '../service/commands-web.service';
import { ActivatedRoute, Router } from '@angular/router';
import { Store } from '@ngrx/store';
import { selectCommandsConfiguration } from '../store/selectors';

@Component({
  selector: 'hash8-platform-commands-configuration',
  templateUrl: './command-configuration.component.html',
  styleUrls: ['./command-configuration.component.scss']
})
export class CommandConfigurationComponent implements OnInit {

  content !: any
  configurations !: any;

  commandId !: any;
  apiUrl !: any;

  constructor(private templateService: TemplateService, private commandsWebService: CommandsWebService, private route: ActivatedRoute, private router: Router, private store: Store) {
    this.route.data.subscribe((data: any) => {
      this.apiUrl = data?.apiUrl
    })

    this.route.params.subscribe((routeData: any) => {
      this.commandId = routeData['commandId']

      this.commandsWebService.getData(this.apiUrl + this.commandId).subscribe((response: any) => {
        this.content = response

        this.templateService.setData({ commandsData: this.content?.data })
        this.configurations = this.templateService.processTemplate(this.content?.configurations)
      })
    })

  }

  ngOnInit() {
    //


    this.store.select(selectCommandsConfiguration).subscribe((data: any) => {
      console.log("Data", data)

      if (data?.apiUrl) {

        this.commandsWebService.getCommandsConfiguration(this.apiUrl + this.commandId).subscribe((response: any) => {
          console.log("response", response)
          this.commandsWebService = this.templateService.getData()?.commandsData

          const commandsResponseData = {
            ...this.commandsWebService,
            ...response.data
          }
          this.templateService.setData({ commandsData: commandsResponseData })
          this.configurations = this.templateService.processTemplate(response?.configurations)
          console.log("configurations", this.configurations)
        })

      }
    })
  }

}
