import { Component, EventEmitter, Input, OnChanges, OnInit, Output, SimpleChange, SimpleChanges } from '@angular/core';
import { TemplateService } from '@hash8io/events-web';
import { content, layout } from './mock-data/data';
import { navigations } from './mock-data/data';
import { ActivatedRoute, Router } from '@angular/router';
import { CommandsWebService } from './service/commands-web.service';

@Component({
  selector: 'hash8-platform-commands-web',
  templateUrl: './commands-web.component.html',
  styleUrls: ['./commands-web.component.scss']
})
export class CommandsWebComponent implements OnInit, OnChanges {

  @Input() commandsListApiUrl !: any;
  @Input() commandsHistoryApiUrl !: any;

  @Output() navigationChange = new EventEmitter()

  layout!: any;

  commandsList: any

  constructor(private route: ActivatedRoute, private router: Router, private commandsWebService: CommandsWebService, private templateService: TemplateService) {
    this.route.data.subscribe((routeData: any) => {
      this.layout = routeData?.layout
      this.commandsListApiUrl = routeData?.commandsListApiUrl
      this.commandsHistoryApiUrl = routeData?.commandsHistoryApiUrl
    })

  }

  ngOnInit() {
    this.commandsWebService.getData(this.commandsListApiUrl).subscribe((response: any) => {
      this.commandsList = this.templateService.processTemplate(response)
    })
  }

  ngOnChanges(changes: SimpleChanges) {
    console.log("Changes", changes)

  }

  navChange(event: any) {
    console.log("Navigation Change", event)
    this.navigationChange.emit(event)
  }

}
