import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Route } from '@angular/router';
import { DynamicContentWebModule } from '@hash8io/dynamic-content-web';
import { FlexLayoutModule } from '@angular/flex-layout';
import { CommandsWebComponent } from './commands-web.component';
import { SidebarModule } from '@hash8io/core-web/sidebar';
import { CommandsWebRoutingModule } from './commands-routing.module';
import { CommandConfigurationComponent } from './command-configuration/command-configuration.component'
import { CommandHistoryComponent } from './command-history/command-history.component';
import { TitleModule } from '@hash8io/core-web/title';
import { SharedModule } from '@hash8io/core-web';
import { LabelModule } from '@hash8io/core-web/label';
import { BannerModule } from '@hash8io/core-web/banner'
import { CommandsStoreModule } from './store';

@NgModule({
  imports: [CommonModule, RouterModule, DynamicContentWebModule, FlexLayoutModule, SidebarModule, CommandsWebRoutingModule, TitleModule, SharedModule, LabelModule, BannerModule, CommandsStoreModule],
  declarations: [CommandsWebComponent, CommandConfigurationComponent, CommandHistoryComponent]
})
export class CommandsWebModule { }
