export const layout = {
  areas:
    'sidebar content  history',
  gap: '',
  columns: '20% 55% 25%',
}

export const SEND_COMMAND_DIALOG = {
  "title": {
    "label": "Send Command",
    "iconUrl": "edit",
    "showBorder": true
  },
  "content": [
    {
      "type": "form",
      "props": {
        "fields": [{
          "type": "#template",
          "template": "<div><b>Are you sure want to send command?</b><div>This will change the current settings of station {{data.commandsData.liftStationName}}</div></div>\r\n          <div class=\"flex justify-between\">\r\n          <div>\r\n          <div>From</div>\r\n      <div>{{data.command}}: <b>{{data.commandsData.pump1Mode}}</b></div>\r\n        </div>\r\n          <div>\r\n          <i class=\"material-icons\">arrow_forward</i>\r\n          </div>\r\n          <div>\r\n          <div>To</div>\r\n          {{data.commandsData.commands[0]}}: <b>{{data.formData.mode}}</b>\r\n          </div>\r\n          </div>\r\n          <span class=\"text-gray-400\"><i class=\"material-icons text-sm\">info</i>The Command may usually take a little time to get delivered.</span>\r\n          "
        }
        ],
        "options": {
          "actionClass": "pt-4",
          "submit": {
            "label": "Yes, Send Command",
            "events": [
              {
                "event": "click",
                "method": "callAPI",
                "dataKey": "sendCommand",
                "params": {
                  "method": "put",
                  "apiUrl": "https://reqres.in/api/useres/2"

                },
                "events": [
                  {
                    "event": "success",
                    "method": "showToast",
                    "enabled": "data.updatedAt",
                    "params": {
                      "message": "Pump 1 Mode Updated"
                    }
                  },
                  {
                    "event": "success",
                    "method": "showErrorToast",
                    "enabled": "!data.updatedAt",

                    "params": {
                      "message": "Error in Updating Pump 1 Mode"
                    }
                  },
                  {
                    "event": "success",
                    "method": "closeDialog",
                    "enabled":
                      "data.message === \"Asset Name Changed\"|| data.message !== \"Asset Name Changed\"",
                    "params": {
                      "clearData": "formData"
                    }
                  }

                ]
              }
            ]
          },
          "cancel": {
            "label": "Cancel",
            "events": [
              {
                "event": "click",
                "method": "closeDialog",
                "params": {},
                "type": ""
              }
            ]
          }
        }
      }

    }
  ]
}

// Alternate Pumps

// data: [
//   {
//     type: 'form',
//     props: {
//       fields: [
//         {
//           type: '#radio',
//           props: {
//             label: 'Alternate Pumps',
//             key: 'status',
//             valueProp: 'status',
//             align: 'row',
//             style: 'display:block',
//             options: [
//               {
//                 value: 'auto',
//                 label: 'Pump 1, Pump 2'
//               },
//               {
//                 value: 'remote',
//                 label: 'Pump 1, Pump 3'
//               },
//               {
//                 value: 'remote',
//                 label: 'Pump 2, Pump 3'
//               },
//               {
//                 value: 'remote',
//                 label: 'Pump 1, Pump 2, Pump 3'
//               }
//             ],

//           },
//           defaultValue: '{{data.pump1Mode}}'
//         },


//       ],
//       options: {
//         actionClass: 'pt-4',
//         submit: {
//           label: 'Send Command',
//           events: [
//             {
//               event: 'click',
//               method: 'callAPI',
//               dataKey: 'sendCommand',
//               params: {
//                 method: 'put',
//                 apiUrl: 'https://reqres.in/api/useres/2',

//               },
//               events: [
//                 {
//                   event: 'success',
//                   method: 'showToast',
//                   enabled: 'data.updatedAt',
//                   params: {
//                     message: 'Pump 1 Mode Updated',
//                   },
//                 },
//                 {
//                   event: 'success',
//                   method: 'showErrorToast',
//                   enabled: '!data.updatedAt',

//                   params: {
//                     message: 'Error in Updating Pump 1 Mode',
//                   },
//                 },

//               ],
//             },
//           ],
//         },
//         cancel: {
//           label: 'Cancel',
//           events: [
//             {
//               event: 'click',
//               method: 'closeDialog',
//               params: {},
//               type: '',
//             },
//           ],
//         },
//       },
//     },
//   },
// ]




export const content = {
  showConfiguration: true,
  title: {
    label: 'Pump 1 Mode',
    iconUrl: '',
    showBorder: true,
  }, description: [
    {
      label: 'You can toggle the pump between Auto and Remote mode.'
    },
    // {
    //   label: '(Works only when the current setting is in Auto or Remote mode)'

    // }
  ],
  settings: {
    label: 'Change Settings',
    updatedTime: '{{data.updatedTime}}',
    data: [
      {
        type: 'form',
        props: {
          fields: [
            {
              type: '#radio',
              key: 'mode',
              props: {
                label: 'Mode',
                key: 'mode',
                class: 'inline-block',
                valueProp: 'mode',
                align: 'row',
                options: [
                  {
                    value: 'auto',
                    label: 'Auto'
                  },
                  {
                    value: 'remote',
                    label: 'Remote'
                  },

                ],

              },
              defaultValue: '{{data.pump1Mode}}'
            },
          ],
          options: {
            actionClass: 'pt-4',
            submit: {
              label: 'Send Command',
              events: [

                {
                  event: 'click',
                  method: 'openDialog',
                  params: {
                    maxWidth: '700px',
                    width: '600px',
                    maxHeight: '400px',
                    autoFocus: false,
                    data: SEND_COMMAND_DIALOG,
                  },

                },

                // {
                //   event: 'click',
                //   method: 'callAPI',
                //   dataKey: 'sendCommand',
                //   params: {
                //     method: 'put',
                //     apiUrl: 'https://reqres.in/api/useres/2',

                //   },
                //   events: [
                //     {
                //       event: 'success',
                //       method: 'showToast',
                //       enabled: 'data.updatedAt',
                //       params: {
                //         message: 'Pump 1 Mode Updated',
                //       },
                //     },
                //     {
                //       event: 'success',
                //       method: 'showErrorToast',
                //       enabled: '!data.updatedAt',

                //       params: {
                //         message: 'Error in Updating Pump 1 Mode',
                //       },
                //     },

                //   ],
                // },
              ],
            },
            cancel: {
              label: 'Cancel',
              events: [
                {
                  event: 'click',
                  method: 'closeDialog',
                  params: {},
                  type: '',
                },
              ],
            },
          },
        },
      },
    ]

  },

  // showConfigurationWarning: true,
  // iconUrl: 'warning',
  // iconClass: 'text-gray-400 text-md',
  // content: [

  //   {
  //     type: 'template',
  //     props: {
  //       template: `<div class="text-gray-400">Current pump 1 mode is <b>{{data.pump1Mode}}</b>.</div>`,
  //     },
  //   },
  //   {
  //     type: 'template',
  //     props: {
  //       template: `<div class="text-gray-400">You can control On/Off pump state only on <b>{{data.pump1State}}</b> mode.</div>`,
  //     },
  //   }
  // ]

}

export const navigations = [{
  label: 'PUMPS',
  targetUrl: '/status',
  apiUrl: '',
  iconUrl: '',
  type: 'dropdown',
  visible: true,
  clickable: true,
  hasSubMenu: true,
  isSubMenuOpen: true,
  subMenus: [
    {
      label: 'Pump 1 Mode',
      targetUrl: 'commands/pump1-mode',
      apiUrl: 'v1/status',
      iconUrl: '',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Pump 1 On/Off',
      targetUrl: 'commands/pump1-on/off',
      apiUrl: 'v1/status',
      iconUrl: '',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Pump 2 Mode',
      targetUrl: 'commands/pump2-mode',
      apiUrl: 'v1/status',
      iconUrl: '',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Pump 2 On/Off',
      targetUrl: 'commands/pump2-on/off',
      apiUrl: 'v1/status',
      iconUrl: '',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },

    {
      label: 'Pump 3 Mode',
      targetUrl: 'commands/pump3-mode',
      apiUrl: 'v1/status',
      iconUrl: '',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Pump 3 On/Off',
      targetUrl: 'commands/pump3-on/off',
      apiUrl: 'v1/status',
      iconUrl: '',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
  ],
},
{
  label: 'ALTERNATE PUMPS',
  targetUrl: 'commands/alternate',
  apiUrl: '',
  iconUrl: '',
  type: 'dropdown',
  visible: true,
  clickable: true,
  hasSubMenu: true,
  isSubMenuOpen: true,

  subMenus: [
    {
      label: 'Alternate Pumps Enable/Disable',
      targetUrl: '/liftiq/digital-twin/:assetUUID/pumps/pump1-mode',
      apiUrl: 'v1/status',
      iconUrl: '',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Configure Alternate Pumps',
      targetUrl: '/liftiq/digital-twin/:assetUUID/pumps/pump1-mode',
      apiUrl: 'v1/status',
      iconUrl: '',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Configure Lead/Lag Pumps',
      targetUrl: '/liftiq/digital-twin/:assetUUID/pumps/pump1-mode',
      apiUrl: 'v1/status',
      iconUrl: '',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },


  ],
}
]



