import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { StoreModule } from '@ngrx/store';
import { featureKey } from './selectors';
import { commandsReducer } from './reducers';
import { EffectsModule } from '@ngrx/effects';
import { CommandsStoreEffects } from './effects';

@NgModule({
  declarations: [],
  imports: [
    CommonModule,
    StoreModule.forFeature(featureKey, commandsReducer),
    EffectsModule.forFeature([CommandsStoreEffects]),
  ],
  exports: [StoreModule],
})
export class CommandsStoreModule { }
