/* eslint-disable @nrwl/nx/enforce-module-boundaries */
import { Injectable } from '@angular/core';
import { Actions, createEffect, ofType } from '@ngrx/effects';
import { map } from 'rxjs/operators';
import { Store } from '@ngrx/store';
import * as CommandsStoreActions from './actions';
import { CommandsWebService } from '../service/commands-web.service';
import { TemplateService } from '@hash8io/events-web';

@Injectable()
export class CommandsStoreEffects {
  constructor(
    private actions$: Actions,
    private commandsService: CommandsWebService,
    private templateService: TemplateService,
    private store: Store
  ) {
  }

  reloadCommands$ = createEffect(() => {
    return this.actions$.pipe(
      ofType(CommandsStoreActions.RELOAD_COMMANDS),
      map((data) => {
        this.commandsService.getData(data?.commands?.apiUrl);
        return CommandsStoreActions.ADD_COMMANDS({ data });
      })
    );
  });

}
