import { Model } from '@hash8io/core-web';
import { AreaSparklineOptions } from 'ag-grid-community';

export const ORGANIZATION_DATA_MOCK = {
  statusCode: 200,
  data: {
    configurations: {
      modifiedTime: null,
      columns: [
        {
          filter: true,
          hide: false,
          headerName: 'Organization Name',
          sortable: true,
          field: 'organizationName',
          // headerCheckboxSelection: true,
          // checkboxSelection: true,
        },
        {
          filter: true,
          hide: false,
          headerName: 'State',
          sortable: true,
          field: 'state',
        },
        {
          filter: true,
          hide: false,
          headerName: '# Accounts',
          sortable: true,
          field: 'accounts',
        },
        {
          filter: true,
          hide: false,
          headerName: '# Users',
          sortable: true,
          field: 'users',
        },
        {
          filter: true,
          hide: false,
          headerName: '# Vehicles',
          sortable: true,
          field: 'vehicles',
        },
        {
          filter: true,
          hide: false,
          headerName: '# Locations',
          sortable: true,
          field: 'locations',
        },
        {
          filter: true,
          hide: false,
          headerName: '# Devices',
          sortable: true,
          field: 'devices',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Created Time',
          sortable: true,
          field: 'createdTime',
        },
      ],
      options: {
        pagination: true,
        paginationPageSize: 10,
        rowGroupPanelShow: 'null',
        sideBar: true,
        defaultColDef: {
          filter: true,
          sortable: true,
          resizable: true,
          editable: false,
        },
      },
      createdTime: '2022-07-30T11:01:00.000Z',
      label: 'Entities',
      title: null,
      cascadeUUID: 'CR-1001',
    },
    rowData: [
      {
        organizationName: 'Autocavo',
        state: 'Enabled',
        accounts: 2,
        users: 4,
        vehicles: 111,
        locations: 5,
        devices: 5,
        createdTime: '16/08/2022 02:00 PM',
        uuid: '9a7cfd9b-0271-4e95-a259-cae08ddf068d',
      },
    ],
  },
};

export const USER_DATA_MOCK = {
  statusCode: 200,
  data: {
    configurations: {
      modifiedTime: null,
      columns: [
        {
          filter: true,
          hide: false,
          headerName: 'Name',
          sortable: true,
          field: 'fullName',
          headerCheckboxSelection: true,
          checkboxSelection: true,
        },
        {
          filter: true,
          hide: false,
          headerName: 'Email',
          sortable: true,
          field: 'email',
        },
        {
          filter: true,
          hide: false,
          headerName: 'User Role',
          sortable: true,
          field: 'userRole',
        },
        {
          filter: true,
          hide: false,
          headerName: 'User Status',
          sortable: true,
          field: 'state',
          cellRendererParams: {
            fieldType: 'text',
            defaultColor: 'gray',
            options: [
              {
                label: 'ACTIVE',
                value: 'Active',
                color: 'green',
              },
              {
                label: 'INVITED',
                value: 'Invited',
                color: 'blue',
              },
            ],
          },
        },
        {
          filter: true,
          hide: false,
          headerName: 'User Group',
          sortable: true,
          field: 'userGroup',
          cellRendererParams: {
            fieldType: 'label',
            defaultColor: 'gray',
            options: [
              {
                label: 'Administration',
                value: 'Administration',
                color: 'black',
              },
              {
                label: 'Sales Management',
                value: 'Sales Management',
                color: 'blue',
              },
              {
                label: 'Fleet Management',
                value: 'Fleet Management',
                color: 'orange',
              },
            ],
          },
        },
        {
          filter: true,
          hide: false,
          headerName: 'Created Time',
          sortable: true,
          field: 'createdTime',
        },
      ],
      options: {
        pagination: true,
        paginationPageSize: 10,
        rowGroupPanelShow: 'null',
        sideBar: true,
        defaultColDef: {
          filter: true,
          sortable: true,
          resizable: true,
          editable: false,
        },
      },
      createdTime: '2022-07-30T11:01:00.000Z',
      label: 'Users',
      title: null,
      cascadeUUID: 'CR-1002',
    },
    rowData: [
      {
        modifiedTime: '2022-08-04T07:48:18.870Z',
        lastName: 'Ive',
        userRole: 'Admin',
        userGroup: 'Administration',
        primaryIdentifierField: 'email',
        fullName: 'Jonathan Ive',
        uuid: '604e349f-ce47-4f54-a347-41de0d72e94e',
        firstName: 'Jonathan',
        phoneNumber: '(740) 271-0643',
        secondaryIdentifierField: 'username',
        createdTime: '2022-08-01T14:32:04.918Z',
        state: 'Active',
        email: 'jonathan@autocavo.com',
        username: 'jonathanive',
      },
      {
        modifiedTime: '2022-09-04T07:48:18.870Z',
        lastName: 'Cooper',
        userRole: 'Admin',
        userGroup: 'Administration',
        primaryIdentifierField: 'email',
        fullName: 'Jim Cooper',
        uuid: '3d901a8c-a39e-47d2-87ea-6d58772476ac',
        firstName: 'Jim',
        phoneNumber: '(945) 789-3453',
        secondaryIdentifierField: 'username',
        createdTime: '2022-09-01T14:32:04.918Z',
        state: 'Active',
        email: 'jimcooper@csbs.com',
        username: 'jimcooper',
      },
      {
        modifiedTime: '2022-08-04T07:48:18.870Z',
        lastName: 'Pitt',
        userRole: 'Admin',
        userGroup: 'Sales Management',
        primaryIdentifierField: 'email',
        fullName: 'Brad Pitt',
        uuid: 'ad7d144f-977f-4cfc-a5d4-31d96a87f9ea',
        firstName: 'Brad',
        phoneNumber: '(945) 789-3453',
        secondaryIdentifierField: 'username',
        createdTime: '2022-08-01T14:32:04.918Z',
        state: 'Active',
        email: 'bradpitt@csbs.com',
        username: 'bradpitt',
      },
      {
        modifiedTime: '2022-07-04T07:48:18.870Z',
        lastName: 'Neuner',
        userRole: 'Admin',
        userGroup: 'Sales Management',
        primaryIdentifierField: 'email',
        fullName: 'Jerry Neuner',
        uuid: '4ce8c49b-8ea2-4c4d-a45e-ae95f3b31111',
        firstName: 'Jerry',
        phoneNumber: '6139026546',
        secondaryIdentifierField: 'username',
        createdTime: '2022-07-01T14:32:04.918Z',
        state: 'Active',
        email: 'jerry@autocavo.com',
        username: 'jerry',
      },
      {
        modifiedTime: '2022-28-04T07:48:18.870Z',
        lastName: 'Brito',
        userRole: 'Fleet Manager',
        userGroup: 'Fleet Management',
        primaryIdentifierField: 'email',
        fullName: 'Jonathan Brito',
        uuid: '4ce8c49b-8ea2-4c4d-a45e-ae95f3b31112',
        firstName: 'Jonathan ',
        phoneNumber: '(189)636-3992',
        secondaryIdentifierField: 'username',
        createdTime: '2022-28-01T14:32:04.918Z',
        state: 'Active',
        email: 'jbritto@gmail.com',
        username: 'jonathan',
      },
      {
        modifiedTime: '2022-28-04T07:48:18.870Z',
        lastName: 'Bay',
        userRole: 'Fleet Manager',
        userGroup: 'Fleet Management',
        primaryIdentifierField: 'email',
        fullName: 'Robert Bay',
        uuid: 'e4417a6e-6bbc-447c-958d-54b274b9a3b1',
        firstName: 'Robert',
        phoneNumber: '(214) 349-5667',
        secondaryIdentifierField: 'username',
        createdTime: '2022-28-01T14:32:04.918Z',
        state: 'Invited',
        email: 'robertb@gmail.com',
        username: 'robert',
      },
      {
        modifiedTime: '2022-27-04T07:48:18.870Z',
        lastName: 'Long',
        userRole: 'Fleet Manager',
        userGroup: 'Fleet Management',
        primaryIdentifierField: 'email',
        fullName: 'Tyrese Long',
        uuid: '4ce8c49b-8ea2-4c4d-a45e-ae95f3b81111',
        firstName: 'Tyrese',
        phoneNumber: '(224) 781-5732',
        secondaryIdentifierField: 'username',
        createdTime: '2022-27-01T14:32:04.918Z',
        state: 'Invited',
        email: 'tyreselong@gmail.com',
        username: 'tyrese',
      },
    ],
  },
};

export const USER_ROLE_DATA_MOCK = {
  statusCode: 200,
  data: {
    configurations: {
      modifiedTime: null,
      columns: [
        {
          filter: true,
          hide: false,
          headerName: 'User Role',
          sortable: true,
          field: 'userRoleName',
          headerCheckboxSelection: true,
          checkboxSelection: true,
        },
        {
          filter: true,
          hide: false,
          headerName: 'Description',
          sortable: true,
          field: 'description',
        },

        {
          filter: true,
          hide: false,
          headerName: '# Users',
          sortable: true,
          field: 'users',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Created Time',
          sortable: true,
          field: 'createdTime',
        },
      ],
      options: {
        pagination: true,
        paginationPageSize: 10,
        rowGroupPanelShow: 'null',
        sideBar: true,
        defaultColDef: {
          filter: true,
          sortable: true,
          resizable: true,
          editable: false,
        },
      },
      createdTime: '2022-07-30T11:01:00.000Z',
      label: 'User Roles',
      title: null,
      cascadeUUID: 'CR-1000',
    },
    rowData: [
      {
        userRoleName: 'Admin',
        description:
          'Unrestricted access to all modules no user privileges control',
        users: 1,
        createdTime: '2022-08-03T04:16:45.411Z',
        // uuid: '8c2dd9b-0271-4e95-a259-cae08ddf068d',
      },
      {
        userRoleName: 'Fleet Manager',
        description: 'Manage all vehicles',
        users: 2,
        createdTime: '2022-08-03T04:16:45.411Z',
        // uuid: '8c2dd9b-0271-4e95-a259-cae08ddf068d',
      },
    ],
  },
};

export const SALES_DATA_MOCK = {
  statusCode: 200,
  data: {
    configurations: {
      modifiedTime: null,
      columns: [
        {
          filter: true,
          hide: false,
          headerName: 'Sales Channel Name',
          sortable: true,
          field: 'salesChannel',
          headerCheckboxSelection: true,
          checkboxSelection: true,
        },
        {
          filter: true,
          hide: false,
          headerName: 'State',
          sortable: true,
          field: 'state',
        },
        {
          filter: true,
          hide: false,
          headerName: '# Accounts',
          sortable: true,
          field: 'accounts',
        },
        {
          filter: true,
          hide: false,
          headerName: '# Users',
          sortable: true,
          field: 'users',
        },
        {
          filter: true,
          hide: false,
          headerName: '# Vehicles',
          sortable: true,
          field: 'vehicles',
        },
        {
          filter: true,
          hide: false,
          headerName: '# Locations',
          sortable: true,
          field: 'locations',
        },
        {
          filter: true,
          hide: false,
          headerName: '# Devices',
          sortable: true,
          field: 'devices',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Created Time',
          sortable: true,
          field: 'createdTime',
        },
      ],
      options: {
        pagination: true,
        paginationPageSize: 10,
        rowGroupPanelShow: 'null',
        sideBar: true,
        defaultColDef: {
          filter: true,
          sortable: true,
          resizable: true,
          editable: false,
        },
      },
      createdTime: '2022-07-30T11:01:00.000Z',
      label: 'Sales Channel',
      title: null,
      cascadeUUID: 'CR-1001',
    },
    rowData: [
      {
        salesChannel: 'Blitz',
        state: 'Enabled',
        accounts: 2,
        users: 4,
        vehicles: 111,
        locations: 5,
        devices: 5,
        createdTime: '16/08/2022 02:00 PM',
        uuid: '9a7cfd9b-0271-4e95-a259-cae08ddf068d',
      },
      {
        salesChannel: 'XYZ Channel',
        state: 'Enabled',
        accounts: 2,
        users: 4,
        vehicles: 111,
        locations: 5,
        devices: 5,
        createdTime: '16/08/2022 02:00 PM',
        uuid: '9a7cfd9b-0271-4e95-a259-cae08ddf068d',
      },
    ],
  },
};

export const CUSTOMERS_DATA_MOCK = {
  statusCode: 200,
  data: {
    configurations: {
      modifiedTime: null,
      columns: [
        {
          filter: true,
          hide: false,
          headerName: 'Customer Name',
          sortable: true,
          field: 'salesChannel',
          headerCheckboxSelection: true,
          checkboxSelection: true,
        },
        {
          filter: true,
          hide: false,
          headerName: 'State',
          sortable: true,
          field: 'state',
        },
        {
          filter: true,
          hide: false,
          headerName: '# Accounts',
          sortable: true,
          field: 'accounts',
        },
        {
          filter: true,
          hide: false,
          headerName: '# Users',
          sortable: true,
          field: 'users',
        },
        {
          filter: true,
          hide: false,
          headerName: '# Vehicles',
          sortable: true,
          field: 'vehicles',
        },
        {
          filter: true,
          hide: false,
          headerName: '# Locations',
          sortable: true,
          field: 'locations',
        },
        {
          filter: true,
          hide: false,
          headerName: '# Devices',
          sortable: true,
          field: 'devices',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Created Time',
          sortable: true,
          field: 'createdTime',
        },
      ],
      options: {
        pagination: true,
        paginationPageSize: 10,
        rowGroupPanelShow: 'null',
        sideBar: true,
        defaultColDef: {
          filter: true,
          sortable: true,
          resizable: true,
          editable: false,
        },
      },
      createdTime: '2022-07-30T11:01:00.000Z',
      label: 'Customers',
      title: null,
      cascadeUUID: 'CR-1001',
    },
    rowData: [
      {
        salesChannel: 'CSBS',
        state: 'Enabled',
        accounts: 2,
        users: 4,
        vehicles: 111,
        locations: 5,
        devices: 5,
        createdTime: '16/08/2022 02:00 PM',
        uuid: '9a7cfd9b-0271-4e95-a259-cae08ddf068d',
      },
      {
        salesChannel: 'ABC Customer',
        state: 'Enabled',
        accounts: 2,
        users: 4,
        vehicles: 111,
        locations: 5,
        devices: 5,
        createdTime: '16/08/2022 02:00 PM',
        uuid: '9a7cfd9b-0271-4e95-a259-cae08ddf068d',
      },
    ],
  },
};

export const TARGET_INJECTION_DATA_MOCK = {
  statusCode: 200,
  data: {
    configurations: {
      columns: [
        {
          headerName: 'Daily Injection Rate Average',
          field: 'dailyInjectionRateAverage',
          resizable: false,
          children: [
            {
              field: 'days',
              resizable: false,
            },
            {
              field: 'volume',
              resizable: false,
            },
          ],
        },
        {
          headerName: 'Delta %',
          field: 'delta',
          resizable: false,
          cellRenderer: (params: any) => {
            return `<div class="flex place-items-center"><mat-icon class=" material-icons" style="color:green">arrow_drop_up</mat-icon></>${params.value}</div>`;
          },
        },
      ],
      options: {
        pagination: false,
        paginationPageSize: 10,
        rowGroupPanelShow: 'null',
        sideBar: false,
        defaultColDef: {
          filter: true,
          sortable: true,
          resizable: true,
          editable: false,
        },
      },
    },
    rowData: [
      {
        days: 'One Day',
        volume: '1232.91 litres',
        delta: '2982.27 %',
      },
      {
        days: 'Three Days',
        volume: '680.81 litres',
        delta: '1602.04 %',
      },
      {
        days: 'Seven Days',
        volume: '426.98 litres',
        delta: '967.46 %',
      },
      {
        days: 'Fourteen Days',
        volume: '224.16 litres',
        delta: '460.41 %',
      },
    ],
  },
};

export const TANK_STATUS_DATA_MOCK = {
  statusCode: 200,
  data: {
    configurations: {
      modifiedTime: null,
      columns: [
        {
          headerName: 'Vehicle Name',
          field: 'vehicleName',
          enableRowGroup: true,
          sortable: true,
          filter: 'agTextColumnFilter',
          filterParams: {
            suppressAndOrCondition: true,
            buttons: ['reset', 'apply'],
          },
        },
        //Maintenance Status - Grid Text Component
        {
          headerName: 'Maintenance Status',
          field: 'maintenanceStatus',

          sortable: false,
          filter: 'agDateColumnFilter',
          filterParams: {
            suppressAndOrCondition: true,
            buttons: ['reset', 'apply'],
          },
          cellRendererParams: {
            fieldType: 'text',
            defaultColor: 'gray',
            options: [
              {
                label: 'Overdue',
                value: 'overdue',
                iconUrl: 'error',
                color: 'red',
                //     colorExpression:
                //       `if(data.liquidLevel <50){
                //   return 'blue'
                // }`
              },
              {
                label: 'Due Soon',
                value: 'duesoon',
                iconUrl: 'warning',
                color: 'yellow',
                //       colorExpression:
                //         `if(data.liquidLevel <25 ){
                //   return 'blue'
                // }`
              },
              {
                label: 'Due',
                value: 'due',
                color: 'orange',
                iconUrl: 'warning',
              },
              {
                label: 'OK',
                value: 'ok',
                color: 'green',
                iconUrl: 'check',
              },
            ],
          },
        },
        {
          headerName: 'Date',
          field: 'date',
          filter: 'agDateColumnFilter',
          sortable: true,
          filterParams: {
            suppressAndOrCondition: true,
            closeOnApply: true,
            buttons: ['reset', 'apply'],
          },
        },
        //Maintenance Status Icon - Icon Component
        {
          headerName: 'Maintenance Status Icon',
          field: 'maintenanceStatusIcon',

          enableRowGroup: true,

          cellRendererParams: {
            fieldType: 'icon',
            options: [
              {
                label: 'Overdue',
                value: 'overdue',
                iconUrl: 'error',
                color: 'red',
              },
              {
                label: 'Due Soon',
                value: 'duesoon',
                iconUrl: 'warning',
                color: 'yellow',
              },
              {
                label: 'Due',
                value: 'due',
                color: 'orange',
                iconUrl: 'warning',
              },
              {
                label: 'OK',
                value: 'ok',
                color: 'green',
                iconUrl: 'check',
              },
            ],
          },
        },
        //Liquid Level - Grid Text Component
        {
          headerName: 'Liquid Level',
          enableRowGroup: true,

          field: 'liquidLevel',
          cellRendererParams: {
            fieldType: 'text',

            defaultIconUrl: 'water_drop',
            defaultIconColor: '#9d7725',
          },
        },

        //Capacity - Progress component
        {
          colId: 'a6678112-eadc-4bd3-a4f3-65d2655aedd7',
          filter: true,
          hide: false,
          sortable: true,
          field: 'capacity',
          headerName: 'Capacity',
          enableRowGroup: true,
          cellRendererParams: {
            fieldType: 'progress',
            defaultColor: 'brown',
            colorExpression: `if(data?.capacity?.percentage > 0  && data?.capacity?.percentage <= 10){
              return 'red'
            }else if(data?.capacity?.percentage > 10  && data?.capacity?.percentage <= 20){
              return 'orange'
            }else if(data?.capacity?.percentage > 20  && data?.capacity?.percentage <= 30){
              return 'green'
            }`,
          },
        },
        //Reason code - Label component
        {
          headerName: 'Reason Code',
          field: 'reasonCode',
          cellRendererParams: {
            fieldType: 'label',
            defaultColor: 'gray',
            options: [
              {
                label: 'Scheduled Message',
                value: 'scheduledMessage',
                color: 'pink',
              },
              {
                label: 'Heartbeat',
                value: 'heartbeat',
                color: 'blue',
              },
              {
                label: 'Sensor Report',
                value: 'sensorReport',
                color: 'orange',
              },
            ],
          },
        },
        {
          headerName: 'Action',
          field: 'action',
          cellRendererParams: {
            fieldType: 'action',
            showLabel: false,
            stroked: false,
            columnData: false,
            options: [
              {
                label: 'Send Command',
                targetUrl: '/tank-history',
                visible: true,
                clickable: true,
                type: Model.MenuType.Link,
                iconUrl: 'layers',
                configApiUrl: '',
                apiUrl: '',
                hasSubMenu: false,
              },
              {
                label: 'Change Tank Name',
                targetUrl: '/netusage',
                visible: true,
                clickable: true,
                type: Model.MenuType.Link,
                iconUrl: 'edit',
                configApiUrl: '',
                apiUrl: '',
                hasSubMenu: false,
              },
              {
                label: 'Change Tank Image',
                targetUrl: '/fill',
                visible: true,
                clickable: true,
                type: Model.MenuType.Link,
                iconUrl: 'add_photo_alternate',
                configApiUrl: '',
                apiUrl: '',
                hasSubMenu: false,
              },
              {
                label: 'Change Tank Settings',
                targetUrl: '/fill',
                visible: true,
                clickable: true,
                type: Model.MenuType.Link,
                iconUrl: 'settings',
                configApiUrl: '',
                apiUrl: '',
                hasSubMenu: false,
                isPrimaryAction: false,
              },
              {
                label: 'Change Target Injection Rate',
                targetUrl: '/fill',
                visible: true,
                clickable: true,
                type: Model.MenuType.Link,
                iconUrl: 'filter_center_focus',
                configApiUrl: '',
                apiUrl: '',
                hasSubMenu: false,
              },
              {
                label: 'Change Refill Point',
                targetUrl: '/fill',
                visible: true,
                clickable: true,
                type: Model.MenuType.Link,
                iconUrl: 'layers',
                configApiUrl: '',
                apiUrl: '',
                hasSubMenu: false,
              },
              {
                label: 'Poll Location',
                targetUrl: '/fill',
                visible: true,
                clickable: true,
                type: Model.MenuType.Link,
                iconUrl: 'add_location_alt',
                configApiUrl: '',
                apiUrl: '',
                hasSubMenu: false,
              },
            ],
          },
        },
      ],

      options: {
        sortable: true,
        filter: true,
        resizable: true,
        editable: false,
        floatingFilter: true,
        // rowSelection: 'multiple',
        showSideBar: false,
        hasPagination: true,
        paginationSize: 10,
        hasRangeSelection: false,
        hasRightClick: true,
        hasRowAction: true,
        hasRowGroupPanel: true,
      },
      createdTime: '2022-07-30T11:01:00.000Z',
      label: 'Entities',
      title: null,
      reportUUID: '500',
    },
    rowData: [
      {
        vehicleName: 'MAZDA CX-50',
        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        date: '09/11/2022',
        liquidLevel: '10',
        reasonCode: 'heartbeat',
        capacity: {
          percentage: 25,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'BMW-320I-2321',
        maintenanceStatus: 'Overdue',
        maintenanceStatusIcon: 'Overdue',
        date: '10/11/2022',

        liquidLevel: '40',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'GMC J-8345',

        maintenanceStatus: 'OK',
        maintenanceStatusIcon: 'OK',
        date: '11/11/2022',

        liquidLevel: '20',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 10,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'JEEP-GRAND CHEROKEE-6609',
        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '30',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'CHEVROLET-TAHOE-2330',

        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '30',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'GMC-ACADIA-8423',
        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '30',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'MERCEDES-BENZ-GLE-CLASS-8915',
        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '30',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'VEHICLE-9006',
        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '30',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'GMC-ACADIA-8423',
        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '30',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'Vehicle-2763',
        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '30',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'Vehicle- 23628',
        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '30',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
    ],
  },
};


export const HIERARCHY_DATA_MOCK = {
  statusCode: 200,
  data: {
    configurations: {
      modifiedTime: null,
      columns: [
        {
          headerName: "Notifications",
          field: "notification",
          cellRendererParams: {
            fieldType: 'checkbox'
          }
        }

      ],


      options: {
        hasPagination: true,
        editable: false,
        paginationPageSize: 10,
        rowGroupPanelShow: 'null',
        showActions: true,
        hasRowAction: true,
        resizable: true,
        autoGroupColumnDef: {
          headerName: 'Account Name',
          field: 'accountName',
          pinned: 'left',
          width: 260,
          cellRenderer: 'agGroupCellRenderer',
          cellRendererParams: {
            suppressCount: true,
            checkbox: false,
          },
        },
        treeHierarchyColumnName: 'accountHierarchy',
        groupDefaultExpanded: -1,
        isTreeData: true,
        defaultColDef: {
          filter: true,
          sortable: true,
        },
      },
      createdTime: '2022-07-30T11:01:00.000Z',
      label: 'Entities',
      title: null,
      reportUUID: '500',
    },
    // rowData: [{
    //   "accountHierarchy": [
    //     "Main",
    //     "North",
    //     "California"
    //   ],
    //   "accountName": "California",
    //   notification: true

    // },
    // {
    //   "accountHierarchy": [
    //     "Main"
    //   ],
    //   "accountName": "Main",
    //   notification: false


    // },
    // {
    //   "accountHierarchy": [
    //     "Main",
    //     "North"
    //   ],
    //   "accountName": "North",

    // },
    // {
    //   "accountHierarchy": [
    //     "Main",
    //     "South"
    //   ],
    //   "accountName": "South",

    // }]
    rowData: [{
      accountHierarchy: ["Store A1"],
      accountName: "Store A1",
      notification: true
    },
    {
      accountHierarchy: ["Store A1", "Store A1 Warehouse"],
      accountName: "Store A1 Warehouse"
    },
    {
      accountHierarchy: ["Store A1", "Store A1 Office"],
      accountName: 'Store A1 Office'
    }
    ]

  },
};

export const TANK_STATUS_DATA_MOCK_PIVOTING = {
  statusCode: 200,
  data: {
    configurations: {
      modifiedTime: null,
      columns: [
        { field: 'country', rowGroup: true, enableRowGroup: true },
        {
          field: 'year',
          rowGroup: true,
          enableRowGroup: true,
          enablePivot: true,
        },
        { field: 'date' },
        { field: 'sport' },
        { field: 'gold', aggFunc: 'sum' },
        { field: 'silver', aggFunc: 'sum' },
        { field: 'bronze', aggFunc: 'sum' },
      ],

      options: {
        sortable: true,
        filter: true,
        resizable: true,
        editable: false,
        floatingFilter: true,
        // rowSelection: 'multiple',
        showSideBar: false,
        hasPagination: true,
        paginationSize: 10,
        hasRangeSelection: false,
        hasRightClick: true,
        hasRowAction: true,
        hasRowGroupPanel: true,
      },
      createdTime: '2022-07-30T11:01:00.000Z',
      label: 'Entities',
      title: null,
      reportUUID: '500',
    },
    rowData: [
      {
        vehicleName: 'MAZDA CX-50',
        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '10',
        reasonCode: 'heartbeat',
        capacity: {
          percentage: 25,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'BMW-320I-2321',
        maintenanceStatus: 'Overdue',
        maintenanceStatusIcon: 'Overdue',
        liquidLevel: '40',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'GMC J-8345',

        maintenanceStatus: 'OK',
        maintenanceStatusIcon: 'OK',
        liquidLevel: '20',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 10,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'JEEP-GRAND CHEROKEE-6609',
        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '30',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'CHEVROLET-TAHOE-2330',

        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '30',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'GMC-ACADIA-8423',
        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '30',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'MERCEDES-BENZ-GLE-CLASS-8915',
        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '30',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'VEHICLE-9006',
        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '30',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'GMC-ACADIA-8423',
        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '30',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'Vehicle-2763',
        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '30',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
      {
        vehicleName: 'Vehicle- 23628',
        maintenanceStatus: 'duesoon',
        maintenanceStatusIcon: 'duesoon',
        liquidLevel: '30',
        reasonCode: 'Heartbeat',
        capacity: {
          percentage: 15,
          label: '234.34',
        },
        action: [
          {
            label: 'Send Command',
            targetUrl: '/tank-history',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Name',
            targetUrl: '/netusage',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'edit',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Image',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_photo_alternate',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Tank Settings',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'settings',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
            isPrimaryAction: false,
          },
          {
            label: 'Change Target Injection Rate',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'filter_center_focus',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Change Refill Point',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'layers',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
          {
            label: 'Poll Location',
            targetUrl: '/fill',
            visible: true,
            clickable: true,
            type: Model.MenuType.Link,
            iconUrl: 'add_location_alt',
            configApiUrl: '',
            apiUrl: '',
            hasSubMenu: false,
          },
        ],
      },
    ],
  },
};

export const TRIP_DATA_MOCK_OLD = {
  statusCode: 200,
  data: {
    configurations: {
      modifiedTime: null,
      columns: [
        {
          headerName: 'Oragnization Name',
          field: 'organizationName',
        },
        {
          headerName: 'Account Name',
          field: 'accountName',
        },
        {
          headerName: 'Driver Name',
          field: 'driverName',
        },
        {
          headerName: 'Driver Id',
          field: 'driverId',
        },
        {
          headerName: 'Day',
          field: 'day',
        },
        {
          headerName: 'Week',
          field: 'week',
        },
        {
          headerName: 'Month',
          field: 'month',
        },
        {
          headerName: 'Year',
          field: 'year',
        },
        {
          headerName: 'Trip Name',
          field: 'tripName',
        },
        {
          headerName: 'Route Name',
          field: 'routeName',
        },
        {
          headerName: 'HOS Violation(hrs)',
          field: 'HOSViolation',
        },
        {
          headerName: 'Idling Duration(min)',
          field: 'idlingDuration',
        },
        {
          headerName: 'Dwell Duration(min)',
          field: 'dwellDuration',
        },
        {
          headerName: 'Driven Hours(min)',
          field: 'drivenHours',
        },
        {
          headerName: 'Driven Miles(min)',
          field: 'drivenMiles',
        },
        {
          headerName: 'Driver Name',
          field: 'driverName',
        },
        {
          headerName: 'Vehicle Name',
          field: 'vehicleName',
        },
        {
          headerName: 'Customer Name',
          field: 'customerName',
        },
        {
          headerName: '# Harsh Braking',
          field: 'noOfBraking',
        },
        {
          headerName: '# Harsh Acceleration',
          field: 'noOfAccelearation',
        },
        {
          headerName: 'Distracted Driving(min)',
          field: 'distractedDriving',
        },
        {
          headerName: 'Fuel Cost($)',
          field: 'fuelCost',
        },
        {
          headerName: 'Fuel Consumption(gallons)',
          field: 'fuelConsumption',
        },
      ],

      options: {
        sortable: true,
        filter: true,
        resizable: true,
        editable: false,
        floatingFilter: true,
        // rowSelection: 'multiple',
        showSideBar: false,
        hasPagination: true,
        paginationSize: 10,
        hasRangeSelection: false,
        hasRightClick: true,
        hasRowAction: true,
        hasRowGroupPanel: true,
        pivot: true,
      },
      createdTime: '2022-07-30T11:01:00.000Z',
      label: 'Entities',
      title: null,
      reportUUID: '500',
    },

    rowData: [
      {
        organizationName: 'ACME Corporation',
        accountName: 'ACME - HQ',
        driverName: 'Brylee Shelton',
        driverId: 202,
        day: 'Monday',
        week: 1,
        month: 11,
        year: 2022,
        tripName: 'Trip - 1111',
        routeName: 'Route - 53',
        HOSViolation: 2.5,
        idlingDuration: 5,
        dwellDuration: 20,
        drivenHours: 1430,
        drivenMiles: 50,
        vehicleName: '1011-21',
        customerName: 'Layne Roach',
        startLocation: '801 Broadway, Amityville',
        endLocation: 'Customer Location 1',
        noOfBraking: 3,
        noOfAccelearation: '0',
        distractedDriving: 5,
        fuelCost: 7.2,
        fuelConsumption: 3.42,
      },
      {
        organizationName: 'ACME Corporation',
        accountName: 'ACME - HQ',
        driverName: 'Colton Yang',
        driverId: 203,
        day: 'Monday',
        week: 1,
        month: 11,
        year: 2022,
        tripName: 'Trip - 3000',
        routeName: 'Route - 35',
        HOSViolation: 5,
        idlingDuration: 12,
        dwellDuration: 30,
        drivenHours: 1200,
        drivenMiles: 35,
        vehicleName: '2022-13',
        customerName: 'Jessie Summers',
        startLocation: '801 Broadway, Amityville',
        endLocation: "Summer's Delivery Shop",
        noOfBraking: 2,
        noOfAccelearation: 1,
        distractedDriving: 2,
        fuelCost: 9.4,
        fuelConsumption: 4.65,
      },
      {
        organizationName: 'ACME Corporation',
        accountName: 'ACME - North',
        driverName: 'Jenny Wolfe',
        driverId: 205,
        day: 'Monday',
        week: 1,
        month: 11,
        year: 2022,
        tripName: 'Trip - 3511',
        routeName: 'Route - 23',
        HOSViolation: -3.5,
        idlingDuration: 1,
        dwellDuration: 50,
        drivenHours: 1300,
        drivenMiles: 40,
        vehicleName: '1015-20',
        customerName: 'Fabian Decker',
        startLocation: '4070 Danceglen Drive, Colorado Springs',
        endLocation: "Decker's Utility",
        noOfBraking: 3,
        noOfAccelearation: 1,
        distractedDriving: '0',
        fuelCost: 8.2,
        fuelConsumption: 3.84,
      },
      {
        organizationName: 'Initech Solution',
        accountName: 'Initech - NJ',
        driverName: 'Catalina Lara',
        driverId: 1120,
        day: 'Tuesday',
        week: 1,
        month: 11,
        year: 2022,
        tripName: 'Trip - 2111',
        routeName: 'Route - 54',
        HOSViolation: -5,
        idlingDuration: 15,
        dwellDuration: 30,
        drivenHours: 1400,
        drivenMiles: 33,
        vehicleName: '1000-17',
        customerName: 'Jaylynn Hubbard',
        startLocation: '4070 Danceglen Drive, Colorado Springs',
        endLocation: '41169 Vincenti Court, Novi',
        noOfBraking: 3,
        noOfAccelearation: 3,
        distractedDriving: '0',
        fuelCost: 10.4,
        fuelConsumption: 5.56,
      },
      {
        organizationName: 'Initech Solution',
        accountName: 'Initech - NJ',
        driverName: 'Deacon Dominguez',
        driverId: 1111,
        day: 'Tuesday',
        week: 1,
        month: 11,
        year: 2022,
        tripName: 'Trip - 2222',
        routeName: 'Route - 55',
        HOSViolation: -3.8,
        idlingDuration: 7,
        dwellDuration: 40,
        drivenHours: 1450,
        drivenMiles: 60,
        vehicleName: '2000-22',
        customerName: 'Chance Mathews',
        startLocation: '28 Kipp Road, Goshen',
        endLocation: 'Grand Street, Goshen',
        noOfBraking: '0',
        noOfAccelearation: '0',
        distractedDriving: '0',
        fuelCost: 5.2,
        fuelConsumption: 2.34,
      },
    ],
  },
};

const filterParams = {
  suppressAndOrCondition: true,
  buttons: ['reset', 'apply'],
  filterPlaceholder: 'Country...',
  comparator: (filterLocalDateAtMidnight: any, cellValue: any): any => {
    // console.log("FilterLocaleDate", filterLocalDateAtMidnight.getTime())
    // console.log("Cell value", cellValue)
    const dateAsString = cellValue;
    if (dateAsString == null) return -1;
    const dateParts = dateAsString.split(/[/ \s]/);
    // mm/dd/yyyy -> Ag grid format
    // dd/mm/yyyy -> Our format
    console.log('Date parts', dateParts);
    const cellDate = new Date(
      Number(dateParts[2]),
      Number(dateParts[0]) - 1,
      Number(dateParts[1])
    );
    if (filterLocalDateAtMidnight.getTime() === cellDate.getTime()) {
      return 0;
    }
    if (cellDate < filterLocalDateAtMidnight) {
      return -1;
    }
    if (cellDate > filterLocalDateAtMidnight) {
      return 1;
    }
  },
  browserDatePicker: true,
  minValidYear: 2000,
  inRangeInclusive: true,
};

export const REPORT_DATA_MOCK = {
  statusCode: 200,
  data: {
    configurations: {
      modifiedTime: null,
      columns: [
        {
          headerName: 'Organization Name',
          field: 'organizationName',
          filter: 'agTextColumnFilter',
          filterParams: {
            suppressAndOrCondition: true,
            buttons: ['reset', 'apply'],
          },
        },
        {
          headerName: 'Account Name',
          field: 'accountName',
        },
        {
          headerName: 'Driver Name',
          field: 'driverName',
        },
        {
          headerName: 'Driver Id',
          field: 'driverId',
          pivot: true,
        },
        {
          headerName: 'Date',
          field: 'date',
          filter: 'agDateColumnFilter',
          filterParams: filterParams,
        },

        {
          headerName: 'Trip Name',
          field: 'tripName',
        },
        {
          headerName: 'Rapid Acceleration',
          field: 'rapidAcceleration',
          cellRenderer: 'agSparklineCellRenderer',
          cellRendererParams: {
            sparklineOptions: {
              type: 'area',
              fill: 'rgba(216, 204, 235, 0.3)',
              line: {
                stroke: 'rgb(119,77,185)',
              },
              highlightStyle: {
                fill: 'rgb(143,185,77)',
              },
              axis: {
                stroke: 'rgb(204, 204, 235)',
              },
            } as AreaSparklineOptions,
          },
        },
        {
          headerName: 'Route Name',
          field: 'routeName',
          cellRendererParams: {
            fieldType: 'text',
            defaultIconUrl: 'local_shipping',
            defaultColor: 'gray',
            // defaultIconSize: 'xl',
          },
        },
        {
          headerName: 'HOS Violation(hrs)',
          field: 'HOSViolation',
          cellRendererParams: {
            fieldType: 'text',
            defaultColor: 'gray',
            defaultIconSize: 'xl',
            options: [
              {
                iconUrl: 'arrow_drop_up',
                colorExpression: `if(data.HOSViolation > 0 ){
                  return 'green'
                }`,
              },
              {
                iconUrl: 'arrow_drop_down',
                colorExpression: `if(data.HOSViolation < 0 ){
                  return 'red'
                }`,
              },
            ],
          },
        },
        {
          headerName: 'Idling Duration(min)',
          field: 'idlingDuration',
        },
        {
          headerName: 'Dwell Duration(min)',
          field: 'dwellDuration',
        },
        {
          headerName: 'Driven Hours(hrs)',
          field: 'drivenHours',
        },
        {
          headerName: 'Driven Miles(min)',
          field: 'drivenMiles',
        },
        {
          headerName: 'Driver Name',
          field: 'driverName',
        },
        {
          headerName: 'Vehicle Name',
          field: 'vehicleName',
        },
        {
          headerName: 'Start Location',
          field: 'startLocation',

          cellRendererParams: {
            fieldType: 'text',
            defaultIconUrl: 'location_on',
            defaultIconColor: 'gray',
          },
        },
        {
          headerName: 'End Location',
          field: 'endLocation',
          cellRendererParams: {
            fieldType: 'text',
            defaultIconUrl: 'location_on',
            defaultIconColor: 'gray',
          },
        },
        {
          headerName: 'Customer Name',
          field: 'customerName',
        },
        {
          headerName: '# Harsh Braking',
          field: 'noOfBraking',
        },
        {
          headerName: '# Harsh Acceleration',
          field: 'noOfAccelearation',
        },
        {
          headerName: 'Distracted Driving(min)',
          field: 'distractedDriving',
        },
        {
          headerName: 'Fuel Cost($)',
          field: 'fuelCost',
        },
        {
          headerName: 'Fuel Consumption(gallons)',
          field: 'fuelConsumption',
        },
      ],

      options: {
        sortable: true,
        filter: true,
        resizable: true,
        editable: false,
        floatingFilter: true,
        // rowSelection: 'multiple',
        showSideBar: false,
        hasPagination: true,
        paginationSize: 10,
        hasRangeSelection: false,
        hasRightClick: true,
        hasRowAction: true,
        hasRowGroupPanel: true,
        pivot: true,
      },
      createdTime: '2022-07-30T11:01:00.000Z',
      label: 'Entities',
      title: null,
      reportUUID: '500',
    },
    rowData: [
      // {
      //   "dateTime": '1668590297',
      //   "organizationName": "ACME Corporation",
      //   "accountName": "ACME - HQ",
      //   "driverName": "Brylee Shelton",
      //   "driverId": 202,
      //   "date": "11/10/2022 03:30 PM",
      //   "tripName": "Trip - 1111",
      //   "routeName": "Route - 53",
      //   "HOSViolation": 2.5,
      //   "idlingDuration": 5,
      //   "dwellDuration": 20,
      //   "drivenHours": 23.5,
      //   "drivenMiles": 50,
      //   "vehicleName": "1011-21",
      //   "customerName": "Layne Roach",
      //   "startLocation": "801 Broadway, Amityville",
      //   "endLocation": "Customer Location 1",
      //   "noOfBraking": 3,
      //   "noOfAccelearation": "0",
      //   "distractedDriving": 5,
      //   "fuelCost": 7.2,
      //   "fuelConsumption": 3.42,
      //   rapidAcceleration: [
      //     2,
      //     4,
      //     6,
      //     0, 1, 6, 2
      //   ],
      // },
      // {
      //   "organizationName": "ACME Corporation",
      //   "accountName": "ACME - HQ",
      //   "driverName": "Colton Yang",
      //   "driverId": 203,
      //   "date": "11/10/2022",
      //   "tripName": "Trip - 3000",
      //   "routeName": "Route - 35",
      //   "HOSViolation": 5,
      //   "idlingDuration": 12,
      //   "dwellDuration": 30,
      //   "drivenHours": 22,
      //   "drivenMiles": 35,
      //   "vehicleName": "2022-13",
      //   "customerName": "Jessie Summers",
      //   "startLocation": "801 Broadway, Amityville",
      //   "endLocation": "Summer's Delivery Shop",
      //   "noOfBraking": 2,
      //   "noOfAccelearation": 1,
      //   "distractedDriving": 2,
      //   "fuelCost": 9.4,
      //   "fuelConsumption": 4.65
      // },
      // {
      //   "organizationName": "ACME Corporation",
      //   "accountName": "ACME - North",
      //   "driverName": "Jenny Wolfe",
      //   "driverId": 205,
      //   "date": "11/10/2022",
      //   "tripName": "Trip - 3511",
      //   "routeName": "Route - 23",
      //   "HOSViolation": -3.5,
      //   "idlingDuration": 1,
      //   "dwellDuration": 50,
      //   "drivenHours": 20,
      //   "drivenMiles": 40,
      //   "vehicleName": "1015-20",
      //   "customerName": "Fabian Decker",
      //   "startLocation": "4070 Danceglen Drive, Colorado Springs",
      //   "endLocation": "Decker's Utility",
      //   "noOfBraking": 3,
      //   "noOfAccelearation": 1,
      //   "distractedDriving": "0",
      //   "fuelCost": 8.2,
      //   "fuelConsumption": 3.84
      // },
      // {
      //   "organizationName": "Initech Solution",
      //   "accountName": "Initech - NJ",
      //   "driverName": "Catalina Lara",
      //   "driverId": 1120,
      //   "date": "11/10/2022",
      //   "tripName": "Trip - 2111",
      //   "routeName": "Route - 54",
      //   "HOSViolation": -5,
      //   "idlingDuration": 15,
      //   "dwellDuration": 30,
      //   "drivenHours": 20,
      //   "drivenMiles": 33,
      //   "vehicleName": "1000-17",
      //   "customerName": "Jaylynn Hubbard",
      //   "startLocation": "4070 Danceglen Drive, Colorado Springs",
      //   "endLocation": "41169 Vincenti Court, Novi",
      //   "noOfBraking": 3,
      //   "noOfAccelearation": 3,
      //   "distractedDriving": "0",
      //   "fuelCost": 10.4,
      //   "fuelConsumption": 5.56
      // },
      // {
      //   "organizationName": "Initech Solution",
      //   "accountName": "Initech - NJ",
      //   "driverName": "Deacon Dominguez",
      //   "driverId": 1111,
      //   "date": "11/10/2022",
      //   "tripName": "Trip - 2222",
      //   "routeName": "Route - 55",
      //   "HOSViolation": -3.8,
      //   "idlingDuration": 7,
      //   "dwellDuration": 40,
      //   "drivenHours": 13,
      //   "drivenMiles": 60,
      //   "vehicleName": "2000-22",
      //   "customerName": "Chance Mathews",
      //   "startLocation": "28 Kipp Road, Goshen",
      //   "endLocation": "Grand Street, Goshen",
      //   "noOfBraking": "0",
      //   "noOfAccelearation": "0",
      //   "distractedDriving": "0",
      //   "fuelCost": 5.2,
      //   "fuelConsumption": 2.34
      // },
      // {
      //   "organizationName": "Initech Solution",
      //   "accountName": "Initech - Missouri",
      //   "driverName": "Robert Bay",
      //   "driverId": 1000,
      //   "date": "11/10/2022",
      //   "tripName": "Trip - 2000",
      //   "routeName": "Route -11",
      //   "HOSViolation": -5,
      //   "idlingDuration": "0",
      //   "dwellDuration": 50,
      //   "drivenHours": 15,
      //   "drivenMiles": 40,
      //   "vehicleName": "2000-23",
      //   "customerName": "Jaylah Marks",
      //   "startLocation": "801 Broadway, Amityville",
      //   "endLocation": "72 West Union Street, Wilkes-Barre",
      //   "noOfBraking": "0",
      //   "noOfAccelearation": 4,
      //   "distractedDriving": 2,
      //   "fuelCost": 8.2,
      //   "fuelConsumption": 4.6
      // },
      // {
      //   "organizationName": "Initech Solution",
      //   "accountName": "Initech - HQ",
      //   "driverName": "Ezio Bric",
      //   "driverId": 1186,
      //   "date": "11/10/2022",
      //   "tripName": "Trip - 4000",
      //   "routeName": "Route - 22",
      //   "HOSViolation": -3.8,
      //   "idlingDuration": "0",
      //   "dwellDuration": 30,
      //   "drivenHours": 21,
      //   "drivenMiles": 33,
      //   "vehicleName": "1111-11",
      //   "customerName": "Kimora Fischer",
      //   "startLocation": "801 Broadway, Amityville",
      //   "endLocation": "72 West Union Street, Wilkes-Barre",
      //   "noOfBraking": "0",
      //   "noOfAccelearation": 5,
      //   "distractedDriving": 4,
      //   "fuelCost": 7.2,
      //   "fuelConsumption": 3.8
      // },
      // {
      //   "organizationName": "Initech Solution",
      //   "accountName": "Initech - HQ",
      //   "driverName": "Isabelle Leitte",
      //   "driverId": 1176,
      //   "date": "11/10/2022",
      //   "tripName": "Trip - 3511",
      //   "routeName": "Route - 33",
      //   "HOSViolation": 5,
      //   "idlingDuration": "0",
      //   "dwellDuration": 40,
      //   "drivenHours": 11,
      //   "drivenMiles": 60,
      //   "vehicleName": "2011-11",
      //   "customerName": "Amari Bender",
      //   "startLocation": "4070 Danceglen Drive, Colorado Springs",
      //   "endLocation": "72 West Union Street, Wilkes-Barre",
      //   "noOfBraking": "0",
      //   "noOfAccelearation": "0",
      //   "distractedDriving": 5,
      //   "fuelCost": 8.9,
      //   "fuelConsumption": 4.5
      // },
      // {
      //   "organizationName": "ACME Corporation",
      //   "accountName": "ACME - HQ",
      //   "driverName": "Brylee Shelton",
      //   "driverId": 202,
      //   "date": "11/09/2022",
      //   "tripName": "Trip - 1099",
      //   "routeName": "Route - 53",
      //   "HOSViolation": -6,
      //   "idlingDuration": 12,
      //   "dwellDuration": 30,
      //   "drivenHours": 22,
      //   "drivenMiles": 35,
      //   "vehicleName": "1011-21",
      //   "customerName": "Layne Roach",
      //   "startLocation": "801 Broadway, Amityville",
      //   "endLocation": "Customer Location 1",
      //   "noOfBraking": 2,
      //   "noOfAccelearation": "0",
      //   "distractedDriving": 5,
      //   "fuelCost": 7.2,
      //   "fuelConsumption": 3.42
      // },
      // {
      //   "organizationName": "ACME Corporation",
      //   "accountName": "ACME - HQ",
      //   "driverName": "Colton Yang",
      //   "driverId": 203,
      //   "date": "11/09/2022",
      //   "tripName": "Trip - 1098",
      //   "routeName": "Route - 35",
      //   "HOSViolation": 8,
      //   "idlingDuration": 1,
      //   "dwellDuration": 50,
      //   "drivenHours": 23.5,
      //   "drivenMiles": 40,
      //   "vehicleName": "2022-13",
      //   "customerName": "Jessie Summers",
      //   "startLocation": "801 Broadway, Amityville",
      //   "endLocation": "Summer's Delivery Shop",
      //   "noOfBraking": 3,
      //   "noOfAccelearation": "0",
      //   "distractedDriving": 2,
      //   "fuelCost": 9.4,
      //   "fuelConsumption": 4.65
      // },
      // {
      //   "organizationName": "ACME Corporation",
      //   "accountName": "ACME - HQ",
      //   "driverName": "Colton Yang",
      //   "driverId": 203,
      //   "date": "11/09/2022",
      //   "tripName": "Trip - 2000",
      //   "routeName": "Route - 35",
      //   "HOSViolation": 2,
      //   "idlingDuration": 20,
      //   "dwellDuration": 30,
      //   "drivenHours": 21.4,
      //   "drivenMiles": 34,
      //   "vehicleName": "2022-13",
      //   "customerName": "Jessie Summers",
      //   "startLocation": "801 Broadway, Amityville",
      //   "endLocation": "Summer's Delivery Shop",
      //   "noOfBraking": 2,
      //   "noOfAccelearation": 4,
      //   "distractedDriving": 10,
      //   "fuelCost": 7.5,
      //   "fuelConsumption": 4.4
      // },
      // {
      //   "organizationName": "ACME Corporation",
      //   "accountName": "ACME - North",
      //   "driverName": "Jenny Wolfe",
      //   "driverId": 205,
      //   "date": "11/09/2022",
      //   "tripName": "Trip - 2000",
      //   "routeName": "Route - 24",
      //   "HOSViolation": -3.4,
      //   "idlingDuration": 4,
      //   "dwellDuration": 45,
      //   "drivenHours": 22,
      //   "drivenMiles": 50,
      //   "vehicleName": "1015-20",
      //   "customerName": "Fabian Decker",
      //   "startLocation": "4070 Danceglen Drive, Colorado Springs",
      //   "endLocation": "Decker's Utility",
      //   "noOfBraking": 2,
      //   "noOfAccelearation": "0",
      //   "distractedDriving": 1,
      //   "fuelCost": 11,
      //   "fuelConsumption": 5.7
      // },
      // {
      //   "organizationName": "Initech Solution",
      //   "accountName": "Initech - NJ",
      //   "driverName": "Catalina Lara",
      //   "driverId": 1120,
      //   "date": "11/09/2022",
      //   "tripName": "Trip - 2000",
      //   "routeName": "Route - 54",
      //   "HOSViolation": -5,
      //   "idlingDuration": 20,
      //   "dwellDuration": 15,
      //   "drivenHours": 21,
      //   "drivenMiles": 32,
      //   "vehicleName": "1000-17",
      //   "customerName": "Jaylynn Hubbard",
      //   "startLocation": "4070 Danceglen Drive, Colorado Springs",
      //   "endLocation": "41169 Vincenti Court, Novi",
      //   "noOfBraking": 3,
      //   "noOfAccelearation": 3,
      //   "distractedDriving": "0",
      //   "fuelCost": 10.4,
      //   "fuelConsumption": 5.56
      // },
      // {
      //   "organizationName": "Initech Solution",
      //   "accountName": "Initech - NJ",
      //   "driverName": "Deacon Dominguez",
      //   "driverId": 1111,
      //   "date": "11/09/2022",
      //   "tripName": "Trip - 2222",
      //   "routeName": "Route - 55",
      //   "HOSViolation": -6,
      //   "idlingDuration": 7,
      //   "dwellDuration": 40,
      //   "drivenHours": 13,
      //   "drivenMiles": 60,
      //   "vehicleName": "2000-22",
      //   "customerName": "Chance Mathews",
      //   "startLocation": "28 Kipp Road, Goshen",
      //   "endLocation": "Grand Street, Goshen",
      //   "noOfBraking": "0",
      //   "noOfAccelearation": "0",
      //   "distractedDriving": "0",
      //   "fuelCost": 5.2,
      //   "fuelConsumption": 2.34
      // },
      // {
      //   "organizationName": "Initech Solution",
      //   "accountName": "Initech - Missouri",
      //   "driverName": "Robert Bay",
      //   "driverId": 1000,
      //   "date": "11/09/2022",
      //   "tripName": "Trip - 2000",
      //   "routeName": "Route -11",
      //   "HOSViolation": -5,
      //   "idlingDuration": "0",
      //   "dwellDuration": 50,
      //   "drivenHours": 15,
      //   "drivenMiles": 40,
      //   "vehicleName": "2000-23",
      //   "customerName": "Jaylah Marks",
      //   "startLocation": "801 Broadway, Amityville",
      //   "endLocation": "72 West Union Street, Wilkes-Barre",
      //   "noOfBraking": "0",
      //   "noOfAccelearation": 4,
      //   "distractedDriving": 2,
      //   "fuelCost": 11.5,
      //   "fuelConsumption": 5.7
      // },
      // {
      //   "organizationName": "Initech Solution",
      //   "accountName": "Initech - HQ",
      //   "driverName": "Ezio Bric",
      //   "driverId": 1186,
      //   "date": "11/09/2022",
      //   "tripName": "Trip - 3000",
      //   "routeName": "Route - 22",
      //   "HOSViolation": -3.8,
      //   "idlingDuration": "0",
      //   "dwellDuration": 30,
      //   "drivenHours": 21,
      //   "drivenMiles": 33,
      //   "vehicleName": "1111-11",
      //   "customerName": "Kimora Fischer",
      //   "startLocation": "801 Broadway, Amityville",
      //   "endLocation": "72 West Union Street, Wilkes-Barre",
      //   "noOfBraking": "0",
      //   "noOfAccelearation": 5,
      //   "distractedDriving": 4,
      //   "fuelCost": 7.2,
      //   "fuelConsumption": 3.8
      // },
      // {
      //   "organizationName": "Initech Solution",
      //   "accountName": "Initech - HQ",
      //   "driverName": "Isabelle Leitte",
      //   "driverId": 1176,
      //   "date": "11/09/2022",
      //   "tripName": "Trip - 2022",
      //   "routeName": "Route - 33",
      //   "HOSViolation": 5,
      //   "idlingDuration": "0",
      //   "dwellDuration": 40,
      //   "drivenHours": 11,
      //   "drivenMiles": 60,
      //   "vehicleName": "2011-11",
      //   "customerName": "Amari Bender",
      //   "startLocation": "4070 Danceglen Drive, Colorado Springs",
      //   "endLocation": "72 West Union Street, Wilkes-Barre",
      //   "noOfBraking": "0",
      //   "noOfAccelearation": "0",
      //   "distractedDriving": 5,
      //   "fuelCost": 8.9,
      //   "fuelConsumption": 4.5
      // },
      // {
      //   "organizationName": "ACME Corporation",
      //   "accountName": "ACME - HQ",
      //   "driverName": "Brylee Shelton",
      //   "driverId": 202,
      //   "date": "11/09/2022",
      //   "tripName": "Trip - 1002",
      //   "routeName": "Route - 53",
      //   "HOSViolation": -50,
      //   "idlingDuration": 20,
      //   "dwellDuration": 30,
      //   "drivenHours": 20,
      //   "drivenMiles": 45,
      //   "vehicleName": "1011-21",
      //   "customerName": "Layne Roach",
      //   "startLocation": "801 Broadway, Amityville",
      //   "endLocation": "Customer Location 1",
      //   "noOfBraking": "0",
      //   "noOfAccelearation": "0",
      //   "distractedDriving": 10,
      //   "fuelCost": 7.2,
      //   "fuelConsumption": 3.6
      // }
    ],
  },
};

export const VEHICLE_STATUS_DATA_MOCK = {
  statusCode: 200,
  data: {
    configurations: {
      name: 'vehicleStatusDataGrid',
      modifiedTime: null,
      columns: [
        // {
        //   headerName: 'Date & Time',
        //   field: 'dateTime',
        //   filter: 'agDateColumnFilter',

        //   valueFormatter: (data: any) => {
        //     console.log("Date value", new Date(data.value))
        //     const date = new Date(data.value).getDate();
        //     const month = new Date(data.value).getMonth() + 1;
        //     const year = new Date(data.value).getFullYear();
        //     const hour = new Date(data.value).getHours();
        //     const minutes = new Date(data.value).getMinutes();

        //     const dateFormat = month + '/' + date + '/' + year
        //     const value = new Date(data.value).toDateString();

        //     return data.value ? month + '/' + date + '/' + year : '';
        //   },
        //   filterParams: {
        //     suppressAndOrCondition: true,
        //     buttons: ['reset', 'apply'],
        //   },
        // },

        {
          headerName: 'Vehicle Name',
          field: 'vehicleName',
          width: 220,
          lockVisible: true,
          cellRendererParams: {
            fieldType: 'title',
            defaultIconType1: 'visibility',
            defaultIconType2: 'videocam',
            iconColor: 'gray',
            isLink: true,
            link: {
              field: 'vehicleName',
              url: '/status',
              style: 'underlined',
            },
          },
          filter: 'agTextColumnFilter',
          filterParams: {
            suppressAndOrCondition: true,
            buttons: ['reset', 'apply'],
          },
        },
        {
          headerName: 'Organization Name',
          field: 'organizationName',
          width: 180,
          filter: 'agTextColumnFilter',
          filterParams: {
            suppressAndOrCondition: true,
            buttons: ['reset', 'apply'],
          },
          // cellRendererParams: {
          //   fieldType: 'label',
          //   defaultColor: 'gray',
          //   options: [
          //     {
          //       label: 'ACME Corporation',
          //       value: 'ACME Corporation',
          //       color: 'pink'
          //     },
          //     {
          //       label: 'Initech Solution',
          //       value: 'Initech Solution',
          //       color: 'orange'
          //     },
          //     {
          //       label: 'Jacobson Inc',
          //       value: 'Jacobson Inc',
          //       color: 'violet'
          //     }, {
          //       label: 'Schowalter LLC',
          //       value: 'Schowalter LLC',
          //       color: 'blue'
          //     }, {
          //       label: 'Lakin Group',
          //       value: 'Lakin Group',
          //       color: 'red'
          //     }, {
          //       label: 'Nolan-Nicolas',
          //       value: 'Nolan-Nicolas',
          //       color: 'green'
          //     }
          //   ]

          // }
        },
        {
          headerName: 'Account Name',
          field: 'accountName',
          width: 150,
          // cellRendererParams: {
          //   fieldType: 'label',
          //   defaultColor: 'gray',
          //   options: [
          //     {
          //       label: 'ACME - HQ',
          //       value: 'ACME - HQ',
          //       color: 'blue'
          //     },
          //     {
          //       label: 'ACME - North',
          //       value: 'ACME - North',
          //       color: 'blue'
          //     },
          //     {
          //       label: 'Initech - NJ',
          //       value: 'Initech - NJ',
          //       color: 'gray'
          //     },
          //     {
          //       label: 'Initech - Missouri',
          //       value: 'Initech - Missouri',
          //       color: 'violet'
          //     }, {
          //       label: 'Initech - HQ',
          //       value: 'Initech - HQ',
          //       color: 'red'
          //     }, {
          //       label: 'Jacobson - HQ',
          //       value: 'Jacobson - HQ',
          //       color: 'blue'
          //     }, {
          //       label: 'Schowalter - HQ',
          //       value: 'Schowalter - HQ',
          //       color: 'blue'
          //     }, {
          //       label: 'Lakin - HQ',
          //       value: 'Lakin - HQ',
          //       color: 'orange'
          //     }, {
          //       label: 'Lakin - South',
          //       value: 'Lakin - South',
          //       color: 'pink'
          //     }, {
          //       label: 'Lakin - North',
          //       value: 'Lakin - North',
          //       color: 'gray'
          //     }, {
          //       label: 'NN-HQ',
          //       value: 'NN-HQ',
          //       color: 'violet'
          //     },
          //   ]
          // }
        },
        {
          headerName: 'Capacity',
          field: 'capacity',
          valueFormatter: (params: any) => {
            return params?.value ? params.value + ' gallons' : '';
          },
        },
        {
          headerName: 'Volume Change',
          field: 'volumeChange',
          valueFormatter: (params: any) => {
            return params.value + ' gallons';
          },
          cellRendererParams: {
            fieldType: 'text',
            colorExpression: `if(data?.volumeChange > 0  && data?.volumeChange <= 10){
              return 'red'
            }else if(data?.volumeChange > 10  && data?.volumeChange <= 20){
              return 'green'
            }else if(data?.volumeChange > 20  && data?.volumeChange <= 30){
              return 'pink'
            }else{
              return 'blue'
            }`,
          },
        },
        {
          headerName: 'LLLast Reported Time',
          field: 'lastReportedTime',
          sortable: true,
          cellRenderer: (data: any) => {
            // const value = new Date(data.value);
            // const xvalue = value.toLocaleDateString('MM/DD/YYYY HH:mm');
            // console.log('Data.value', xvalue);
            // return data.value ? new Date(data.value).toLocaleString() : '';
            return data.value;
          },
          //   cellRendererParams: {
          //     fieldType: 'text',
          //     defaultIconUrl: 'circle',
          //     // defaultIconColor: 'green',
          //     colorExpressionOption: 'iconUrl',
          //     colorExpression: `if(data.reportingStatus.toUpperCase() === 'REPORTING')
          // return 'green'
          // else
          // return 'red'`,
          //   },
        },
        {
          headerName: 'Tank Level',
          field: 'tankLevel',
          valueFormatter: (params: any) => {
            return params?.value ? params.value + ' inches' : '';
          },
          cellRendererParams: {
            fieldType: 'text',
            defaultIconUrl: 'water_drop',
            defaultIconColor: 'orange',
          },
        },
        {
          headerName: 'Group Icon',
          field: 'groupIcon',
          cellRendererParams: {
            fieldType: 'iconGroup',
          },
        },
        {
          headerName: 'Vehicle Type',
          field: 'vehicleType',
          width: 150,
          // cellRendererParams: {
          //   fieldType: 'label',
          //   defaultColor: 'gray',
          //   options: [
          //     {
          //       label: 'Truck',
          //       value: 'Truck',
          //       color: 'blue'
          //     },
          //     {
          //       label: 'Car',
          //       value: 'car',
          //       color: 'orange'
          //     },
          //     {
          //       label: 'Trailer',
          //       value: 'Trailer',
          //       color: 'violet'
          //     }
          //   ]
          // }
        },
        {
          headerName: 'VIN',
          field: 'vin',
          hide: true,
          width: 150,
        },

        {
          headerName: 'Reporting Status ',
          field: 'reportingStatus',
          width: 170,
          cellRendererParams: {
            fieldType: 'label',
            options: [
              {
                label: 'Reporting',
                value: 'reporting',
                color: 'green',
              },
              {
                label: 'Not Reporting',
                value: 'not reporting',
                color: 'red',
              },
            ],
          },
        },
        // {
        //   headerName: 'Last Reported Time',
        //   field: 'lastReportedTime',
        //   width: 180,
        //   type: 'date',
        //   filter: 'agDateColumnFilter',
        //   filterParams: filterParams,
        //   cellRenderer: (data: any) => {
        //     // console.log(
        //     //   'Data.value',
        //     //   new Date(data.value).toLocaleDateString()
        //     // );
        //     return data.value ? new Date(data.value).toLocaleDateString() : '';
        //   },

        //   // filterParams: {
        //   //   suppressAndOrCondition: true,
        //   //   buttons: ['reset', 'apply'],
        //   // },
        // },
        {
          headerName: 'Vehicle Status',
          field: 'vehicleStatus',
          width: 150,
          cellRendererParams: {
            fieldType: 'text',
            options: [
              {
                label: 'Moving',
                value: 'moving',
                iconUrl: 'circle',
                iconColor: 'green',
              },
              {
                label: 'Stopped',
                value: 'Stopped',
                iconUrl: 'circle',
                iconColor: 'orange',
              },
              {
                label: 'Parked',
                value: 'parked',
                iconUrl: 'circle',
                iconColor: 'red',
              },
            ],
          },
        },
        {
          headerName: 'Event Type',
          field: 'eventType',
          width: 150,
          cellRendererParams: {
            fieldType: 'label',
            options: [
              {
                label: 'Harsh Acceleration',
                value: 'Harsh Acceleration',
                color: 'brown',
              },
              {
                label: 'Lane Departure Warning',
                value: 'Lane Departure Warning',
                color: 'brown',
              },
              {
                label: 'Harsh Brake',
                value: 'Harsh Brake',
                color: 'orange',
              },
              {
                label: 'Hard Right Turn',
                value: 'Hard Right Turn',
                color: 'red',
              },
              {
                label: 'Hard Left Turn',
                value: 'Hard Left Turn',
                color: 'red',
              },
              {
                label: 'Driver distracted',
                value: 'Driver distracted',
                color: 'pink',
              },
              {
                label: 'Speeding',
                value: 'Speeding',
                color: 'gray',
              },
              {
                label: 'Idling',
                value: 'Idling',
                color: 'black',
              },
              {
                label: 'Ignition Off',
                value: 'Ignition Off',
                color: 'blue',
              },
              {
                label: 'Driver Fatigue',
                value: 'Driver Fatigue',
                color: 'indianred',
              },
              {
                label: 'Driver Smoking',
                value: 'Driver Smoking',
                color: 'indianred',
              },
            ],
          },
        },
        {
          headerName: 'Camera Status ',
          field: 'cameraStatus',
          width: 150,
          cellRendererParams: {
            fieldType: 'text',
            options: [
              {
                label: 'ACTIVE',
                value: 'Active',
                color: 'green',
              },
              {
                label: 'INACTIVE',
                value: 'Inactive',
                color: 'red',
              },
            ],
          },
        },
        {
          headerName: 'Odometer(mi)',
          field: 'odometer',
          width: 150,
          valueFormatter: (params: any) => {
            return params.value
              ? String(params?.value)?.replace(/(\d)(?=(\d{3})+(?!\d))/g, ',')
              : '';
          },
        },
        {
          headerName: 'Location',
          field: 'location',
          width: 200,
          cellRendererParams: {
            fieldType: 'text',
            defaultIconUrl: 'place_on',
            defaultIconColor: 'gray',
          },
        },
        {
          headerName: 'Trip Id',
          field: 'tripId',
          width: 100,
        },
        {
          headerName: 'Route Id',
          field: 'routeId',
          hide: true,
          width: 100,
        },
        {
          headerName: 'Driver Name',
          field: 'driverName',
          width: 150,
        },
        {
          headerName: 'Dwell Duration(min)',
          field: 'dwellDuration',
          width: 200,
        },
        {
          headerName: 'Speed(mph)',
          field: 'speed',
          width: 140,
        },

        {
          headerName: 'Start Location',
          field: 'startLocation',
          width: 200,
          cellRendererParams: {
            fieldType: 'text',
            defaultIconUrl: 'place_on',
            defaultIconColor: 'gray',
          },
        },
        {
          headerName: 'End Location',
          field: 'endLocation',
          width: 200,
          hide: true,
          cellRendererParams: {
            fieldType: 'text',
            defaultIconUrl: 'place_on',
            defaultIconColor: 'gray',
          },
        },
        {
          headerName: 'Start Odometer(mi)',
          field: 'startOdometer',
          width: 180,
        },
        {
          headerName: 'End Odometer(mi)',
          field: 'endOdometer',
          width: 180,
          hide: true,
        },
        {
          headerName: 'Distance Driven(mi)',
          field: 'distanceDriven',
          width: 200,
        },
        {
          headerName: 'Driven Time(min)',
          field: 'drivenTime',
          width: 150,
        },
        {
          headerName: 'Battery Status',
          field: 'batteryStatus',
          width: 160,
          cellRendererParams: {
            fieldType: 'text',
            options: [
              {
                label: 'LOW',
                value: 'low',
                iconUrl: 'battery_3_bar',
                iconColor: 'red',
              },
              {
                label: 'NORMAL',
                value: 'normal',
                iconUrl: 'battery_3_bar',
                iconColor: 'gray',
              },
            ],
          },
        },

        {
          headerName: 'Maintenance Status',
          field: 'maintenanceStatus',
          cellRendererParams: {
            fieldType: 'text',
            width: 160,
            options: [
              {
                label: 'OVERDUE',
                value: 'overdue',
                iconUrl: 'construction',
                iconColor: 'red',
              },
              {
                label: 'DUE SOON',
                value: 'due soon',
                iconUrl: 'construction',
                iconColor: 'yellow',
              },
              {
                label: 'DUE',
                value: 'due',
                iconUrl: 'construction',
                iconColor: 'orange',
              },
              {
                label: 'OK',
                value: 'ok',
                iconUrl: 'construction',
                iconColor: 'green',
              },
            ],
          },
        },
        {
          headerName: 'DTC',
          field: 'dtcStatus',
          width: 160,
          cellRendererParams: {
            fieldType: 'text',
            options: [
              {
                label: 'OK',
                value: 'ok',
                iconUrl: 'error',
                iconColor: 'gray',
              },
              {
                label: 'ACTIVE DTCs',
                value: 'Active DTCs',
                width: 160,
                iconUrl: 'error',
                iconColor: 'red',
              },
            ],
          },
        },
        {
          headerName: 'Check Engine Status',
          field: 'checkEngineStatus',
          cellRendererParams: {
            fieldType: 'text',
            options: [
              {
                label: 'OK',
                value: 'ok',
                iconUrl: 'error',
                iconColor: 'gray',
              },
              {
                label: 'MIL ON',
                value: 'MIL On',
                iconUrl: 'error',
                iconColor: 'red',
              },
            ],
          },
        },
        {
          headerName: 'Camera Id',
          field: 'cameraId',
          hide: true,
        },
        {
          headerName: 'Action',
          field: 'action',
          cellRendererParams: {
            fieldType: 'action',
            showLabel: false,
            stroked: false,
            columnData: false,
            options: [
              {
                label: 'Send Command',
                targetUrl: '/tank-history',
                visible: true,
                clickable: true,
                type: Model.MenuType.Link,
                iconUrl: 'layers',
                configApiUrl: '',
                apiUrl: '',
                hasSubMenu: false,
              },
              {
                label: 'Change Tank Name',
                targetUrl: '/netusage',
                visible: true,
                clickable: true,
                type: Model.MenuType.Link,
                iconUrl: 'edit',
                configApiUrl: '',
                apiUrl: '',
                hasSubMenu: false,
              },
              {
                label: 'Change Tank Image',
                targetUrl: '/fill',
                visible: true,
                clickable: true,
                type: Model.MenuType.Link,
                iconUrl: 'add_photo_alternate',
                configApiUrl: '',
                apiUrl: '',
                hasSubMenu: false,
              },
              {
                label: 'Change Tank Settings',
                targetUrl: '/fill',
                visible: true,
                clickable: true,
                type: Model.MenuType.Link,
                iconUrl: 'settings',
                configApiUrl: '',
                apiUrl: '',
                hasSubMenu: false,
                isPrimaryAction: false,
              },
              {
                label: 'Change Target Injection Rate',
                targetUrl: '/fill',
                visible: true,
                clickable: true,
                type: Model.MenuType.Link,
                iconUrl: 'filter_center_focus',
                configApiUrl: '',
                apiUrl: '',
                hasSubMenu: false,
              },
              {
                label: 'Change Refill Point',
                targetUrl: '/fill',
                visible: true,
                clickable: true,
                type: Model.MenuType.Link,
                iconUrl: 'layers',
                configApiUrl: '',
                apiUrl: '',
                hasSubMenu: false,
              },
              {
                label: 'Poll Location',
                targetUrl: '/fill',
                visible: true,
                clickable: true,
                type: Model.MenuType.Link,
                iconUrl: 'add_location_alt',
                configApiUrl: '',
                apiUrl: '',
                hasSubMenu: false,
              },
            ],
          },
        },
      ],

      options: {
        sortable: true,
        filter: true,
        resizable: true,
        editable: false,
        floatingFilter: true,
        // rowSelection: 'multiple',
        showSideBar: false,
        hasPagination: true,
        paginationSize: 10,
        hasRangeSelection: false,
        hasRightClick: true,
        hasRowAction: true,
        hasRowGroupPanel: true,
        pivot: true,
      },
      createdTime: '2022-07-30T11:01:00.000Z',
      label: 'Entities',
      title: null,
      reportUUID: '500',
    },
    rowData: [
      {
        // "dateTime": 1668594283,
        volumeChange: 1,
        capacity: 6326.92,
        tankLevel: 3434.08,
        tankLevelStatus: 'On',
        reefer: 'On',

        vehicleName: '1011-21 TRUCK',
        organizationName: 'ACME Corporation',
        accountName: 'ACME - HQ',
        vehicleType: 'Truck',
        vin: '2HNYD188X3H494045',
        reportingStatus: 'Reporting',
        lastReportedTime: 1674734544000,
        vehicleStatus: 'Moving',
        eventType: 'Idling',
        cameraStatus: 'Active',
        odometer: 29762,
        location: '801 Broadway, Amityville',
        tripId: 'Trip - 1111',
        routeId: 'Route - 53',
        driverName: 'Jordan Nash',
        startLocation: '801 Broadway, Amityville',
        startOdometer: 29720,
        distanceDriven: 42,
        drivenTime: 1200,
        dwellDuration: 0,
        speed: 34,
        maintenanceStatus: 'Ok',
        serviceCount: 14,
        batteryStatus: 'Normal',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '773415545-6',
        action: true,
      },
      {
        volumeChange: 20,
        capacity: 5547.91,
        tankLevel: 59.89,

        tankLevelStatus: 'off',

        vehicleName: '2022-13 TRUCK',
        organizationName: 'ACME Corporation',
        accountName: 'ACME - HQ',
        vehicleType: 'Truck',
        vin: 'WBABW53446P890695',
        reportingStatus: 'Reporting',
        lastReportedTime: 1673681694000,
        vehicleStatus: 'Moving',
        eventType: 'Harsh Acceleration',
        cameraStatus: 'Active',
        odometer: 38436,
        location: '3,Columbus Center,NY',
        tripId: 'Trip - 3000',
        routeId: 'Route - 35',
        driverName: 'Riya Ryan',
        startLocation: '4,Hudson Road,NY',
        startOdometer: 38400,
        distanceDriven: 36,
        drivenTime: 1800,
        dwellDuration: 0,
        speed: 80,
        maintenanceStatus: 'Due',
        serviceCount: 4,
        batteryStatus: 'Normal',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '695641873-8',
        action: true,
      },
      {
        volumeChange: 15,
        capacity: 1028.16,
        tankLevel: 270.51,
        tankLevelStatus: 'off',

        vehicleName: '1015-20 RSX',
        organizationName: 'ACME Corporation',
        accountName: 'ACME - North',
        vehicleType: 'Car',
        vin: '1FMCU4K36CK301888',
        reportingStatus: 'Reporting',
        lastReportedTime: 1672992167000,
        vehicleStatus: 'Moving',
        eventType: 'Lane Departure Warning',
        cameraStatus: 'Active',
        odometer: 32354,
        location: '517,Harper Point,NJ',
        tripId: 'Trip - 3511',
        routeId: 'Route - 23',
        driverName: 'Gregory Benjamin',
        startLocation: '175,3rd Terrace,NY',
        startOdometer: 32320,
        distanceDriven: 34,
        drivenTime: 3000,
        dwellDuration: 0,
        speed: 70,
        maintenanceStatus: 'Overdue',
        serviceCount: 3,
        batteryStatus: 'Normal',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '496053933-X',
        action: true,
      },
      {
        capacity: 11456.63,
        volumeChange: 30,
        tankLevel: 129.06,
        tankLevelStatus: 'off',

        vehicleName: '1000-17 TRAVIS',
        organizationName: 'Initech Solution',
        accountName: 'Initech - NJ',
        vehicleType: 'Truck',
        vin: '3N1BC1CP8CK879309',
        reportingStatus: 'Reporting',
        lastReportedTime: 1672992161000,
        vehicleStatus: 'Parked',
        eventType: 'Ignition Off',
        cameraStatus: 'Active',
        odometer: 37129,
        location: 'Warehouse 11',
        tripId: '-',
        routeId: '-',
        driverName: 'Aiden Ortiz',
        startLocation: '-',
        startOdometer: '-',
        distanceDriven: '-',
        drivenTime: '-',
        dwellDuration: 20,
        speed: '-',
        maintenanceStatus: 'Overdue',
        serviceCount: 4,
        batteryStatus: 'Low',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '725867061-0',
        action: true,
      },
      {
        capacity: 11456.63,
        volumeChange: 40,
        tankLevel: 46.9,

        action: true,
        vehicleName: '2000-22 TRAVIS',
        organizationName: 'Initech Solution',
        accountName: 'Initech - NJ',
        vehicleType: 'Trailer',
        vin: '1FMEU6DE7AU313178',
        reportingStatus: 'Reporting',
        lastReportedTime: 1672992125000,
        vehicleStatus: 'Stopped',
        eventType: 'Driver Smoking',
        cameraStatus: 'Active',
        odometer: 34404,
        location: 'Warehouse 30',
        tankLevelStatus: 'off',

        tripId: '-',
        routeId: '-',
        driverName: 'Brylee Shelton',
        startLocation: '-',
        startOdometer: '-',
        distanceDriven: '-',
        drivenTime: '-',
        dwellDuration: 40,
        speed: '-',
        maintenanceStatus: 'Due',
        serviceCount: 5,
        batteryStatus: 'Low',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '795327458-2',
      },
      {
        capacity: 158.1,
        volumeChange: 70,
        tankLevel: 144.98,

        vehicleName: '2000-23 NATE DEWEY',
        organizationName: 'Initech Solution',
        accountName: 'Initech - Missouri',
        vehicleType: 'Truck',
        vin: '3C63DPJL8CG848458',
        reportingStatus: 'Reporting',
        lastReportedTime: '11/10/2022 05:00 PM',
        vehicleStatus: 'Moving',
        eventType: 'Driver Fatigue',
        cameraStatus: 'Active',
        odometer: 37118,
        location: '6,Prentice Avenue,NJ',
        tripId: 'Trip - 2000',
        routeId: 'Route -11',
        driverName: 'Colton Yang',
        startLocation: '73,Saint Paul Parkway,NJ',
        startOdometer: 37080,
        distanceDriven: 32,
        drivenTime: 3200,
        dwellDuration: 0,
        speed: 56,
        maintenanceStatus: 'Ok',
        serviceCount: 17,
        batteryStatus: 'Normal',
        dtcStatus: 'Active DTCs',
        checkEngineStatus: 'MIL On',
        cameraId: '642959570-6',
        action: true,
      },

      {
        capacity: 6615.04,
        volumeChange: 3,
        tankLevel: 153.65,

        vehicleName: '11-1111 BUDDY',
        organizationName: 'Initech Solution',
        accountName: 'Initech - HQ',
        vehicleType: 'Truck',
        vin: 'YV4952CT7E1223130',
        reportingStatus: 'Reporting',
        lastReportedTime: '11/10/2022 08:30 AM',
        vehicleStatus: 'Moving',
        eventType: 'Harsh Brake',
        cameraStatus: 'Active',
        odometer: 35802,
        location: '60,Sachs Drive,NJ',
        tripId: 'Trip - 4000',
        routeId: 'Route - 22',
        driverName: 'Jenny Wolfe',
        startLocation: '49,Fulton Court,NJ',
        startOdometer: 35702,
        distanceDriven: 48,
        drivenTime: 1800,
        dwellDuration: 0,
        speed: 89,
        maintenanceStatus: 'Ok',
        serviceCount: 20,
        batteryStatus: 'Normal',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '623628836-4',
        action: true,
      },
      {
        capacity: 1175.81,
        volumeChange: 16,
        tankLevel: 148.09,

        vehicleName: '2011-78 LUTZ',
        organizationName: 'Jacobson Inc',
        accountName: 'Jacobson - HQ',
        vehicleType: 'Truck',
        vin: ' 1BAKACPH2HF325044',
        reportingStatus: 'Not Reporting',
        lastReportedTime: '11/10/2022 08:30 AM',
        vehicleStatus: 'Parked',
        eventType: 'Ignition Off',
        cameraStatus: 'Inactive',
        odometer: 32066,
        location: 'Warehouse 20',
        tripId: '-',
        routeId: '-',
        driverName: 'Catalina Lara',
        startLocation: '-',
        startOdometer: '-',
        distanceDriven: '-',
        drivenTime: '-',
        dwellDuration: 56,
        speed: '-',
        maintenanceStatus: 'Ok',
        serviceCount: 15,
        batteryStatus: 'Normal',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '876323249-9',
        action: true,
      },
      {
        capacity: 1013.47,
        volumeChange: 19,
        tankLevel: 234.81,

        vehicleName: '2011-02 LUTZ',
        organizationName: 'Jacobson Inc',
        accountName: 'Jacobson - HQ',
        vehicleType: 'Truck',
        vin: '1BAKJCBH7KF357664',
        reportingStatus: 'Reporting',
        lastReportedTime: '11/09/2022 09:45 AM',
        vehicleStatus: 'Moving',
        eventType: 'Speeding',
        cameraStatus: 'Active',
        odometer: 34787,
        location: '655,Boyd Hill,NJ',
        tripId: 'Trip - 3456',
        routeId: 'Route - 67',
        driverName: 'Deacon Dominguez',
        startLocation: '07,Gale Drive,NY',
        startOdometer: 37163,
        distanceDriven: 45,
        drivenTime: 2700,
        dwellDuration: 0,
        speed: 80,
        maintenanceStatus: 'Ok',
        serviceCount: 15,
        batteryStatus: 'Normal',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '460041362-8',
        action: true,
      },
      {
        capacity: 13234.75,
        volumeChange: 8,
        tankLevel: 112.93,

        vehicleName: '3000-01 SHILLINGER',
        organizationName: 'Schowalter LLC',
        accountName: 'Schowalter - HQ',
        vehicleType: 'Truck',
        vin: '1BAKGCEA7KF349965',
        reportingStatus: 'Reporting',
        lastReportedTime: '11/09/2022 08:45 AM',
        vehicleStatus: 'Moving',
        eventType: 'Idling',
        cameraStatus: 'Active',
        odometer: 30230,
        location: '3,Ludington Alley,NJ',
        tripId: 'Trip -3452',
        routeId: 'Route - 08',
        driverName: 'Jaylah Marks',
        startLocation: '2,Tennessee Court,NJ',
        startOdometer: 35869,
        distanceDriven: 67,
        drivenTime: 1400,
        dwellDuration: 0,
        speed: 90,
        maintenanceStatus: 'Due Soon',
        serviceCount: 5,
        batteryStatus: 'Normal',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '834991289-8',
        action: true,
      },
      {
        capacity: 2176.0,
        volumeChange: 3,
        tankLevel: 131.52,
        vehicleName: '3000-02 RON',
        organizationName: 'Schowalter LLC',
        accountName: 'Schowalter - HQ',
        vehicleType: 'Truck',
        vin: '1BAKGCBA7LF358297',
        reportingStatus: 'Reporting',
        lastReportedTime: '11/09/2022 09:56 AM',
        vehicleStatus: 'Moving',
        eventType: 'Driver Fatigue',
        cameraStatus: 'Active',
        odometer: 37622,
        location: '968,Armistice Plaza,NY',
        tripId: 'Trip -1002',
        routeId: 'Route - 09',
        driverName: 'Kimora Fischer',
        startLocation: '74,Hazelcrest Pass,NY',
        startOdometer: 32146,
        distanceDriven: 70,
        drivenTime: 1300,
        dwellDuration: 0,
        speed: 87,
        maintenanceStatus: 'Ok',
        serviceCount: 12,
        batteryStatus: 'Normal',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '767167939-9',
        action: true,
      },
      {
        capacity: 7109.0,
        volumeChange: 16,
        tankLevel: 74.46,

        vehicleName: '3000-03 RSX',
        organizationName: 'Schowalter LLC',
        accountName: 'Schowalter - HQ',
        vehicleType: 'Car',
        vin: '1BAKGCBAXLF357631',
        reportingStatus: 'Reporting',
        lastReportedTime: '11/09/2022 04:54 AM',
        vehicleStatus: 'Moving',
        eventType: 'Driver distracted',
        cameraStatus: 'Active',
        odometer: 35687,
        location: '529,Raven Circle,NJ',
        tripId: 'Trip -1009',
        routeId: 'Route - 65',
        driverName: 'Amari Bender',
        startLocation: '968,Armistice Plaza,NY',
        startOdometer: 34829,
        distanceDriven: 32,
        drivenTime: 1200,
        dwellDuration: 0,
        speed: 98,
        maintenanceStatus: 'Ok',
        serviceCount: 11,
        batteryStatus: 'Normal',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '063472789-3',
        action: true,
      },
      {
        capacity: 9999.99,
        volumeChange: 3,
        tankLevel: 59.62,

        vehicleName: '4000-01 TRAVIS',
        organizationName: 'Lakin Group',
        accountName: 'Lakin - HQ',
        vehicleType: 'Truck',
        vin: '1BABMCPA69F262204',
        reportingStatus: 'Reporting',
        lastReportedTime: '11/09/2022 08:34 AM',
        vehicleStatus: 'Moving',
        eventType: 'Speeding',
        cameraStatus: 'Active',
        odometer: 35496,
        location: '49,Fulton Court,NJ',
        tripId: 'Trip - 3004',
        routeId: 'Route - 09',
        driverName: 'Noe Cooper',
        startLocation: '529,Raven Circle,NJ',
        startOdometer: 30307,
        distanceDriven: 67,
        drivenTime: 1100,
        dwellDuration: 0,
        speed: 86,
        maintenanceStatus: 'Ok',
        serviceCount: 10,
        batteryStatus: 'Normal',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '501672452-0',
        action: true,
      },
      {
        capacity: 10846.16,
        volumeChange: 12,
        tankLevel: 1463.88,

        vehicleName: '4000-02 BUDDY',
        organizationName: 'Lakin Group',
        accountName: 'Lakin - South',
        vehicleType: 'Trailer',
        vin: '1BAADCPA14F213285',
        reportingStatus: 'Reporting',
        lastReportedTime: '11/08/2022 09:45 AM',
        vehicleStatus: 'Moving',
        eventType: 'Hard Right Turn',
        cameraStatus: 'Active',
        odometer: 37475,
        location: '2,David Circle,NJ',
        tripId: 'Trip - 2006',
        routeId: 'Route -10',
        driverName: 'Joy Santiago',
        startLocation: '473,Saint Paul Parkway,NJ',
        startOdometer: 37675,
        distanceDriven: 43,
        drivenTime: 1290,
        dwellDuration: 0,
        speed: 67,
        maintenanceStatus: 'Ok',
        serviceCount: 9,
        batteryStatus: 'Normal',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '415445190-1',
        action: true,
      },
      {
        capacity: 10846.16,
        volumeChange: 8,
        tankLevel: 24.24,

        vehicleName: '4000-03 DEWEY',
        organizationName: 'Lakin Group',
        accountName: 'Lakin - North',
        vehicleType: 'Truck',
        vin: '1BAAHCPA14F214652',
        reportingStatus: 'Reporting',
        lastReportedTime: '11/08/2022 09:07 AM',
        vehicleStatus: 'Moving',
        eventType: 'Hard Left Turn',
        cameraStatus: 'Active',
        odometer: 39722,
        location: '3,Columbus Center,NY',
        tripId: 'Trip - 4001',
        routeId: 'Route - 76',
        driverName: 'Layne Roach',
        startLocation: '49,Fulton Court,NJ',
        startOdometer: 35733,
        distanceDriven: 36,
        drivenTime: 1239,
        dwellDuration: 0,
        speed: 111,
        maintenanceStatus: 'Ok',
        serviceCount: 7,
        batteryStatus: 'Normal',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '053449433-1',
        action: true,
      },
      {
        capacity: 10846.16,
        volumeChange: 17,
        tankLevel: 203.31,

        vehicleName: '5000-01 LUTZ',
        organizationName: 'Nolan-Nicolas',
        accountName: 'NN-HQ',
        vehicleType: 'Truck',
        vin: '1BABNB6A4NF380237',
        reportingStatus: 'Reporting',
        lastReportedTime: '11/08/2022 07:07 AM',
        vehicleStatus: 'Moving',
        eventType: 'Speeding',
        cameraStatus: 'Active',
        odometer: 30166,
        location: '517,Harper Point,NJ',
        tripId: 'Trip - 2000',
        routeId: 'Route - 89',
        driverName: 'Jessie Summers',
        startLocation: '2,David Circle,NJ',
        startOdometer: 35551,
        distanceDriven: 45,
        drivenTime: 1342,
        dwellDuration: 0,
        speed: 120,
        maintenanceStatus: 'Ok',
        serviceCount: 8,
        batteryStatus: 'Normal',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '389980277-2',
        action: true,
      },
      {
        capacity: 10846.16,
        volumeChange: 20,
        tankLevel: 42.31,

        vehicleName: '5000-02 RSX',
        organizationName: 'Nolan-Nicolas',
        accountName: 'NN-HQ',
        vehicleType: 'Car',
        vin: '1BABNCSA4NF380492',
        reportingStatus: 'Reporting',
        lastReportedTime: '11/08/2022 06:45 AM',
        vehicleStatus: 'Moving',
        eventType: 'Idling',
        cameraStatus: 'Active',
        odometer: 32501,
        location: '73,Saint Paul Parkway,NJ',
        tripId: 'Trip - 2001',
        routeId: 'Route - 06',
        driverName: 'Fabian Decker',
        startLocation: '74,Hazelcrest Pass,NY',
        startOdometer: 32568,
        distanceDriven: 67,
        drivenTime: 1234,
        dwellDuration: 0,
        speed: 34,
        maintenanceStatus: 'Ok',
        serviceCount: 14,
        batteryStatus: 'Normal',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '719975195-8',
        action: true,
      },
      {
        capacity: 10846.16,
        volumeChange: 11,
        tankLevel: 78.74,

        vehicleName: '5000-03 RON',
        organizationName: 'Nolan-Nicolas',
        accountName: 'NN-HQ',
        vehicleType: 'Trailer',
        vin: '1BAKGCSA7MF372153',
        reportingStatus: 'Not Reporting',
        lastReportedTime: '10/10/2022 11:30am',
        vehicleStatus: 'Parked',
        eventType: 'Ignition Off',
        cameraStatus: 'Inactive',
        odometer: 32152,
        location: 'Warehouse 25',
        tripId: '-',
        routeId: '-',
        driverName: 'Jaylynn Hubbard',
        startLocation: '-',
        startOdometer: '-',
        distanceDriven: '-',
        drivenTime: '-',
        dwellDuration: 76,
        speed: '-',
        maintenanceStatus: 'Due',
        serviceCount: 4,
        batteryStatus: 'Critical',
        dtcStatus: 'Ok',
        checkEngineStatus: 'Ok',
        cameraId: '374921438-7',
        action: true,
      },
    ],
  },
};

export const PIVOT_DATA_MOCK = {
  statusCode: 200,
  data: {
    configurations: {
      modifiedTime: null,
      columns: [
        { field: 'country', rowGroup: true, enableRowGroup: true },
        {
          field: 'year',
          rowGroup: true,
          enableRowGroup: true,
          enablePivot: true,
        },
        { field: 'date' },
        { field: 'sport' },
        { field: 'gold', aggFunc: 'sum' },
        { field: 'silver', aggFunc: 'sum' },
        { field: 'bronze', aggFunc: 'sum' },
      ],

      options: {
        sortable: true,
        filter: true,
        resizable: true,
        editable: false,
        floatingFilter: true,
        // rowSelection: 'multiple',
        showSideBar: false,
        hasPagination: true,
        paginationSize: 10,
        hasRangeSelection: false,
        hasRightClick: true,
        hasRowAction: true,
        hasRowGroupPanel: true,
        pivot: true,
      },
      createdTime: '2022-07-30T11:01:00.000Z',
      label: 'Entities',
      title: null,
      reportUUID: '500',
    },
  },
};

export const ASSET_STATUS_DATA_MOCK = {
  statusCode: 200,
  data: {
    configurations: {
      modifiedTime: null,
      columns: [
        {
          headerName: 'Lift Station Name',
          field: 'liftStationName',
          sortable: true,
          suppressSizeToFit: true,
          pinned: 'left',
          headerCheckboxSelection: true,
          checkboxSelection: true,
          cellRendererParams: {
            fieldType: 'title',
            defaultIconType1: 'visibility',

            defaultIconType2: 'visibility',
            iconColor: 'gray',
          },
          cellStyle: {
            textAlign: 'center',
          },
          filter: 'agTextColumnFilter',
          filterParams: {
            suppressAndOrCondition: true,
            buttons: ['reset', 'apply'],
          },
          valueFormatter: `if(value){
            return value
          }else{
            return "-"
          }`,
        },
        {
          headerName: 'Last Reported Time',
          field: 'lastReportedTime',
          sortable: true,
          cellRendererParams: {
            tooltip: `data?.reportingStatus`,
            fieldType: 'text',
            defaultIconUrl: 'circle',
            colorExpressionOption: 'iconUrl',
            colorExpression: `if(data?.reportingStatus.toUpperCase() === 'REPORTING')
            return 'green'
            else
            return 'red'`,
          },
          valueFormatter: `if(value){
            return value
          }else{
            return "-"
          }`,
        },

        {
          headerName: 'Device Battery (V)',
          field: 'deviceBattery',
          valueFormatter: `if(value){
            return value + ' V '
          }else if(value === 0){
            return value + ' Volt'
          }
          else{
            return "-"
          }`,
          cellRendererParams: {
            fieldType: 'text',
            colorExpression: `if(data?.deviceBattery >= 0  && data?.deviceBattery <= 10){
              return 'red'
            }else if(data?.deviceBattery > 10  && data?.deviceBattery <= 20){
              return 'pink'
            }else if(data?.deviceBattery > 20  && data?.deviceBattery <= 25.5){
              return 'green'
            }else{
              return 'blue'
            }`,
          },
        },
        {
          headerName: 'Alerts',
          field: 'alerts',
          cellRendererParams: {
            fieldType: 'label',
            defaultColor: 'red',
            options: [
              {
                label: 0,
                value: 0,
                color: 'black',
              },
            ],
          },
          valueFormatter: `if(value){
            return value
          }else{
            return "-"
          }`,
        },
        {
          headerName: 'Location',
          field: 'stationLocation',
          cellRendererParams: {
            fieldType: 'text',
            defaultIconUrl: 'place_on',
            defaultIconColor: 'grey',
          },
          // valueFormatter: `if(value){
          //   return value
          // }else{
          //   return "-"
          // }`,
        },
        {
          filter: true,
          hide: false,
          headerName: 'Tank Name 0909',
          sortable: true,
          field: 'tankName',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Tank Location',
          sortable: true,
          field: 'tankLocation',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Last Reported Time',
          sortable: true,
          field: 'lastReportedTime',
        },
        // {
        //   "filter": true,
        //   "hide": false,
        //   "headerName": "Tank Level",
        //   "sortable": true,
        //   "field": "tankLevel"
        // },
        {
          filter: true,
          // hide: false,
          // sortable: true,
          field: 'tankLevel',
          headerName: 'Tank Level',
          enableRowGroup: true,
          cellRendererParams: {
            fieldType: 'progress',
            defaultColor: 'brown',
            colorExpression: `if(data?.tankLevel?.percentage > 0  && data?.tankLevel?.percentage <= 10){
                      return 'red'
                    }else if(data?.tankLevel?.percentage > 10  && data?.tankLevel?.percentage <= 20){
                      return 'orange'
                    }else if(data?.tankLevel?.percentage > 20  && data?.tankLevel?.percentage <= 30){
                      return 'green'
                    }`,
          },
        },
        {
          filter: true,
          hide: false,
          headerName: 'Tank Volume',
          sortable: true,
          field: 'tankVolume',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Tank Status',
          sortable: true,
          field: 'tankStatus',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 1 Status',
          sortable: true,
          field: 'pump1Status',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 1 Controlled By',
          sortable: true,
          field: 'pump1ControlledBy',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 1 Mode',
          sortable: true,
          field: 'pump1Mode',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 1 Running Duration',
          sortable: true,
          field: 'pump1RunningDuration',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 1 Current Consumption',
          sortable: true,
          field: 'pump1CurrentConsumption',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 1 Maintenance Status',
          sortable: true,
          field: 'pump1MaintenanceStatus',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 2 Status',
          sortable: true,
          field: 'pump2Status',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 2 Controlled By',
          sortable: true,
          field: 'pump2ControlledBy',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 2 Mode',
          sortable: true,
          field: 'pump2Mode',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 2 Running Duration',
          sortable: true,
          field: 'pump2RunningDuration',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 2 Current Consumption',
          sortable: true,
          field: 'pump2CurrentConsumption',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 2 Maintenance Status',
          sortable: true,
          field: 'pump2MaintenanceStatus',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 3 Status',
          sortable: true,
          field: 'pump3Status',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 3 Controlled By',
          sortable: true,
          field: 'pump3ControlledBy',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 3 Mode',
          sortable: true,
          field: 'pump3Mode',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 3 Running Duration',
          sortable: true,
          field: 'pump3RunningDuration',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 3 Current Consumption',
          sortable: true,
          field: 'pump3CurrentConsumption',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Pump 3 Maintenance Status',
          sortable: true,
          field: 'pump3MaintenanceStatus',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Liquid Type',
          sortable: true,
          field: 'liquidType',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Water Flow ',
          sortable: true,
          field: 'waterFlow',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Total Water Flow',
          sortable: true,
          field: 'totalWaterFlow',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Quality Status',
          sortable: true,
          field: 'qualityStatus',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Device Id',
          sortable: true,
          field: 'deviceId',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Battery',
          sortable: true,
          field: 'battery',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Battery Status',
          sortable: true,
          field: 'batteryStatus',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Station Name',
          sortable: true,
          field: 'stationName',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Station Location',
          sortable: true,
          field: 'stationLocation',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Station Power Status',
          sortable: true,
          field: 'stationPowerStatus',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Generator Status',
          sortable: true,
          field: 'generatorStatus',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Alerts',
          sortable: true,
          field: 'alerts',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Account Name',
          sortable: true,
          field: 'accountName',
        },
        {
          filter: true,
          hide: false,
          headerName: 'Actions',
          sortable: true,
          field: 'actions',
        },
      ],
      options: {
        pagination: true,
        paginationPageSize: 10,
        rowGroupPanelShow: 'null',
        sideBar: true,
        defaultColDef: {
          filter: true,
          sortable: true,
          resizable: true,
          editable: false,
        },
      },
      createdTime: '2023-01-30T11:01:00.000Z',
      label: 'Assets',
      title: null,
    },
    rowData: [
      {
        deviceBattery: 0,
        liftStationName:
          'svdh`1111111111111111111111111111111111111111111111111',

        tankName: 'Madison Over Tank',
        tankLocation: null,
        lastReportedTime: '01/30/2023 12:32 PM',
        tankLevel: { percentage: 50 },
        tankVolume: null,
        tankStatus: 'TANK LEVEL HIGH',
        pump1Status: 'PUMP FAULT',
        pump1ControlledBy: 'USER',
        pump1Mode: 'MANUAL',
        pump1RunningDuration: '50 Hours',
        pump1CurrentConsumption: '225 Amps',
        pump1MaintenanceStatus: 'OK',
        pump2Status: 'PUMP ON',
        pump2ControlledBy: 'DEVICE',
        pump2Mode: 'AUTO',
        pump2RunningDuration: '50 Hours',
        pump2CurrentConsumption: '225 Amps',
        pump2MaintenanceStatus: 'OK',
        pump3Status: 'PUMP OFF',
        pump3ControlledBy: 'SYSTEM',
        pump3Mode: 'AUTO',
        pump3RunningDuration: '50 Hours',
        pump3CurrentConsumption: '225 Amps',
        pump3MaintenanceStatus: 'OK',
        liquidType: 'WATER',
        waterFlow: '150 GPM',
        totalWaterFlow: '45000',
        qualityStatus: 'GOOD',
        deviceId: '01874920SKY99C5',
        battery: 0,
        batteryStatus: 'BATTERY OK',
        stationName: 'Orgas Booster',
        stationLocation: null,
        stationPowerStatus: 'OK',
        generatorStatus: 'GENERATOR ON',
        alerts: 0,
        accountName: 'American Water',
        actions: '/api/actions',
      },
      {
        deviceBattery: 0,
        liftStationName: 'svdhv',
        tankName: 'Madison Over Tank',
        tankLocation: null,
        lastReportedTime: '01/30/2023 12:32 PM',
        tankLevel: { percentage: 50 },
        tankVolume: null,
        tankStatus: 'TANK LEVEL HIGH',
        pump1Status: 'PUMP FAULT',
        pump1ControlledBy: 'USER',
        pump1Mode: 'MANUAL',
        pump1RunningDuration: '50 Hours',
        pump1CurrentConsumption: '225 Amps',
        pump1MaintenanceStatus: 'OK',
        pump2Status: 'PUMP ON',
        pump2ControlledBy: 'DEVICE',
        pump2Mode: 'AUTO',
        pump2RunningDuration: '50 Hours',
        pump2CurrentConsumption: '225 Amps',
        pump2MaintenanceStatus: 'OK',
        pump3Status: 'PUMP OFF',
        pump3ControlledBy: 'SYSTEM',
        pump3Mode: 'AUTO',
        pump3RunningDuration: '50 Hours',
        pump3CurrentConsumption: '225 Amps',
        pump3MaintenanceStatus: 'OK',
        liquidType: 'WATER',
        waterFlow: '150 GPM',
        totalWaterFlow: '45000',
        qualityStatus: 'GOOD',
        deviceId: '01874920SKY99C5',
        battery: 0,
        batteryStatus: 'BATTERY OK',
        stationName: 'Orgas Booster',
        stationLocation: null,
        stationPowerStatus: 'OK',
        generatorStatus: 'GENERATOR ON',
        alerts: 0,
        accountName: 'American Water',
        actions: '/api/actions',
      },
      {
        deviceBattery: 0,
        liftStationName: 'svdhvssssaaaaaaaaa',
        tankName: 'Madison Over Tank',
        tankLocation: null,
        lastReportedTime: '01/30/2023 12:32 PM',
        tankLevel: { percentage: 50 },
        tankVolume: null,
        tankStatus: 'TANK LEVEL HIGH',
        pump1Status: 'PUMP FAULT',
        pump1ControlledBy: 'USER',
        pump1Mode: 'MANUAL',
        pump1RunningDuration: '50 Hours',
        pump1CurrentConsumption: '225 Amps',
        pump1MaintenanceStatus: 'OK',
        pump2Status: 'PUMP ON',
        pump2ControlledBy: 'DEVICE',
        pump2Mode: 'AUTO',
        pump2RunningDuration: '50 Hours',
        pump2CurrentConsumption: '225 Amps',
        pump2MaintenanceStatus: 'OK',
        pump3Status: 'PUMP OFF',
        pump3ControlledBy: 'SYSTEM',
        pump3Mode: 'AUTO',
        pump3RunningDuration: '50 Hours',
        pump3CurrentConsumption: '225 Amps',
        pump3MaintenanceStatus: 'OK',
        liquidType: 'WATER',
        waterFlow: '150 GPM',
        totalWaterFlow: '45000',
        qualityStatus: 'GOOD',
        deviceId: '01874920SKY99C5',
        battery: 0,
        batteryStatus: 'BATTERY OK',
        stationName: 'Orgas Booster',
        stationLocation: null,
        stationPowerStatus: 'OK',
        generatorStatus: 'GENERATOR ON',
        alerts: 0,
        accountName: 'American Water',
        actions: '/api/actions',
      },
    ],
  },
};
