import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { Store, StoreModule } from '@ngrx/store';
import { featureKey } from './report-grid.selectors';
import { dataReportReducer } from './report-grid.reducers';
import { EffectsModule } from '@ngrx/effects';
import { ReportGridEffects } from './report-grid.effects';

@NgModule({
  imports: [
    CommonModule,
    StoreModule.forFeature(featureKey, dataReportReducer),
    EffectsModule.forFeature([ReportGridEffects]),
  ],
})
export class ReportGridStoreModule {
  constructor(private store: Store) {}
}
