import { createAction, props } from '@ngrx/store';

// export const GET_REPORT_CONFIG = createAction(
//   '[Data Report] Get report configuration from api',
//   props<{ apiUrl: any; gridName: string }>()
// );

// Temp
export const GET_REPORT_CONFIG = createAction(
  '[Data Report] Get report configuration from api',
  props<{
    apiUrl: any;
    gridName: string;
    actions?: any;
    breadcrumbs?: any;
    settings?: any;
    style?: any;
    statusBar?: any;
  }>()
);

export const ADD_REPORT_CONFIG = createAction(
  '[Data Report] Add report grid',
  props<{ grid: any }>()
);

export const REMOVE_REPORT_CONFIG = createAction(
  '[Data Report] Remove report configuration',
  props<{ gridName: string }>()
);

/**
 * UPDATES
 */

export const UPDATE_REPORT_CONFIG = createAction(
  '[Data Report] Update report grid',
  props<{ gridName: any; updates: any }>()
);

export const UPDATE_REPORT_ROW_DATA = createAction(
  '[Data Report] Update report row data',
  props<{ gridName: any; rowIndex: any; updates: any }>()
);

export const ASSIGN_UNASSIGN_TAGS = createAction(
  '[Data Report] Assign Unassign Tags',
  props<{
    gridName: string;
    data: any;
  }>()
);

export const ASSIGN_TAGS = createAction(
  '[Data Report] Assign Tags',
  props<{
    gridName: string;
    selectedRowIds: any[];
    tagIds: any[];
    selectedTagIds?: any[];
    removedTagIds?: any[];
  }>()
);

export const UNASSIGN_TAGS = createAction(
  '[Data Report] Unassign Tags',
  props<{
    gridName: string;
    selectedRowIds: any[];
    tagIds: any[];
    selectedTagIds?: any[];
    removedTagIds?: any[];
  }>()
);

export const REPLACE_TAGS = createAction(
  '[Data Report] Replace Assign Tags',
  props<{
    gridName: string;
    selectedRowIds: any[];
    tagIds: any[];
    selectedTagIds?: any[];
    removedTagIds?: any[];
  }>()
);

export const ASSIGN_TAGS_SUCCESS = createAction(
  '[Data Report] Assign Tags Success',
  props<{ gridName: any; data: any }>()
);

export const UPDATE_SINGLE_ROW = createAction(
  '[Data Report] Update single row data report',
  props<{ gridName?: any; identifier: any; data: any }>()
);

/**
 * UPDATES END *
 */

// Add Grid Component
export const ADD_DATA_REPORT = createAction(
  '[Data Report] Add data report',
  props<{ grid: any }>()
);

// Refresh Grid
export const REFRESH_REPORT = createAction(
  '[Data Report] Refresh data report',
  props<{ gridName: any }>()
);

// Refresh Grid end
export const REFRESH_REPORT_END = createAction(
  '[Data Report] Refresh data report end',
  props<{ gridName: any }>()
);

export const UPDATE_ROW_DATA = createAction(
  '[Data Report] Update row data report',
  props<{ gridName?: any; data: any }>()
);

export const REMOVE_ROW_DATA = createAction(
  '[Data Report] Remove row data report',
  props<{ gridName?: any; data: any }>()
);

export const ADD_ROW_DATA = createAction(
  '[Data Report] Add row data report',
  props<{ gridName?: any; data: any }>()
);

export const RELOAD_REPORT = createAction(
  '[Data Report] Reload report data',
  props<{ apiUrl: any; gridName: any }>()
);

export const PROCESS_ROWIDS = createAction(
  '[Data Report] Process Row IDS',
  props<{ gridName: any }>()
);
