import { createFeatureSelector, createSelector } from '@ngrx/store';

export const featureKey = 'reports';

export const selectFeature = createFeatureSelector<any>(featureKey);

export const selectName = createSelector(
  selectFeature,
  (state: any) => state.name
);

export const selectRefreshFlag = (gridName: any) =>
  createSelector(selectFeature, (state: any) => {
    return gridName ? state[gridName]?.refreshGrid : false;
  });

export const selectReportGrid = (gridName: any) =>
  createSelector(selectFeature, (state: any) => {
    return gridName ? state[gridName] : {};
  });

export const selectReportRowData = (gridName: any) =>
  createSelector(selectFeature, (state: any) => {
    return gridName ? state[gridName]?.rowData : [];
  });

export const selectReportColumns = (gridName: any) =>
  createSelector(selectFeature, (state: any) => {
    return gridName ? state[gridName]?.columns : [];
  });

export const selectReportConfigurations = (gridName: any) =>
  createSelector(selectFeature, (state: any) =>
    gridName ? state[gridName]?.configurations : {}
  );

export const selectReportTotalCount = (gridName: any) =>
  createSelector(selectFeature, (state: any) =>
    gridName ? state[gridName]?.rowData?.length : 0
  );

export const selectRowData = (gridName: any) =>
  createSelector(selectFeature, (state: any) => {
    return gridName ? state[gridName]?.rowData : [];
  });

export const selectGridColumns = (gridName: any) =>
  createSelector(selectFeature, (state: any) => {
    return gridName ? state[gridName]?.columns : [];
  });

export const selectGridOptions = (gridName: any) =>
  createSelector(selectFeature, (state: any) =>
    gridName ? state[gridName].data.options : {}
  );

//Not in Use
export const selectAddedRows = (gridName: any) =>
  createSelector(selectFeature, (state: any) => {
    return gridName ? state[gridName] : [];
  });

export const selectRemovedRows = (gridName: any) =>
  createSelector(selectFeature, (state: any) => {
    return gridName ? state[gridName] : [];
  });
