import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { Store, StoreModule } from '@ngrx/store';
import { EffectsModule } from '@ngrx/effects';
import { TagEffects } from './tag.effects';
import { tagReducer } from './tag.reducers';
import * as TagActions from './tag.actions';
import { featureKey } from './tag.selectors';

@NgModule({
  imports: [
    CommonModule,
    StoreModule.forFeature(featureKey, tagReducer),
    EffectsModule.forFeature([TagEffects]),
  ],
  exports: [],
})
export class TagStoreModule {
  constructor(private store: Store) {
    // if (localStorage.getItem('access_token'))
    //   this.store.dispatch(TagActions.loadTags());
  }
}
