import { createAction, props } from '@ngrx/store';
import { Tag } from './tag.model';

export const loadTags = createAction('[Tag] Load Tags'); //Add interpretor

export const setLoadingFlag = createAction('[Tag] Set Loading flag');
export const loadTagsSuccess = createAction('[Tag] Load Tags success');

export const loadTagsFailure = createAction(
  '[Tag] Load Tags failure',
  props<{ error: any }>()
);

export const refreshTags = createAction('[Tag] Refresh Tags');
export const replaceTags = createAction(
  '[Tag] Replace Tags',
  props<{ tags: Tag[] }>()
);

export const addTags = createAction('[Tag] Add Tags', props<{ tags: Tag[] }>());

export const addTag = createAction('[Tag] Add Tag', props<{ tag: Tag }>());

export const updateTag = createAction(
  '[Tag] Update Tag',
  props<{ id: string; changes: Partial<Tag> }>()
);
export const deleteTag = createAction(
  '[Tag] Delete Tag',
  props<{ id: string }>()
);
