import { createFeatureSelector, createSelector } from '@ngrx/store';
import { TagState, tagAdapter } from './tag.state';
import { Tag } from './tag.model';

export const featureKey = 'tags';

export const selectTagState = createFeatureSelector<TagState>(featureKey);

export const {
  selectIds: selectTagIds,
  selectEntities: selectTagEntities,
  selectAll: selectAllTags,
  selectTotal: selectTotalTags,
} = tagAdapter.getSelectors(selectTagState);

export const selectTagById = (id: string) =>
  createSelector(selectTagEntities, (entities) => entities[id]);

export const selectTagList = createSelector(
  selectAllTags,
  (tags: Tag[]) => tags.map((tag) => tag) // Example transformation, replace with your desired logic
);

export const selectTagLoading = createSelector(
  selectTagState,
  (state: any) => state.loading
);
