import { EntityState, createEntityAdapter } from '@ngrx/entity';
import { Tag } from './tag.model';

export interface TagState extends EntityState<Tag> {
  selectedTags?: Tag[];
  unselectedTags?: Tag[];
}

export function sortByName(a: Tag, b: Tag): number {
  return a.tagName.localeCompare(b.tagName);
}

export const tagAdapter = createEntityAdapter<Tag>({
  selectId: (state) => state.uuid,
  sortComparer: sortByName,
});

export const initialState: TagState = tagAdapter.getInitialState({
  loading: true,
});
