import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { AppHeaderComponent } from './app-header.component';
import { SharedModule } from '@hash8io/core-web';
import { DarkModeTogglerModule } from '@hash8io/core-web/dark-mode-toggler';
import { MegaMenuModule } from '@hash8io/core-web/mega-menu';
import { AppBrandComponent } from './components/app-brand/app-brand.component';
import { UserProfileDropdownModule } from '@hash8io/core-web/user-profile-dropdown';
import { AppSearchModule } from '@hash8io/core-web/app-search';
import { NotificationPanelModule } from '@hash8io/core-web/notification-panel';
import { SearchModule } from '@hash8io/core-web/search';
import { AlertPanelModule } from '@hash8io/core-web/alert-panel';

@NgModule({
  declarations: [AppHeaderComponent, AppBrandComponent],
  imports: [
    CommonModule,
    SharedModule,
    DarkModeTogglerModule,
    MegaMenuModule,
    UserProfileDropdownModule,
    AppSearchModule,
    NotificationPanelModule,
    SearchModule,
    AlertPanelModule
  ],
  exports: [AppHeaderComponent, AppBrandComponent],
})
export class AppHeaderModule { }
