/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-inferrable-types */
import { Component, Input, OnInit } from '@angular/core';
import { Model } from '@hash8io/core-web';

@Component({
  selector: 'hash8-platform-card-header',
  templateUrl: './card-header.component.html',
  styleUrls: ['./card-header.component.scss'],
})
export class CardHeaderComponent implements OnInit {
  @Input() title!: Model.Title | undefined;
  @Input() actions!: Model.Action[] | undefined;
  @Input() showActions: boolean = true;
  @Input() showTitle: boolean = true;
  @Input() hasBorder: boolean = true;

  @Input() options!: any;
  @Input() actionOptions!: any;

  defaultOptions = {
    showTitle: this.showTitle,
    showActions: this.showActions,
    hasBorder: this.hasBorder,
  };

  defaultActionOptions = {
    showLabel: true,
    showIcon: true,
    iconUrl: 'more_horiz',
    label: 'Actions',
    stroked: true,
  };

  constructor() {
    //
  }

  ngOnInit(): void {
    if (this.options) {
      const options = { ...this.defaultOptions, ...this.options };
      this.showTitle = options.showTitle;
      this.showActions = options.showActions;
    }

    this.actionOptions = {
      ...this.defaultActionOptions,
      ...this.actionOptions,
    };
  }
}
