/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @typescript-eslint/no-inferrable-types */
import {
  Component,
  EventEmitter,
  Input,
  OnChanges,
  OnInit,
  Output,
  SimpleChanges,
} from '@angular/core';
import { Model } from '@hash8io/core-web';
import { Store } from '@ngrx/store';

@Component({
  selector: 'hash8-platform-cta-button',
  templateUrl: './cta-button.component.html',
  styleUrls: ['./cta-button.component.scss'],
})
export class CtaButtonComponent implements OnInit, OnChanges {
  @Input() actions!: Model.Action[] | undefined;
  @Input() iconUrl: string = 'more_horiz';
  @Input() showLabel: boolean = true;
  @Input() showIcon: boolean = true;
  @Input() label: string = 'Actions';
  @Input() stroked: boolean = true;

  @Input() event!: any;
  @Input() id!: any;

  @Output() eventMethod = new EventEmitter();

  primaryAction!: Model.Action;
  dropdownActions!: Model.Action[];

  constructor(public store: Store) {}

  ngOnInit(): void {
    this.filterActions();
  }

  filterActions() {
    if (this.actions) {
      this.primaryAction = this.actions.filter((x) => x.isPrimaryAction)[0];
      this.dropdownActions = this.actions.filter(
        (x) =>
          !x.isPrimaryAction &&
          (x.visible + '' === 'true' || x.visible === undefined)
      );
    }
  }

  ngOnChanges(changes: SimpleChanges) {
    // changes.prop contains the old and the new value...
    if (changes['actions']) {
      this.filterActions();
    }
  }

  emitAction(params: any) {
    this.eventMethod.emit(params);
    this.store.dispatch({
      type: '[Events] Process events',
      events: params,
    });
  }
}
