/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import { Component, Input, OnInit } from '@angular/core';
import { AppStoreActions, AppStoreSelectors } from '@hash8io/core-web';
import { Store } from '@ngrx/store';

@Component({
  selector: 'hash8-platform-dark-mode-toggler',
  templateUrl: './dark-mode-toggler.component.html',
  styleUrls: ['./dark-mode-toggler.component.scss'],
})
export class DarkModeTogglerComponent implements OnInit {
  @Input() darkMode!: boolean;

  constructor(private store: Store) {}

  ngOnInit(): void {
    this.store
      .select(AppStoreSelectors.selectDisplayPreference)
      .subscribe((preferences) => {
        this.darkMode = preferences.enableDarkMode;
        this.updateBodyClass();
      });
  }

  changeMode() {
    if (this.darkMode) {
      this.store.dispatch(AppStoreActions.SET_DARK_MODE({ darkMode: true }));
      this.updateBodyClass();
    } else {
      this.store.dispatch(AppStoreActions.SET_LIGHT_MODE({ darkMode: false }));
      this.updateBodyClass();
    }
  }

  updateBodyClass() {
    if (this.darkMode) {
      document.body.classList.add('dark');
    } else {
      document.body.classList.remove('dark');
    }
  }
}
