/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import { Component, Input, OnInit, ViewEncapsulation } from '@angular/core';
import { AppStoreActions, AppStoreSelectors } from '@hash8io/core-web';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';

@Component({
  selector: 'hash8-platform-mega-menu',
  templateUrl: './mega-menu.component.html',
  styleUrls: ['./mega-menu.component.scss'],
  encapsulation: ViewEncapsulation.None,
})
export class MegaMenuComponent implements OnInit {
  @Input() applications!: any;

  navigationMenu!: any;
  showMenu = true;
  MegaMenuContent: any;
  constructor(private store: Store) { }

  ngOnInit(): void {
    this.store
      .select(AppStoreSelectors.selectApprovedApplications)
      .subscribe((applications) => {
        this.applications = applications;
      });
    this.store
      .select(AppStoreSelectors.selectApprovedApplicationsConfiguration)
      .subscribe((MegaMenuContent) => {
        this.MegaMenuContent = MegaMenuContent;
        // console.log("ApplicationsConfiguration",MegaMenuContent);

      })

  }
  displayMenu(app: any) {
    this.showMenu = false;

    // if (app?.events) {
    //   app?.events[0]['method'](app.events[0].params)
    // }

    app?.events.forEach((x: any) => {
      const functionName = x.method;

      if (functionName === 'setValue') {
        this.setValue(x.params);
      }
      if (functionName === 'changeNavigation') {
        this.changeNavigation(x?.params?.navigationMenu, x?.params?.branding);
      }
    });
  }

  changeNavigation(navigationMenu: any, branding: any) {
    this.store.dispatch(
      AppStoreActions.SET_APP_NAVIGATION({ navigationMenu: navigationMenu })
    );
    this.store.dispatch(
      AppStoreActions.SET_APP_BRANDING({
        branding: branding,
      })
    );
  }

  setValue(params: any) {
    localStorage.setItem(params?.key, params?.value);
  }

  showMegaMenu() {
    this.showMenu = true;
  }
}
