/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, Input, OnInit, Output } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';

@Component({
  selector: 'hash8-platform-search',
  templateUrl: './search.component.html',
  styleUrls: ['./search.component.scss'],
})
export class SearchComponent implements OnInit {
  searchValue!: string;
  @Input() grid: any;

  private _search: BehaviorSubject<string> = new BehaviorSubject('');
  @Output() search: Observable<string> = this._search.asObservable();

  constructor() {}

  ngOnInit(): void {}

  onSearch() {
    this._search.next(this.searchValue);
    if (this.grid?.gridApi) this.grid?.gridApi.setQuickFilter(this.searchValue);
    if (this.grid?.api) this.grid?.api.setQuickFilter(this.searchValue);
  }
}
