/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import {
  Component,
  EventEmitter,
  Input,
  OnInit,
  Output,
  ViewEncapsulation,
} from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { Model } from '@hash8io/core-web';

@Component({
  selector: 'hash8-platform-sidebar-nav-item',
  templateUrl: './sidebar-nav-item.component.html',
  styleUrls: ['./sidebar-nav-item.component.scss'],
  encapsulation: ViewEncapsulation.None,
})
export class SidebarNavItemComponent implements OnInit {
  @Input() nav!: Model.Menu;
  @Output()
  navigationChange = new EventEmitter();

  id !: any;
  get hasUrl() {
    return true;
  }

  get formattedUrl() {
    if (this.nav?.params) {
      return `${this.nav.targetUrl}/${this.nav.params}`;
    }
    return this.nav.targetUrl;
  }

  constructor(private activatedRoute: ActivatedRoute) {
    // this.activatedRoute.paramMap.subscribe((params: ParamMap) => {
    //   console.log("Params", params)
    // })

    // this.activatedRoute.params,

    //
  }

  ngOnInit(): void {
    //

  }

  navChanged(event: any) {
    this.navigationChange.emit(event);
  }
}
