/* eslint-disable @typescript-eslint/no-inferrable-types */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import {
  Component,
  EventEmitter,
  Input,
  OnInit,
  Output,
  ViewEncapsulation,
} from '@angular/core';
import { Model } from '@hash8io/core-web';

@Component({
  selector: 'hash8-platform-sidebar-nav',
  templateUrl: './sidebar-nav.component.html',
  styleUrls: ['./sidebar-nav.component.scss'],
  encapsulation: ViewEncapsulation.None,
})
export class SidebarNavComponent implements OnInit {
  @Input() navigations: Model.Menu[] = [];
  @Input() size: 'compact' | 'default' | 'expanded' = 'default';
  @Input() showIcon!: boolean;
  @Input() view: 'horizontal' | 'vertical' = 'vertical';
  @Input() stretch: boolean = false;

  @Output()
  navigationChange = new EventEmitter();

  get navigationClass(): string {
    return 'navigation-' + this.view;
  }

  get navigationAlign(): string {
    return this.view === 'horizontal' ? 'row' : 'column';
  }

  constructor() {
    //
  }

  ngOnInit(): void {
    //
  }

  navChanged(event: any) {
    this.navigationChange.emit(event);
  }
}
