/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import { Component, OnInit, ViewEncapsulation } from '@angular/core';
import { AppLayoutService } from '@hash8io/core-web/layout';

@Component({
  selector: 'hash8-platform-sidebar-toggle',
  templateUrl: './sidebar-toggle.component.html',
  styleUrls: ['./sidebar-toggle.component.scss'],
  encapsulation: ViewEncapsulation.None,
})
export class SidebarToggleComponent implements OnInit {
  mode: 'expanded' | 'collapsed' | 'hidden' = 'expanded';

  constructor(private layoutService: AppLayoutService) {}

  ngOnInit(): void {}

  toggleSidebar() {
    switch (this.mode) {
      case 'collapsed':
        this.collapseSidebar();
        break;
      case 'expanded':
        this.expandSidebar();
        break;
      case 'hidden':
        break;
    }
  }

  collapseSidebar() {
    this.layoutService.collapseSidebar();
    this.mode = 'collapsed';
  }

  expandSidebar() {
    this.layoutService.expandSidebar();
    this.mode = 'expanded';
  }
}
