/* eslint-disable @typescript-eslint/no-inferrable-types */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import {
  Component,
  EventEmitter,
  HostBinding,
  Input,
  OnInit,
  Output,
} from '@angular/core';
import { AppStoreSelectors } from '@hash8io/core-web';
import { Store } from '@ngrx/store';

@Component({
  selector: 'hash8-platform-sidebar',
  templateUrl: './sidebar.component.html',
  styleUrls: ['./sidebar.component.scss'],
})
export class SidebarComponent implements OnInit {
  @Input() showBrand: boolean = true;
  @Input() showNavigation: boolean = true;
  @Input() showFooter: boolean = true;
  @Input() showToggle: boolean = true;
  @Input() navigations: any;
  @Input() brand: any;

  @Output()
  navigationChange = new EventEmitter();

  constructor(private store: Store) {}

  ngOnInit(): void {
    this.store
      .select(AppStoreSelectors.selectNavigations)
      .subscribe((navigations) => {
        this.navigations = navigations;
      });

    this.store.select(AppStoreSelectors.selectBranding).subscribe((brand) => {
      this.brand = brand;
    });
  }
  navChanged(event: any) {
    this.navigationChange.emit(event);
  }
}
