import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from '@hash8io/core-web';
import { SidebarBrandComponent } from './components/sidebar-brand/sidebar-brand.component';
import { SidebarNavComponent } from './components/sidebar-nav/sidebar-nav.component';
import { SidebarFooterComponent } from './components/sidebar-footer/sidebar-footer.component';
import { SidebarToggleComponent } from './components/sidebar-toggle/sidebar-toggle.component';
import { SidebarComponent } from './sidebar.component';
import { RouterModule } from '@angular/router';
import { SidebarNavItemComponent } from './components/sidebar-nav-item/sidebar-nav-item.component';
import { SidebarNavGroupComponent } from './components/sidebar-nav-group/sidebar-nav-group.component';

@NgModule({
  imports: [CommonModule, SharedModule, RouterModule],
  declarations: [
    SidebarBrandComponent,
    SidebarNavComponent,
    SidebarFooterComponent,
    SidebarToggleComponent,
    SidebarNavItemComponent,
    SidebarComponent,
    SidebarNavGroupComponent,
  ],
  exports: [
    SidebarBrandComponent,
    SidebarNavComponent,
    SidebarFooterComponent,
    SidebarToggleComponent,
    SidebarNavItemComponent,
    SidebarComponent,
    SidebarNavGroupComponent,
  ],
})
export class SidebarModule {}
