import { Injectable } from '@angular/core';
import tinycolor from 'tinycolor2';

@Injectable({
  providedIn: 'root',
})
export class ColorService {
  generateRandomColor(): string {
    const color = tinycolor.random();
    return color.toHex().toString();
  }

  getBackgroundColorBasedOnContrast(color: string): string {
    return tinycolor(color).lighten(0).toString();
  }

  getTextColorBasedOnContrast(backgroundColor: string): string {
    const luminance = tinycolor(backgroundColor).getLuminance();
    return luminance > 0.5 ? 'black' : 'white';
  }
}
