/* eslint-disable @typescript-eslint/no-empty-function */
import { DOCUMENT } from '@angular/common';
import { Inject, Injectable } from '@angular/core';
import { Store } from '@ngrx/store';
import { AppStoreSelectors } from '../../store/application-store';

export interface Theme {
  layout: 'horizontal' | 'vertical';
  defaultMode: 'light' | 'dark';
  fontFamily: string;
  fontSize: string;
  primaryColor: string;
  accentColor: string;
  warningColor: string;
}

@Injectable({
  providedIn: 'root',
})
export class ThemeService {
  constructor(@Inject(DOCUMENT) private document: Document) {}

  getTheme() {}

  setTheme(theme: Theme) {
    this._updateDocumentTheme(theme);
  }

  _updateDocumentTheme(theme: any) {
    const styles = [
      { name: 'color-primary', field: 'primaryColor' },
      { name: 'color-accent', field: 'accentColor' },
      { name: 'color-warn', field: 'warningColor' },
      { name: 'h8-font-family', field: 'fontFamily' },
      { name: 'h8-font-size', field: 'fontSize' },
    ];

    styles.forEach((data) => {
      this.document.documentElement.style.setProperty(
        `--${data.name}`,
        theme[data.field]
      );
    });
  }

  updateTheme() {
    //API Call
  }
}
