import { Injectable } from '@angular/core';
import { MatSnackBar } from '@angular/material/snack-bar';

@Injectable({
  providedIn: 'root',
})
export class ToastService {
  timer = 6000;
  constructor(private _snackBar: MatSnackBar) {}

  success(message: string, duration?: number, action?: string) {
    return this._snackBar.open(message, action || '', {
      horizontalPosition: 'center',
      verticalPosition: 'top',
      politeness: 'polite',
      duration: duration || this.timer,
      panelClass: ['green-snackbar', 'mt-32'],
    });
  }

  error(message: string, duration?: number, action?: string) {
    return this._snackBar.open(message, action || '', {
      horizontalPosition: 'center',
      verticalPosition: 'top',
      politeness: 'polite',
      duration: duration || this.timer,
      panelClass: ['red-snackbar', 'mt-32'],
    });
  }

  warning(message: string, duration?: number, action?: string) {
    return this._snackBar.open(message, action || '', {
      horizontalPosition: 'center',
      verticalPosition: 'top',
      politeness: 'polite',
      duration: duration || this.timer,
      panelClass: ['yellow-snackbar', 'mt-32'],
    });
  }

  info(message: string, duration?: number, action?: string) {
    return this._snackBar.open(message, action || '', {
      horizontalPosition: 'center',
      verticalPosition: 'top',
      politeness: 'polite',
      duration: duration || this.timer,
      panelClass: ['blue-snackbar', 'mt-32'],
    });
  }

  message(message: string, duration?: number, action?: string) {
    return this._snackBar.open(message, action || '', {
      horizontalPosition: 'center',
      verticalPosition: 'top',
      politeness: 'polite',
      duration: duration || this.timer,
      panelClass: ['message-snackbar', 'mt-32'],
    });
  }

  information(message: string, duration?: number, action?: string) {
    return this._snackBar.open(message, 'X' || '', {
      horizontalPosition: 'right',
      verticalPosition: 'top',
      panelClass: ['yellow-snackbar'],
    });
  }
}
