import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormlyModule } from '@ngx-formly/core';
import { FormlyPasswordTypeComponent } from './visible-password.type';
import { HorizontalWrapperComponent } from './horizontal-wrapper.component';
import { fieldMatchValidator } from './same-password.formly';
import { FormlyMaterialModule } from '@ngx-formly/material';
import { SharedModule } from '../shared.module';

const MODULES: any = [
  FormlyModule.forRoot({
    types: [{ name: 'password', component: FormlyPasswordTypeComponent }],
    wrappers: [
      {
        name: 'form-field-horizontal',
        component: HorizontalWrapperComponent,
      },
    ],
    validators: [{ name: 'match', validation: fieldMatchValidator }],
  }),
  FormlyMaterialModule,
  SharedModule,
];

@NgModule({
  declarations: [FormlyPasswordTypeComponent, HorizontalWrapperComponent],
  imports: [CommonModule, ...MODULES],
  exports: [
    ...MODULES,
    FormlyPasswordTypeComponent,
    HorizontalWrapperComponent,
  ],
})
export class FormlyLibraryModule {}
