/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, OnInit } from '@angular/core';
import { FieldWrapper } from '@ngx-formly/core';

@Component({
  selector: 'hash8-platform-horizontal-wrapper',
  template: `
    <div class="grid grid-cols-2">
      <mat-label [attr.for]="id" *ngIf="to.label">
        {{ to.label }}
        <ng-container *ngIf="to.required && to['hideRequiredMarker'] !== true"
          >*</ng-container
        >
      </mat-label>
      <mat-form-field appearance="outline">
        <input type="{{ to.type }}" matInput />
      </mat-form-field>
      <ng-template #fieldComponent></ng-template>
      <mat-error>
        <formly-validation-message [field]="field"></formly-validation-message>
      </mat-error>
    </div>
  `,
  styles: [],
})
export class HorizontalWrapperComponent extends FieldWrapper {}
