import { Component, ViewChild } from '@angular/core';
import { FieldType } from '@ngx-formly/core';

@Component({
  selector: 'hash8-platform-formly-password-type',
  template: `
    <mat-form-field
      [hideRequiredMarker]="true"
      [floatLabel]="to['floatLabel']"
      [appearance]="to['appearance']"
      [color]="to['color']"
      [style.width]="'100%'"
    >
      <mat-label *ngIf="to.label && to['hideLabel'] !== true">
        {{ to.label }}
        <span
          *ngIf="to.required && to['hideRequiredMarker'] !== true"
          class="mat-form-field-required-marker"
          >*</span
        >
      </mat-label>

      <input
        matInput
        #passwordField
        [id]="id"
        type="password"
        [readonly]="to.readonly"
        [formControl]="$any(formControl)"
        [formlyAttributes]="field"
        [tabindex]="to.tabindex || 0"
        [placeholder]="$any(to.label)"
      />

      <!-- <mat-icon matSuffix class="toggle-password" (click)="showHidePassword()"
        >remove_red_eye</mat-icon
      > -->
      <mat-icon
        *ngIf="this.passwordType === 'password'"
        matSuffix
        class="toggle-password"
        (click)="showHidePassword()"
        >visibility</mat-icon
      >
      <mat-icon
        *ngIf="this.passwordType === 'text'"
        matSuffix
        class="toggle-password"
        (click)="showHidePassword()"
        >visibility_off</mat-icon
      >

      <mat-icon
        matSuffix
        *ngIf="to.description"
        class="help-tooltip"
        matTooltip="{{ to.description }}"
        matTooltipPosition="right"
        >{{ to.description }}</mat-icon
      >

      <mat-error>
        <formly-validation-message [field]="field"></formly-validation-message>
      </mat-error>

      <mat-hint *ngIf="to.description">{{ to.description }}</mat-hint>
    </mat-form-field>
  `,
  styles: ['.toggle-password { color: #ccc; cursor: pointer; }'],
})
export class FormlyPasswordTypeComponent extends FieldType {
  @ViewChild('passwordField', { static: false }) passwordField: any;
  public passwordType: any = 'password';
  public showHidePassword() {
    this.passwordField.nativeElement.type =
      this.passwordField.nativeElement.type == 'password' ? 'text' : 'password';
    if (this.passwordField.nativeElement.type == 'password') {
      this.passwordType = 'password';
      // console.log('object', this.passwordType);
    } else {
      this.passwordType = 'text';
      // console.log('object', this.passwordType);
    }
  }
}
