import { createAction, props } from '@ngrx/store';

export const SET_DARK_MODE = createAction(
  '[Display Preferences] Set Dark Mode',
  props<{ darkMode: boolean }>()
);

export const SET_LIGHT_MODE = createAction(
  '[Display Preferences] Set Light Mode',
  props<{ darkMode: boolean }>()
);

export const LOAD_DEVICES = createAction(
  '[Devices] Load Devices',
  props<{ options?: any }>()
);

export const LOAD_DEVICES_SUCCESS = createAction(
  '[Devices] Load Devices Success',
  props<{ devices: any }>()
);

export const LOAD_DEVICES_FAILURE = createAction(
  '[Devices] Load Devices Failure',
  props<{ error: any }>()
);
export const CLEAR_AUTH_TOKEN = createAction(
  '[Auth] Clear Authentication Tokens Initiated'
);

export const CLEAR_AUTH_TOKEN_SUCCESS = createAction(
  '[Auth] Clear Authentication Tokens Success'
);

export const CLEAR_AUTH_TOKEN_FAILED = createAction(
  '[Auth] Clear Authentication Tokens Failed'
);

export const END_AUTH_SESSION = createAction(
  '[Auth] End Authentication Session Initiated',
  props<{ events: any }>()
);

export const END_AUTH_SESSION_SUCCESS = createAction(
  '[Auth] End Authentication Session Success'
);

export const END_AUTH_SESSION_FAILED = createAction(
  '[Auth] End Authentication Session Failed'
);

export const SET_APP_VERSION = createAction(
  '[Version] Set Application Version',
  props<{ version: any }>()
);

export const SET_APP_BRANDING = createAction(
  '[Branding] Set Application Branding',
  props<{ branding: any }>()
);

export const SET_APP_NAVIGATION = createAction(
  '[Branding] Set Application Navigation',
  props<{ navigationMenu: any }>()
);

export const SET_APP_THEME = createAction(
  '[Theme] Set Application Theme',
  props<{ theme: any }>()
);
export const SET_APP_APPROVED_APPLICATION = createAction(
  '[Approved Application] Set Approved Application',
  props<{ approvedApplications: any }>()
);

export const SET_APP_APPLICATION_SEGMENT = createAction(
  '[Application Segment] Set Application Segment',
  props<{ applicationSegments: any }>()
);

export const SET_APPROVED_APPLICATION_Configuration = createAction(
  '[Application] Set Approved Application Configuration',
  props<{ approvedApplicationsConfiguration: any }>()
);

export const SET_INITIAL_STORE_OBJ = createAction(
  '[Application] Set Application Store',
  props<{ storeObj: any }>()
);

export const SET_HEADER_STORE_OBJ = createAction(
  '[Application] Set Header Store',
  props<{ header: any }>()
);

export const PROCESS_RESPONSE_DATA = createAction(
  '[Application] Response data',
  props<{ responseData: any }>()
);

export const SET_USER_DISPLAY_SETTINGS = createAction(
  '[Application] Set User Display Settings',
  props<{ userDisplaySettings: any }>()
);

export const SET_USER_DETAILS = createAction(
  '[Application] Set User Details',
  props<any>()
);
