import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { StoreModule } from '@ngrx/store';
import { featureKey } from './selectors';
import { applicationReducer } from './reducers';
import { EffectsModule } from '@ngrx/effects';
import { ClearTokenStoreEffects } from './effects';

@NgModule({
  declarations: [],
  imports: [
    CommonModule,
    StoreModule.forFeature(featureKey, applicationReducer),
    EffectsModule.forFeature([ClearTokenStoreEffects]),
  ],
  exports: [StoreModule],
})
export class ApplicationStoreModule {}
