/* eslint-disable @typescript-eslint/no-explicit-any */
import { createFeatureSelector, createSelector } from '@ngrx/store';
// import { ApplicationState } from './state';

export const featureKey = 'application';

// export const selectFeature = (state: ApplicationState) => state;

export const selectFeature = createFeatureSelector<any>(featureKey);

// App Version
export const selectAppVersion = createSelector(
  selectFeature,
  (state: any) => state.appVersion
);

// Branding
export const selectBranding = createSelector(
  selectFeature,
  (state: any) => state.branding
);

// Themes
export const selectTheme = createSelector(
  selectFeature,
  (state: any) => state.theme
);

// Side Navigation
export const selectNavigations = createSelector(
  selectFeature,
  (state: any) => state.navigationMenu
);

// Mega Menu
export const selectApprovedApplications = createSelector(
  selectFeature,
  (state: any) => {
    // console.log(state.approvedApplications);
    return state.approvedApplications;
  }
);

export const selectApprovedApplicationsConfiguration = createSelector(
  selectFeature,
  (state: any) => {
    // console.log(state.approvedApplicationsConfiguration);
    return state.approvedApplicationsConfiguration;
  }
);
// User Profile
export const selectUserProfile = createSelector(
  selectFeature,
  (state: any) => state.userDetails
);

export const selectDevices = createSelector(
  selectFeature,
  (state: any) => state.devices
);

export const selectDisplayPreference = createSelector(
  selectFeature,
  (state: any) => state.userSettings
);
// Application Segments
export const selectApplicationSegments = createSelector(
  selectFeature,
  (state: any) => state.applicationSegments
);
export const selectLoginState = createSelector(
  selectFeature,
  (state: any) => state.loginState.errorMessage
);
export const selectHeader = createSelector(
  selectFeature,
  (state: any) => state.header
);

export const selectDisplaySettings = createSelector(
  selectFeature,
  (state: any) => state.userDisplaySettings
);
