export const STORE_MOCK_OBJ = {
  loginState: {
    state: '',
    isAuthenticated: false,
    failedCount: 0,
    isLoading: false,
    error: false,
    errorMessage: '',
    invalidTriesCount: 0,
  },
  branding: {
    applicationName: 'Hash8 Platform',
    applicationShortName: 'Hash8',
    applicationTagLine: 'A one stop IoT Platform',
    // apiUrl: 'https://tankiq-test.rt1cloud.com/api',
    apiUrl: '/api',
    faviconUrl: 'https://hash8.io/assets/favicon.ico',
    mainLogoLight: '',
    mainLogoDark: 'https://hash8.io/assets/logo-dark-120px-120px.png',
    footerLogoLight: 'https://hash8.io/assets/logo-light-120px-120px.png',
    footerLogoDark: 'https://hash8.io/assets/logo-dark-120px-120px.png',
    poweredBy: 'Hash8.io',
  },
  theme: {
    name: 'hash8-default',
    layout: 'horizontal',
    defaultMode: 'light',
    fontFamily: 'dinNext', // Inter, dinNext
    fontSize: '16px',
    primaryColor: 'rgb(101, 88, 246)',
    accentColor: 'rgb(32, 120, 104)',
    warningColor: 'rgb(244, 82, 60)',
  },
  applicationSegments: {
    login: {
      name: 'Login',
      targetUrl: '/v1/login',
      apiUrl: '/v1/login',
      type: 'button',
      visible: true,
      clickable: true,
      redirectUrl: '/dashboard', //To Do: Change
    },
    register: {
      name: 'Register',
      targetUrl: '/v1/register',
      apiUrl: '/v1/register',
      type: 'button',
      visible: true,
      clickable: true,
      redirectUrl: '/status', //To Do: Change
    },

    poweredBy: {
      name: 'Powered by Hash8.io',
      targetUrl: null,
      apiUrl: null,
      type: '',
      visible: true,
      clickable: false,
    },
    forgotPassword: {
      name: 'Forgot Password?',
      targetUrl: '/forgot-password',
      type: 'link',
      apiUrl: '/v1/user-password-reset',
      visible: true,
      clickable: true,
    },
    copyright: {
      name: 'Copyright Hash8.io Private Limited',
      targetUrl: null,
      apiUrl: null,
      type: '',
      visible: true,
      clickable: false,
    },
    termsConditions: {
      name: 'Terms of Use',
      targetUrl: '/terms-and-conditions',
      apiUrl: '/v1/terms-and-conditions',
      type: 'link',
      visible: true,
      clickable: false,
    },
    privacyPolicy: {
      name: 'Privacy Policy',
      targetUrl: '/privacy-policy',
      apiUrl: '/v1/privacy-policy',
      type: 'link',
      visible: true,
      clickable: false,
    },
    support: {
      name: 'Contact Us',
      targetUrl: '/contact-us',
      apiUrl: '/v1/contact-us',
      type: 'link',
      visible: true,
      clickable: false,
    },
  },

  userDetails: {
    uuid: '604e349f-ce47-4f54-a347-41de0d72e94e',
    firstName: 'Jonathan',
    lastName: 'Ive',
    username: 'jonathanive',
    email: 'jonathan@autocavo.com',
    phoneNumber: '(740) 271-0643',
  },
  userDisplaySettings: {
    uuid: '22fe7aa5-e46a-4c0c-8f69-ff8a7e621352',
    dateFormat: 'mm/dd/yyyy',
    dateTimeFormat: 'mm/dd/yyyy hh:mm a',
    distance: 'mile',
    level: 'centimeter',
    temperature: 'celcius',
    timeFormat: 'hh:mm a',
    timeZone: 'EDT',
    volume: 'liter',
    weight: 'kilogram',
  },
  userSettings: {
    enableDarkMode: false,
  },
  approvedApplications: [
    {
      name: 'Tank Management',
      targetUrl: '',
      apiUrl: '',
      type: 'link',
      iconUrl: 'layers',
      visible: true,
      clickable: true,
    },
    {
      name: 'Application Management',
      targetUrl: '',
      apiUrl: '',
      type: 'link',
      iconUrl: 'layers',
      visible: true,
      clickable: true,
    },
    {
      name: 'Organization Management',
      targetUrl: '',
      apiUrl: '',
      type: 'link',
      iconUrl: 'layers',
      visible: true,
      clickable: true,
    },
  ],
  navigationMenu: [
    {
      label: 'Dashboard',
      targetUrl: '/dashboard',
      apiUrl: 'v1/dashboard',
      iconUrl: 'layers',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Cards',
      targetUrl: '/tanks',
      apiUrl: '',
      iconUrl: 'space_dashboard',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Status',
      targetUrl: '/status',
      apiUrl: 'v1/status',
      iconUrl: 'home',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Pivot',
      targetUrl: '/pivot',
      apiUrl: 'v1/pivot',
      iconUrl: 'local_shipping',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Snapshots',
      targetUrl: '/snapshot',
      apiUrl: '',
      iconUrl: 'web',
      type: 'dropdown',
      visible: true,
      clickable: true,
      hasSubMenu: true,
      subMenus: [
        {
          label: 'Tank Snapshot',
          targetUrl: '/snapshot/1',
          visible: true,
          clickable: true,
          type: 'link',
          configApiUrl: '',
          apiUrl: '',
          hasSubMenu: false,
        },
        {
          label: 'Smart Watch',
          targetUrl: '/snapshot/2',
          visible: true,
          clickable: true,
          type: 'link',
          configApiUrl: '',
          apiUrl: '',
          hasSubMenu: false,
        },
        {
          label: 'Vehicle Snapshot',
          targetUrl: '/snapshot/3',
          visible: true,
          clickable: true,
          type: 'link',
          configApiUrl: '',
          apiUrl: '',
          hasSubMenu: false,
        },
      ],
    },

    {
      label: 'Components',
      type: 'heading',
    },
    {
      label: 'Atomic Components',
      targetUrl: '/components',
      apiUrl: '',
      iconUrl: 'workspaces',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Account Hierarchy',
      targetUrl: '/account-hierarchy',
      apiUrl: '',
      iconUrl: 'workspaces',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Report Grid',
      targetUrl: '/reports',
      apiUrl: '',
      iconUrl: 'web',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Cascade Report',
      targetUrl: '/cascade',
      apiUrl: '',
      iconUrl: 'web',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },

    {
      label: 'Snapshots',
      targetUrl: '/snapshot',
      apiUrl: '',
      iconUrl: 'web',
      type: 'dropdown',
      visible: true,
      clickable: true,
      hasSubMenu: true,
      subMenus: [
        {
          label: 'Type 01',
          targetUrl: '/snapshot/1',
          visible: true,
          clickable: true,
          type: 'link',
          configApiUrl: '',
          apiUrl: '',
          hasSubMenu: false,
        },
        {
          label: 'Type 02',
          targetUrl: '/snapshot/2',
          visible: true,
          clickable: true,
          type: 'link',
          configApiUrl: '',
          apiUrl: '',
          hasSubMenu: false,
        },
        {
          label: 'Type 03',
          targetUrl: '/snapshot/3',
          visible: true,
          clickable: true,
          type: 'link',
          configApiUrl: '',
          apiUrl: '',
          hasSubMenu: false,
        },
      ],
    },
    {
      label: 'Forms',
      targetUrl: '/forms',
      apiUrl: '',
      iconUrl: 'web',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Dialog',
      targetUrl: '/dialog',
      apiUrl: '',
      iconUrl: 'web',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Chart',
      targetUrl: '/chart',
      apiUrl: '',
      iconUrl: 'web',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'GIS / Mapping',
      targetUrl: '/mapping',
      apiUrl: '',
      iconUrl: 'web',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Map View',
      targetUrl: '/map-view',
      apiUrl: '',
      iconUrl: 'web',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Tags',
      targetUrl: '/tags',
      apiUrl: '',
      iconUrl: 'sell',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Geofences',
      targetUrl: '/administration/geofences',
      apiUrl: '',
      iconUrl: 'share_location',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    // {
    //   label: 'Demo',
    //   type: 'heading',
    // },
    // {
    //   label: 'Demo Component 1',
    //   targetUrl: '/demo',
    //   apiUrl: '',
    //   iconUrl: 'web',
    //   type: 'link',
    //   visible: true,
    //   clickable: true,
    //   hasSubMenu: false,
    // },
    {
      label: 'Functional Component',
      type: 'heading',
    },
    {
      label: 'Breadcrumb Map',
      targetUrl: '/breadcrumb',
      apiUrl: '',
      iconUrl: 'web',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
    {
      label: 'Component Creator',
      type: 'heading',
    },
    {
      label: 'Creator Page',
      targetUrl: '/creator',
      apiUrl: 'v1/creator',
      iconUrl: 'integration_instructions',
      type: 'link',
      visible: true,
      clickable: true,
      hasSubMenu: false,
    },
  ],
};

// export const STORE_MOCK_OBJ = {
//   loginState: {
//     state: '',
//     isAuthenticated: false,
//     failedCount: 0,
//     isLoading: false,
//     error: false,
//     errorMessage: '',
//     invalidTriesCount: 0,
//   },
//   branding: {
//     applicationName: 'AssetiQ',
//     applicationShortName: 'AssetiQ',
//     applicationTagLine: 'Lift Station Monitoring & Control System',
//     // description: 'Remotely Manage Water Tanks & Flow Control',
//     // apiUrl: 'https://tankiq-test.rt1cloud.com/api',
//     apiUrl: '/api/v1/login',
//     faviconUrl: 'assets/favicon.ico',
//     mainLogoLight: 'assets/Rugged_connect.png',
//     mainLogoDark: 'https://hash8.io/assets/logo-dark-120px-120px.png',
//     footerLogoLight: 'https://hash8.io/assets/logo-light-120px-120px.png',
//     footerLogoDark: 'https://hash8.io/assets/logo-dark-120px-120px.png',
//     poweredBy: 'Rugged Telemetry',
//     showImageLogo: true,
//     heroLogoUrl: 'assets/Finished_Full.png',
//     mode: 'auto'
//   },
//   theme: {
//     name: 'hash8-default',
//     layout: 'horizontal',
//     defaultMode: 'light',
//     fontFamily: 'dinNext', // Inter, dinNext
//     fontSize: '16px',
//     primaryColor: 'rgb(29, 78, 216)',
//     accentColor: 'rgb(32, 120, 104)',
//     warningColor: 'rgb(244, 82, 60)',
//   },
//   appVersion: '1.0',
//   applicationSegments: {
//     login: {
//       name: 'Login',
//       targetUrl: '/v1/login',
//       // apiUrl: '/v1/login',
//       type: 'button',
//       visible: true,
//       clickable: true,
//       redirectUrl: '/', //To Do: Change
//     },
//     poweredBy: {
//       name: 'Powered by Rugged Telemetry',
//       targetUrl: null,
//       apiUrl: null,
//       type: '',
//       visible: false,
//       clickable: false,
//     },
//     poweredByUrl: {
//       name: 'Powered by Rugged Telemetry',
//       targetUrl: 'assets/Rugged-logo-stacked-black.png',
//       apiUrl: null,
//       type: '',
//       visible: true,
//       clickable: false,
//     },
//     forgotPassword: {
//       name: 'Forgot Password?',
//       targetUrl: '/forgot-password',
//       type: 'link',
//       apiUrl: '/v1/user-password-reset',
//       visible: true,
//       clickable: true,
//     },
//     copyright: {
//       name: 'Copyright Hash8.io Private Limited',
//       targetUrl: null,
//       apiUrl: null,
//       type: '',
//       visible: true,
//       clickable: false,
//     },
//     termsConditions: {
//       name: 'Terms & Conditions',
//       targetUrl: '/terms-and-conditions',
//       apiUrl: '/v1/terms-and-conditions',
//       type: 'link',
//       visible: true,
//       clickable: true,
//     },
//     privacyPolicy: {
//       name: 'Privacy Policy',
//       targetUrl: '/privacy-policy',
//       apiUrl: '/v1/privacy-policy',
//       type: 'link',
//       visible: true,
//       clickable: true,
//     },
//     support: {
//       name: 'Contact Us',
//       targetUrl: '/contact-us',
//       apiUrl: '/v1/contact-us',
//       type: 'link',
//       visible: true,
//       clickable: true,
//     },
//   },
//   userDetails: {
//     uuid: '604e349f-ce47-4f54-a347-41de0d72e94e',
//     firstName: 'Jason',
//     lastName: 'Carabetta',
//     username: 'jasonCarabetta',
//     email: 'jason@ruggedtelemetry.com',
//     phoneNumber: '(740) 271-0643',
//   },
//   userDisplaySettings: {
//     uuid: '22fe7aa5-e46a-4c0c-8f69-ff8a7e621352',
//     dateFormat: 'mm/dd/yyyy',
//     dateTimeFormat: 'mm/dd/yyyy hh:mm a',
//     distance: 'mile',
//     level: 'centimeter',
//     temperature: 'celcius',
//     timeFormat: '( GMT-5 ) EST',
//     timeZone: 'EDT',
//     volume: 'liter',
//     weight: 'kilogram',
//   },
//   userSettings: {
//     enableDarkMode: false,
//   },
//   approvedApplications: [
//     {
//       name: 'Reports',
//       targetUrl: 'reports',
//       apiUrl: '',
//       type: 'link',
//       iconUrl: 'summarize',
//       visible: true,
//       clickable: true,
//     },
//     {
//       name: 'Administration',
//       targetUrl: 'admin',
//       apiUrl: '',
//       type: 'link',
//       iconUrl: 'manage_accounts',
//       visible: true,
//       clickable: true,
//     }
//   ],
//   navigationMenu: [
//     {
//       label: 'Dashboard',
//       targetUrl: '/dashboard',
//       apiUrl: 'v1/dashboard',
//       iconUrl: 'grid_view',
//       type: 'link',
//       visible: true,
//       clickable: false,
//       hasSubMenu: false,
//     },

//     {
//       label: 'Lift Stations',
//       targetUrl: '/status',
//       apiUrl: 'v1/status',
//       iconUrl: 'water_damage',
//       type: 'link',
//       visible: true,
//       clickable: true,
//       hasSubMenu: false,
//     },
//     {
//       label: 'Mapping',
//       targetUrl: '/mapping',
//       apiUrl: 'v1/mapping',
//       iconUrl: 'map',
//       type: 'link',
//       visible: true,
//       clickable: false,
//       hasSubMenu: false,
//     },
//     // {
//     //   label: 'Alerts',
//     //   targetUrl: '/alerts',
//     //   apiUrl: 'v1/alerts',
//     //   iconUrl: 'local_shipping',
//     //   type: 'link',
//     //   visible: true,
//     //   clickable: true,
//     //   hasSubMenu: false,
//     // },
//     // {
//     //   label: 'Notifications',
//     //   targetUrl: '/notifications',
//     //   apiUrl: 'v1/notifications',
//     //   iconUrl: 'local_shipping',
//     //   type: 'link',
//     //   visible: true,
//     //   clickable: true,
//     //   hasSubMenu: false,
//     // },
//     // {
//     //   label: 'Reports',
//     //   targetUrl: '/reports',
//     //   apiUrl: 'v1/reports',
//     //   iconUrl: 'local_shipping',
//     //   type: 'link',
//     //   visible: true,
//     //   clickable: true,
//     //   hasSubMenu: false,
//     // },
//     // {
//     //   label: 'Administration',
//     //   targetUrl: '/administration',
//     //   apiUrl: 'v1/administration',
//     //   iconUrl: 'local_shipping',
//     //   type: 'link',
//     //   visible: true,
//     //   clickable: true,
//     //   hasSubMenu: false,
//     // },

//   ],
// };
