import { AppStoreActions } from '@hash8io/core-web';
/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, Input, OnInit } from '@angular/core';
import { AppStoreSelectors } from '@hash8io/core-web';
import { Store } from '@ngrx/store';

@Component({
  selector: 'hash8-platform-user-profile-dropdown',
  templateUrl: './user-profile-dropdown.component.html',
  styleUrls: ['./user-profile-dropdown.component.scss'],
})
export class UserProfileDropdownComponent implements OnInit {
  @Input() fullName!: string;
  @Input() timeZone!: string;

  profileConfig = {
    subMenuDetails: [
      {
        label: 'My Profile',
        visible: true,
        clickable: true,
        urlPath: '/my-profile',
        configApiEndPoint: '/v1/my-profile/config',
        apiEndPoint: '/v1/users',
        hasSubMenu: false,
        subMenuDetails: null,
        showIcon: true,
        icon: 'account_circle',
      },
    ],
  };
  constructor(private store: Store) {}

  ngOnInit(): void {
    this.store.select(AppStoreSelectors.selectUserProfile).subscribe((user) => {
      this.fullName = `${user.firstName} ${user.lastName}`;
    });
    // this.store
    //   .select(AppStoreSelectors.selectDisplaySettings)
    //   .subscribe((displaySettings) => {
    //     this.timeZone = `${displaySettings.timeZone}`;
    //   });
  }

  logout() {
    //To-DO: Need to be Configurable
    const logoutEvents = [
      {
        event: 'click',
        method: 'callAPI',
        params: {
          method: 'post',
          noAccessToken: false,
          apiUrl: '/api/v1/logout',
          bodyParams: [{}],
        },
        events: [],
      },
    ];
    this.store.dispatch(
      AppStoreActions.END_AUTH_SESSION({ events: logoutEvents })
    ); //TO-DO
    // localStorage.clear();
    // this.store.dispatch(AppStoreActions.CLEAR_AUTH_TOKEN());
  }
}
