import { Component, OnInit } from '@angular/core';
import { CtaButtonComponent } from '@hash8io/core-web/cta-button';
import { Store } from '@ngrx/store';
// import { EventsWebService } from '@hash8io/events-web';
import { ICellRendererAngularComp } from 'ag-grid-angular';
import { ICellRendererParams, ServerSideTransaction } from 'ag-grid-community';
import { TemplateService } from '@hash8io/events-web';

@Component({
  selector: 'hash8-platform-grid-action',
  templateUrl: './grid-action.component.html',
  styleUrls: ['./grid-action.component.scss'],
})
export class GridActionComponent
  extends CtaButtonComponent
  implements ICellRendererAngularComp {
  selectedRowData!: any;

  selectedNode!: any;

  params!: any;

  constructor(store: Store, public templateService: TemplateService) {
    super(store);
  }

  agInit(params: ICellRendererParams<any, any>) {
    this.params = params;

    this.selectedRowData = params?.data;
    if (params.value) {
      this.showLabel = params?.colDef?.cellRendererParams?.showLabel;
      this.stroked = params?.colDef?.cellRendererParams?.stroked;
      // if (params?.colDef?.cellRendererParams?.columnData) {

      this.templateService.setData({ item: this.selectedRowData });

      this.actions = this.templateService.processTemplate(
        params?.colDef?.cellRendererParams?.options
      );
      this.templateService.removeData('item');
      // } else {
      //   this.actions = params?.value
      // }
    }
  }
  refresh(params: ICellRendererParams<any, any>): boolean {
    return true;
  }

  gridEmitAction(events: any) {
    // console.log("ROW DATA", this.params.api.getDisplayedRowAtIndex(this.params?.rowIndex))
    // console.log("Params", this.params?.data)
    // console.log("this.selectedRowData", this.templateService.getData())

    this.templateService.setData({ _selectedRow: this.selectedRowData });
    this.eventMethod.emit(events);

    this.store.dispatch({
      type: '[Events] Process events',
      events: events,
    });
  }
}
