import { Component, Input } from '@angular/core';
import { ICellRendererParams } from 'ag-grid-community';
import { ICellRendererAngularComp } from 'ag-grid-angular';
import { Model } from '@hash8io/core-web';
@Component({
  selector: 'hash8-platform-grid-custom-cell',
  templateUrl: './grid-custom-cell.component.html',
  styleUrls: ['./grid-custom-cell.component.scss'],
})
export class GridCustomCellComponent implements ICellRendererAngularComp {
  @Input() rows: any;
  @Input() content: Model.Content[] | any = [];
  @Input() customComponents: any;

  compLookup: any = {};
  _components: any;

  agInit(params: ICellRendererParams<any, any>): void {
    const p = params?.colDef?.cellRendererParams;
    this._components = { ...this.compLookup, ...p.customComponents };
  }

  refresh(params: ICellRendererParams<any, any>): boolean {
    return true;
  }
}
