import { Component, Input } from '@angular/core';

// import { LabelComponent } from '@hash8io/core-web/label';
import { ICellRendererAngularComp } from 'ag-grid-angular';
import { ICellRendererParams } from 'ag-grid-community';
@Component({
  selector: 'hash8-platform-grid-label',
  templateUrl: './grid-label.component.html',
  styleUrls: ['./grid-label.component.scss'],
})
export class GridLabelComponent implements ICellRendererAngularComp {
  @Input() color!: string;
  @Input() label!: string;
  @Input() valueProp!: any;
  @Input() iconUrl!: any;

  bgColor!: string;
  agInit(params: ICellRendererParams<any, any>): void {
    // this.label = params?.value

    const cellRendererData = params?.colDef?.cellRendererParams;
    const groupRendererData =
      params?.colDef?.cellRendererParams?.innerRendererParams;
    const singleGroupRendererData =
      params?.node?.rowGroupColumn?.getColDef()?.cellRendererParams;

    if (
      cellRendererData?.options ||
      groupRendererData?.options ||
      singleGroupRendererData?.options
    ) {
      const fieldOptions =
        cellRendererData?.options ||
        groupRendererData?.options ||
        singleGroupRendererData?.options;

      this.valueProp =
        cellRendererData?.valueProp ||
        groupRendererData?.valueProp ||
        singleGroupRendererData?.valueProp;

      const value = this.valueProp ? params.data[this.valueProp] : params.value;

      fieldOptions?.forEach((x: any) => {
        // if (
        //   (params?.value + '')?.toLowerCase() ===
        //   ((x?.value + '')?.toLowerCase() || (x?.label + '')?.toLowerCase())
        // ) {
        if (
          (value + '')?.toLowerCase() ===
          ((x?.value + '')?.toLowerCase() || (x?.label + '')?.toLowerCase())
        ) {
          this.label = this.valueProp ? params.value : x.label;

          this.iconUrl = x.iconUrl ? x.iconUrl : '';

          this.color = x.color;
        }
      });
      if (!this.label) {
        // this.label = params.value;
        this.label = value;
        if (this.label) {
          this.color =
            cellRendererData?.defaultColor ||
            groupRendererData?.defaultColor ||
            singleGroupRendererData?.defaultColor;
          this.iconUrl =
            cellRendererData?.defaultIconUrl ||
            groupRendererData?.defaultIconUrl ||
            singleGroupRendererData?.defaultIconUrl;
        }
      }
    }
  }

  refresh(params: ICellRendererParams<any, any>): boolean {
    return true;

    //
  }
}
