import { Component, Input, OnInit } from '@angular/core';
import { ICellRendererAngularComp } from 'ag-grid-angular';
import { ICellRendererParams } from 'ag-grid-community';
import { DataGridWebService } from '../../services/data-grid-web.service';

@Component({
  selector: 'hash8-platform-grid-progress',
  templateUrl: './grid-progress.component.html',
  styleUrls: ['./grid-progress.component.scss'],
})
export class GridProgressComponent implements ICellRendererAngularComp {

  @Input() iconUrl!: string | undefined;

  @Input() iconColor!: string
  @Input() color!: string;
  @Input() percentage!: number;

  label!: string;

  constructor(public dataGridWebService: DataGridWebService) {

    //
  }
  agInit(params: ICellRendererParams<any, any>): void {

    const singleGroupRendererData = params?.node?.rowGroupColumn?.getColDef()?.cellRendererParams
    const cellRendererData = params?.colDef?.cellRendererParams;


    if (params?.value) {
      this.percentage = params?.value?.percentage;
      this.label = params?.value?.label;
    }
    if (this.label) {
      this.color = cellRendererData?.defaultColor || singleGroupRendererData?.defaultColor

    }
    if (cellRendererData?.colorExpression || singleGroupRendererData?.colorExpression) {
      this.color = this.dataGridWebService.evaluate(cellRendererData?.colorExpression || singleGroupRendererData?.colorExpression, params)

    }

  }
  refresh(params: ICellRendererParams<any, any>): boolean {
    return true;
  }




}

