import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DataGridWebComponent } from './data-grid-web.component';
import { FormsModule } from '@angular/forms';
import { MatIconModule } from '@angular/material/icon';
import { MatButtonModule } from '@angular/material/button';
import { AgGridModule } from 'ag-grid-angular';
import 'ag-grid-enterprise';
import { MatMenuModule } from '@angular/material/menu';
import { MatButtonToggleModule } from '@angular/material/button-toggle';
import { GridStatusBarComponent } from './components/grid-status-bar/grid-status-bar.component';
import { SharedModule } from '@hash8io/core-web';
import { GridTextComponent } from './components/grid-text/grid-text.component';
import { GridProgressComponent } from './components/grid-progress/grid-progress.component';
import { GridIconComponent } from './components/grid-icon/grid-icon.component';
import { GridLabelComponent } from './components/grid-label/grid-label.component';
import { CoreWebModule } from '@hash8io/core-web';
import { GridActionComponent } from './components/grid-action/grid-action.component';
import { GridTitleComponent } from './components/grid-title/grid-title.component';
import { GridLinkComponent } from './components/grid-link/grid-link.component';
import { GridDateTimeComponent } from './components/grid-date-time/grid-date-time.component';
import { GridSlideToggleComponent } from './components/grid-slide-toggle/grid-slide-toggle.component';
import { GridCheckboxComponent } from './components/grid-checkbox/grid-checkbox.component';
import { GridTagComponent } from './components/grid-tag/grid-tag.component';
import { DynamicModule, DynamicIoModule } from 'ng-dynamic-component';
import { GridIndicatorComponent } from './components/grid-indicator/grid-indicator.component';
import { GridLocationComponent } from './components/grid-location/grid-location.component';

import { GridChartComponent } from './components/grid-chart/grid-chart.component';
import { GridUnitConversionComponent } from './components/grid-unit-conversion/grid-unit-conversion.component';

import { ChartModule } from '@hash8io/chart-web/common';

import { SparklineChartModule } from '@hash8io/chart-web/sparkline-chart';
import { GridTooltipComponent } from './components/grid-tooltip/grid-tooltip.component';
import { NgApexchartsModule } from 'ng-apexcharts';

// import { TagsWebModule } from '@hash8io/tags-web';
// import { NgxMaskModule, IConfig } from 'ngx-mask'

// export const options: Partial<null | IConfig> | (() => Partial<IConfig>) = null;

@NgModule({
  imports: [
    CommonModule,
    MatIconModule,
    FormsModule,
    MatButtonModule,
    AgGridModule,
    MatMenuModule,

    MatButtonToggleModule,
    SharedModule,
    CoreWebModule,
    DynamicModule,
    DynamicIoModule,
    // TagsWebModule
    // NgxMaskModule.forRoot(),
    GridTagComponent,
    SparklineChartModule,
    ChartModule,
    // AgChartsAngularModule,
    NgApexchartsModule
  ],
  declarations: [
    DataGridWebComponent,
    GridStatusBarComponent,
    GridTextComponent,
    GridProgressComponent,
    GridIconComponent,
    GridLabelComponent,
    GridActionComponent,
    GridTitleComponent,
    GridLinkComponent,
    GridSlideToggleComponent,
    GridCheckboxComponent,
    GridIndicatorComponent,
    GridLocationComponent,
    GridChartComponent,
    GridDateTimeComponent,
    GridUnitConversionComponent,
    GridTooltipComponent,
  ],
  exports: [
    DataGridWebComponent,
    GridLinkComponent,
    GridSlideToggleComponent,
    GridTagComponent,
    GridStatusBarComponent,
    GridTitleComponent,
    GridDateTimeComponent,
    GridIndicatorComponent,
    GridUnitConversionComponent,
    GridTooltipComponent,
  ],
})
export class DataGridWebModule { }
