import { SideBarDef, StatusPanelDef } from 'ag-grid-enterprise';
import { NewColumnDef } from './newColumnDefinition.interface';

export interface DataGridModel {
  columnDefs: NewColumnDef[];
  rowData: any[];
  options?: DataGridOptionsModel;
}

export interface DataGridOptionsModel {
  theme?: 'ag-theme-hash8-theme' | string;
  hasPagination?: any;
  paginationSize?: number;
  showSideBar?: boolean;
  hasPivot?: boolean | undefined;
  hasRowGroupPanel?: boolean;
  hasFilters?: boolean;
  hasGrouping?: boolean;
  hasRowAction?: boolean;
  hasSideBarValues?: boolean;
  hasColumns?: boolean;
  hasColumnVisibility?: boolean;
  rowSelection?: 'single' | 'multiple' | undefined;
  hasRangeSelection?: any;
  columnSizing?: 'auto' | 'content';
  hasColumnPinning?: boolean;
  hasRightClick?: boolean;
  showColumnOptions?: boolean;
  statusBar?: { statusPanels: StatusPanelDef[] } | undefined;
  heightMode?: 'normal' | 'autoHeight' | 'print';
  sideBarPanel?: SideBarDef | string | string[] | boolean | null;
  height?: string;
  sideBar?: SideBarDef | string | string[];
  sortable?: boolean;
  filter?: boolean;
  resizable?: boolean;
  editable?: boolean;
  allowContextMenuWithControlKey?: any;
  enablePivot?: boolean;
  enableValue?: boolean;
  enableRowGroup?: boolean;
  groupDisplayType?: any;
  autoGroupColumnDef?: any;
  groupRemoveSingleChildren?: any;
  suppressAggFuncInHeader?: any;
  groupRemoveLowestSingleChildren?: any;
  isTreeData?: any;
  treeHierarchyColumnName?: any;
  groupDefaultExpanded?: any;
  groupSelectsChildren?: any;
  animateRows?: any;
  suppressMenu?: boolean;
  useValueFormatterForExport?: boolean;
  groupHeaderHeight?: any;
  headerHeight?: any;
}
