import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DataReportWebComponent } from './data-report-web.component';
import { SharedModule } from '@hash8io/core-web';
import { CardModule } from '@hash8io/core-web/card';
import { DataGridWebModule } from '@hash8io/data-grid-web';
import { RouterModule } from '@angular/router';
import { BreadcrumbModule } from '@hash8io/core-web/breadcrumb';
import { TitleModule } from '@hash8io/core-web/title';
import { CtaButtonModule } from '@hash8io/core-web/cta-button';
import { ToolbarModule } from '@hash8io/core-web/toolbar';

import { MatMenuModule } from '@angular/material/menu';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { ReportGridStoreModule } from '@hash8io/common-store-web/report-grid-store';
import { TreeViewModule } from '@hash8io/tree-view-web';
import { LegendsModule } from '@hash8io/core-web/legends';
import { DropdownWebModule } from '@hash8io/dropdown-web';
// import { LayoutModule } from '@hash8io/core-web/layout';
// import { ToastService } from '@hash8io/core-web';

@NgModule({
  declarations: [DataReportWebComponent],
  imports: [
    CommonModule,
    SharedModule,
    DataGridWebModule,
    CardModule,
    BreadcrumbModule,
    ToolbarModule,
    TitleModule,
    CtaButtonModule,
    RouterModule,
    MatMenuModule,
    MatIconModule,
    MatButtonModule,
    ReportGridStoreModule,
    TreeViewModule,
    LegendsModule,
    DropdownWebModule,
  ],
  providers: [],
  exports: [DataReportWebComponent],
})
export class DataReportWebModule {}
