import { Model } from '@hash8io/core-web';
// import { DialogDataModel } from "@hash8io/dialog-web";
export const DIALOG_FORM = {
  title: {
    label: 'Invite User',
    iconUrl: 'apartment',
  },
  content: [
    {
      type: 'form',
      props: {
        fields: [
          {
            type: '#text',
            key: 'username',
            props: {
              label: 'Username',
              align: 'row',
              required: true,
              async: true,
            },
          },
          {
            type: '#text',
            key: 'email',
            className: 'block mb-2',
            props: {
              label: 'Email',
              align: 'row',
              required: true,
              async: true,
              // apiKey: 'email',
              // errorMessage: `email is already regisitered.`,
            },
          },
        ],
        options: {
          submitLabel: 'Invite User',
          submitEvent: {
            events: [
              {
                event: 'click',
                apiUrl: '/api/v1/invite-users',
                params: {},
                type: '',
              },
            ],
          },
          cancel: {
            label: 'Cancel',
            events: [
              {
                event: 'click',
                method: 'closeModal',
                params: {},
                type: '',
              },
            ],
          },
          // cancelLabel:'Cancel',
          // hasReset: false,
          // submitLabelClass: ['w-full'],
        },
      },
    },
  ],
};

export const REPORTS_CONFIG_MOCK = [
  {
    title: 'My Organizations',
    icon: 'layer',
    apiUrl: 'https://reqres.in/api/users?page=2',
    options: {
      showTitle: false,
      showBreadcrumb: true,
      showSearch: true,
      showSettings: true,
      showActions: true,
    },
    style: {
      width: '100%',
      height: '300px',
    },
    breadcrumbs: [
      {
        urlPath: '',
        label: 'My Organization',
        value: '',
      },
      {
        urlPath: '',
        label: 'All',
        value: '',
      },
    ],
    settings: [
      {
        label: ' Export to CSV',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
      {
        label: ' Export to Excel',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
    ],
    actions: [
      {
        label: 'Create Organization',
        iconUrl: 'add',
        urlPath: '',
        isPrimaryAction: true,
      },
    ],
    count: {
      label: 'Organizations',
      value: '',
    },
  },
  {
    title: 'Sales Channel',
    icon: 'layer',
    apiUrl: 'https://reqres.in/api/users?page=2',
    options: {
      showTitle: false,
      showBreadcrumb: true,
      showSearch: true,
      showSettings: true,
      showActions: true,
    },
    breadcrumbs: [
      {
        urlPath: '',
        label: 'Sales Channel',
        value: '',
        isActive: false,
      },
      {
        urlPath: '',
        label: 'All',
        value: '',
        isActive: false,
      },
    ],
    settings: [
      {
        label: ' Export to CSV',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
      {
        label: ' Export to Excel',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
    ],
    actions: [
      {
        label: 'Create Sales Channel',
        iconUrl: 'add',
        urlPath: '',
        isActive: true,
        isPrimaryAction: true,
      },
    ],
    count: {
      label: 'Sales Channel',
      value: '',
    },
  },
  {
    title: 'Users',
    icon: 'layer',
    apiUrl: 'https://reqres.in/api/users?page=2',
    options: {
      showTitle: false,
      showBreadcrumb: true,
      showSearch: true,
      showSettings: true,
      showActions: true,
    },
    breadcrumbs: [
      {
        urlPath: '',
        label: 'My Organizations',
        value: '',
        isActive: false,
      },
      {
        urlPath: '',
        label: 'Organization',
        value: 'Autocavo',
        isActive: false,
      },
      {
        urlPath: '',
        label: 'Users',
        value: '',
        isActive: false,
      },
    ],
    settings: [
      {
        label: 'Suspend User',
        iconUrl: 'person',
        urlPath: '',
        isActive: true,
      },
      {
        label: 'Deactivate User',
        iconUrl: 'person',
        urlPath: '',
        isActive: true,
      },
    ],
    actions: [
      {
        label: 'Invite Users',
        iconUrl: 'add_person',
        urlPath: '',
        isPrimaryAction: true,
      },
    ],
    count: {
      label: 'Users',
      value: '',
    },
  },
  {
    title: 'User Roles',
    icon: 'layer',
    reportUUID: 101,
    apiUrl: 'https://reqres.in/api/users?page=2',
    options: {
      showTitle: false,
      showBreadcrumb: true,
      showSearch: true,
      showSettings: true,
      showActions: true,
    },
    breadcrumbs: [
      {
        urlPath: '',
        label: 'My Organizations',
        value: '',
        isActive: false,
      },
      {
        urlPath: '',
        label: 'Organization',
        value: 'Autocavo',
        isActive: false,
      },
      {
        urlPath: '',
        label: 'Users',
        value: 'Tyrese Long',
        isActive: false,
      },
      {
        urlPath: '',
        label: 'User Roles',
        value: '',
        isActive: false,
      },
    ],
    settings: [
      {
        label: 'Add User to a Role',
        iconUrl: 'person',
        urlPath: '',
        isActive: true,
      },
      {
        label: 'Delete User Role',
        iconUrl: 'delete',
        urlPath: '',
        isActive: true,
      },
    ],
    actions: [
      {
        label: 'Create Role',
        iconUrl: 'add',
        urlPath: '',
        isActive: true,
        isPrimaryAction: true,
      },
    ],
    count: {
      label: 'User Roles',
      value: '',
    },
  },
  {
    title: 'Customers',
    icon: 'layer',
    apiUrl: 'https://reqres.in/api/users?page=2',
    options: {
      showTitle: false,
      showBreadcrumb: true,
      showSearch: true,
      showSettings: true,
      showActions: true,
    },
    breadcrumbs: [
      {
        urlPath: '',
        label: 'Customers',
        value: '',
        isActive: false,
      },
      {
        urlPath: '',
        label: 'All',
        value: '',
        isActive: false,
      },
    ],
    settings: [
      {
        label: ' Export to CSV',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
      {
        label: ' Export to Excel',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
    ],
    actions: [
      {
        label: 'Create Customer',
        iconUrl: 'add',
        urlPath: '',
        isActive: true,
        isPrimaryAction: true,
      },
    ],
    count: {
      label: 'Customers',
      value: '',
    },
  },
  {
    title: 'Accounts',
    icon: 'layer',
    apiUrl: 'https://reqres.in/api/users?page=2',
    options: {
      showTitle: false,
      showBreadcrumb: true,
      showSearch: true,
      showSettings: true,
      showActions: true,
    },
    breadcrumbs: [
      {
        urlPath: '',
        label: 'My Organizations',
        value: '',
        isActive: false,
      },
      {
        urlPath: '',
        label: 'Organization',
        value: 'Autocavo',
        isActive: false,
      },
      {
        urlPath: '',
        label: 'Accounts',
        value: '',
        isActive: false,
      },
    ],
    settings: [
      {
        label: 'Suspend User',
        iconUrl: 'person',
        urlPath: '',
        isActive: true,
      },
      {
        label: 'Deactivate User',
        iconUrl: 'person',
        urlPath: '',
        isActive: true,
      },
    ],
    actions: [
      {
        label: 'Create Account',
        iconUrl: 'add',
        urlPath: '',
        isActive: true,
        isPrimaryAction: true,
      },
    ],
    count: {
      label: 'Accounts',
      value: '',
    },
  },
  {
    title: 'Target Injection Rate',
    icon: 'my_location',
    apiUrl: 'https://reqres.in/api/users?page=2',
    options: {
      showTitle: false,
      showBreadcrumb: true,
      showSearch: true,
      showSettings: true,
      showActions: true,
    },
    breadcrumbs: [],
    settings: [],
    actions: [],
    count: {},
  },
  {
    title: 'Vehicles',
    icon: 'local_shipping',
    apiUrl: 'https://reqres.in/api/users?page=2',
    options: {
      showTitle: false,
      showBreadcrumb: true,
      showSearch: true,
      showSettings: true,
      showActions: true,
    },
    breadcrumbs: [
      {
        urlPath: '',
        label: 'Vehicles',
        value: '',
      },
      {
        urlPath: '',
        label: 'All',
        value: '',
      },
    ],
    settings: [
      {
        label: ' Export to CSV',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
      {
        label: ' Export to Excel',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
    ],
    actions: [
      {
        label: 'Onboard Vehicle',
        iconUrl: 'add',
        urlPath: '',
        isPrimaryAction: true,
      },
    ],
    count: {
      label: 'Vehicles',
      value: '',
    },
  },
  //Pivoting
  {
    title: 'Vehicles',
    icon: 'local_shipping',
    apiUrl: 'https://www.ag-grid.com/example-assets/olympic-winners.json',
    options: {
      showTitle: false,
      showBreadcrumb: true,
      showSearch: true,
      showSettings: true,
      showActions: true,
    },
    breadcrumbs: [
      {
        urlPath: '',
        label: 'Vehicles',
        value: '',
      },
      {
        urlPath: '',
        label: 'All',
        value: '',
      },
    ],
    settings: [
      {
        label: ' Export to CSV',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
      {
        label: ' Export to Excel',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
    ],

    actions: [
      {
        label: 'Onboard Vehicle',
        iconUrl: 'add',
        urlPath: '',
        isPrimaryAction: true,
      },
    ],
    count: {
      label: 'Vehicles',
      value: '',
    },
  },

  //Vehicle
  {
    title: 'Vehicles',
    icon: 'layer',
    reportUUID: 600,
    apiUrl: 'https://www.ag-grid.com/example-assets/olympic-winners.json',
    options: {
      showTitle: false,
      showBreadcrumb: true,
      showSearch: true,
      showSettings: true,
      showActions: true,
    },
    breadcrumbs: [
      {
        urlPath: '',
        label: 'Vehicles',
        value: '',
      },
      {
        urlPath: '',
        label: 'All',
        value: '',
      },
    ],
    settings: [
      {
        label: ' Export to CSV',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
      {
        label: ' Export to Excel',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
    ],

    actions: [
      {
        label: 'Onboard Vehicle',
        iconUrl: 'add',
        urlPath: '',
        isPrimaryAction: true,
      },
    ],
    count: {
      label: 'Vehicles',
      value: '',
    },
  },

  //Trip
  {
    title: 'Vehicles',
    icon: 'layer',
    reportUUID: 601,
    apiUrl: 'https://www.ag-grid.com/example-assets/olympic-winners.json',
    options: {
      showTitle: false,
      showBreadcrumb: true,
      showSearch: true,
      showSettings: true,
      showActions: true,
    },
    breadcrumbs: [
      {
        urlPath: '',
        label: 'Vehicles',
        value: '',
      },
      {
        urlPath: '',
        label: 'All',
        value: '',
      },
    ],
    settings: [
      {
        label: ' Export to CSV',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
      {
        label: ' Export to Excel',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
    ],

    count: {
      label: 'Vehicles',
      value: '',
    },
  },

  //Vehicle status
  {
    title: 'Status',
    icon: 'layer',
    reportUUID: 602,
    apiUrl: 'https://www.ag-grid.com/example-assets/olympic-winners.json',
    options: {
      showTitle: false,
      showBreadcrumb: true,
      showSearch: true,
      showSettings: true,
      showActions: true,
    },
    breadcrumbs: [
      {
        urlPath: '',
        label: 'Vehicles',
        value: '',
      },
      {
        urlPath: '',
        label: 'All',
        value: '',
      },
    ],
    settings: [
      {
        label: 'Send Command',
        targetUrl: '/tank-history',
        visible: true,
        clickable: true,
        type: Model.MenuType.Link,
        iconUrl: 'layers',
        configApiUrl: '',
        apiUrl: '',
        hasSubMenu: false,
        events: [
          {
            event: 'click',
            //  method : (data:any)=> {console.log("Method Call",data)},
            method: 'openFormDialog',
            params: {
              data: DIALOG_FORM,
            },
            type: 'utils',
          },
        ],
      },
      {
        label: ' Export to CSV',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
        events: [
          {
            type: 'click',
            method: 'exportToCSV',
            params: {},
            events: [
              {
                type: 'success',
                method: 'showToast',
                params: {
                  message: 'Exported to CSV',
                },
              },
              {
                type: 'failure',
                method: 'showToast',
                params: {
                  message: '',
                },
              },
            ],
          },
        ],
      },
      {
        label: ' Export to Excel',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
        events: [
          {
            type: 'click',
            method: 'exportToExcel',
            params: {},
            events: [
              {
                type: 'success',
                method: 'showToast',
                params: {
                  message: 'Exported to Excel',
                },
              },
              {
                type: 'failure',
                method: 'showToast',
                params: {
                  message: '',
                },
              },
            ],
          },
        ],
      },
    ],

    count: {
      label: 'Vehicles',
      value: '',
    },
  },

  //Pivot
  {
    title: 'Pivot',
    icon: 'layer',
    reportUUID: 603,
    apiUrl: 'https://www.ag-grid.com/example-assets/olympic-winners.json',
    options: {
      showTitle: false,
      showBreadcrumb: true,
      showSearch: true,
      showSettings: true,
      showActions: true,
    },
    breadcrumbs: [
      {
        urlPath: '',
        label: 'Pivot',
        value: '',
      },
      {
        urlPath: '',
        label: 'All',
        value: '',
      },
    ],
    settings: [
      {
        label: ' Export to CSV',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
      {
        label: ' Export to Excel',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
    ],

    count: {
      label: 'Records',
      value: '',
    },
  },

  //Asset status
  {
    title: 'Status',
    icon: 'layer',
    reportUUID: 606,
    apiUrl: '/api/v1/assets',
    style: {
      width: '100%',
      height: '300px',
    },
    options: {
      showTitle: false,
      showBreadcrumb: false,
      showSearch: true,
      showSettings: true,
      showActions: true,
      editable: false,
    },
    breadcrumbs: [
      {
        urlPath: '',
        label: 'Tanks',
        value: '',
      },
      {
        urlPath: '',
        label: 'All',
        value: '',
      },
    ],
    settings: [
      {
        label: ' Export to CSV',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
      {
        label: ' Export to Excel',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
    ],

    count: {
      label: 'Lift Stations',
      value: '',
    },
  },
];
