import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/internal/Observable';

@Injectable({
  providedIn: 'root'
})
export class DataReportWebService {

  constructor(public http: HttpClient) { }

  authenticationToken = localStorage.getItem('access_token');

  headers = new HttpHeaders({
    'Content-Type': 'application/json',
    Authorization: 'Bearer ' + this.authenticationToken,
  });

  getFilterData(
    apiEndpoint: string,
  ) {
    return this.http.get(apiEndpoint, { headers: this.headers }).pipe((response: any) => {


      if (response.data) {
        return response.data;
      } else {
        return response;
      }
    })

  }
}
