/* eslint-disable @typescript-eslint/no-inferrable-types */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import {
  AfterViewInit,
  Component,
  Inject,
  OnDestroy,
  OnInit,
  Optional,
} from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
import { DialogDataModel } from './models/dialog.model';
import { TemplateService } from '@hash8io/events-web';
import { Store } from '@ngrx/store';

@Component({
  selector: 'hash8-platform-dialog',
  templateUrl: './dialog-web.component.html',
  styleUrls: ['./dialog-web.component.scss'],
})
export class DialogWebComponent implements OnInit, AfterViewInit, OnDestroy {
  // @Input() title!: Model.Title;
  // @Input() content: Model.Content[] = [];
  // @Input() customComponents!: any;
  dialogData: DialogDataModel;
  isLoading: boolean = false;

  constructor(
    @Optional() public dialogRef: MatDialogRef<DialogWebComponent>,
    @Optional() @Inject(MAT_DIALOG_DATA) public data: DialogDataModel,
    private store: Store
  ) {
    this.dialogData = this.data; //For Write Access

    // this.title = this.data?.title;
    // this.content = this.data?.content || [];
    // this.customComponents = this.data?.customComponents;
  }

  ngOnInit(): void {
    this.isLoading = true;
  }

  somethingData(params: any) {
    console.log('Something Params', params);
  }

  ngAfterViewInit(): void {
    setTimeout(() => {
      this.isLoading = false;
    });
  }

  ngOnDestroy() {
    const events = [
      {
        event: 'success',
        method: 'removeData',
        params: {
          keys: ['formData', '_selectedRow', 'selectedOrgObject'],
        },
      },
    ];
    this.store.dispatch({
      type: '[Events] Process events',
      events: events,
    });
  }
}
