/* eslint-disable @typescript-eslint/member-ordering */
/* eslint-disable @typescript-eslint/no-inferrable-types */
/* eslint-disable @typescript-eslint/no-non-null-assertion */
/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { ComponentType, ComponentPortal } from '@angular/cdk/portal';
import {
  Component,
  EventEmitter,
  Input,
  OnChanges,
  OnInit,
  Output,
  SimpleChanges,
  ViewChild,
  ViewContainerRef,
} from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { DropdownWebService } from './service/dropdown-web.service';
import { TemplateService } from '@hash8io/events-web';
import { Store } from '@ngrx/store';

@Component({
  selector: 'hash8-platform-dropdown-web',
  templateUrl: './dropdown-web.component.html',
  styleUrls: ['./dropdown-web.component.scss'],
})
export class DropdownWebComponent implements OnInit, OnChanges {
  @Input() config!: any;
  @Input() options: any[] = [];
  @Input() nextOptions: (selectedValue: string) => any[] = () => [];
  @Input() valueProp: any = 'id';
  @Input() labelProp: any = 'name';

  @Output() valueChange = new EventEmitter();

  @Input() selectedValue!: any;
  nextDropdownOptions: any[] = [];

  constructor() {}
  ngOnInit(): void {}

  ngOnChanges(changes: SimpleChanges): void {
    if (changes['options'] && this['options'].length > 0) {
      this.selectedValue = this.selectedValue
        ? this.selectedValue
        : this.options[0]?.[this.valueProp];
      this.updateNextDropdown();
    }
  }

  onSelectChange() {
    this.updateNextDropdown();
  }

  onValueChange(event: any) {
    // this.selectedValue = event.value;
    this.valueChange.emit(event);
  }

  updateNextDropdown() {
    this.nextDropdownOptions = this.nextOptions(this.selectedValue);
  }

  // @Input() configuration!: any;
  // @Input() instanceId!: string;

  // @Input() name!: any;
  // hierarchySelectedValue: any = '';

  // @Input() label!: string;
  // @Input() grid: any;

  // @Input() defaultSelectedValue: any = '';
  // @Input() options: any = [];
  // @Input() hasMultipleSelection: boolean = false;
  // @Input() dropdownWidth: any = '240px';
  // @Input() dropdownHeight: any = '230px';
  // @Input() dropdownMaxHeight: any = '500px';

  // // Portal
  // @Input() component!: ComponentType<any>;
  // @Input() inputs!: any;

  // dataSource!: any;

  // apiUrl!: any;

  // selectedValue!: any;
  // // inputs = {};
  // outputs = {
  //   selection: (value: any) => {
  //     this.inputs['selectedData'] = value;
  //     // this._open = false
  //     this.onSelectionChange(value);
  //   },
  // };

  // dropdownPortal!: ComponentPortal<any>;

  // @ViewChild('dropContainer', { read: ViewContainerRef })
  // dropContainerRef!: ViewContainerRef;

  // private _onSelection: BehaviorSubject<string> = new BehaviorSubject('');
  // @Output() selection: Observable<string> = this._onSelection.asObservable();

  // _open = false;
  // private _defaultLabel: string = '';

  // constructor(
  //   private dropdownWebService: DropdownWebService,
  //   private store: Store,
  //   public templateService: TemplateService
  // ) {}

  // ngOnInit(): void {
  //   if (this.configuration) {
  //     this.label = this.configuration?.label;
  //     this.apiUrl = this.configuration?.apiUrl;
  //     this.hierarchySelectedValue = this.configuration?.defaultValues;
  //   }

  //   if (this.apiUrl) {
  //     const dropdownApiUrl = this.templateService.processTemplate(
  //       this.configuration?.apiUrl
  //     );

  //     this.dropdownWebService.getData(dropdownApiUrl).subscribe((data: any) => {
  //       this.dataSource = data?.data;
  //     });
  //   }

  //   this.templateService.setData({
  //     filter: [{ name: this.configuration?.name, data: this.dataSource }],
  //   });

  //   // this._defaultLabel = this.label;
  //   // this.selectedValue = this.defaultSelectedValue;
  //   // this.dropdownPortal = new ComponentPortal(this.component);
  // }

  // onSelectionChange(value: any) {
  //   this._onSelection.next(value);
  //   if (value.length > 1) {
  //     this.label = `${value.length} selected`;
  //   } else if (value.length === 1) {
  //     this.label = value[0].label;
  //   } else {
  //     this.label = this._defaultLabel;
  //   }

  //   // if (this.grid?.gridApi) this.grid?.externalFilterChange(event);
  //   // if (this.grid?.api) this.grid?.externalFilterChange(event);
  // }

  // getSelectionValue(selectedFilterValue: any) {
  //   console.log('selectedFilterValue', selectedFilterValue);

  //   //Get Report Filter UUID
  //   const reportFilterUUIDs = this.templateService
  //     .getData()
  //     .reportFilter?.map((data: any) => data?.uuid);

  //   selectedFilterValue?.map((filterValue: any) => {
  //     if (!reportFilterUUIDs?.includes(filterValue?.uuid)) {
  //       this.templateService.setData({ reportFilter: selectedFilterValue });
  //       this.templateService.processTemplate(this.configuration?.apiUrl);

  //       this.store.dispatch({
  //         type: '[Events] Process events',
  //         events: this.configuration?.events,
  //       });
  //       this.hierarchySelectedValue = selectedFilterValue;

  //       this._open = false;
  //       this.onSelectionChange(selectedFilterValue);
  //     }
  //   });
  // }

  // openDropdown() {
  //   this._open = true;
  // }
}
