import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class DropdownWebService {

  constructor(private http: HttpClient) { }

  authenticationToken = localStorage.getItem('access_token');

  headers = new HttpHeaders({
    'Content-Type': 'application/json',
    Authorization: 'Bearer ' + this.authenticationToken,
  });

  getData(apiEndpoint: any) {

    return this.http.get(apiEndpoint, { headers: this.headers }).pipe(
      ((response: any) => {
        if (response.data) {
          return response.data;
        } else {
          return response;
        }
      })
    );
  }

}
