import { Component, Input, OnInit } from '@angular/core';
import { TemplateService } from '@hash8io/events-web';

@Component({
  selector: 'hash8-platform-dynamic-map',
  templateUrl: './dynamic-map.component.html',
  styleUrls: ['./dynamic-map.component.scss'],
})
export class DynamicMapComponent implements OnInit {
  @Input() markerOptions!: any;
  @Input() mapOptions!: any;
  @Input() markers!: any;
  @Input() circles!: any;
  @Input() polygons!: any;
  @Input() geofences!: any;

  @Input() fields!: any;

  statusObject!: any;
  selectedRowData!: any;

  constructor(private templateService: TemplateService) {}

  ngOnInit() {
    const getTemplateData = this.templateService.getData('_selectedRow');
    this.selectedRowData = getTemplateData?._selectedRow;
  }
}
