/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, Input, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';

@Component({
  selector: 'hash8-platform-dynamic-text',
  templateUrl: './dynamic-text.component.html',
  styleUrls: ['./dynamic-text.component.scss'],
})
export class DynamicTextComponent implements OnInit {
  @Input() label!: string;
  @Input() key!: string;
  @Input() value!: any;
  @Input() align: 'row' | 'column' = 'row';
  @Input() labelClass !: any;
  // @Input() status = {
  //   value: 'verified',
  //   label: 'Verified',
  //   color: 'green',
  //   labelColor: 'white',
  //   colorMode: 'dark',
  //   iconUrl: 'check_circle',
  //   iconColor: 'white',
  //   hideLabel: true,
  //   tooltip: 'Pump ON',
  //   style: '',
  // };
  @Input() status!: any;
  // value: 'verified',
  // label: 'Verified',
  // color: 'orangered',
  // labelColor: 'white',
  // colorMode: 'dark',
  // iconUrl: 'info',
  // iconColor: 'white',
  // hideLabel: true,
  // tooltip: 'Phone Number Not Verified',
  // style: '',
  // };
  get layout() {
    if (this.align === 'row') {
      return {
        column: 2,
      };
    } else {
      return {
        column: 1,
      };
    }
  }

  constructor(private store: Store) {
    // console.log("Label", this.label)
    // console.log("Key", this.key)
    // console.log("Value", this.value)
  }

  ngOnInit(): void { }

  verifyOTP(phoneNumber: any) {
    const events = [
      {
        event: 'success',
        method: 'postAPI',
        params: {
          apiUrl: '/api/v1/user/otp',
          bodyParams: [
            // {
            //   key: 'invitationUUID',
            // },
            {
              key: 'verificationType',
              value: 'Phone Number',
            },
            {
              key: 'phoneNumber',
              value: phoneNumber, //TO-DO MB
            },
          ],
          noAccessToken: false,
        },
        events: [
          {
            event: 'success',
            method: 'showToast',
            params: {
              message: 'Verification code sent to your phone number',
              duration: 5000,
            },
          },
          {
            event: 'success',
            method: 'goToPage',
            params: {
              urlPath: '/verification',
              state: { verifyFrom: 'profile', phoneNumber: phoneNumber },
            },
            type: '',
          },

          {
            event: 'failure',
            method: 'showErrorToast',
            params: {
              message: 'Error Generating OTP',
            },
          },
        ],
      },
    ];
    this.store.dispatch({
      type: '[Events] Process events',
      events: events,
    });
  }
}
