/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, Input, OnInit } from '@angular/core';
// import { CascadeReportWebComponent } from '@hash8io/cascade-report-web';
import { Model } from '@hash8io/core-web';
import { CtaButtonComponent } from '@hash8io/core-web/cta-button';
import { LabelComponent } from '@hash8io/core-web/label';
import { TitleComponent } from '@hash8io/core-web/title';
import { FormsWebComponent, Label } from '@hash8io/forms-web';

import { DynamicKpiComponent } from './components/dynamic-kpi/dynamic-kpi.component';
import { DynamicTemplateComponent } from './components/dynamic-template/dynamic-template.component';
import { DynamicTextComponent } from './components/dynamic-text/dynamic-text.component';
import { DynamicReportsComponent } from './components/dynamic-reports/dynamic-reports.component';
import { ChartComponent } from '@hash8io/chart-web/common';
import { MapWebComponent } from '@hash8io/map-web'
import { DynamicMapComponent } from './components/dynamic-map/dynamic-map.component';
import { DynamicToggleButtonComponent } from './components/dynamic-toggle-button/dynamic-toggle-button.component';

@Component({
  selector: 'hash8-platform-dynamic-content',
  templateUrl: './dynamic-content-web.component.html',
  styleUrls: ['./dynamic-content-web.component.scss'],
})
export class DynamicContentWebComponent implements OnInit {
  @Input() rows: any;
  @Input() content: Model.Content[] | any = [];

  compLookup: any = {
    text: DynamicTextComponent,
    heading: DynamicTextComponent,
    template: DynamicTemplateComponent,
    kpi: DynamicKpiComponent,
    'report-card': DynamicReportsComponent,
    map: DynamicMapComponent,
    // cascade: CascadeReportWebComponent,
    // grid: DataReportWebComponent,
    // gridTitle: TitleComponent,
    // gridText: GridTextComponent,
    // gridLabel: LabelComponent,
    // gridProgress: GridProgressComponent,

    action: CtaButtonComponent,
    label: LabelComponent,
    form: FormsWebComponent,
    actions: CtaButtonComponent,
    title: TitleComponent,
    chart: ChartComponent,
    toggle: DynamicToggleButtonComponent
  };
  @Input() customComponents: any;
  _components: any;

  constructor() { }

  ngOnInit(): void {
    this._components = { ...this.compLookup, ...this.customComponents };
  }
}
