import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NgObjectPipesModule } from 'ngx-pipes';
import { DynamicContentWebComponent } from './dynamic-content-web.component';
import { DynamicContentRowComponent } from './components/dynamic-content-row/dynamic-content-row.component';
import { DynamicKpiComponent } from './components/dynamic-kpi/dynamic-kpi.component';
import { DynamicTextComponent } from './components/dynamic-text/dynamic-text.component';
import { DynamicLabelComponent } from './components/dynamic-label/dynamic-label.component';
import { DynamicReportsComponent } from './components/dynamic-reports/dynamic-reports.component';
import { SharedModule, TypeofPipe } from '@hash8io/core-web';
import { SidebarModule } from '@hash8io/core-web/sidebar';
import { CardModule } from '@hash8io/core-web/card';
import { DynamicModule, DynamicIoModule } from 'ng-dynamic-component';
import { DynamicTemplateComponent } from './components/dynamic-template/dynamic-template.component';
import { MatTooltipModule } from '@angular/material/tooltip';
import { MapWebModule } from '@hash8io/map-web';
import { DynamicMapComponent } from './components/dynamic-map/dynamic-map.component';
import { DataGridWebModule } from '@hash8io/data-grid-web'
import { DynamicToggleButtonComponent } from './components/dynamic-toggle-button/dynamic-toggle-button.component'
import { MatButtonToggleModule } from '@angular/material/button-toggle';
@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    NgObjectPipesModule,
    TypeofPipe,
    SidebarModule,
    CardModule,
    DynamicModule,
    DynamicIoModule,
    MatTooltipModule,
    MapWebModule,
    DataGridWebModule,
    MatButtonToggleModule
  ],
  declarations: [
    DynamicContentWebComponent,
    DynamicContentRowComponent,
    DynamicKpiComponent,
    DynamicReportsComponent,
    DynamicLabelComponent,
    DynamicTextComponent,
    DynamicTemplateComponent,
    DynamicMapComponent,
    DynamicToggleButtonComponent
  ],
  exports: [
    NgObjectPipesModule,
    TypeofPipe,
    DynamicModule,
    DynamicIoModule,
    DynamicContentWebComponent,
    DynamicContentRowComponent,
    DynamicKpiComponent,
    DynamicReportsComponent,
    DynamicLabelComponent,
    DynamicTextComponent,
    DynamicTemplateComponent,
  ],
})
export class DynamicContentWebModule { }
