/* eslint-disable prefer-const */
/* eslint-disable no-case-declarations */
import {
  HttpClient,
  HttpHeaders,
  HttpUrlEncodingCodec,
} from '@angular/common/http';
import { Injectable } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { ToastService } from '@hash8io/core-web';
import { Store } from '@ngrx/store';
import { Location } from '@angular/common';

import * as expressions from 'angular-expressions';
import { TemplateService } from './template.service';

@Injectable({
  providedIn: 'root',
})
export class EventsWebService {
  constructor(
    private http: HttpClient,
    private toast: ToastService,
    private store: Store,
    private router: Router,
    private route: ActivatedRoute,
    private location: Location,
    private templateService: TemplateService
  ) {
    // const json = {
    //   event: 'click',
    //   dataKey: 'submitMoveAsset',
    //   params: {
    //     // apiUrl: '/api/v1/assets/{{data.selectedAsset.assetUUID}}/move',
    //     // method: 'put',
    //     // bodyParams: [
    //     //   {
    //     //     key: 'sourceAccountUUID',
    //     //     value: '{{data.selectedAsset.accountUUID}}',
    //     //   },
    //     //   {
    //     //     key: 'destinationAccountUUID',
    //     //     value: '{{data.selectedAccount.uuid}}',
    //     //   },
    //     //   {
    //     //     key: 'userUUID',
    //     //     value: '{{data.userUUID}}',
    //     //   },
    //     // ],
    //     method: 'get',
    //     apiUrl: 'https://reqres.in/api/users/5',
    //   },
    //   events: [
    //     {
    //       event: 'success',
    //       method: 'showToast',
    //       params: {
    //         message: 'Selected Asset {{data.selectedAsset.assetName}}',
    //       },
    //     },
    //     {
    //       event: 'success',
    //       method: 'saveQueryParams',
    //       params: {
    //         queryParams: [
    //           {
    //             key: 'uuid',
    //             store: true,
    //             storeName: 'personUUID',
    //           },
    //           {
    //             key: 'uuid',
    //             store: false,
    //             storeName: 'person2',
    //           },
    //         ],
    //       },
    //       events: [
    //         {
    //           event: 'success',
    //           method: 'callAPI',
    //           dataKey: 'postResponse',
    //           params: {
    //             method: 'post',
    //             apiUrl: 'https://reqres.in/api/users',
    //             bodyParams: [
    //               {
    //                 key: 'name',
    //                 value: '{{data.person2}}',
    //               },
    //               {
    //                 key: 'job',
    //                 value: '{{data.localStorage.personUUID}}',
    //               },
    //             ],
    //           },
    //           events: [
    //             {
    //               event: 'success',
    //               method: 'showErrorToast',
    //               params: {
    //                 message: 'Created successfully: {{data.postResponse.name}}',
    //               },
    //             },
    //           ],
    //         },
    //       ],
    //     },
    //   ],
    // };
    // const setData = {
    //   event: 'success',
    //   method: 'setLocalStorage',
    //   data: {
    //     email: 'kowsi@gmail.com',
    //   },
    //   params: {
    //     storeParams: [
    //       {
    //         key: 'email',
    //         store: true,
    //         storeName: 'email',
    //       },
    //       {
    //         key: 'userRoleName',
    //         store: true,
    //         storeName: 'userRoleName',
    //       },
    //       {
    //         key: 'organizationName',
    //         store: true,
    //         storeName: 'organizationName',
    //       },
    //     ],
    //   },
    // };
    // const d = {
    //   selectedAsset: {
    //     assetUUID: '123',
    //     accountUUID: '456',
    //     assetName: '2u3tb77t',
    //   },
    //   selectedAccount: {
    //     uuid: '789',
    //   },
    // };
    // this.templateService.setData(setData);
    // this.templateService.setData(d);
    // this.templateService.setData({
    //   userUUID: '29734-23486-234-23424',
    // });
    // const processedJSON = this.templateService.processTemplate(json);
    // this.callAPI(processedJSON, this);
  }

  fetchAPI(event: any, service: any) {
    const apiEndpoint = event?.params?.apiUrl;

    // HTTP Headers
    let headers = new HttpHeaders();

    headers = headers.set('Content-Type', 'application/json');
    if (event?.params?.headers) {
      event?.params?.headers.forEach((p: any) => {
        headers = headers.set(p.key, p.value);
      });
    }

    if (!event?.params?.noAccessToken) {
      let authenticationToken = localStorage.getItem('access_token');
      headers = headers.set('Authorization', 'Bearer ' + authenticationToken);
    }

    let queryParams = event?.data || {};

    if (event?.params?.getParams) {
      event?.params?.getParams?.forEach((data: any) => {
        if (data?.value) {
          queryParams[data.key] = data.value;
        } else {
          if (event?.data) {
            queryParams[data.key] = event?.data[data?.key];
          } else {
            queryParams[data.key] = localStorage.getItem(data.key);
          }
        }
      });
    }

    let options = {
      params: queryParams,
      headers: headers,
    };

    service.http.get(apiEndpoint, options, { headers: headers }).subscribe({
      next(response: any) {
        if (response) {
          const events = event?.events?.filter(
            (e: any) => e.event !== 'failure'
          );

          const _events = events
            ?.filter((e: any) => {
              if (e?.enabled) {
                const evaluate = expressions.compile(e.enabled);

                if (evaluate(response)) {
                  return true;
                }
                return false;
              }
              return true;
            })
            .map((e: any) => {
              return Object.assign({}, e, { data: response.data });
            });
          console.log('+Events', _events);
          service?.processEvents(_events, service, response?.data || response);
        }
      },
      error(error: any) {
        const events = event?.events.filter((e: any) => e.event !== 'success');
        service?.processEvents(events, service);
      },
    });
  }

  postAPI(event: any, service: any) {
    const apiEndpoint = event?.params?.apiUrl;

    // HTTP Headers
    let headers = new HttpHeaders();

    headers = headers.set('Content-Type', 'application/json');
    if (event?.params?.headers) {
      event?.params?.headers.forEach((p: any) => {
        headers = headers.set(p.key, p.value);
      });
    }

    if (!event?.params?.noAccessToken) {
      let authenticationToken = localStorage.getItem('access_token');
      headers = headers.set('Authorization', 'Bearer ' + authenticationToken);
    }

    let body = event?.formData || {};

    if (event?.params?.bodyParams) {
      event?.params?.bodyParams?.forEach((data: any) => {
        if (data?.value) {
          body[data.key] = data.value;
        } else if (data.key && !data.value) {
          body[data?.key] = localStorage.getItem(data.key);
        } else {
          if (event?.data) {
            body[data.key] = event?.data[data?.key];
          } else {
            body[data.key] = localStorage.getItem(data.key);
          }
        }
      });
    }

    service.http.post(apiEndpoint, body, { headers: headers }).subscribe({
      next(response: any) {
        if (response) {
          const events = event?.events?.filter(
            (e: any) => e.event !== 'failure'
          );
          service?.processEvents(events, service, response?.data || response);
        }
      },
      error(error: any) {
        const events = event?.events.filter((e: any) => e.event !== 'success');
        service?.processEvents(events, service);
      },
    });
  }

  putAPI(event: any, service: any) {
    const apiEndpoint = event?.params?.apiUrl;

    // HTTP Headers
    let headers = new HttpHeaders();

    headers = headers.set('Content-Type', 'application/json');
    if (event?.params?.headers) {
      event?.params?.headers.forEach((p: any) => {
        headers = headers.set(p.key, p.value);
      });
    }

    if (!event?.params?.noAccessToken) {
      let authenticationToken = localStorage.getItem('access_token');
      headers = headers.set('Authorization', 'Bearer ' + authenticationToken);
    }

    let body = event?.formData || {};

    if (event?.params?.bodyParams) {
      event?.params?.bodyParams?.forEach((data: any) => {
        if (data?.value) {
          body[data.key] = data.value;
        } else if (data.key && !data.value) {
          body[data?.key] = localStorage.getItem(data.key);
        } else {
          if (event?.data) {
            body[data.key] = event?.data[data?.key];
          } else {
            body[data.key] = localStorage.getItem(data.key);
          }
        }
      });
    }

    service.http.put(apiEndpoint, body, { headers: headers }).subscribe({
      next(response: any) {
        if (response) {
          const events = event?.events?.filter(
            (e: any) => e.event !== 'failure'
          );
          service?.processEvents(events, service, response?.data || response);
        }
      },
      error(error: any) {
        const events = event?.events.filter((e: any) => e.event !== 'success');
        service?.processEvents(events, service);
      },
    });
  }

  callAPI(event: any, service: any) {
    const apiEndpoint = event?.params?.apiUrl;
    const method = event?.params?.method?.toLowerCase();
    const headers = service.createHeaders(event);
    const queryParams = service.createQueryParams(event);
    const requestBody = service.createRequestBody(event);
    const options = {
      params: queryParams,
      headers: headers,
    };
    let requestObservable;

    switch (method) {
      case 'get':
        requestObservable = service.http.get(apiEndpoint, options);
        break;
      case 'post':
        requestObservable = service.http.post(
          apiEndpoint,
          requestBody,
          options
        );

        break;
      case 'put':
        requestObservable = service.http.put(apiEndpoint, requestBody, options);
        break;
      case 'patch':
        requestObservable = service.http.patch(
          apiEndpoint,
          requestBody,
          options
        );
        break;

      case 'delete':
        requestObservable = service.http.delete(apiEndpoint, {
          ...options,
          body: requestBody,
        });
        break;

      // Handle other HTTP methods as needed
      default:
        console.warn(`Unsupported HTTP method: ${method}`);
        return;
    }

    requestObservable.subscribe({
      next(response: any) {
        if (response) {
          //Do it later
          if (event?.dataKey) {
            service.templateService.setData({
              [event?.dataKey]: response,
            });
          }
          const events = event?.events?.filter(
            (e: any) => e.event !== 'failure'
          );

          // Repeative code
          // const _events = events
          //   ?.filter((e: any) => {
          //     if (e?.enabled) {
          //       const evaluate = expressions.compile(e.enabled);
          //       console.log(e.enabled, evaluate(response), response);
          //       return evaluate(response);
          //     }
          //     return true;
          //   })
          //   .map((e: any) => {
          //     // console.log("GEt data", service.templateService.getData())
          //     return {
          //       ...e,
          //       data: response.data || response,
          //     };
          //   });
          // console.log(
          //   '%cevents-web.service.ts line:404 _events',
          //   'color: #007acc;',
          //   _events
          // );
          service?.processEvents(events, service, response?.data || response);
        }
      },
      error(error: any) {
        const events = event?.events?.filter((e: any) => e.event !== 'success');
        service?.processEvents(events, service);
      },
    });
  }

  // Create HTTP headers
  private createHeaders(event: any): HttpHeaders {
    let headers = new HttpHeaders().set('Content-Type', 'application/json');

    if (event?.params?.headers) {
      event?.params?.headers.forEach((p: any) => {
        headers = headers.set(p.key, p.value);
      });
    }
    if (!event?.params?.noAccessToken) {
      const authenticationToken = localStorage.getItem('access_token');
      headers = headers.set('Authorization', 'Bearer ' + authenticationToken);
    }

    return headers;
  }

  // Create query parameters
  private createQueryParams(event: any): any {
    // let queryParams = event?.data || {};
    let queryParams: any = {};

    if (event?.params?.getParams) {
      const paramsArray = event.params?.getParams;
      if (paramsArray) {
        paramsArray.forEach((data: any) => {
          if (data?.value) {
            queryParams[data.key] = data.value;
          } else {
            queryParams[data.key] =
              event?.data?.[data.key] || localStorage.getItem(data.key);
          }
        });
      }
    }
    return queryParams;
  }

  // Create body parameters
  private createRequestBody(event: any): any {
    let requestBody: any = {};
    const _event = event;
    // const _event = this.templateService.processTemplate(event);
    // console.log("BODY PARAMS", _event?.params?.bodyParams)
    if (_event?.params?.bodyParams) {
      _event.params.bodyParams.forEach((data: any) => {
        if (data?.value) {
          requestBody[data.key] = data.value;
          // console.log("request body", requestBody)
        } else {
          // alert(data.key + ' --- ' + data.value);
          requestBody[data.key] =
            _event?.data?.[data.key] || localStorage.getItem(data.key);
        }
      });
    }
    // console.log("Request body ****", requestBody)

    return requestBody;
  }

  allStorage() {
    let archive: any = {}, // Notice change here
      keys = Object.keys(localStorage),
      i = keys.length;

    while (i--) {
      archive[keys[i]] = localStorage.getItem(keys[i]);
    }

    return archive;
  }

  processEvents(events: any, service?: any, data?: any) {
    const allData = {
      localStorage: service.templateService.getLocalStorage(),
      ...data,
      ...service.templateService.getData(),
    };

    const _events = events
      ?.filter((e: any) => {
        //TO-DO )(Fix Required. Its Temporary)
        // eslint-disable-next-line no-prototype-builtins
        if (e?.formData && !allData.hasOwnProperty('formData')) {
          allData['formData'] = e?.formData;
        }

        if (e?.enabled) {
          const evaluate = expressions.compile(e.enabled);

          if (evaluate({ data: allData })) {
            return true;
          }
          return false;
        }
        return true;
      })
      .map((e: any) => {
        // console.log("Process Template")
        // return Object.assign({}, service.templateService.processTemplate(e), {
        //   data: data,
        // });
        return Object.assign(
          {},
          service.templateService.processTemplate(e, allData)
        );
      });

    _events?.forEach((e: any) => {
      const eventMethod = service.getMethod(e, service);
      switch (e.event) {
        case 'success':
        case 'failure':
        case 'click':
        case 'submit':
        case 'getQuery':
        case 'pageLoad':
        case 'queryParams':
        case 'toggle':
        case 'toggleON':
        case 'toggleOFF':
        case 'setData':
        case 'removeData':
        case 'clearData':
          eventMethod?.(e, service);
          break;
      }
    });
  }

  getMethod(event: any, service: any) {
    switch (event?.method) {
      case 'showToast':
        return service.showToast;
        break;

      case 'showErrorToast':
        return service.showErrorToast;
        break;

      case 'showSuccessToast':
        return service.showSuccessToast;
        break;

      case 'refreshDataGrid':
        return service.refreshDataGrid;
        break;

      case 'refreshTreeData':
        return service.refreshTreeData;
        break;

      case 'openDialog':
        return service.openDialog;
        break;

      case 'closeDialog':
        return service.closeDialog;
        break;

      case 'postAPI':
        return service.postAPI;
        break;

      case 'putAPI':
        return service.putAPI;
        break;

      case 'callAPI':
        return service.callAPI;
        break;

      case 'fetchAPI':
        return service.fetchAPI;

      case 'setLocalStorage':
        return service.setLocalStorage;
        break;

      case 'getLocalStorage':
        return service.getLocalStorage;
        break;

      case 'reloadPage':
        return service.reloadPage;
        break;

      case 'redirectUrl':
        return service.redirectUrl;
        break;

      case 'updateStore':
        return service.updateStoreObject;
        break;

      case 'goToPage':
        return service.goToPage;
        break;

      case 'getQuery':
        return service.getQuery;
        break;

      case 'saveQueryParams':
        return service.saveQueryParams;
        break;
      case 'hide':
        return service.hideElement;
        break;
      case 'show':
        return service.showElement;
        break;

      case 'moveEntity':
        return service.moveEntity;
        break;

      case 'closeMoveEntityDialog':
        return service.closeMoveEntityDialog;
        break;

      case 'updateRow':
        return service.updateSingleRow;
        break;

      case 'updateRows':
        return service.updateRows;
        break;

      case 'removeRows':
        return service.removeRows;
        break;

      case 'addRows':
        return service.addRows;
        break;

      case 'reloadReport':
        return service.reloadReport;
        break;

      case 'setData':
        return service.setData;
        break;

      case 'removeData':
        return service.removeData;
        break;

      case 'clearData':
        return service.clearData;
        break;

      case 'reloadCommandsConfiguration':
        return service.reloadCommandsConfiguration;
        break;

      case 'reloadCommandHistory':
        return service.reloadCommandHistory;
        break;

      default:
        return null;
        break;
    }
  }

  setLocalStorage(event: any, service?: any) {
    event?.params?.storeParams?.map((x: any) => {
      if (event?.data && event?.data[x?.key]) {
        localStorage.setItem(x?.key, event?.data[x?.key]);
      }
      if (x.formData === true) {
        localStorage.setItem(x?.key, event?.formData[x?.key]);
      }
    });
  }
  getLocalStorage(event: any, service?: any) {
    let localStorageData: any = {} || event?.data;

    event?.params?.storeParams?.map((x: any) => {
      if (x?.key) {
        localStorageData[x?.key] = localStorage.getItem(x?.key);
      }
    });

    let dataValue = {
      ...localStorageData,
      ...event.data,
    };

    // service.appendDataToEvent(event, service, dataValue)
    if (event?.events) {
      // service.processEvents(event?.events, service)
    }
  }

  redirectUrl(event: any, service?: any) {
    let urlParams = '';
    if (event?.params?.urlParams) {
      urlParams = '?' + service.encodeQueryData(event?.params?.urlParams);
    }
    window.location.href = event.params.urlPath + urlParams;
  }

  goToPage(event: any, service?: any) {
    let urlParams = '';
    if (event?.params?.urlParams) {
      urlParams = '?' + service.encodeQueryData(event?.params?.urlParams);
    }
    if (event?.params?.previousPage) {
      service.location.back();
    } else {
      let state: any = event?.params?.state ? event?.params?.state : {};
      if (state.length > 0) {
        event?.params?.state?.forEach((data: any) => {
          data.key = data.apiKey ? data.apiKey : data.key; //Key change requirement

          if (data?.value) {
            state[data.key] = data.value;
          } else if (data.key && !data.value) {
            state[data?.key] = localStorage.getItem(data.key);
          } else {
            if (event?.data) {
              state[data.key] = event?.data[data?.key];
            } else {
              state[data.key] = localStorage.getItem(data.key);
            }
          }
        });
      }
      service.router.navigateByUrl(event.params.urlPath + urlParams, {
        state: state,
      });
    }
  }

  encodeQueryData(urlParams: any) {
    const ret: any = [];
    urlParams?.forEach((p: any) => {
      ret.push(encodeURIComponent(p[0]) + '=' + encodeURIComponent(p[1]));
    });
    return ret.join('&');
  }

  // showToast(event: any, service?: any) {
  //   if (event?.params?.type) {
  //     switch (event?.params?.type) {
  //       case 'information':
  //         service.toast.information(event?.params?.message);
  //     }
  //   } else {
  //     service.toast.message(event?.params?.message);
  //   }
  // }

  // showErrorToast(event: any, service?: any) {
  //   service.toast.error(event?.params?.message);
  // }

  // Toast
  showToast(event: any, service?: any) {
    service.showToastByType(event, service);
  }

  showErrorToast(event: any, service?: any) {
    service.showToastByType(
      { ...event, params: { ...event.params, type: 'error' } },
      service
    );
  }

  showSuccessToast(event: any, service?: any) {
    service.showToastByType(
      { ...event, params: { ...event.params, type: 'success' } },
      service
    );
  }

  private showToastByType(event: any, service?: any) {
    const options = event?.params;

    if (!options && !options?.message) {
      return;
    }

    const message = service.templateService.processTemplate(options.message);
    switch (options?.type || 'message') {
      case 'message':
        service.toast.message(message, options?.duration, options?.action);
        break;
      case 'success':
        service.toast.success(message, options?.duration, options?.action);
        break;
      case 'warning':
        service.toast.warning(message);
        break;
      case 'error':
        service.toast.error(message);
        break;
      default:
        service.toast.message(message);
    }
  }

  reloadPage(event: any, service?: any) {
    window.location.reload();
  }

  refreshDataGrid(event: any, service?: any) {
    // service.store.dispatch({
    //   type: '[Data Grid] Refresh data grid',
    //   gridName: event?.params?.gridName,
    // });

    service.store.dispatch({
      type: '[Data Report] Refresh data report',
      gridName: event?.params?.gridName,
    });
  }

  refreshTreeData(event: any, service?: any) {
    //***TO-DO*** Need to Plan for Tree data refresh.
    const self = true; //Get From Event Data
    const url = self ? service.router.url : 'administration/accounts';
    service.router.navigateByUrl('/', { skipLocationChange: true }).then(() => {
      service.router.navigate([`/${url}`]);
    });
  }

  updateStoreObject(event: any, service?: any) {
    service.store.dispatch(event.params);
  }

  getStoreObject(event: any, service?: any) {
    console.log('Get store object');
  }

  openDialog(event: any, service?: any) {
    console.log('Event', event);
    service.store.dispatch({
      type: '[Dialog] Open dialog',
      dialog: event.params,
    });
  }

  closeDialog(event: any, service?: any) {
    service.store.dispatch({
      type: '[Dialog] Close dialog',
      dialog: event.params,
    });
  }

  returnProcessEvents(responseData: any, service: any) {
    service.store.dispatch({
      type: 'PROCESS_RESPONSE_DATA',
      responseData: responseData,
    });
  }

  getQuery(event: any, service?: any) {
    let localStorageData: any = {};
    service.route?.queryParams?.subscribe((params: any) => {
      event?.params?.queryParams.forEach((x: any) => {
        localStorageData[x.key] = params[x.key];
      });
    });
    service.processNestedEvents(event, service, localStorageData);
  }

  appendDataToEvent(event: any, service: any, data: any) {
    return Object.assign({}, { ...event, data: data });
  }

  saveQueryParams(event: any, service: any) {
    //Get query params
    //Save in local storage
    let queryParamsValue: any = {};
    service.route?.queryParams
      ?.subscribe((params: any) => {
        event?.params?.queryParams.forEach((x: any) => {
          queryParamsValue[x.key] = params[x.key];

          if (x?.store) {
            localStorage.setItem(x?.storeName || x?.key, params[x?.key]);
          } else {
            service.templateService.setData({
              [x?.storeName || x?.key]: params[x?.key],
            });
          }
        });
      })
      .unsubscribe();

    if (event?.events) {
      service?.processEvents(event?.events, service, service?.allStorage());
    }
  }

  hideElement(event: any, service: any) {
    (
      document.getElementById(event.params.id) as HTMLInputElement
    ).style.display = 'none';
  }
  showElement(event: any, service: any) {
    (
      document.getElementById(event.params.id) as HTMLInputElement
    ).style.display = 'block';
  }

  moveEntity(event: any, service?: any) {
    service.store.dispatch({
      type: '[Dialog] Open move entity dialog',
      moveEntity: event.params,
    });
  }
  closeMoveEntityDialog(event: any, service?: any) {
    service.store.dispatch({
      type: '[Dialog] Close move entity dialog',
      dialog: event.params,
    });
  }

  //Report - Update
  updateSingleRow(event: any, service: any) {
    service.store.dispatch({
      type: '[Data Report] Update single row data report',
      ...event?.params,
    });
  }

  updateRows(event: any, service: any) {
    service.store.dispatch({
      type: '[Data Report] Update row data report',
      ...event?.params,
    });
  }

  removeRows(event: any, service: any) {
    service.store.dispatch({
      type: '[Data Report] Remove row data report',
      ...event?.params,
    });
  }

  addRows(event: any, service: any) {
    service.store.dispatch({
      type: '[Data Report] Add row data report',
      ...event?.params,
    });
  }

  reloadReport(event: any, service: any) {
    // const codec = new HttpUrservicelEncodingCodec()
    // const encodedValue = codec.encodeValue(service.templateService.getData().reportFilter)

    const apiUrl = service.templateService.processTemplate(
      event?.params?.apiUrl
      // "api/v1/tags?organizationUUID={{data.orgFilterUUIDs}}"
    );

    service.templateService.setData({
      [event?.params?.gridName]: {
        apiUrl: apiUrl,
        gridName: event?.params?.gridName,
      },
    });

    service.store.dispatch({
      type: '[Data Report] Update report grid',
      gridName: event?.params?.gridName,
      updates: { apiUrl },
    });

    service.store.dispatch({
      type: '[Data Report] Reload report data',
      apiUrl: apiUrl,
      gridName: event?.params?.gridName,
    });
  }

  // Data Service
  setData(event: any, service: any) {
    service.store.dispatch({
      type: '[Events] Set data',
      ...event?.params,
    });
  }

  removeData(event: any, service: any) {
    service.store.dispatch({
      type: '[Events] Remove data',
      ...event?.params,
    });
  }

  clearData(event: any, service: any) {
    service.store.dispatch({
      type: '[Events] Clear data',
      ...event?.params,
    });
  }

  reloadCommandsConfiguration(event: any, service?: any) {
    service.store.dispatch({
      type: '[Commands] Reload commands',
      commands: event.params,
    });
  }

  reloadCommandHistory(event: any, service?: any) {
    service.store.dispatch({
      type: '[Commands] Reload command history',
      commands: event.params,
    });
  }
}
