/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @angular-eslint/component-class-suffix */

import {
  Component,
  ViewChild,
  EventEmitter,
  TemplateRef,
  Output,
} from '@angular/core';
import { DropdownPanel } from './dropdown-trigger-for.directive';

@Component({
  selector: 'hash8-platform-dropdown-panel-container',
  template: `<ng-template>
    <div (click)="closed.emit()" class="dropdown-content">
      <ng-content></ng-content>
    </div>
  </ng-template>`,
  styles: [
    `
      .dropdown-content {
        width: 18.5rem;
        max-height: 18rem;
        overflow: auto;
        padding: 0.5rem 12px 0.5rem 4px;
        background-color: white;
        border-radius: 6px;
        border: 1px solid rgba(64, 64, 64, 0.15);
        box-shadow: 0 10px 20px rgba(64, 64, 64, 0.15);
      }
    `,
  ],
})
export class DropdownPanelContainer implements DropdownPanel {
  @ViewChild(TemplateRef) templateRef!: TemplateRef<any>;
  @Output() closed = new EventEmitter<void>();

  constructor() {}

  ngOnInit(): void {}
}
