/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @angular-eslint/component-class-suffix */
import {
  ChangeDetectionStrategy,
  Component,
  OnInit,
  QueryList,
  ViewChildren,
} from '@angular/core';
import { MatCheckbox } from '@angular/material/checkbox';
import { FieldType } from '@ngx-formly/core';
import { FormFieldTypeConfig } from '../../../models/forms.model';
import { BehaviorSubject, isObservable } from 'rxjs';

@Component({
  selector: 'hash8-platform-multi-checkbox',
  templateUrl: './multi-checkbox.type.html',
  styleUrls: ['./multi-checkbox.type.scss'],
  changeDetection: ChangeDetectionStrategy.Default,
  // eslint-disable-next-line @angular-eslint/no-host-metadata-property
  host: {
    '[id]': 'id',
  },
})
export class MultiCheckboxType
  extends FieldType<FormFieldTypeConfig<any>>
  implements OnInit
{
  @ViewChildren(MatCheckbox) checkboxes!: QueryList<any>;
  loading$ = new BehaviorSubject<boolean>(false);
  valueProp: any = 'value';
  labelProp: any = 'label';
  options$: any = new BehaviorSubject<any>([]);
  isDependant = false;

  constructor() {
    super();
  }

  ngOnInit(): void {
    if (this.props.labelProp) this.labelProp = this.props.labelProp;
    if (this.props.valueProp) this.valueProp = this.props.valueProp;

    console.log(isObservable(this.props.options));
    if (isObservable(this.props.options)) {
      this.isDependant = true;
      this.props.options.subscribe((d: any) => {
        this.loading$.next(true);
      });
    } else {
      this.props.options = this.isJsonString(this.props.options)
        ? JSON.parse(this.props.options as any)
        : this.props.options;
      this.isDependant = false;
      this.loading$.next(true);
    }

    // this.props.options.subscribe((d: any) => {
    //   this.loading$.next(true);
    // });

    // console.log(this.props);
    // if (this.props.dependentField) {
    //   this.isDependant = true;
    //   this.props.options.subscribe((d: any) => {
    //     this.options$.next(d);
    //   });
    // } else {
    //   this.isDependant = false;
    //   this.props.options.subscribe((d: any) => {
    //     this.options$.next(d);
    //   });
    // }

    // if (isObservable(this.props.options)) {
    //   this.loading$.next(true);
    //   this.props.options.subscribe((d: any) => {
    //     this.loading$.next(false);
    //     this.options$.next(d);
    //   });
    // } else {
    //   this.options$.next(
    //     this.isJsonString(this.props.options)
    //       ? JSON.parse(this.props.options as any)
    //       : this.props.options
    //   );
    // }
  }

  get type() {
    return this.props.type ?? '';
  }

  get mask() {
    return this.props['mask'] ?? '';
  }

  get prefix() {
    return this.props['prefix'] ?? '';
  }
  get separator() {
    return this.props['separator'] ?? '';
  }

  get suffix() {
    return this.props['suffix'] ?? '';
  }
  onChange(value: any, checked: boolean) {
    this.formControl.markAsDirty();
    if (this.props.type === 'array') {
      this.formControl.patchValue(
        checked
          ? [...(this.formControl.value || []), value]
          : [...(this.formControl.value || [])].filter((o) => o !== value)
      );
    } else {
      this.formControl.patchValue({
        ...this.formControl.value,
        [value]: checked,
      });
    }
    this.formControl.markAsTouched();
  }

  isChecked(option: any) {
    const value = this.formControl.value;

    return (
      value &&
      (this.props.type === 'array'
        ? value.indexOf(option[this.valueProp]) !== -1
        : value[option[this.valueProp]])
    );
  }

  isJsonString(str: any) {
    try {
      JSON.parse(str);
    } catch (e) {
      return false;
    }
    return true;
  }
}
