/* eslint-disable @angular-eslint/component-class-suffix */
/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, OnInit } from '@angular/core';
import { BreakpointService } from '@hash8io/core-web';
import { FieldType, FormlyFieldConfig } from '@ngx-formly/core';
import { BehaviorSubject, Observable } from 'rxjs';

@Component({
  selector: 'hash8-platform-stepper',
  templateUrl: './stepper.type.html',
  styleUrls: ['./stepper.type.scss'],
})
export class StepperType extends FieldType implements OnInit {
  breakpoint!: string;

  private _orientation: BehaviorSubject<any> = new BehaviorSubject(
    'horizontal'
  );
  orientation: Observable<any> = this._orientation.asObservable();

  constructor(private breakpointService: BreakpointService) {
    super();
  }

  ngOnInit(): void {
    this.breakpointService.breakpoints.subscribe((breakpoint) => {
      this.breakpoint = breakpoint;
      if (this.breakpoint !== 'lg' && this.breakpoint !== 'md') {
        this._orientation.next('vertical');
      } else {
        this._orientation.next('horizontal');
      }
    });
  }

  isValid(field: FormlyFieldConfig): boolean {
    if (field.key) {
      return field.formControl?.valid || false;
    }

    return field.fieldGroup
      ? field.fieldGroup.every((f) => this.isValid(f))
      : true;
  }
}
