/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { FocusMonitor } from '@angular/cdk/a11y';
import {
  AfterViewInit,
  Component,
  ElementRef,
  OnDestroy,
  OnInit,
  Renderer2,
  TemplateRef,
  ViewChild,
  ViewEncapsulation,
} from '@angular/core';
import { ThemePalette } from '@angular/material/core';
import {
  FloatLabelType,
  MatFormFieldAppearance,
  MatFormField,
} from '@angular/material/form-field';
import { FieldWrapper, FormlyFieldConfig } from '@ngx-formly/core';
import { defineHiddenProp } from '@ngx-formly/core/lib/utils';
import { FormlyWrapperFormField } from '@ngx-formly/material/form-field/form-field.wrapper';
import { FieldProps as CoreFormlyFieldProps } from '../../models/forms.model';

interface MatFormlyFieldConfig extends FormlyFieldConfig<FieldProps> {
  _formField?: FormlyWrapperFormField;
}

interface FieldProps extends CoreFormlyFieldProps {
  // prefix?: TemplateRef<any>;
  // suffix?: TemplateRef<any>;
  hideLabel?: boolean;
  hideRequiredMarker?: boolean;
  hideFieldUnderline?: boolean;
  floatLabel?: FloatLabelType;
  appearance?: MatFormFieldAppearance;
  color?: ThemePalette;
  hintStart?: TemplateRef<any> | string;
  hintEnd?: TemplateRef<any> | string;
}

@Component({
  selector: 'hash8-platform-field-wrapper',
  templateUrl: './field-wrapper.component.html',
  styleUrls: ['./field-wrapper.component.scss'],
  encapsulation: ViewEncapsulation.None,
})
export class FieldWrapperComponent
  extends FieldWrapper<MatFormlyFieldConfig>
  implements OnInit, OnDestroy, AfterViewInit
{
  @ViewChild(MatFormField, { static: true }) formField!: MatFormField;

  constructor(
    private renderer: Renderer2,
    private elementRef: ElementRef,
    private focusMonitor: FocusMonitor
  ) {
    super();
  }

  ngOnInit() {
    // defineHiddenProp(this.field, '_formField', this.formField);
    this.focusMonitor.monitor(this.elementRef, true).subscribe((origin) => {
      if (!origin && this.field.focus) {
        this.field.focus = false;
      }
    });
  }

  ngAfterViewInit() {
    // temporary fix for https://github.com/angular/material2/issues/7891
    // if (
    //   this.formField.appearance !== 'outline' &&
    //   this.props.hideFieldUnderline === true
    // ) {
    //   const underlineElement =
    //     this.formField._elementRef.nativeElement.querySelector(
    //       '.mat-form-field-underline'
    //     );
    //   underlineElement &&
    //     this.renderer.removeChild(
    //       underlineElement.parentNode,
    //       underlineElement
    //     );
    // }
  }

  ngOnDestroy() {
    // delete this.field._formField;
    // this.focusMonitor.stopMonitoring(this.elementRef);
  }
}
