/* eslint-disable no-case-declarations */
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { ToastService } from '@hash8io/core-web';
import { Store } from '@ngrx/store';
// import { REFRESH_GRID } from 'libs/data-grid-web/src/lib/store/actions';

@Injectable({
  providedIn: 'root',
})
export class SingleStepFormService {
  authenticationToken = localStorage.getItem('access_token');

  headers = new HttpHeaders({
    'Content-Type': 'application/json',
    Authorization: 'Bearer ' + this.authenticationToken,
  });

  constructor(
    private http: HttpClient,
    private toast: ToastService,
    private store: Store
  ) {}

  fetchAPI(event: any) {
    const apiEndpoint = event?.params?.apiUrl;
  }

  postAPI(event: any) {
    console.log('Post API');
    const apiEndpoint = event?.params?.apiUrl;
    let body = event?.formData;

    if (event?.params?.bodyParams) {
      event?.params?.bodyParams?.forEach((data: any) => {
        body[data.key] = data.value;
      });
    }

    event?.service.http.post(apiEndpoint, body).subscribe((data: any) => {
      if (data) {
        event?.service?.processEvents(event?.events, event?.service);
      }
    });
  }

  processEvents(events: any, service: any) {
    events?.forEach((e: any) => {
      switch (e.type) {
        case 'success':
          const method = service?.getMethod(e, service);
          method(e, service);
          break;
        case 'failure':
          break;

        case 'click':
          const clickMethod = service?.getMethod(e, service);
          console.log('Click response');
          clickMethod(e, service);
          break;
      }
    });
  }

  getMethod(event: any, service: any) {
    switch (event?.method) {
      case 'showToast':
        return service?.showToast;

      case 'refreshDataGrid':
        return service?.refreshDataGrid;
    }
  }
  setLocalStorage() {
    console.log('Set local storage');
  }
  getLocalStorage() {
    console.log('Get local storage');
  }

  redirectUrl() {
    console.log('Redirect Url');
  }

  showToast(event: any, service: any) {
    service.toast.message(event?.params?.message);
  }

  refreshPage() {
    console.log('Refresh page');
  }

  refreshDataGrid(event: any, service: any) {
    console.log('Refresh data grid');
    // this.store.dispatch(REFRESH_GRID({ gridName: event?.params?.gridName }))
  }

  updateStoreObject() {
    console.log('Update store object');
  }

  getStoreObject() {
    console.log('Get store object');
  }
}
