/* eslint-disable @typescript-eslint/no-inferrable-types */
/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import {
  Component,
  Input,
  OnChanges,
  OnInit,
  Output,
  SimpleChanges,
} from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Model } from '@hash8io/core-web';
import { retry, Subject } from 'rxjs';
import { FormFields, FormOptions } from './models/forms.model';

@Component({
  selector: 'hash8-platform-forms',
  templateUrl: './forms-web.component.html',
  styleUrls: ['./forms-web.component.scss'],
})
export class FormsWebComponent implements OnInit, OnChanges {
  @Input() type: 'simple' | 'steps' = 'simple';
  @Input() title!: Model.Title;
  @Input() name: any = 'formData';
  @Input() form = new FormGroup({});
  @Input() model!: any;
  @Input() fields: FormFields[] = [];
  @Input() options: FormOptions = {};
  @Input() submitLabel: string = 'Submit';

  @Output() modelChange: Subject<any> = new Subject<any>();
  @Output() formSubmit: Subject<any> = new Subject<any>();

  _fields: any;

  constructor() {}

  ngOnInit(): void {
    // this.processFormFields(this.fields);
  }

  processFormFields(fields: any) {
    this._fields = fields.map((field: any) => {
      // const { type, ...fieldObj } = {...field};
      const fieldObj = { ...field };

      if (fieldObj?.type === '#group') {
        return fieldObj;
      }

      if (fieldObj?.type === 'stepper') {
        fieldObj.fieldGroup = fieldObj.fieldGroup?.map((groupField: any) => {
          const { type, ...groupFieldObj } = groupField;
          if (type === '#group') {
            return groupFieldObj;
          }
          return groupField;
        });
      }
      return fieldObj;
    });
  }

  ngOnChanges(changes: SimpleChanges) {
    if (changes['fields']) {
      this.processFormFields(changes['fields'].currentValue);
    }
  }
}
