import { AbstractControl, FormControl, ValidationErrors } from '@angular/forms';
import { FormFields } from './models/forms.model';

export function minLengthValidationMessages(error: any, field: FormFields) {
  return `Should have atleast ${field?.props?.minLength} characters`;
}

export function fieldMatchValidator(control: AbstractControl) {
  const { password, confirmPassword, newPassword } = control.value; //New Password Added for reset option

  // avoid displaying the message error when values are empty
  if (!confirmPassword || (!password && !newPassword)) {
    //Need to rethink
    return null;
  }

  if (confirmPassword === password) {
    return null;
  }

  if (confirmPassword === newPassword) {
    return null;
  }

  return { fieldMatch: { message: 'Password not matching' } };
}

export function ipValidator(control: AbstractControl): ValidationErrors {
  console.log(!control.value || /(\d{1,3}\.){3}\d{1,3}/.test(control.value));
  return !control.value || /(\d{1,3}\.){3}\d{1,3}/.test(control.value)
    ? { ip: false }
    : { ip: true };
}

// export function EmailValidator(control: FormControl): boolean {
//   return control.value.match(
//     /^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$/
//   );
// }

export function EmailValidator(
  control: FormControl | any
): ValidationErrors | null {
  return /^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$/.test(control.value)
    ? null
    : { email: true };
}

export function PasswordValidator(
  control: FormControl | any
): ValidationErrors | null {
  return /^(?=.*[A-Z])(?=.*\d).{8,}$/.test(control.value)
    ? null
    : { password: true };
}
