import { Checkbox } from './checkbox';
import { ColorHEX } from './color';
import { CreditCard } from './credit-card';
import { DatePicker } from './date';
import { DecimalNumber } from './decimal-number';
import { Email } from './email';
import { Group } from './group';
import { Input } from './input';
import { IpAddress, IpAddress1 } from './ip-address';
import { Label } from './label';
import { MultipleCheckbox } from './multiple-checkbox';
import { MultipleSelect } from './multiple-select';
import { Numbers } from './number';
import { Odometer } from './odometer';
import { Password } from './password';
import { PhoneNumber } from './phone-number';
import { Radio } from './radio';
import { Repeat, RepeatGrid, RepeatVertical } from './repeat';
import { Select } from './select';
import { SelectAsync } from './select-async';
import { Slider } from './slider';
import { Textarea } from './textarea';
import { Textbox } from './textbox';
import { TextboxValidatorAsync } from './textbox-validator-async';
import { Toggle } from './toggle';
import { Username } from './username';
import { Dropdown } from './dropdown';

export * from './checkbox';
export * from './color';
export * from './credit-card';
export * from './date';
export * from './decimal-number';
export * from './email';
export * from './ip-address';
export * from './multiple-checkbox';
export * from './multiple-select';
export * from './number';
export * from './odometer';
export * from './password';
export * from './phone-number';
export * from './radio';
export * from './slider';
export * from './textarea';
export * from './textbox';
export * from './textbox-validator-async';
export * from './toggle';
export * from './username';
export * from './select';
export * from './select-async';
export * from './repeat';
export * from './input';
export * from './label';
export * from './group';
export * from './dropdown';

export const FORM_FIELD_PRESETS = [
  IpAddress,
  PhoneNumber,
  ColorHEX,
  Odometer,
  Password,
  TextboxValidatorAsync,
  Textbox,
  Numbers,
  DecimalNumber,
  Textarea,
  Checkbox,
  MultipleCheckbox,
  Select,
  MultipleSelect,
  Toggle,
  Slider,
  Radio,
  DatePicker,
  Email,
  Username,
  CreditCard,
  SelectAsync,
  Input,
  Repeat,
  RepeatVertical,
  IpAddress1,
  Label,
  RepeatGrid,
  Group,
  Dropdown,
];
