/* eslint-disable @typescript-eslint/no-unused-vars */
import { formValidator } from '../validators/form-validator';
import { FormFieldRegex } from '../validators/regex.enum';

export const IpAddress = {
  name: 'ip-address',
  config: {
    key: 'ipAddress',
    type: 'textbox',
    wrappers: ['panel'],
    props: {
      label: 'IP Address',
      description: 'Custom validation message through `validators` property',
      mask: 'IP',
    },
    validators: {
      // ip: IpValidator, //Custom Validator
      ip: formValidator(FormFieldRegex.IP_ADDRESS, 'Enter valid IP Address'),
    },
  },
};

export const IpAddress1 = {
  name: 'ipAddress1',
  config: {
    key: 'label',
    type: 'textbox',
    wrappers: ['panel'],
    props: {
      label: 'IP Address with Mask',
      align: 'column',
      hideLabel: false,
      required: false,
      prefix: '',
      suffix: '',
      separator: '',
      mask: 'IP',
    },
    validation: {
      mask: 'Enter valid IP address',
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {},
  },
};
