import { AbstractControl } from '@angular/forms';
import { FormFields } from '../models/forms.model';

export function formValidator(pattern: string, message?: string) {
  return {
    expression: (c: AbstractControl) => {
      return (
        !c.value ||
        new RegExp(pattern.replace(/^[\\/]|[\\/]$/g, '')).test(c.value)
      );
    },
    message: (error: any, field: FormFields): string =>
      `${message || 'Invalid input'}`,
  };
}
