import { AbstractControl } from '@angular/forms';
import { FormFields } from '../models/forms.model';
import { FormFieldRegex } from './regex.enum';

export const IpValidator = {
  expression: (c: AbstractControl) => {
    const regEx = FormFieldRegex.IP_ADDRESS;
    return (
      !c.value || new RegExp(regEx.replace(/^[\\/]|[\\/]$/g, '')).test(c.value)
    );
  },
  message: (error: any, field: FormFields) =>
    `"${field?.formControl?.value}" is not a valid IP Address`,
};
