/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import { HttpClient } from '@angular/common/http';
import { Component, OnDestroy, OnInit, ViewChild } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import {
  GeofenceService,
  MapCircleService,
  MapDrawingService,
  MapPolygonService,
  MapWebComponent,
} from '@hash8io/map-web';
import { Subject, takeUntil } from 'rxjs';

@Component({
  selector: 'hash8-platform-geofence-edit',
  templateUrl: './geofence-edit.component.html',
  styleUrls: ['./geofence-edit.component.scss'],
})
export class GeofenceEditComponent implements OnInit, OnDestroy {
  loaded = false;
  geofenceUUID: any = null;
  hasError: any = false;

  @ViewChild(MapWebComponent) hash8Map!: MapWebComponent;
  private destroy$: Subject<void> = new Subject<void>();

  constructor(
    private http: HttpClient,
    private geofenceService: GeofenceService,
    private mapDrawingService: MapDrawingService,
    private circleService: MapCircleService,
    private polygonService: MapPolygonService,
    private route: ActivatedRoute
  ) {
    this.route.data.subscribe((data: any) => {
      //
    });

    this.route.params.subscribe((params: any) => {
      this.geofenceUUID = params['uuid'];
    });
  }

  ngOnInit(): void {
    this.geofenceService._formModelChanged.next(null);
    this.geofenceService
      .readGeofence(this.geofenceUUID)
      .pipe(takeUntil(this.destroy$))
      .subscribe((data: any) => {
        this.loaded = true;
        setTimeout(() => {
          const btn = document.getElementById('editGeofenceBtn');
          btn?.click();
          this.geofenceService.setCurrentMode('update', data);
          this.geofenceService._formModelChanged.next(data);
        }, 100);
      });
    // this.http
    //   .get(`http://localhost:3000/geofencesList?uuid=${this.geofenceUUID}`)
    //   // .get(`/api/v1/geofences/${this.geofenceUUID}`)
    //   .pipe(map((resp: any) => resp[0]))
    //   .pipe(
    //     catchError(() => {
    //       this.hasError = true;
    //       return of({});
    //     })
    //   )
    //   .subscribe((r: any) => {
    //     this.hasError = false;
    //     const data = r;
    //     this.loaded = true;
    //     setTimeout(() => {
    //       const btn = document.getElementById('editGeofenceBtn');
    //       btn?.click();
    //       this.geofeneceService.setCurrentMode('update', data);
    //       // TODO: Hide old geofence with uuid
    //       if (data.geofenceType === 'polygon') {
    //         this.hash8Map.mapDrawingService.setDrawingMode('polygon');
    //         const shape: any = this.polygonService.formatPolygonFences([data]);
    //         const polygon: any = new window.google.maps.Polygon(shape[0]);
    //         polygon.setMap(this.hash8Map.googleMap.googleMap);
    //         this.hash8Map.mapDrawingService.onPolygonDrawingCompleted(polygon);
    //       } else if (data.geofenceType === 'circle') {
    //         this.hash8Map.mapDrawingService.setDrawingMode('circle');
    //         const shape: any = this.circleService.formatCircleFences([data]);
    //         const circle: any = new window.google.maps.Circle(shape[0]);
    //         circle.setMap(this.hash8Map.googleMap.googleMap);
    //         this.circleService._circles.next(shape);
    //         this.hash8Map.mapDrawingService.onCircleDrawingCompleted(circle);
    //       }
    //     }, 100);
    //   });
  }

  ngOnDestroy(): void {
    this.geofenceService.clearFormModel();
    this.destroy$.next();
    this.destroy$.complete();
  }
}
