/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import {
  Component,
  Input,
  OnChanges,
  OnInit,
  SimpleChanges,
} from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { TemplateService } from '@hash8io/events-web';

@Component({
  selector: 'hash8-platform-geofence-list-page',
  templateUrl: './geofence-list-page.component.html',
  styleUrls: ['./geofence-list-page.component.scss'],
})
export class GeofenceListPageComponent implements OnInit, OnChanges {
  _config: any;
  _gridConfiguration!: any;

  @Input() config: any;

  constructor(
    public templateService: TemplateService,
    private route: ActivatedRoute
  ) {
    this.route.data.subscribe((data) => {
      this._config = data['config'];
      this.setGridConfiguration(this._config);
    });
  }

  ngOnInit(): void {}

  ngOnChanges(changes: SimpleChanges): void {
    if (changes['config'] && changes['config'].currentValue) {
      this._config = changes['config'].currentValue;
      this.setGridConfiguration(this._config);
    }
  }

  setGridConfiguration(config: any) {
    if (config) {
      const { organizationFilterConfig, ...gridConfig } = config;
      this._gridConfiguration = Object.assign(
        {},
        this.templateService.processTemplate(gridConfig),
        { organizationFilterConfig }
      );
    }
  }
}
