import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from '@hash8io/core-web';
import { RouterModule } from '@angular/router';
import { GeofenceListPageComponent } from './components/geofence-list-page/geofence-list-page.component';
import { GeofenceDataGridComponent } from './components/geofence-data-grid/geofence-data-grid.component';
import { GeofenceCreateComponent } from './components/geofence-create/geofence-create.component';
import { GeofenceEditComponent } from './components/geofence-edit/geofence-edit.component';
import { TitleModule } from '@hash8io/core-web/title';
import { DataReportWebModule } from '@hash8io/data-report-web';
import { MapWebModule } from '@hash8io/map-web';

@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    DataReportWebModule,
    TitleModule,
    MapWebModule,
    RouterModule.forChild([
      { path: '', pathMatch: 'full', component: GeofenceListPageComponent },
      { path: 'create', component: GeofenceCreateComponent },
      { path: 'edit/:uuid', component: GeofenceEditComponent },
    ]),
  ],
  declarations: [
    GeofenceListPageComponent,
    GeofenceDataGridComponent,
    GeofenceCreateComponent,
    GeofenceEditComponent,
  ],
  exports: [
    GeofenceListPageComponent,
    GeofenceDataGridComponent,
    GeofenceCreateComponent,
    GeofenceEditComponent,
  ],
})
export class GeofenceWebModule {}
