/* eslint-disable @typescript-eslint/no-this-alias */
/* eslint-disable @angular-eslint/no-input-rename */
/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import {
  Component,
  Input,
  OnChanges,
  OnInit,
  Output,
  SimpleChanges,
} from '@angular/core';
import { GoogleMap } from '@angular/google-maps';
import { Subject } from 'rxjs';
import { MapDrawingService } from '../../services/map-drawing.service';
import { MapCircleService } from '../../services/map-circle.service';

@Component({
  selector: 'hash8-platform-map-drawing-control',
  templateUrl: './map-drawing-control.component.html',
  styleUrls: ['./map-drawing-control.component.scss'],
})
export class MapDrawingControlComponent implements OnInit, OnChanges {
  @Input() map!: GoogleMap;
  @Input() mapOptions!: any;
  @Input() hidden = false;
  @Input() drawer!: any;
  @Input('openDrawer') isDrawerOpen = false;
  @Input() iconButton = false;

  @Output() drawingModeChange = new Subject();

  constructor(
    public mapDrawingService: MapDrawingService,
    private circleService: MapCircleService
  ) {}

  ngOnInit(): void {
    if (this.isDrawerOpen) {
      this.openDrawer();
    } else {
      this.closeDrawer();
    }
  }

  ngOnChanges(changes: SimpleChanges): void {
    if (changes['isDrawerOpen']) {
      if (this.isDrawerOpen) {
        this.openDrawer();
      } else {
        this.closeDrawer();
      }
    }
  }

  selectDrawingMode(mode: any) {
    this.openDrawer();
    this.mapDrawingService.isDrawingModeEnabled = true;
    this.mapDrawingService.changeDrawingMode(mode);
    this.drawingModeChange.next(mode);
  }

  openDrawer() {
    this.isDrawerOpen = true;
    this.mapDrawingService.isDrawingModeEnabled = true;
    this.drawer.open();
  }

  closeDrawer() {
    this.mapDrawingService.isDrawingModeEnabled = false;
    this.isDrawerOpen = false;
    this.drawer.close();
    this.drawingModeChange.next(null);
    this.mapDrawingService.exitDrawingMode();
  }

  handleOverlayClick(event: MouseEvent) {
    event.stopPropagation(); // Prevent the event from propagating to the button
  }

  editGeofence() {
    this.isDrawerOpen = true;
    this.mapDrawingService.isDrawingModeEnabled = true;
    this.drawer.open();

    this.mapOptions['geofenceMode'] = 'edit';

    // const data = {
    //   organizationName: 'Rugged Telemetry',
    //   organizationUUID: 'e520d1b4-437c-4d48-a0ed-13489ab52074',
    //   geofenceCategory: 'warehouse',
    //   geofenceName: 'RV Park',
    //   uuid: 'acabfcef-d636-4f23-9b95-f428146b3acb',
    //   geofenceType: 'circle',
    //   geofenceDetails: {
    //     area: 11593797.95,
    //     address: '',
    //     center: {
    //       lng: -101.50122608818424,
    //       lat: 31.871974208056894,
    //     },
    //     radius: 585.5353240607698,
    //   },
    //   createdTime: '10/16/2023 05:34 AM',
    //   modifiedTime: '10/16/2023 05:34 AM',
    //   users: 0,
    //   assets: 0,
    // };

    // // // if (data.geofenceType === 'polygon') {
    // // //   this.hash8Map.mapDrawingService.setDrawingMode('polygon');
    // // //   const shape: any = this.hash8Map.formatPolygonFences([data]);
    // // //   const polygon: any = new window.google.maps.Polygon(shape[0]);
    // // //   this.hash8Map.mapDrawingService.fitBoundsPolygon(polygon);
    // // //   this.hash8Map.mapDrawingService.polygonsObject = polygon;
    // // //   polygon.setEditable(true);
    // // //   polygon.setMap(this.hash8Map.googleMap.googleMap);
    // // //   this.hash8Map.mapDrawingService.onPolygonDrawingCompleted(polygon);
    // // //   // this.hash8Map.mapDrawingService.exitDrawingMode();
    // // // } else if (data.geofenceType === 'circle') {
    // this.mapDrawingService.setDrawingMode('circle');
    // const shape: any = this.circleService.formatCircleFences([data]);
    // const circle: any = new window.google.maps.Circle(shape[0]);
    // this.map.fitBounds(circle.getBounds());
    // this.mapDrawingService.circlesObject = circle;
    // circle.setEditable(true);
    // circle.setMap(this.map);
    // this.mapDrawingService.onCircleDrawingCompleted(circle);
    // // // }
  }
}
