export const GEOFENCE_CREATE_FORM: any = {
  fields: [
    // {
    //   type: '#template',
    //   template:
    //     '<p class="p-0 mb-1">Organization: <b>{{data.localStorage.organizationName}}</b></p>',
    // },
    {
      type: '#dropdown',
      key: 'organizationUUID',
      className: 'block',
      props: {
        required: false,
        label: 'Select Organization',
        selectionMode: 'single',
        valueProp: 'value',
        labelProp: 'text',
        placeholder: '- Select -',
        async: true,
        hideLabel: false,
        dataKey: 'selectedOrgObject',
        apiEndpoint: `/api/v1/users/{{data.localStorage.userUUID}}/organizations?include=All_Organizations`,

        // options: [],
        // options: '{{data.organizationTree}}', // Get data from already loaded list
      },
      events: [{}],
    },
    {
      type: '#text',
      key: 'geofenceName',
      className: 'block mb-0.5',
      props: {
        type: 'text',
        label: 'Geofence Name',
        required: true,
        async: true,
        hideLabel: false,
        apiEndpoint: '/api/v1/geofences/check-existance',
        params: {
          bodyParams: [
            {
              key: 'organizationUUID',
              dataKey: 'selectedOrgObject',
              value: '',
            },
            {
              key: 'applicationUUID',
              value: '{{data.localStorage.applicationUUID}}',
            },
          ],
        },
        apiKey: 'geofenceName',
        errorMessage: `Geofence name already exists`,
        valueCheck: true,
      },
      validators: {},
    },
    {
      type: '#select',
      key: 'geofenceCategory',
      className: 'mb-1',
      props: {
        label: 'Geoefence Category',
        options: [
          {
            value: 'shipyard',
            label: 'Shipyard',
          },
          {
            value: 'warehouse',
            label: 'Warehouse',
          },
          {
            value: 'yard',
            label: 'Yard',
          },
          {
            value: 'Distribution Center',
            label: 'Distribution Center',
          },
        ],
      },
    },
  ],
  options: {
    submitLabel: 'Create Geofence',
    hasReset: false,
    submitLabelClass: ['w-full'],
    // submit: {
    //   label: 'Create Geofence',
    //   events: [
    //     {
    //       event: 'click',
    //       method: 'callAPI',
    //       dataKey: 'createGeofenceAPI',
    //       params: {
    //         method: 'post',
    //         apiUrl: 'api/v1/geofences',
    //         bodyParams: [
    //           {
    //             key: 'organizationUUID',
    //             value: '{{data.selectedOrgObject.uuid}}',
    //           },
    //           {
    //             key: 'applicationUUID',
    //             value: '{{data.localStorage.applicationUUID}}',
    //           },
    //           {
    //             key: 'geofenceName',
    //             value: '{{data.formData.geofenceName}}',
    //           },
    //           {
    //             key: 'tagColor',
    //             value: '#E9EDF1',
    //           },
    //           {
    //             key: 'entity',
    //             value: 'Assets',
    //           },
    //           {
    //             key: 'nestTagUnder',
    //             value: false,
    //           },
    //           {
    //             key: 'parentTagName',
    //             value: '',
    //           },
    //           {
    //             key: 'parentTagKey',
    //             value: '',
    //           },
    //         ],
    //       },
    //       events: [
    //         {
    //           event: 'success',
    //           method: 'showToast',
    //           params: {
    //             message:
    //               '"{{data.createGeofenceAPI.data.geofenceName}}" Geofence Created Successfully',
    //             type: 'success',
    //           },
    //           type: '',
    //         },
    //         {
    //           event: 'success',
    //           method: 'closeDialog',
    //           params: {},
    //           type: '',
    //         },
    //         {
    //           event: 'failure',
    //           method: 'showErrorToast',
    //           params: {
    //             message: 'Error in geofence creation',
    //           },
    //           type: '',
    //         },
    //         // {
    //         //   event: 'success',
    //         //   method: 'reloadReport',
    //         //   params: {
    //         //     gridName: 'geofenceDataGrid',
    //         //     apiUrl: '{{data.geofenceDataGrid.apiUrl}}',
    //         //   },
    //         // },
    //         {
    //           event: 'success',
    //           method: 'removeData',
    //           params: {
    //             keys: [
    //               'formData',
    //               '_selectedRow',
    //               'createGeofenceAPI',
    //               'selectedOrgObject',
    //             ],
    //           },
    //         },
    //       ],
    //     },
    //   ],
    // },
    cancel: {
      hidden: true,
      //   label: 'Cancel',
      //   events: [
      //     // {
      //     //   event: 'click',
      //     //   method: 'closeDialog',
      //     //   params: {},
      //     //   type: '',
      //     // },
      //     {
      //       event: 'click',
      //       method: 'removeData',
      //       params: {
      //         keys: ['formData', '_selectedRow'],
      //       },
      //     },
      //   ],
    },
  },
};

export const GEOFENCE_UPDATE_FORM: any = {
  model: '{% data.geofence %}',
  fields: [
    {
      type: '#template',
      template:
        '<p class="p-0 mb-1">Organization: <b>{{data.geofence.organizationName}}</b></p>',
    },
    {
      type: '#text',
      key: 'geofenceName',
      className: 'block mb-0.5',
      props: {
        type: 'text',
        label: 'Geofence Name',
        required: true,
        async: true,
        hideLabel: false,
        apiEndpoint: '/api/v1/geofences/check-existence',
        params: {
          bodyParams: [
            {
              key: 'organizationUUID',
              dataKey: 'selectedOrgObject',
              value: '',
            },
            {
              key: 'applicationUUID',
              value: '{{data.localStorage.applicationUUID}}',
            },
          ],
        },
        apiKey: 'geofenceName',
        errorMessage: `Geofence name already exists`,
        valueCheck: true,
      },
      validators: {},
    },
    {
      type: '#select',
      key: 'geofenceCategory',
      className: 'mb-1',
      props: {
        label: 'Geoefence Category',
        options: [
          {
            value: 'shipyard',
            label: 'Shipyard',
          },
          {
            value: 'warehouse',
            label: 'Warehouse',
          },
          {
            value: 'yard',
            label: 'Yard',
          },
          {
            value: 'Distribution Center',
            label: 'Distribution Center',
          },
        ],
      },
    },
  ],
  options: {
    submitLabel: 'Update Geofence',
    hasReset: false,
    dirtyCheck: false,
    submitLabelClass: ['w-full'],
    cancel: {
      hidden: true,
    },
  },
};

export const DELETE_GEOFENCE_DIALOG = {
  title: {
    label: 'Delete Geofence',
    iconUrl: 'delete',
    showBorder: true,
  },
  content: [
    {
      type: 'form',
      props: {
        model: {
          delete: true,
          tagName: '{{data._selectedRow.geofenceName}}',
        },
        fields: [
          {
            type: '#template',
            template:
              '<p class="p-0 text-base mt-2 mb-5">The geofence <b>assigned</b> to fleets will be <b>removed</b> once you delete the geofence. Please confirm if you want to <b>delete</b> the geofence <b>"{{data._selectedRow.geofenceName}}"</b>? </p>',
          },
          {
            key: 'geofenceName',
            type: '#text',
            focus: false,
            defaultValue: '{{data._selectedRow.geofenceName}}',
            props: {
              label: 'Geofence Name',
              readonly: true,
            },
            expressions: {
              hide: 'model.delete',
            },
            extras: {
              labelOverInput: true,
            },
          },
        ],
        options: {
          submit: {
            label: 'Confirm',
            labelColor: 'warn',
            events: [
              {
                event: 'click',
                dataKey: 'deleteGefenceAPI',
                method: 'callAPI',
                params: {
                  method: 'delete',
                  apiUrl: '/api/v1/geofences/{{data._selectedRow.uuid}}',
                  bodyParams: [
                    {
                      key: 'uuid',
                      value: '{{data._selectedRow.uuid}}',
                    },
                    {
                      key: 'applicationUUID',
                      value: '{{data.localStorage.applicationUUID}}',
                    },
                    {
                      key: 'organizationUUID',
                      value: '{{data._selectedRow.organizationUUID}}',
                    },
                  ],
                },
                events: [
                  {
                    event: 'success',
                    method: 'showToast',
                    enabled: 'data.status',
                    params: {
                      message:
                        '"{{data._selectedRow.geofenceName}}" Geofence was Removed',
                      type: 'success',
                    },
                    type: '',
                  },
                  {
                    event: 'success',
                    method: 'showErrorToast',
                    enabled: '!data.status',
                    params: {
                      message: 'Error in removing geofence',
                    },
                    type: '',
                  },
                  {
                    event: 'success',
                    method: 'closeDialog',
                    enabled: 'data.status',
                    params: {
                      clearData: 'formData',
                    },
                  },
                  {
                    event: 'success',
                    method: 'reloadReport',
                    params: {
                      gridName: 'geofenceDataGrid',
                      apiUrl: '{{data.geofenceDataGrid.apiUrl}}',
                    },
                  },
                  {
                    event: 'failure',
                    method: 'showErrorToast',
                    params: {
                      message: 'Error in removing geofence',
                    },
                    type: '',
                  },
                  {
                    event: 'success',
                    method: 'removeData',
                    params: {
                      keys: ['formData', '_selectedRow', 'deleteGeofenceAPI'],
                    },
                  },
                ],
              },
            ],
          },
          cancel: {
            label: 'Cancel',
            events: [
              {
                event: 'click',
                method: 'closeDialog',
                params: {},
                type: '',
              },
              {
                event: 'click',
                method: 'removeData',
                params: {
                  keys: ['formData', '_selectedRow'],
                },
              },
            ],
          },
        },
      },
    },
  ],
};

export const GEOFENCE_CREATE_SUBMIT_EVENTS: any = {
  event: 'click',
  method: 'callAPI',
  dataKey: 'createGeofenceAPI',
  params: {
    method: 'post',
    apiUrl: 'api/v1/geofences',
    bodyParams: [
      {
        key: 'organizationUUID',
        value: '{{data.selectedOrgObject.uuid}}',
      },
      {
        key: 'applicationUUID',
        value: '{{data.localStorage.applicationUUID}}',
      },
    ],
  },
  events: [
    {
      event: 'success',
      method: 'showToast',
      params: {
        message:
          '"{{data.createGeofenceAPI.data.geofenceName}}" Geofence Created Successfully',
        type: 'success',
      },
      type: '',
    },
    {
      event: 'failure',
      method: 'showErrorToast',
      params: {
        message: 'Error in geofence creation',
      },
      type: '',
    },
    {
      event: 'success',
      method: 'goToPage',
      params: {
        // urlPath: './administration/geofences',
        previousPage: true,
      },
    },
    {
      event: 'success',
      method: 'removeData',
      params: {
        keys: [
          'formData',
          '_selectedRow',
          'createGeofenceAPI',
          'selectedOrgObject',
        ],
      },
    },
  ],
};

export const GEOFENCE_EDIT_SUBMIT_EVENTS: any = {
  event: 'click',
  method: 'callAPI',
  dataKey: 'updateGeofenceAPI',
  params: {
    method: 'put',
    apiUrl: 'api/v1/geofences/{{data.geofence.uuid}}',
    bodyParams: [
      {
        key: 'organizationUUID',
        value: '{{data.geofence.organizationUUID}}',
      },
      {
        key: 'applicationUUID',
        value: '{{data.localStorage.applicationUUID}}',
      },
    ],
  },
  events: [
    {
      event: 'success',
      method: 'showToast',
      params: {
        message:
          '"{{data.createGeofenceAPI.data.geofenceName}}" Geofence Updated Successfully',
        type: 'success',
      },
      type: '',
    },
    {
      event: 'success',
      method: 'closeDialog',
      params: {},
      type: '',
    },
    {
      event: 'failure',
      method: 'showErrorToast',
      params: {
        message: 'Error in geofence updation',
      },
      type: '',
    },
    // {
    //   event: 'success',
    //   method: 'reloadReport',
    //   params: {
    //     gridName: 'geofenceDataGrid',
    //     apiUrl: '{{data.geofenceDataGrid.apiUrl}}',
    //   },
    // },
    {
      event: 'success',
      method: 'removeData',
      params: {
        keys: [
          'formData',
          '_selectedRow',
          'createGeofenceAPI',
          'selectedOrgObject',
        ],
      },
    },
  ],
};
