/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, Input, OnInit } from '@angular/core';
import { GoogleMap } from '@angular/google-maps';
import { MapControlService } from '../../services/map-control.service';

@Component({
  selector: 'hash8-platform-map-layer-control',
  templateUrl: './map-layer-control.component.html',
  styleUrls: ['./map-layer-control.component.scss'],
})
export class MapLayerControlComponent implements OnInit {
  @Input() map!: GoogleMap;
  @Input() hidden = false;
  @Input() iconButton = false;

  selectedMapType: 'roadmap' | 'hybrid' | 'satellite' | 'terrain' = 'hybrid';

  constructor(private mapControlService: MapControlService) {}

  ngOnInit(): void {
    this.selectedMapType = this.map.getMapTypeId()?.toLowerCase() as any;
  }

  mapTypeChange(event: any) {
    this.selectedMapType = event.value;
    this.map.googleMap?.setMapTypeId(this.selectedMapType);
  }

  handleOverlayClick(event: MouseEvent) {
    event.stopPropagation(); // Prevent the event from propagating to the button
  }
}
