/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import {
  Component,
  Input,
  OnInit,
  Output,
  QueryList,
  TemplateRef,
  ViewChild,
  ViewChildren,
} from '@angular/core';
import { GoogleMap, MapInfoWindow, MapMarker } from '@angular/google-maps';
import { MapMarkerService } from '../../services/map-marker.service';
import { Subject } from 'rxjs';

@Component({
  selector: 'hash8-platform-map-marker',
  templateUrl: './map-marker.component.html',
  styleUrls: ['./map-marker.component.scss'],
})
export class MapMarkerComponent implements OnInit {
  @Input() map!: GoogleMap;
  @Input() mapOptions: any = {};

  @Input() markers: any = [];
  @Input() markerOptions: any = {};
  @ViewChildren(MapMarker)
  map_markers!: QueryList<MapMarker>;

  // @Input() infoWindow: any;
  // Info Window
  @Input() infoWindowFields!: any;
  @ViewChild(MapInfoWindow) infoWindow!: any;
  infoWindowObj: any; // Info Window object
  @Input() infoWindowTemplate!: TemplateRef<any>;

  @Output() markerData: Subject<any> = new Subject();

  _markers: any = [];

  constructor(private markerService: MapMarkerService) {}

  ngOnInit(): void {
    this.processMapMarkers();
  }

  processMapMarkers() {
    this._markers = this.markerService.getMarker(
      this.markers,
      this.markerOptions
    );

    // const { AdvancedMarkerElement, PinElement } ] google.maps.importLibrary(
    //     'marker'
    //   ) as google.maps.MarkerLibrary;
  }

  openMarkerInfoWindow(marker: any, markerObj: any) {
    this.infoWindow.open(marker);
    this.infoWindowObj = marker._options.position;
    this.infoWindowObj = {
      infoWindowFields: this.infoWindowFields,
      data: markerObj?.data,
    };
    this.markerData.next(this.infoWindowObj);
  }

  mouseOverMarker(marker: any, markerObj: any) {
    marker.marker.setLabel({
      text: marker._options.data[
        this.mapOptions.assetLabelField || 'assetName'
      ],
      className: 'asset-label',
    });
  }

  mouseOutMarker(marker: any, markerObj: any) {
    marker.marker.setLabel(null);
  }

  clusterClick(event: any) {
    // const zoom = event.map_.getZoom();
    // console.log(zoom, event);
    // if (zoom > 18) {
    //   event.markerClusterer_?.setMap(null);
    // } else {
    //   event.markerClusterer_?.setMap(event.map_);
    // }
  }
}
