/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import {
  AfterViewInit,
  Component,
  Input,
  OnInit,
  Output,
  ViewChild,
} from '@angular/core';
import { Subject } from 'rxjs';

@Component({
  selector: 'hash8-platform-map-places-autocomplete',
  templateUrl: './map-places-autocomplete.component.html',
  styleUrls: ['./map-places-autocomplete.component.scss'],
})
export class MapPlacesAutocompleteComponent implements OnInit, AfterViewInit {
  @Input() adressType!: string;
  @ViewChild('addresstext') addresstext: any;
  @Output() search: Subject<any> = new Subject();

  autocompleteInput!: string;
  queryWait!: boolean;

  constructor() {}

  ngOnInit(): void {}

  ngAfterViewInit(): void {
    this.getPlaceAutocomplete();
  }

  getPlaceAutocomplete() {
    if (this.autocompleteInput === '') {
      return;
    }

    const autocomplete = new google.maps.places.Autocomplete(
      this.addresstext.nativeElement,
      {
        // componentRestrictions: { country: 'US' },
        // types: [this.adressType], // 'establishment' / 'address' / 'geocode'
      }
    );
    google.maps.event.addListener(autocomplete, 'place_changed', () => {
      const place = autocomplete.getPlace();
      this.invokeEvent(place);
    });
  }

  invokeEvent(place: any) {
    if (!place.geometry || !place.geometry.location) {
      console.error('Google: Returned place contains no geometry');
      return;
    }
    this.search.next(place);
  }
}
