/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, Input, OnInit, ViewChild } from '@angular/core';
import { GoogleMap } from '@angular/google-maps';
import { MapControlService } from '../../services/map-control.service';

@Component({
  selector: 'hash8-platform-map-zoom-control',
  templateUrl: './map-zoom-control.component.html',
  styleUrls: ['./map-zoom-control.component.scss'],
})
export class MapZoomControlComponent implements OnInit {
  @Input() map!: GoogleMap;
  @Input() hidden = false;

  _zoom!: number;
  defaultZoom = 4;
  disableZoomIn = false;
  disableZoomOut = false;

  constructor(private mapControlService: MapControlService) {}

  ngOnInit(): void {
    this.enableDisableZoomContols();

    this.map.zoomChanged.subscribe(() => {
      this.enableDisableZoomContols();
    });
  }

  zoomIn() {
    this._zoom = this.mapControlService.zoomIn(this.map.getZoom() || 4);
    this.map.googleMap?.setZoom(this._zoom);
  }

  zoomOut() {
    this._zoom = this.mapControlService.zoomOut(this.map.getZoom() || 4);
    this.map.googleMap?.setZoom(this._zoom);
  }

  enableDisableZoomContols() {
    this._zoom = this.map.getZoom() || this.defaultZoom;
    this.disableZoomIn = false;
    this.disableZoomOut = false;
    if (this._zoom === this.mapControlService.minZoomLevel) {
      this.disableZoomOut = true;
    }
    if (this._zoom === this.mapControlService.maxZoomLevel) {
      this.disableZoomIn = true;
    }
  }
}
