import { ModuleWithProviders, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MapWebComponent } from './map-web.component';
import { GoogleMapsModule } from '@angular/google-maps';
import { SharedModule } from '@hash8io/core-web';
import { MapInfoWindowWebComponent } from './map-info-window-web/map-info-window-web.component';
import { DataGridWebModule } from '@hash8io/data-grid-web';
import { MapZoomControlComponent } from './components/map-zoom-control/map-zoom-control.component';
import { MapLayerControlComponent } from './components/map-layer-control/map-layer-control.component';
import { MapLocationSearchComponent } from './components/map-location-search/map-location-search.component';
import { MapMarkerComponent } from './components/map-marker/map-marker.component';
import { MapCircleComponent } from './components/map-circle/map-circle.component';
import { MapPolygonComponent } from './components/map-polygon/map-polygon.component';
import { MapDrawingControlComponent } from './components/map-drawing-control/map-drawing-control.component';
import { MapGeofenceFormComponent } from './components/map-geofence-form/map-geofence-form.component';
import { MapPlacesAutocompleteComponent } from './components/map-places-autocomplete/map-places-autocomplete.component';
import { FormsWebModule } from '@hash8io/forms-web';
import { GEOFENCE_FORM_CONFIG } from './components/map-geofence-form/map-geofence-form.service';

@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    GoogleMapsModule,
    DataGridWebModule,
    FormsWebModule,
  ],
  declarations: [
    MapWebComponent,
    MapInfoWindowWebComponent,
    MapZoomControlComponent,
    MapLayerControlComponent,
    MapLocationSearchComponent,
    MapMarkerComponent,
    MapCircleComponent,
    MapPolygonComponent,
    MapDrawingControlComponent,
    MapGeofenceFormComponent,
    MapPlacesAutocompleteComponent,
  ],
  exports: [
    MapWebComponent,
    MapZoomControlComponent,
    MapLayerControlComponent,
    MapLocationSearchComponent,
    MapMarkerComponent,
    MapCircleComponent,
    MapPolygonComponent,
    MapDrawingControlComponent,
    MapGeofenceFormComponent,
    MapPlacesAutocompleteComponent,
  ],
})
export class MapWebModule {
  // static forRoot(config: any): ModuleWithProviders<MapWebModule> {
  //   return {
  //     ngModule: MapWebModule,
  //     providers: [{ provide: GEOFENCE_FORM_CONFIG, useValue: config }],
  //   };
  // }
}
