export interface MapMarker {
  clickable?: boolean;
  crossOnDrag?: boolean;
  draggable?: boolean;
  editable?: boolean;
  visible?: boolean;

  animation?: any; // 'BOUNCE' | 'DROP'
  cursor?: string; // 'pointer'
  icon?: string | MarkerIcon | MarkerSymbol | any;
  label?: MarkerLabel;
  opacity?: number;
  optimized?: number;

  shape?: any;
  title?: string;

  latitudeField?: string;
  longitudeField?: string;
}

export interface MarkerLabel {
  text?: string;
  className?: string;
  color?: string;
  fontFamily?: string; // The font family of the label text (equivalent to the CSS font-family property).
  fontSize?: string;
  fontWeight?: string;
}

export interface MarkerIcon {
  url?: string;
  anchor?: any;
  labelOrigin?: any;
  origin?: any;
  scaledSize?: any;
  size?: any;
}

export interface MarkerSymbol {
  path?: any;
  anchor?: any;
  fillColor?: string;
  fillOpacity?: number;
  labelOrigin?: any;
  rotation?: number;
  scale?: number;
  strokeColor?: string;
  strokeOpacity?: number;
  strokeWeight?: number;
}
