/* eslint-disable @typescript-eslint/no-inferrable-types */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import {
  AfterViewInit,
  Component,
  Inject,
  OnInit,
  Optional,
} from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
import { MoveEntityWebService } from './services';
import { Store } from '@ngrx/store';
import { EventsWebService, TemplateService } from '@hash8io/events-web';

const TREE_DATA = [
  {
    label: 'RT uguaib',
    hasSelection: true,
    uuid: 'ksbfkj',
  },
  {
    label: 'My Organization',
    iconUrl: 'corporate_fare',
    hasSelection: false,
    // isGroupName: true,

    children: [
      {
        label: 'Rugged Telemetry',
        hasSelection: false,
        children: [
          {
            label: 'Main',
            hasSelection: true,
            uuid: 'jjshvdhk',
            children: [
              {
                label: 'Village II',
                hasSelection: true,
              },
            ],
          },
          {
            label: 'Unassigned',
            hasSelection: true,
          },
        ],
      },
    ],
  },
  {
    label: 'Sales Channels',
    iconUrl: 'account_tree',
    children: [
      {
        label: 'Reseller',
        children: [
          {
            label: 'Main',
            hasSelection: true,
          },
          {
            label: 'Unassigned',
            hasSelection: true,
          },
        ],
      },
      {
        label: 'Rugged Direct',
        children: [
          {
            label: 'Customers',
            iconUrl: 'supervisor_account',
            isGroupName: true,
            children: [
              {
                label: 'RT Customers',
                children: [
                  {
                    label: 'Main',
                    hasSelection: true,
                  },
                  {
                    label: 'Unassigned',
                    hasSelection: true,
                  },
                ],
              },
            ],
          },
          {
            label: 'Main',
            hasSelection: true,
          },
          {
            label: 'Unassigned',
            hasSelection: true,
          },
        ],
      },
    ],
  },
  {
    label: 'Customers',
    iconUrl: 'supervisor_account',
    // isGroupName: true,
    children: [
      {
        label: 'Rt Customer 2',
        children: [
          {
            label: 'Main',
            hasSelection: true,
          },
          {
            label: 'Unassigned',
            hasSelection: true,
          },
        ],
      },
    ],
  },
];

@Component({
  selector: 'hash8-platform-move-entity',
  templateUrl: './move-entity-web.component.html',
  styleUrls: ['./move-entity-web.component.scss'],
})
export class MoveEntityWebComponent implements OnInit, AfterViewInit {
  // @Input() title!: Model.Title;
  // @Input() content: Model.Content[] = [];
  // @Input() customComponents!: any;
  dialogData: any;
  isLoading: boolean = false;
  selectedEntity!: string;
  selectedEntityAccount!: string;

  appendAPI: any = '';

  apiParams!: any;

  options!: any;

  HttpRef = 'http';

  hierarchyData!: any;

  hierarchySelection!: any;

  loading: boolean;

  selectedEntityAccountUUID!: any;

  selectedEntityUUID!: any;

  actionLabel!: any;

  description!: any;
  constructor(
    @Optional() public dialogRef: MatDialogRef<MoveEntityWebComponent>,
    @Optional() @Inject(MAT_DIALOG_DATA) public data: any,
    public moveEntityWebService: MoveEntityWebService,
    public store: Store,
    private templateService: TemplateService,
    private eventService: EventsWebService
  ) {
    this.dialogData = this.data; //For Write Access

    const _selectedEntityData = this.templateService.getData()?._selectedRow;

    this.selectedEntity = this.dialogData?.selectedEntityConf?.displayKey
      ? _selectedEntityData[this.dialogData?.selectedEntityConf?.displayKey]
      : this.templateService.processTemplate(
          this.dialogData?.selectedEntityConf?.displayValue
        );
    this.selectedEntityUUID =
      _selectedEntityData[this.dialogData?.selectedEntityConf?.identifierKey];
    this.selectedEntityAccount = this.dialogData?.selectedEntityConf
      ?.fromAccount?.displayKey
      ? _selectedEntityData[
          this.dialogData?.selectedEntityConf?.fromAccount?.displayKey
        ]
      : this.templateService.processTemplate(
          this.dialogData?.selectedEntityConf?.fromAccount?.displayValue
        );
    this.selectedEntityAccountUUID =
      _selectedEntityData[
        this.dialogData?.selectedEntityConf?.fromAccount?.identifierKey
      ];

    this.description = this.dialogData?.description;

    this.actionLabel = this.dialogData?.moveEntityConf?.action
      ? this.dialogData?.moveEntityConf?.action
      : `Move to ${this.dialogData?.moveEntityConf?.label}`;

    // _selectedEntityData?._selectedRow.map((dataValue: any) => {
    //   this.selectedEntity =
    //     dataValue[this.dialogData?.selectedEntityConf?.displayKey];
    //   this.selectedEntityUUID =
    //     dataValue[this.dialogData?.selectedEntityConf?.identifierKey];
    //   this.selectedEntityAccount =
    //     dataValue[this.dialogData?.selectedEntityConf?.fromAccount?.displayKey];

    //   this.selectedEntityAccountUUID =
    //     dataValue[
    //     this.dialogData?.selectedEntityConf?.fromAccount?.identifierKey
    //     ];

    // });

    // console.log("Account UUID", this.selectedEntityAccountUUID)
    // console.log("Selected Accuont", this.selectedEntityAccount)
    this.loading = true;

    const apiUrl = this.templateService.processTemplate(
      this.dialogData?.moveEntityConf?.params?.apiUrl
    );
    const queryParams = this.dialogData?.moveEntityConf?.params?.queryParams;
    // this.moveEntityWebService.getHierarchyData(apiUrl, queryParams).subscribe((response: any) => {
    //   this.loading = false
    //   this.hierarchyData = TREE_DATA;

    // })

    this.moveEntityWebService
      .getHierarchyData(apiUrl, queryParams)
      .subscribe((response: any) => {
        this.loading = false;
        // console.log("Response", response)
        // this.hierarchyData = TREE_DATA;
        this.hierarchyData = response?.data;
      });

    this.options = this.dialogData?.options;
  }

  ngOnInit(): void {
    this.isLoading = true;

    // const _event = {
    //   event: 'pageLoad',
    //   dataKey: 'hierarchy',
    //   method: 'callAPI',
    //   params: {
    //     method: 'get',
    //     apiUrl: 'https://reqres.in/api/users/{{data.localStorage.userUUID}}',
    //     getParams: [
    //       {
    //         key: 'include',
    //         value: 'Organizations',
    //       },
    //     ],
    //   },
    // };
    // this.store.dispatch({
    //   type: '[Events] Process events',
    //   events: [_event],
    // });
  }

  selected(event: any) {
    if (this.dialogData?.moveEntityConf?.selectionMode === 'single') {
      this.hierarchySelection = event[0];
    } else {
      this.hierarchySelection = event;
    }
  }

  moveAsset() {
    const moveEntityData = {
      sourceAccountUUID: this.selectedEntityAccountUUID,
      destinationAccountUUID: this.hierarchySelection?.uuid,
      assetUUID: this.selectedEntityUUID,

      assetName: this.selectedEntity,
    };

    // console.log("Mov Entity Data", moveEntityData)

    this.templateService.setData({ moveEntityData });
    // console.log("Template get data", this.templateService.getData())

    if (this.dialogData?.options?.submit) {
      if (this.dialogData?.options?.submit?.events) {
        this.store.dispatch({
          type: '[Events] Process events',
          events: this.dialogData?.options?.submit?.events.map((e: any) => ({
            ...e,
            // moveEntityData: moveEntityData,
          })),
        });
      }
    }
  }

  cancelAction() {
    if (this.options?.cancel) {
      if (this.options?.cancel?.events) {
        this.store.dispatch({
          type: '[Events] Process events',
          events: this.options?.cancel?.events,
        });
      }
    }
  }

  ngAfterViewInit(): void {
    setTimeout(() => {
      this.isLoading = false;
    });
  }
}
