/* eslint-disable @nrwl/nx/enforce-module-boundaries */
import { Injectable } from '@angular/core';
import { Actions, createEffect, ofType } from '@ngrx/effects';
import { map } from 'rxjs/operators';
import { Store } from '@ngrx/store';
import * as MoveEntityStoreActions from './actions';
import { MoveEntityWebService } from '../services';
import { TemplateService } from '@hash8io/events-web';

@Injectable()
export class MoveEntityStoreEffects {
  constructor(
    private actions$: Actions,
    private moveEntityWebService: MoveEntityWebService,
    private store: Store,
    private templateService: TemplateService
  ) { }



  openDialog$ = createEffect(() => {
    return this.actions$.pipe(
      ofType(MoveEntityStoreActions.OPEN_MOVE_ENTITY_DIALOG),
      map((d) => {
        this.moveEntityWebService.openDialog(d.moveEntity);
        return MoveEntityStoreActions.ADD_MOVE_ENTITY_DIALOG({});
      })
    );
  });

  closeDialog$ = createEffect(() => {
    return this.actions$.pipe(
      ofType(MoveEntityStoreActions.CLOSE_MOVE_ENTITY_DIALOG),
      map((d) => {
        this.templateService.removeData('moveEntityData')
        this.moveEntityWebService.closeDialog();
        // this.templateService.removeData()
        return MoveEntityStoreActions.REMOVE_MOVE_ENTITY_DIALOG({});
      })
    );
  });
}
