import { Component, OnInit } from '@angular/core';
import { AppStoreSelectors } from '@hash8io/core-web';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';

@Component({
  selector: 'hash8-platform-register-footer',
  templateUrl: './register-footer.component.html',
  styleUrls: ['./register-footer.component.scss']
})
export class RegisterFooterComponent implements OnInit {
  branding!: Observable<any>;
  appSegments!: Observable<any>;
  appVersion!: Observable<any>;

  constructor(private store: Store) { }
  ngOnInit(): void {
    this.appVersion = this.store.select(AppStoreSelectors.selectAppVersion);
    this.branding = this.store.select(AppStoreSelectors.selectBranding);
    this.appSegments = this.store.select(
      AppStoreSelectors.selectApplicationSegments
    );
  }
}
