import { Component, Input, OnInit } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { Router } from '@angular/router';
import * as RegisterStoreActions from '../../store/actions';
import { AppStoreSelectors } from '@hash8io/core-web';
import { FormModel } from '@hash8io/forms-web';
import { Store } from '@ngrx/store';
import { FormlyFieldConfig } from '@ngx-formly/core';
import { LoadingBarService } from '@ngx-loading-bar/core';
import { Observable } from 'rxjs';
import { RegisterService } from '../../services/register.service';
import { REGISTRATION_FORM } from '../../registration/registration-mock-config';

@Component({
  selector: 'hash8-platform-register-form',
  templateUrl: './register-form.component.html',
  styleUrls: ['./register-form.component.scss'],
})
export class RegisterFormComponent implements OnInit {
  branding!: Observable<any>;
  appSegments!: Observable<any>;
  loginState!: Observable<any>;
  error: any;
  form = new UntypedFormGroup({});
  model: any = {};

  @Input() register: any;

  @Input() registerFormConfig!: string;

  registerForm!: any;
  constructor(
    private store: Store,
    public loader: LoadingBarService,
    private router: Router,
    public registerService: RegisterService
  ) {}

  ngOnInit(): void {
    this.branding = this.store.select(AppStoreSelectors.selectBranding);

    this.branding.subscribe((data: any) => {
      this.registerForm = data?.registerForm;
    });
  }

  modelChange(event: any) {}
  onSubmit(model: any) {
    //
  }
}
