import { HttpClient } from '@angular/common/http';
import { Component, Input, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AppStoreSelectors } from '@hash8io/core-web';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { REGISTRATION_FORM } from '../registration/registration-mock-config';

@Component({
  selector: 'hash8-platform-invitation',
  templateUrl: './invitation.component.html',
  styleUrls: ['./invitation.component.scss'],
})
export class InvitationComponent implements OnInit {
  @Input() template: string = 'default';

  branding!: Observable<any>;
  heroContent!: any;

  registerForm!: any;

  registerFormData: any;

  emailValue!: any;

  appSegments!: any;

  invitationStoreData!: any;

  constructor(
    private route: ActivatedRoute,
    private store: Store,
    private http: HttpClient,
    private router: Router
  ) {}

  ngOnInit(): void {
    localStorage.clear();

    this.branding = this.store.select(AppStoreSelectors.selectBranding);

    this.branding?.subscribe((data: any) => {
      this.heroContent = data?.heroSection;
    });

    this.appSegments = this.store.select(
      AppStoreSelectors.selectApplicationSegments
    );

    this.appSegments?.subscribe((data: any) => {
      this.invitationStoreData = data?.invitation;
    });

    this.store.dispatch({
      type: '[Events] Process events',
      events: this.invitationStoreData?.events,
    });

    this.route.data.subscribe((data) => {
      this.template = data['template'] || this.template;
      // this.page = data['page']
    });

    //
  }
}
