import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { InvitationComponent } from './invitation/invitation.component';
import { RegistrationComponent } from './registration/registration.component';
import { VerificationComponent } from './verification/verification.component';
import { VerificationConfirmationComponent } from './verification/verification-confirmation/verification-confirmation.component';

const routes: Routes = [
  {
    path: 'invitation',
    component: InvitationComponent,
  },
  {
    path: 'registration',
    component: RegistrationComponent,
  },
  {
    path: 'verification',
    component: VerificationComponent,
  },
  {
    path: 'confirm-verification',
    component: VerificationConfirmationComponent,
  },
];

//{ initialNavigation: 'enabledBlocking' }

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class RegistrationWebRoutingModule {}
