/* eslint-disable @nrwl/nx/enforce-module-boundaries */
import { Injectable } from '@angular/core';
import { Actions, createEffect, ofType } from '@ngrx/effects';
import { map, exhaustMap, catchError } from 'rxjs/operators';
import { of } from 'rxjs';
import { Store } from '@ngrx/store';
import { RegisterStoreActions } from './';
import { RegisterService } from '../services/register.service';


@Injectable()
export class RegisterStoreEffects {
  constructor(
    private actions$: Actions,
    private registerService: RegisterService,

    private store: Store,
  ) { }

  userLogin$ = createEffect(() => {
    return this.actions$.pipe(
      ofType(RegisterStoreActions.REGISTER),
      exhaustMap((user) =>
        this.registerService.register(user).pipe(
          map((response: any) => {
            // this.store.dispatch(LoginStoreActions.SET_AUTH_TOKEN({ response }));
            // this.store.dispatch(LoginStoreActions.DECODE_AUTH_TOKEN({ response }))
            // this.loader.complete();
            return RegisterStoreActions.REGISTER_SUCCESS(response.data);
          }),
          catchError((error) => {
            this.store.dispatch(RegisterStoreActions.REGISTER_ERROR());
            this.store.dispatch(RegisterStoreActions.REGISTER_TRIES());
            // this.loader.complete();
            return of(RegisterStoreActions.REGISTER_FAILED(error));
          })
        )
      )
    );
  });

  // setAuthTokens$ = createEffect(() => {
  //   return this.actions$.pipe(
  //     ofType(LoginStoreActions.SET_AUTH_TOKEN),
  //     exhaustMap((token) => {
  //       this.tokenService.setAuthToken(token);
  //       return of(LoginStoreActions.SET_AUTH_TOKEN_SUCCESS());
  //     }),
  //     catchError((error) => {
  //       return of(LoginStoreActions.SET_AUTH_TOKEN_FAILED());
  //     })
  //   );
  // });

  // decodeAuthTokens$ = createEffect(() => {
  //   return this.actions$.pipe(
  //     ofType(LoginStoreActions.DECODE_AUTH_TOKEN),
  //     exhaustMap((token) => {
  //       const decodedToken = this.decodeTokenService.decodeToken(token);
  //       return of(LoginStoreActions.DECODE_AUTH_TOKEN_SUCCESS({ decodedToken }));
  //     }),
  //     catchError((error) => {
  //       return of(LoginStoreActions.DECODE_AUTH_TOKEN_FAILED());
  //     })
  //   );
  // });
}
