import { AppStoreState } from '@hash8io/core-web';
import { createReducer, on } from '@ngrx/store';
import { RegisterStoreActions } from '.';

export const reducer = createReducer(
  AppStoreState.initialState,

  on(RegisterStoreActions.REGISTER_INPROGRESS, (state) => ({
    ...state,
    registerState: {
      ...state.registerState,
      state: 'inprogress',
    },
  })),
  on(RegisterStoreActions.REGISTER_SUCCESS, (state, response) => {
    return {
      ...state,
      registerState: {
        ...state.registerState,
        state: 'registerSuccess',
        // isAuthenticated: true,
        loaded: true,
      },
    };
  }),
  on(RegisterStoreActions.REGISTER_FAILED, (state, error) => {
    return {
      ...state,
      registerState: {
        ...state.registerState,
        state: 'registerFailed',
        loaded: true,
        error: true,
        errorMessage: error?.error?.message,
      },
    };
  }),
  on(RegisterStoreActions.REGISTER_TRIES, (state) => ({
    ...state,
    registerState: {
      ...state.registerState,
      state: 'registerDenied',
      invalidTriesCount: state.loginState.invalidTriesCount + 1,
    },
  })),



)
