import { HttpClient } from '@angular/common/http';
import { Component, Input, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AppStoreSelectors } from '@hash8io/core-web';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';

@Component({
  selector: 'hash8-platform-verification',
  templateUrl: './verification.component.html',
  styleUrls: ['./verification.component.scss'],
})
export class VerificationComponent implements OnInit {
  @Input() template: string = 'default';

  branding!: Observable<any>;
  heroContent!: any;
  emailValue!: any;
  appSegments!: any;
  verification!: Observable<any>;
  registerForm!: any;
  verifyFrom!: any;
  phoneNumber!: any;

  constructor(
    private route: ActivatedRoute,
    private store: Store,
    private http: HttpClient,
    private router: Router
  ) {}

  ngOnInit(): void {
    const state = history.state;
    this.verifyFrom = state['verifyFrom'];
    this.phoneNumber = state['phoneNumber'];

    this.branding = this.store.select(AppStoreSelectors.selectBranding);

    this.branding?.subscribe((data: any) => {
      this.heroContent = data?.heroSection;
    });

    this.appSegments = this.store.select(
      AppStoreSelectors.selectApplicationSegments
    );

    this.appSegments.subscribe((application: any) => {
      this.verification = application?.verification;
    });

    //Registration form
    // const formOption = REGISTRATION_FORM?.options

    // const formFields = REGISTRATION_FORM?.fields

    // const updatedFormFields = formFields.map((obj: any) => {
    //   if (obj.key === 'email') {
    //     obj.defaultValue = localStorage.getItem('email')
    //     return obj
    //   }
    //   else {
    //     return obj
    //   }
    // })

    this.route.data.subscribe((data) => {
      this.template = data['template'] || this.template;
    });

    //
  }
}
