import { Model } from '@hash8io/core-web';

export const TileLayout: Model.TileLayout = {
  columns: 12,
  rows: 'auto',
  gap: '16px',
  autoFlowColumns: false,
  tiles: {
    lg: [
      {
        column: 4,
        row: 1,
        area: 'details',
      },
      {
        column: 4,
        row: 1,
        area: 'properties',
      },
      {
        column: 4,
        row: 1,
        area: 'deviceDetails',
      },
      {
        column: 6,
        row: 1,
        area: 'status',
      },
      {
        column: 6,
        row: 1,
        area: 'visualization',
      },
      {
        column: 12,
        row: 1,
        area: 'reports',
      },
    ],
    md: [
      {
        column: 6,
        row: 1,
        area: 'properties',
      },
      {
        column: 6,
        row: 1,
        area: 'status',
      },
      {
        column: 6,
        row: 1,
        area: 'details',
      },
      {
        column: 6,
        row: 1,
        area: 'deviceDetails',
      },
      {
        column: 12,
        row: 1,
        area: 'visualization',
      },
      {
        column: 12,
        row: 1,
        area: 'reports',
      },
    ],
    sm: [
      {
        column: 12,
        row: 1,
        area: 'properties',
      },
      {
        column: 12,
        row: 1,
        area: 'details',
      },
      {
        column: 12,
        row: 1,
        area: 'deviceDetails',
      },
      {
        column: 12,
        row: 1,
        area: 'status',
      },
      {
        column: 12,
        row: 1,
        area: 'visualization',
      },
      {
        column: 12,
        row: 1,
        area: 'reports',
      },
    ],
  },
};
