import { Model } from '@hash8io/core-web';

export const Menu: Model.Menu[] = [
  {
    label: 'Reports',
    type: Model.MenuType.Heading,
    params: '987',
  },
  {
    label: 'Tank History',
    targetUrl: '/dashboard',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'layers',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
    params: '987',
  },
  {
    label: 'Net Usage Report',
    targetUrl: '/dashboard',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'layers',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
    params: '100',
  },
  {
    label: 'Tank Fill Report',
    targetUrl: '/dashboard',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'layers',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
    params: '101',
  },
  {
    label: 'Tank Discharge Report',
    targetUrl: '/dashboard',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'layers',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
    params: '102',
  },
  {
    label: 'Command Message',
    targetUrl: '/dashboard',
    visible: true,
    clickable: true,
    type: Model.MenuType.Dropdown,
    iconUrl: 'layers',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: true,
    params: '300',
    subMenus: [
      {
        label: 'Tank History',
        targetUrl: '/tank-history',
        visible: true,
        clickable: true,
        type: Model.MenuType.Link,
        configApiUrl: '',
        apiUrl: '',
        hasSubMenu: false,
      },
      {
        label: 'Net Usage Report',
        targetUrl: '/netusage',
        visible: true,
        clickable: true,
        type: Model.MenuType.Link,
        configApiUrl: '',
        apiUrl: '',
        hasSubMenu: false,
      },
      {
        label: 'Tank Fill Report',
        targetUrl: '/fill',
        visible: true,
        clickable: true,
        type: Model.MenuType.Link,
        configApiUrl: '',
        apiUrl: '',
        hasSubMenu: false,
      },
      {
        label: 'Tank Discharge Report',
        targetUrl: '/fill',
        visible: true,
        clickable: true,
        type: Model.MenuType.Link,
        configApiUrl: '',
        apiUrl: '',
        hasSubMenu: false,
      },
    ],
  },
  {
    label: 'Trends',
    type: Model.MenuType.Heading,
  },
  {
    label: 'Utilization Report',
    targetUrl: '/tank-history',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'layers',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
  },
  {
    label: 'Fill vs Discharge',
    targetUrl: '/netusage',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'layers',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
  },
];
