/* eslint-disable @angular-eslint/no-input-rename */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import { Component, Input, OnInit } from '@angular/core';
import { BreakpointService, Model } from '@hash8io/core-web';
import { TileLayout } from './mock-data/layout';
import { SnapshotNew } from './mock-data/snapshot';
import { Title } from './mock-data/title';

@Component({
  selector: 'hash8-platform-snapshot',
  templateUrl: './snapshot-web.component.html',
  styleUrls: ['./snapshot-web.component.scss'],
})
export class SnapshotComponent implements OnInit {
  @Input() title: Model.Title = Title;
  @Input() toolbar: Model.Toolbar = SnapshotNew.toolbar;

  // Data
  @Input('config') snapshot: Model.SnapshotConfig | undefined =
    SnapshotNew.config;

  // Layout
  @Input() layout: Model.TileLayout = TileLayout;
  tiles!: Model.Tile[] | undefined;

  breakpoint: any;

  @Input() customComponents: any;

  constructor(private _breakpoint: BreakpointService) {}

  ngOnInit(): void {
    this._breakpoint.active$.subscribe((breakpoint) => {
      this.breakpoint = breakpoint === 'xs' ? 'sm' : breakpoint;
      const _breakpoint = this.breakpoint as keyof Model.Breakpoint;
      if (this.layout?.tiles[_breakpoint]) {
        this.tiles = this.layout?.tiles[_breakpoint];
      }
    });
  }
}
