import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NgObjectPipesModule } from 'ngx-pipes';
import { RouterModule } from '@angular/router';

import { SharedModule, TypeofPipe } from '@hash8io/core-web';
import { TitleModule } from '@hash8io/core-web/title';
import { ToolbarModule } from '@hash8io/core-web/toolbar';
import { CardModule } from '@hash8io/core-web/card';
import { LayoutModule } from '@hash8io/core-web/layout';
import { SidebarModule } from '@hash8io/core-web/sidebar';
import { SnapshotComponent } from './snapshot-web.component';
import { DynamicContentWebModule } from '@hash8io/dynamic-content-web';

@NgModule({
  declarations: [SnapshotComponent],
  imports: [
    CommonModule,
    SharedModule,
    NgObjectPipesModule,
    RouterModule,
    LayoutModule,
    TitleModule,
    ToolbarModule,
    CardModule,
    SidebarModule,
    TypeofPipe,
    DynamicContentWebModule,
  ],
  exports: [SnapshotComponent],
})
export class SnapshotWebModule {}
