import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { SharedModule } from '@hash8io/core-web';
import { TagsDataGridComponent } from './components/tags-data-grid/tags-data-grid.component';
import { TagsListPageComponent } from './components/tags-list-page/tags-list-page.component';
import { TagStoreModule } from '@hash8io/common-store-web/tag-store';
import { GridTagComponent } from '@hash8io/data-grid-web';
import { TitleModule } from '@hash8io/core-web/title';
import { TreeViewModule } from '@hash8io/tree-view-web';

@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    TagStoreModule,
    RouterModule.forChild([
      { path: '', pathMatch: 'full', component: TagsListPageComponent },
    ]),
    TagsDataGridComponent,
    GridTagComponent,
    TitleModule,
    TreeViewModule.forRoot(),
  ],
  declarations: [TagsListPageComponent],
  exports: [TagsDataGridComponent, TagsListPageComponent],
})
export class TagsWebModule {}
