export const STORE_MOCK_OBJ = {
  branding: {
    applicationName: 'Autocavo',
    applicationShortName: 'Autocavo',
    applicationTagLine: 'Fleet Management System',
    applicationDescriptions: [
      'Enable developers build, manage and launch IoT solution.',
      'Manage assets, devices and sensors.',
    ],
    apiUrl: 'https://autocavo-test.autocavofleet.com/api',
    faviconUrl: 'https://autocavo-test.autocavofleet.com/assets/favicon.ico',
    mainLogoLight: '',
    mainLogoDark: 'https://autocavo-test.autocavofleet.com/assets/logo-dark-120px-120px.png',
    footerLogoLight: 'https://autocavo-test.autocavofleet.com/assets/logo-light-120px-120px.png',
    footerLogoDark: 'https://autocavo-test.autocavofleet.com/assets/logo-dark-120px-120px.png',
  },
  theme: {
    name: 'autocavo-default',
    layout: 'horizontal',
    defaultMode: 'light',
    fontFamily: 'Inter', // Inter, dinNext
    fontSize: '16px',
    primaryColor: 'rgb(42, 56, 250)',
    accentColor: 'rgb(33,150,83)',
    warningColor: 'rgb(244, 82, 60)',
  },
  applicationSegments: {
    login: {
      name: 'Login',
      targetUrl: '/v1/login',
      apiUrl: '/v1/login',
      type: 'button',
      visible: true,
      clickable: true,
    },
    poweredBy: {
      name: 'Powered by autocavofleet.com',
      targetUrl: null,
      apiUrl: null,
      type: '',
      visible: true,
      clickable: false,
    },
    forgotPassword: {
      name: 'Forgot Password?',
      targetUrl: '/forgot-password',
      apiUrl: '/v1/user-password-reset',
      type: 'link',
      visible: true,
      clickable: true,
    },
    copyright: {
      name: 'Copyright Autocavo',
      targetUrl: null,
      apiUrl: null,
      type: '',
      visible: true,
      clickable: false,
    },
    termsConditions: {
      name: 'Terms of Use',
      targetUrl: '/terms-and-conditions',
      apiUrl: '/v1/terms-and-conditions',
      type: 'link',
      visible: true,
      clickable: true,
    },
    privacyPolicy: {
      name: 'Privacy Policy',
      targetUrl: '/privacy-policy',
      apiUrl: '/v1/privacy-policy',
      type: 'link',
      visible: true,
      clickable: true,
    },
    support: {
      name: 'Contact Us',
      targetUrl: '/contact-us',
      apiUrl: '/v1/contact-us',
      type: 'link',
      visible: true,
      clickable: true,
    }
  },

  userDetails: {
    uuid: '604e349f-ce47-4f54-a347-41de0d72e94e',
    firstName: 'Jonathan',
    lastName: 'Ive',
    username: 'jonathanive',
    email: 'jonathan@autocavo.com',
    phoneNumber: '(740) 271-0643',
  },
  userDisplaySettings: {
    uuid: '22fe7aa5-e46a-4c0c-8f69-ff8a7e621352',
    dateFormat: 'mm/dd/yyyy',
    dateTimeFormat: 'mm/dd/yyyy hh:mm a',
    distance: 'mile',
    level: 'centimeter',
    temperature: 'celcius',
    timeFormat: 'hh:mm a',
    timeZone: 'EDT',
    volume: 'liter',
    weight: 'kilogram',
  },
  userSettings: {
    enableDarkMode: false,
  },
  approvedApplications: [{
    name: 'Fleet Management',
    targetUrl: '',
    apiUrl: '',
    iconUrl: 'layers',
    type: 'link',
    visible: true,
    clickable: true,
  },
  {
    name: 'Application Management',
    targetUrl: '',
    apiUrl: '',
    iconUrl: 'layers',
    type: 'link',
    visible: true,
    clickable: true,
  },
  {
    name: 'Organization Management',
    targetUrl: '',
    apiUrl: '',
    iconUrl: 'layers',
    type: 'link',
    visible: true,
    clickable: true,
  },
  ],
  navigationMenu: [{
    name: 'Dashboard',
    targetUrl: '/dashboard',
    apiUrl: '/v1/dashboard',
    iconUrl: 'dashboard',
    type: 'link',
    visible: true,
    clickable: false,
    hasSubMenu: false,
    subMenuDetails: null,
  },
  {
    name: 'Vehicles',
    targetUrl: '/vehicles',
    apiUrl: '/v1/vehicles',
    iconUrl: 'directions_bus',
    type: 'link',
    visible: true,
    clickable: false,
    hasSubMenu: false,
    subMenuDetails: null,
  },
  {
    name: 'Status',
    targetUrl: '/status',
    apiUrl: '/v1/status',
    iconUrl: 'directions_bus',
    type: 'link',
    visible: true,
    clickable: false,
    hasSubMenu: false,
    subMenuDetails: null,
  },
  {
    name: 'Reports',
    targetUrl: null,
    apiUrl: null,
    iconUrl: 'analytics',
    type: null,
    visible: true,
    clickable: false,
    hasSubMenu: true,
    subMenuDetails: [{}]
  },
  ],
};
